//
// File: Cego.cc
// This code was produced by the dragon parser generator
//
#include "Cego.h"
#include <lfc/Exception.h>
#include <lfc/StackT.h>

Cego::ScannerStateEntry::ScannerStateEntry()
{
}

Cego::ScannerStateEntry::ScannerStateEntry(int state, ScannerStateType type)
{
   _state = state;
   _type = type;
}

Cego::ScannerStateEntry& Cego::ScannerStateEntry::operator = (const Cego::ScannerStateEntry& s)
{
   _state = s._state;
   _type = s._type;
   return(*this);
}

bool Cego::ScannerStateEntry::operator == (const Cego::ScannerStateEntry& s)
{
   if ( _state == s._state )
      return true;
   return false;
}

Cego::ScannerStateType Cego::ScannerStateEntry::getType()
{
   return _type;
}
int Cego::ScannerStateEntry::getState()
{
   return _state;
}


Cego::ScannerTransEntry::ScannerTransEntry()
{
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c)
{
   _state = state;
   _c = c;
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c, int fstate)
{
   _state = state;
   _c = c;
   _fstate = fstate;
}

Cego::ScannerTransEntry& Cego::ScannerTransEntry::operator = (const Cego::ScannerTransEntry& s)
{
   _state = s._state;
   _c = s._c;
   _fstate = s._fstate;
   return(*this);
}

bool Cego::ScannerTransEntry::operator == (const Cego::ScannerTransEntry& s)
{
   if ( _state == s._state && _c == s._c)
      return true;
   return false;
}

int Cego::ScannerTransEntry::getFState()
{
   return _fstate;
}


Cego::Scanner::Scanner()
{
}


Cego::Scanner::Scanner(Token t)
{
   _token = t;
}

Cego::Token Cego::Scanner::getToken()
{
   return _token;
}

void Cego::Scanner::addState(ScannerStateEntry s)
{
   _stateList.Insert(s);
}

void Cego::Scanner::addTransition(ScannerTransEntry t)
{
   _transList.Insert(t);
}

bool Cego::Scanner::checkPattern(const Chain& p)
{
   unsigned long state = 0;
   ScannerStateEntry* pS = _stateList.First();
   while (pS)
   {
      if (pS->getType() == START || pS->getType() == ANY)
      {
         state = pS->getState();
         pS = 0;
      }
      else
      {
         pS = _stateList.Next();
      }
   }
   unsigned long i = 0;
   ScannerTransEntry* pT = 
   _transList.Find(ScannerTransEntry(state, p[i]));
   while (pT)
   {
      ScannerStateEntry* pS = _stateList.Find(ScannerStateEntry(pT->getFState())); 
      if (pS)
      {
         if ( ( i == p.length()-2 ) && ( pS->getType() == FINAL || pS->getType() == ANY))
         {
            return true;
         }
         else
         {
            state = pT->getFState();
         }
      }
      else
      {
         return false;
      }
      i++;
      pT = _transList.Find(ScannerTransEntry(state, p[i]));
   }
   return false;
}
Cego::StackEntry::StackEntry()
{
   _symbol = NONE;
}

Cego::StackEntry::StackEntry(Symbol symbol, int num, int state, Chain tval)
{
   _symbol=symbol;
   _num=num;
   _state=state;
   _tval=tval;
}

Cego::StackEntry& Cego::StackEntry::operator = (const Cego::StackEntry& se)
{
   _symbol=se._symbol;
   _num=se._num;
   _state=se._state;
   _tval=se._tval;
   return(*this);
}

int Cego::StackEntry::getState()
{
   return _state;
}
Cego::Symbol Cego::StackEntry::getSymbol()
{
   return _symbol;
}
Chain& Cego::StackEntry::getTval()
{
   return _tval;
}

Cego::ActionEntry::ActionEntry()
{
   _action=NULLACTION;
}

Cego::ActionEntry::ActionEntry(Action action , int num)
{
   _action=action;
   _num=num;
}

bool Cego::ActionEntry::operator == (const Cego::ActionEntry& ae)
{
   if (_action == ae._action && _num == ae._num)
      return true;
   return false;
}

Cego::ActionEntry& Cego::ActionEntry::operator = (const Cego::ActionEntry& ae)
{
   _action=ae._action;
   _num=ae._num;
   return(*this);
}

Cego::Action Cego::ActionEntry::getAction()
{
   return _action;
}

int Cego::ActionEntry::getNum()
{
   return _num;
}

Cego::ProdEntry::ProdEntry()
{
}

Cego::ProdEntry::ProdEntry(int id)
{
   _id = id;
}

Cego::ProdEntry::ProdEntry(int id, Production prod, int numSymbol)
{
   _id = id;
   _prod = prod;
   _numSymbol = numSymbol;
}

bool Cego::ProdEntry::operator == (const Cego::ProdEntry& pe)
{
   if (_id == pe._id)
      return true;
   return false;
}

Cego::ProdEntry& Cego::ProdEntry::operator = (const Cego::ProdEntry& pe)
{
   _id = pe._id;
   _prod = pe._prod;
   _numSymbol = pe._numSymbol;
   return(*this);
}


int Cego::ProdEntry::getId()
{
   return _id;
}

Cego::Production Cego::ProdEntry::getProd()
{
   return _prod;
}

int Cego::ProdEntry::getNumSymbol()
{
   return _numSymbol;
}
void Cego::loadScanner()
{
   Scanner s0(ADD);
   s0.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(2 ,START));
   s0.addState(ScannerStateEntry(3 ,FINAL));
   s0.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s0.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s0.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s0);

   Scanner s1(AND);
   s1.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(2 ,START));
   s1.addState(ScannerStateEntry(3 ,FINAL));
   s1.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s1.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s1.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s1);

   Scanner s2(ALL);
   s2.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(2 ,START));
   s2.addState(ScannerStateEntry(3 ,FINAL));
   s2.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s2.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s2.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s2);

   Scanner s3(ALTER);
   s3.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(2 ,START));
   s3.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(5 ,FINAL));
   s3.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s3.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s3.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s3.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s3.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s3);

   Scanner s4(APPEND);
   s4.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(2 ,START));
   s4.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(6 ,FINAL));
   s4.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s4.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s4.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s4.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s4.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s4.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s4);

   Scanner s5(AS);
   s5.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(1 ,FINAL));
   s5.addState(ScannerStateEntry(2 ,START));
   s5.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s5.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s5);

   Scanner s6(ASC);
   s6.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(2 ,START));
   s6.addState(ScannerStateEntry(3 ,FINAL));
   s6.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s6.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s6.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s6);

   Scanner s7(AUTHORIZE);
   s7.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(2 ,START));
   s7.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(9 ,FINAL));
   s7.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s7.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s7.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s7.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s7.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s7.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s7.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s7.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s7.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s7);

   Scanner s8(AUTOCOMMIT);
   s8.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(2 ,START));
   s8.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(10 ,FINAL));
   s8.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s8.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s8.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s8.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s8.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s8.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s8.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s8.addTransition(ScannerTransEntry(7 ,'m' ,8));
   s8.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s8.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s8);

   Scanner s9(AVG);
   s9.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(2 ,START));
   s9.addState(ScannerStateEntry(3 ,FINAL));
   s9.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s9.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s9.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s9);

   Scanner s10(BEGIN);
   s10.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(2 ,START));
   s10.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(5 ,FINAL));
   s10.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s10.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s10.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s10.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s10.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s10);

   Scanner s11(BETWEEN);
   s11.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(2 ,START));
   s11.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(7 ,FINAL));
   s11.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s11.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s11.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s11.addTransition(ScannerTransEntry(3 ,'w' ,4));
   s11.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s11.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s11.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s11);

   Scanner s12(BIGINT);
   s12.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(2 ,START));
   s12.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(6 ,FINAL));
   s12.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s12.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s12.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s12.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s12.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s12.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s12);

   Scanner s13(BITAND);
   s13.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(2 ,START));
   s13.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(6 ,FINAL));
   s13.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s13.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s13.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s13.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s13.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s13.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s13);

   Scanner s14(BITOR);
   s14.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(2 ,START));
   s14.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(5 ,FINAL));
   s14.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s14.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s14.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s14.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s14.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s14);

   Scanner s15(BITXOR);
   s15.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(2 ,START));
   s15.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(6 ,FINAL));
   s15.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s15.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s15.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s15.addTransition(ScannerTransEntry(3 ,'x' ,4));
   s15.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s15.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s15);

   Scanner s16(BLOB);
   s16.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(2 ,START));
   s16.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(4 ,FINAL));
   s16.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s16.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s16.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s16.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s16);

   Scanner s17(BOOL);
   s17.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(2 ,START));
   s17.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(4 ,FINAL));
   s17.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s17.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s17.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s17.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s17);

   Scanner s18(BY);
   s18.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(1 ,FINAL));
   s18.addState(ScannerStateEntry(2 ,START));
   s18.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s18.addTransition(ScannerTransEntry(2 ,'b' ,0));
   _scannerList.Insert(s18);

   Scanner s19(CALL);
   s19.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(2 ,START));
   s19.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(4 ,FINAL));
   s19.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s19.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s19.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s19.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s19);

   Scanner s20(CASE);
   s20.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(2 ,START));
   s20.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(4 ,FINAL));
   s20.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s20.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s20.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s20.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s20);

   Scanner s21(CHECK);
   s21.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(2 ,START));
   s21.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(5 ,FINAL));
   s21.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s21.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s21.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s21.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s21.addTransition(ScannerTransEntry(4 ,'k' ,5));
   _scannerList.Insert(s21);

   Scanner s22(CLOSE);
   s22.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(2 ,START));
   s22.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(5 ,FINAL));
   s22.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s22.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s22.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s22.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s22.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s22);

   Scanner s23(COMMIT);
   s23.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(2 ,START));
   s23.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(6 ,FINAL));
   s23.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s23.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s23.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s23.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s23.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s23.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s23);

   Scanner s24(COLUMN);
   s24.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(2 ,START));
   s24.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(6 ,FINAL));
   s24.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s24.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s24.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s24.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s24.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s24.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s24);

   Scanner s25(CONSTRAINT);
   s25.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(2 ,START));
   s25.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(10 ,FINAL));
   s25.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s25.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s25.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s25.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s25.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s25.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s25.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s25.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s25.addTransition(ScannerTransEntry(8 ,'n' ,9));
   s25.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s25);

   Scanner s26(COUNT);
   s26.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(2 ,START));
   s26.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(5 ,FINAL));
   s26.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s26.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s26.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s26.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s26.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s26);

   Scanner s27(COUNTER);
   s27.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(2 ,START));
   s27.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(7 ,FINAL));
   s27.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s27.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s27.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s27.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s27.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s27.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s27.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s27);

   Scanner s28(CREATE);
   s28.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(2 ,START));
   s28.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(6 ,FINAL));
   s28.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s28.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s28.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s28.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s28.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s28.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s28);

   Scanner s29(CURSOR);
   s29.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(2 ,START));
   s29.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(6 ,FINAL));
   s29.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s29.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s29.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s29.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s29.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s29.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s29);

   Scanner s30(DATE);
   s30.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(2 ,START));
   s30.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(4 ,FINAL));
   s30.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s30.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s30.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s30.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s30);

   Scanner s31(DATE2STR);
   s31.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(2 ,START));
   s31.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(8 ,FINAL));
   s31.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s31.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s31.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s31.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s31.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s31.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s31.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s31.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s31);

   Scanner s32(DATE2INT);
   s32.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(2 ,START));
   s32.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(8 ,FINAL));
   s32.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s32.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s32.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s32.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s32.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s32.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s32.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s32.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s32);

   Scanner s33(DATETIME);
   s33.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(2 ,START));
   s33.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(8 ,FINAL));
   s33.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s33.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s33.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s33.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s33.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s33.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s33.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s33.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s33);

   Scanner s34(DECIMAL);
   s34.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(2 ,START));
   s34.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(7 ,FINAL));
   s34.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s34.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s34.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s34.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s34.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s34.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s34.addTransition(ScannerTransEntry(6 ,'l' ,7));
   _scannerList.Insert(s34);

   Scanner s35(DEFAULT);
   s35.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(2 ,START));
   s35.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(7 ,FINAL));
   s35.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s35.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s35.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s35.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s35.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s35.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s35.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s35);

   Scanner s36(DELETETOK);
   s36.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(2 ,START));
   s36.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(6 ,FINAL));
   s36.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s36.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s36.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s36.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s36.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s36.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s36);

   Scanner s37(DESC);
   s37.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(2 ,START));
   s37.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(4 ,FINAL));
   s37.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s37.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s37.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s37.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s37);

   Scanner s38(DISTINCT);
   s38.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(2 ,START));
   s38.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(8 ,FINAL));
   s38.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s38.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s38.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s38.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s38.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s38.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s38.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s38.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s38);

   Scanner s39(DIV);
   s39.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(2 ,START));
   s39.addState(ScannerStateEntry(3 ,FINAL));
   s39.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s39.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s39.addTransition(ScannerTransEntry(2 ,'d' ,0));
   _scannerList.Insert(s39);

   Scanner s40(DOUBLE);
   s40.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(2 ,START));
   s40.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(6 ,FINAL));
   s40.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s40.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s40.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s40.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s40.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s40.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s40);

   Scanner s41(DROP);
   s41.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(2 ,START));
   s41.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(4 ,FINAL));
   s41.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s41.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s41.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s41.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s41);

   Scanner s42(ELSE);
   s42.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(2 ,START));
   s42.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(4 ,FINAL));
   s42.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s42.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s42.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s42.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s42);

   Scanner s43(ELSIF);
   s43.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(2 ,START));
   s43.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(5 ,FINAL));
   s43.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s43.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s43.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s43.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s43.addTransition(ScannerTransEntry(4 ,'f' ,5));
   _scannerList.Insert(s43);

   Scanner s44(END_TOKEN);
   s44.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(2 ,START));
   s44.addState(ScannerStateEntry(3 ,FINAL));
   s44.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s44.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s44.addTransition(ScannerTransEntry(2 ,'e' ,0));
   _scannerList.Insert(s44);

   Scanner s45(EXCEPTION);
   s45.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(2 ,START));
   s45.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(9 ,FINAL));
   s45.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s45.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s45.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s45.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s45.addTransition(ScannerTransEntry(4 ,'p' ,5));
   s45.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s45.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s45.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s45.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s45);

   Scanner s46(EXISTS);
   s46.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(2 ,START));
   s46.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(6 ,FINAL));
   s46.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s46.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s46.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s46.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s46.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s46.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s46);

   Scanner s47(FALSEVAL);
   s47.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(2 ,START));
   s47.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(5 ,FINAL));
   s47.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s47.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s47.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s47.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s47.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s47);

   Scanner s48(FETCH);
   s48.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(2 ,START));
   s48.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(5 ,FINAL));
   s48.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s48.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s48.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s48.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s48.addTransition(ScannerTransEntry(4 ,'h' ,5));
   _scannerList.Insert(s48);

   Scanner s49(FIXED);
   s49.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(2 ,START));
   s49.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(5 ,FINAL));
   s49.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s49.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s49.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s49.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s49.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s49);

   Scanner s50(FLOAT);
   s50.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(2 ,START));
   s50.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(5 ,FINAL));
   s50.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s50.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s50.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s50.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s50.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s50);

   Scanner s51(FOR);
   s51.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(2 ,START));
   s51.addState(ScannerStateEntry(3 ,FINAL));
   s51.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s51.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s51.addTransition(ScannerTransEntry(2 ,'f' ,0));
   _scannerList.Insert(s51);

   Scanner s52(FOREIGN);
   s52.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(2 ,START));
   s52.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(7 ,FINAL));
   s52.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s52.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s52.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s52.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s52.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s52.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s52.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s52);

   Scanner s53(FROM);
   s53.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(2 ,START));
   s53.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(4 ,FINAL));
   s53.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s53.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s53.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s53.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s53);

   Scanner s54(GETPOS);
   s54.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(2 ,START));
   s54.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(6 ,FINAL));
   s54.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s54.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s54.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s54.addTransition(ScannerTransEntry(3 ,'p' ,4));
   s54.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s54.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s54);

   Scanner s55(GROUP);
   s55.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(2 ,START));
   s55.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(5 ,FINAL));
   s55.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s55.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s55.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s55.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s55.addTransition(ScannerTransEntry(4 ,'p' ,5));
   _scannerList.Insert(s55);

   Scanner s56(HAVING);
   s56.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(2 ,START));
   s56.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(6 ,FINAL));
   s56.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s56.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s56.addTransition(ScannerTransEntry(2 ,'h' ,0));
   s56.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s56.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s56.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s56);

   Scanner s57(IDENTIFIED);
   s57.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(2 ,START));
   s57.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(10 ,FINAL));
   s57.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s57.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s57.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s57.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s57.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s57.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s57.addTransition(ScannerTransEntry(6 ,'f' ,7));
   s57.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s57.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s57.addTransition(ScannerTransEntry(9 ,'d' ,10));
   _scannerList.Insert(s57);

   Scanner s58(IF);
   s58.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(1 ,FINAL));
   s58.addState(ScannerStateEntry(2 ,START));
   s58.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s58.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s58);

   Scanner s59(INTOK);
   s59.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(1 ,FINAL));
   s59.addState(ScannerStateEntry(2 ,START));
   s59.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s59.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s59);

   Scanner s60(INDEX);
   s60.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(2 ,START));
   s60.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(5 ,FINAL));
   s60.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s60.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s60.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s60.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s60.addTransition(ScannerTransEntry(4 ,'x' ,5));
   _scannerList.Insert(s60);

   Scanner s61(INNER);
   s61.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(2 ,START));
   s61.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(5 ,FINAL));
   s61.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s61.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s61.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s61.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s61.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s61);

   Scanner s62(INT);
   s62.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(2 ,START));
   s62.addState(ScannerStateEntry(3 ,FINAL));
   s62.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s62.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s62.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s62);

   Scanner s63(INTO);
   s63.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(2 ,START));
   s63.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(4 ,FINAL));
   s63.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s63.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s63.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s63.addTransition(ScannerTransEntry(3 ,'o' ,4));
   _scannerList.Insert(s63);

   Scanner s64(INT2DATE);
   s64.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(2 ,START));
   s64.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(8 ,FINAL));
   s64.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s64.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s64.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s64.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s64.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s64.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s64.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s64.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s64);

   Scanner s65(INSERT);
   s65.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(2 ,START));
   s65.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(6 ,FINAL));
   s65.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s65.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s65.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s65.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s65.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s65.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s65);

   Scanner s66(IS);
   s66.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(1 ,FINAL));
   s66.addState(ScannerStateEntry(2 ,START));
   s66.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s66.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s66);

   Scanner s67(ISOLATION);
   s67.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(2 ,START));
   s67.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(9 ,FINAL));
   s67.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s67.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s67.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s67.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s67.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s67.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s67.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s67.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s67.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s67);

   Scanner s68(JDBC);
   s68.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(2 ,START));
   s68.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(4 ,FINAL));
   s68.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s68.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s68.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s68.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s68);

   Scanner s69(JOIN);
   s69.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(2 ,START));
   s69.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(4 ,FINAL));
   s69.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s69.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s69.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s69.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s69);

   Scanner s70(KEY);
   s70.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(2 ,START));
   s70.addState(ScannerStateEntry(3 ,FINAL));
   s70.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s70.addTransition(ScannerTransEntry(1 ,'y' ,3));
   s70.addTransition(ScannerTransEntry(2 ,'k' ,0));
   _scannerList.Insert(s70);

   Scanner s71(LEFT);
   s71.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(2 ,START));
   s71.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(4 ,FINAL));
   s71.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s71.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s71.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s71.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s71);

   Scanner s72(LENGTH);
   s72.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(2 ,START));
   s72.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(6 ,FINAL));
   s72.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s72.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s72.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s72.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s72.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s72.addTransition(ScannerTransEntry(5 ,'h' ,6));
   _scannerList.Insert(s72);

   Scanner s73(LIKE);
   s73.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(2 ,START));
   s73.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(4 ,FINAL));
   s73.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s73.addTransition(ScannerTransEntry(1 ,'k' ,3));
   s73.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s73.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s73);

   Scanner s74(LIST);
   s74.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(2 ,START));
   s74.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(4 ,FINAL));
   s74.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s74.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s74.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s74.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s74);

   Scanner s75(LOAD);
   s75.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(2 ,START));
   s75.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(4 ,FINAL));
   s75.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s75.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s75.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s75.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s75);

   Scanner s76(LOCKS);
   s76.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(2 ,START));
   s76.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(5 ,FINAL));
   s76.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s76.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s76.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s76.addTransition(ScannerTransEntry(3 ,'k' ,4));
   s76.addTransition(ScannerTransEntry(4 ,'s' ,5));
   _scannerList.Insert(s76);

   Scanner s77(LONG);
   s77.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(2 ,START));
   s77.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(4 ,FINAL));
   s77.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s77.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s77.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s77.addTransition(ScannerTransEntry(3 ,'g' ,4));
   _scannerList.Insert(s77);

   Scanner s78(LOWER);
   s78.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(2 ,START));
   s78.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(5 ,FINAL));
   s78.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s78.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s78.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s78.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s78.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s78);

   Scanner s79(LTRIM);
   s79.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(2 ,START));
   s79.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(5 ,FINAL));
   s79.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s79.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s79.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s79.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s79.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s79);

   Scanner s80(MIN);
   s80.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(2 ,START));
   s80.addState(ScannerStateEntry(3 ,FINAL));
   s80.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s80.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s80.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s80);

   Scanner s81(MAX);
   s81.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(2 ,START));
   s81.addState(ScannerStateEntry(3 ,FINAL));
   s81.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s81.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s81.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s81);

   Scanner s82(MOD);
   s82.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(2 ,START));
   s82.addState(ScannerStateEntry(3 ,FINAL));
   s82.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s82.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s82.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s82);

   Scanner s83(MODIFY);
   s83.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(2 ,START));
   s83.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(6 ,FINAL));
   s83.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s83.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s83.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s83.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s83.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s83.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s83);

   Scanner s84(NEXTCOUNT);
   s84.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(2 ,START));
   s84.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(9 ,FINAL));
   s84.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s84.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s84.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s84.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s84.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s84.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s84.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s84.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s84.addTransition(ScannerTransEntry(8 ,'t' ,9));
   _scannerList.Insert(s84);

   Scanner s85(NOOP);
   s85.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(2 ,START));
   s85.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(4 ,FINAL));
   s85.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s85.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s85.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s85.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s85);

   Scanner s86(NOT);
   s86.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(2 ,START));
   s86.addState(ScannerStateEntry(3 ,FINAL));
   s86.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s86.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s86.addTransition(ScannerTransEntry(2 ,'n' ,0));
   _scannerList.Insert(s86);

   Scanner s87(NULLTOKEN);
   s87.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(2 ,START));
   s87.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(4 ,FINAL));
   s87.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s87.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s87.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s87.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s87);

   Scanner s88(OFF);
   s88.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(2 ,START));
   s88.addState(ScannerStateEntry(3 ,FINAL));
   s88.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s88.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s88.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s88);

   Scanner s89(ON);
   s89.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(1 ,FINAL));
   s89.addState(ScannerStateEntry(2 ,START));
   s89.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s89.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s89);

   Scanner s90(OUTTOK);
   s90.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(2 ,START));
   s90.addState(ScannerStateEntry(3 ,FINAL));
   s90.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s90.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s90.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s90);

   Scanner s91(OUTER);
   s91.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(2 ,START));
   s91.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(5 ,FINAL));
   s91.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s91.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s91.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s91.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s91.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s91);

   Scanner s92(OR);
   s92.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(1 ,FINAL));
   s92.addState(ScannerStateEntry(2 ,START));
   s92.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s92.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s92);

   Scanner s93(ORDER);
   s93.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(2 ,START));
   s93.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(5 ,FINAL));
   s93.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s93.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s93.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s93.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s93.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s93);

   Scanner s94(PLAN);
   s94.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(2 ,START));
   s94.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(4 ,FINAL));
   s94.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s94.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s94.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s94.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s94);

   Scanner s95(POOL);
   s95.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(2 ,START));
   s95.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(4 ,FINAL));
   s95.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s95.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s95.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s95.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s95);

   Scanner s96(POWER);
   s96.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(2 ,START));
   s96.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(5 ,FINAL));
   s96.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s96.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s96.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s96.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s96.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s96);

   Scanner s97(PRIMARY);
   s97.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(2 ,START));
   s97.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(7 ,FINAL));
   s97.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s97.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s97.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s97.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s97.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s97.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s97.addTransition(ScannerTransEntry(6 ,'y' ,7));
   _scannerList.Insert(s97);

   Scanner s98(PRINT);
   s98.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(2 ,START));
   s98.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(5 ,FINAL));
   s98.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s98.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s98.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s98.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s98.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s98);

   Scanner s99(PROCEDURE);
   s99.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(2 ,START));
   s99.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(9 ,FINAL));
   s99.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s99.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s99.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s99.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s99.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s99.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s99.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s99.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s99.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s99);

   Scanner s100(QUERYCACHE);
   s100.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(2 ,START));
   s100.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(10 ,FINAL));
   s100.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s100.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s100.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s100.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s100.addTransition(ScannerTransEntry(4 ,'y' ,5));
   s100.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s100.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s100.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s100.addTransition(ScannerTransEntry(8 ,'h' ,9));
   s100.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s100);

   Scanner s101(QUIT);
   s101.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(2 ,START));
   s101.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(4 ,FINAL));
   s101.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s101.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s101.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s101.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s101);

   Scanner s102(RANDSTR);
   s102.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(2 ,START));
   s102.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(7 ,FINAL));
   s102.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s102.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s102.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s102.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s102.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s102.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s102.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s102);

   Scanner s103(RANDINT);
   s103.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(2 ,START));
   s103.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(7 ,FINAL));
   s103.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s103.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s103.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s103.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s103.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s103.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s103.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s103);

   Scanner s104(RBSEG);
   s104.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(2 ,START));
   s104.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(5 ,FINAL));
   s104.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s104.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s104.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s104.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s104.addTransition(ScannerTransEntry(4 ,'g' ,5));
   _scannerList.Insert(s104);

   Scanner s105(REFERENCES);
   s105.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(2 ,START));
   s105.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(10 ,FINAL));
   s105.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s105.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s105.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s105.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s105.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s105.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s105.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s105.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s105.addTransition(ScannerTransEntry(9 ,'s' ,10));
   _scannerList.Insert(s105);

   Scanner s106(RENAME);
   s106.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(2 ,START));
   s106.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(6 ,FINAL));
   s106.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s106.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s106.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s106.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s106.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s106);

   Scanner s107(REORGANIZE);
   s107.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(2 ,START));
   s107.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(10 ,FINAL));
   s107.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s107.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s107.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s107.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s107.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s107.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s107.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s107.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s107.addTransition(ScannerTransEntry(8 ,'z' ,9));
   s107.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s107);

   Scanner s108(RETURNTOKEN);
   s108.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(2 ,START));
   s108.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(6 ,FINAL));
   s108.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s108.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s108.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s108.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s108.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s108.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s108);

   Scanner s109(REMOVE);
   s109.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(2 ,START));
   s109.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(6 ,FINAL));
   s109.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s109.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s109.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s109.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s109.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s109.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s109);

   Scanner s110(REPLACE);
   s110.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(2 ,START));
   s110.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(7 ,FINAL));
   s110.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s110.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s110.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s110.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s110.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s110.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s110.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s110);

   Scanner s111(RIGHT);
   s111.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(2 ,START));
   s111.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(5 ,FINAL));
   s111.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s111.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s111.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s111.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s111.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s111);

   Scanner s112(ROLLBACK);
   s112.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(2 ,START));
   s112.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(8 ,FINAL));
   s112.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s112.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s112.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s112.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s112.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s112.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s112.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s112.addTransition(ScannerTransEntry(7 ,'k' ,8));
   _scannerList.Insert(s112);

   Scanner s113(ROUND);
   s113.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(2 ,START));
   s113.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(5 ,FINAL));
   s113.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s113.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s113.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s113.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s113.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s113);

   Scanner s114(ROWLIMIT);
   s114.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(2 ,START));
   s114.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(8 ,FINAL));
   s114.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s114.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s114.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s114.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s114.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s114.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s114.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s114.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s114);

   Scanner s115(RTRIM);
   s115.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(2 ,START));
   s115.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(5 ,FINAL));
   s115.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s115.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s115.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s115.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s115.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s115);

   Scanner s116(SELECT);
   s116.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(2 ,START));
   s116.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(6 ,FINAL));
   s116.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s116.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s116.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s116.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s116.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s116.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s116);

   Scanner s117(SET);
   s117.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(2 ,START));
   s117.addState(ScannerStateEntry(3 ,FINAL));
   s117.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s117.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s117.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s117);

   Scanner s118(SHOW);
   s118.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(2 ,START));
   s118.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(4 ,FINAL));
   s118.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s118.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s118.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s118.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s118);

   Scanner s119(SMALLINT);
   s119.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(2 ,START));
   s119.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(8 ,FINAL));
   s119.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s119.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s119.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s119.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s119.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s119.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s119.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s119.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s119);

   Scanner s120(START_TOKEN);
   s120.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(2 ,START));
   s120.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(5 ,FINAL));
   s120.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s120.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s120.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s120.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s120.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s120);

   Scanner s121(STRING);
   s121.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(2 ,START));
   s121.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(6 ,FINAL));
   s121.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s121.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s121.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s121.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s121.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s121.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s121);

   Scanner s122(SUBSTR);
   s122.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(2 ,START));
   s122.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(6 ,FINAL));
   s122.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s122.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s122.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s122.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s122.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s122.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s122);

   Scanner s123(SUM);
   s123.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(2 ,START));
   s123.addState(ScannerStateEntry(3 ,FINAL));
   s123.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s123.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s123.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s123);

   Scanner s124(SYNC);
   s124.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(2 ,START));
   s124.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(4 ,FINAL));
   s124.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s124.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s124.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s124.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s124);

   Scanner s125(SYSDATE);
   s125.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(2 ,START));
   s125.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(7 ,FINAL));
   s125.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s125.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s125.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s125.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s125.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s125.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s125.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s125);

   Scanner s126(SYSTEMSPACE);
   s126.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(2 ,START));
   s126.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(11 ,FINAL));
   s126.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s126.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s126.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s126.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s126.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s126.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s126.addTransition(ScannerTransEntry(6 ,'s' ,7));
   s126.addTransition(ScannerTransEntry(7 ,'p' ,8));
   s126.addTransition(ScannerTransEntry(8 ,'a' ,9));
   s126.addTransition(ScannerTransEntry(9 ,'c' ,10));
   s126.addTransition(ScannerTransEntry(10 ,'e' ,11));
   _scannerList.Insert(s126);

   Scanner s127(SYSOBJ);
   s127.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(2 ,START));
   s127.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(6 ,FINAL));
   s127.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s127.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s127.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s127.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s127.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s127.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s127);

   Scanner s128(TABLEINFO);
   s128.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(2 ,START));
   s128.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(9 ,FINAL));
   s128.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s128.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s128.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s128.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s128.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s128.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s128.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s128.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s128.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s128);

   Scanner s129(TABLE);
   s129.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(2 ,START));
   s129.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(5 ,FINAL));
   s129.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s129.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s129.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s129.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s129.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s129);

   Scanner s130(TABLESET);
   s130.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(2 ,START));
   s130.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(8 ,FINAL));
   s130.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s130.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s130.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s130.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s130.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s130.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s130.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s130.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s130);

   Scanner s131(THEN);
   s131.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(2 ,START));
   s131.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(4 ,FINAL));
   s131.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s131.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s131.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s131.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s131);

   Scanner s132(TINYINT);
   s132.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(2 ,START));
   s132.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(7 ,FINAL));
   s132.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s132.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s132.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s132.addTransition(ScannerTransEntry(3 ,'y' ,4));
   s132.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s132.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s132.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s132);

   Scanner s133(TMPOBJ);
   s133.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(2 ,START));
   s133.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(6 ,FINAL));
   s133.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s133.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s133.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s133.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s133.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s133.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s133);

   Scanner s134(TRANSACTION);
   s134.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(2 ,START));
   s134.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(11 ,FINAL));
   s134.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s134.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s134.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s134.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s134.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s134.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s134.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s134.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s134.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s134.addTransition(ScannerTransEntry(9 ,'o' ,10));
   s134.addTransition(ScannerTransEntry(10 ,'n' ,11));
   _scannerList.Insert(s134);

   Scanner s135(STR2INT);
   s135.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(2 ,START));
   s135.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(7 ,FINAL));
   s135.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s135.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s135.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s135.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s135.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s135.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s135.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s135);

   Scanner s136(STR2LONG);
   s136.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(2 ,START));
   s136.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(8 ,FINAL));
   s136.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s136.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s136.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s136.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s136.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s136.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s136.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s136.addTransition(ScannerTransEntry(7 ,'g' ,8));
   _scannerList.Insert(s136);

   Scanner s137(TO);
   s137.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(1 ,FINAL));
   s137.addState(ScannerStateEntry(2 ,START));
   s137.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s137.addTransition(ScannerTransEntry(2 ,'t' ,0));
   _scannerList.Insert(s137);

   Scanner s138(TRIM);
   s138.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(2 ,START));
   s138.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(4 ,FINAL));
   s138.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s138.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s138.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s138.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s138);

   Scanner s139(TRUEVAL);
   s139.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(2 ,START));
   s139.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(4 ,FINAL));
   s139.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s139.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s139.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s139.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s139);

   Scanner s140(TRUNC);
   s140.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(2 ,START));
   s140.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(5 ,FINAL));
   s140.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s140.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s140.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s140.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s140.addTransition(ScannerTransEntry(4 ,'c' ,5));
   _scannerList.Insert(s140);

   Scanner s141(UNION);
   s141.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(2 ,START));
   s141.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(5 ,FINAL));
   s141.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s141.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s141.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s141.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s141.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s141);

   Scanner s142(UNIQUE);
   s142.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(2 ,START));
   s142.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(6 ,FINAL));
   s142.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s142.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s142.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s142.addTransition(ScannerTransEntry(3 ,'q' ,4));
   s142.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s142.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s142);

   Scanner s143(UPDATE);
   s143.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(2 ,START));
   s143.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(6 ,FINAL));
   s143.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s143.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s143.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s143.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s143.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s143.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s143);

   Scanner s144(UPPER);
   s144.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(2 ,START));
   s144.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(5 ,FINAL));
   s144.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s144.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s144.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s144.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s144.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s144);

   Scanner s145(VAR);
   s145.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(2 ,START));
   s145.addState(ScannerStateEntry(3 ,FINAL));
   s145.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s145.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s145.addTransition(ScannerTransEntry(2 ,'v' ,0));
   _scannerList.Insert(s145);

   Scanner s146(VALUES);
   s146.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(2 ,START));
   s146.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(6 ,FINAL));
   s146.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s146.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s146.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s146.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s146.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s146.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s146);

   Scanner s147(VIEW);
   s147.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(2 ,START));
   s147.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(4 ,FINAL));
   s147.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s147.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s147.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s147.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s147);

   Scanner s148(WHEN);
   s148.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(2 ,START));
   s148.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(4 ,FINAL));
   s148.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s148.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s148.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s148.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s148);

   Scanner s149(WHERE);
   s149.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(2 ,START));
   s149.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(5 ,FINAL));
   s149.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s149.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s149.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s149.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s149.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s149);

   Scanner s150(WHILE);
   s150.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(2 ,START));
   s150.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(5 ,FINAL));
   s150.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s150.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s150.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s150.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s150.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s150);

   Scanner s151(CONCAT);
   s151.addState(ScannerStateEntry(0 ,START));
   s151.addState(ScannerStateEntry(1 ,FINAL));
   s151.addTransition(ScannerTransEntry(0 ,'|' ,1));
   _scannerList.Insert(s151);

   Scanner s152(EQU);
   s152.addState(ScannerStateEntry(0 ,START));
   s152.addState(ScannerStateEntry(1 ,FINAL));
   s152.addTransition(ScannerTransEntry(0 ,'=' ,1));
   _scannerList.Insert(s152);

   Scanner s153(KSEP);
   s153.addState(ScannerStateEntry(0 ,START));
   s153.addState(ScannerStateEntry(1 ,FINAL));
   s153.addTransition(ScannerTransEntry(0 ,',' ,1));
   _scannerList.Insert(s153);

   Scanner s154(LB);
   s154.addState(ScannerStateEntry(0 ,START));
   s154.addState(ScannerStateEntry(1 ,FINAL));
   s154.addTransition(ScannerTransEntry(0 ,'(' ,1));
   _scannerList.Insert(s154);

   Scanner s155(LT);
   s155.addState(ScannerStateEntry(0 ,START));
   s155.addState(ScannerStateEntry(1 ,FINAL));
   s155.addTransition(ScannerTransEntry(0 ,'<' ,1));
   _scannerList.Insert(s155);

   Scanner s156(MT);
   s156.addState(ScannerStateEntry(0 ,START));
   s156.addState(ScannerStateEntry(1 ,FINAL));
   s156.addTransition(ScannerTransEntry(0 ,'>' ,1));
   _scannerList.Insert(s156);

   Scanner s157(NEGATION);
   s157.addState(ScannerStateEntry(0 ,START));
   s157.addState(ScannerStateEntry(1 ,FINAL));
   s157.addTransition(ScannerTransEntry(0 ,'!' ,1));
   _scannerList.Insert(s157);

   Scanner s158(RB);
   s158.addState(ScannerStateEntry(0 ,START));
   s158.addState(ScannerStateEntry(1 ,FINAL));
   s158.addTransition(ScannerTransEntry(0 ,')' ,1));
   _scannerList.Insert(s158);

   Scanner s159(LAB);
   s159.addState(ScannerStateEntry(0 ,START));
   s159.addState(ScannerStateEntry(1 ,FINAL));
   s159.addTransition(ScannerTransEntry(0 ,'[' ,1));
   _scannerList.Insert(s159);

   Scanner s160(RAB);
   s160.addState(ScannerStateEntry(0 ,START));
   s160.addState(ScannerStateEntry(1 ,FINAL));
   s160.addTransition(ScannerTransEntry(0 ,']' ,1));
   _scannerList.Insert(s160);

   Scanner s161(SEMICOLON);
   s161.addState(ScannerStateEntry(0 ,START));
   s161.addState(ScannerStateEntry(1 ,FINAL));
   s161.addTransition(ScannerTransEntry(0 ,';' ,1));
   _scannerList.Insert(s161);

   Scanner s162(STAR);
   s162.addState(ScannerStateEntry(0 ,START));
   s162.addState(ScannerStateEntry(1 ,FINAL));
   s162.addTransition(ScannerTransEntry(0 ,'*' ,1));
   _scannerList.Insert(s162);

   Scanner s163(DIVISION);
   s163.addState(ScannerStateEntry(0 ,START));
   s163.addState(ScannerStateEntry(1 ,FINAL));
   s163.addTransition(ScannerTransEntry(0 ,'/' ,1));
   _scannerList.Insert(s163);

   Scanner s164(MINUS);
   s164.addState(ScannerStateEntry(0 ,START));
   s164.addState(ScannerStateEntry(1 ,FINAL));
   s164.addTransition(ScannerTransEntry(0 ,'-' ,1));
   _scannerList.Insert(s164);

   Scanner s165(PLUS);
   s165.addState(ScannerStateEntry(0 ,START));
   s165.addState(ScannerStateEntry(1 ,FINAL));
   s165.addTransition(ScannerTransEntry(0 ,'+' ,1));
   _scannerList.Insert(s165);

   Scanner s166(INTVAL);
   s166.addState(ScannerStateEntry(0 ,START));
   s166.addState(ScannerStateEntry(1 ,FINAL));
   s166.addState(ScannerStateEntry(2 ,FINAL));
   s166.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s166.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'9' ,1));
   _scannerList.Insert(s166);

   Scanner s167(FLOATVAL);
   s167.addState(ScannerStateEntry(0 ,START));
   s167.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(3 ,FINAL));
   s167.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s167.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'.' ,3));
   s167.addTransition(ScannerTransEntry(2 ,'.' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'9' ,3));
   _scannerList.Insert(s167);

   Scanner s168(IDENTIFIER);
   s168.addState(ScannerStateEntry(0 ,START));
   s168.addState(ScannerStateEntry(1 ,FINAL));
   s168.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'z' ,1));
   _scannerList.Insert(s168);

   Scanner s169(VARREF);
   s169.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(1 ,FINAL));
   s169.addState(ScannerStateEntry(2 ,START));
   s169.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s169.addTransition(ScannerTransEntry(2 ,':' ,0));
   _scannerList.Insert(s169);

   Scanner s170(QUALIFIEDOBJ);
   s170.addState(ScannerStateEntry(0 ,START));
   s170.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(3 ,FINAL));
   s170.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'.' ,2));
   s170.addTransition(ScannerTransEntry(2 ,'$' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s170);

   Scanner s171(QUALIFIEDPRE);
   s171.addState(ScannerStateEntry(0 ,START));
   s171.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(2 ,FINAL));
   s171.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'.' ,2));
   _scannerList.Insert(s171);

   Scanner s172(QUALIFIEDTS);
   s172.addState(ScannerStateEntry(0 ,START));
   s172.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(3 ,FINAL));
   s172.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'@' ,2));
   s172.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s172);

   Scanner s173(COUNTERID);
   s173.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(1 ,FINAL));
   s173.addState(ScannerStateEntry(2 ,START));
   s173.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s173.addTransition(ScannerTransEntry(2 ,'#' ,0));
   _scannerList.Insert(s173);

}
void Cego::loadParser0()
{
   _actionMap[810][SEMICOLON] = ActionEntry(REDUCE, 64);
   _actionMap[809][RB] = ActionEntry(SHIFT, 810);
   _actionMap[808][IDENTIFIER] = ActionEntry(SHIFT, 693);
   _jumpMap[808][SimpleAttr] = 692;
   _jumpMap[808][SimpleAttrList] = 809;
   _actionMap[805][LB] = ActionEntry(SHIFT, 808);
   _actionMap[806][ROWLIMIT] = ActionEntry(REDUCE, 230);
   _actionMap[806][UNION] = ActionEntry(REDUCE, 230);
   _actionMap[806][ENDTOKEN] = ActionEntry(REDUCE, 230);
   _actionMap[806][RB] = ActionEntry(REDUCE, 230);
   _actionMap[806][SEMICOLON] = ActionEntry(REDUCE, 230);
   _actionMap[806][KSEP] = ActionEntry(REDUCE, 230);
   _actionMap[807][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[807][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[807][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[807][ORDER] = ActionEntry(REDUCE, 224);
   _actionMap[807][ROWLIMIT] = ActionEntry(REDUCE, 224);
   _actionMap[807][UNION] = ActionEntry(REDUCE, 224);
   _actionMap[807][ENDTOKEN] = ActionEntry(REDUCE, 224);
   _actionMap[807][RB] = ActionEntry(REDUCE, 224);
   _actionMap[807][SEMICOLON] = ActionEntry(REDUCE, 224);
   _actionMap[801][IDENTIFIER] = ActionEntry(SHIFT, 805);
   _actionMap[802][SEMICOLON] = ActionEntry(REDUCE, 75);
   _actionMap[802][RB] = ActionEntry(REDUCE, 75);
   _actionMap[803][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[803][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[803][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[803][ASC] = ActionEntry(SHIFT, 794);
   _actionMap[803][ROWLIMIT] = ActionEntry(REDUCE, 235);
   _actionMap[803][DESC] = ActionEntry(SHIFT, 795);
   _actionMap[803][UNION] = ActionEntry(REDUCE, 235);
   _actionMap[803][ENDTOKEN] = ActionEntry(REDUCE, 235);
   _actionMap[803][RB] = ActionEntry(REDUCE, 235);
   _actionMap[803][SEMICOLON] = ActionEntry(REDUCE, 235);
   _actionMap[803][KSEP] = ActionEntry(REDUCE, 235);
   _jumpMap[803][DefaultOrderOpt] = 793;
   _jumpMap[803][OrderingOpt] = 806;
   _actionMap[804][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[804][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[804][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[804][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[804][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[804][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[804][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[804][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[804][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[804][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[804][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[804][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[804][LEFT] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser1()
{
   _actionMap[804][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[804][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[804][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[804][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[804][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[804][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[804][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[804][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[804][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[804][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[804][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[804][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[804][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[804][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[804][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[804][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[804][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[804][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[804][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[804][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[804][LB] = ActionEntry(SHIFT, 137);
   _actionMap[804][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[804][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[804][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[804][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[804][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[804][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[804][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[804][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[804][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[804][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[804][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[804][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[804][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[804][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[804][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[804][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[804][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[804][ObjSpec] = 96;
   _jumpMap[804][Constant] = 95;
   _jumpMap[804][SignedFloat] = 94;
   _jumpMap[804][SignedInt] = 93;
   _jumpMap[804][Attribute] = 92;
   _jumpMap[804][Function] = 91;
   _jumpMap[804][CasePrepare] = 90;
   _jumpMap[804][CaseClause] = 89;
   _jumpMap[804][Factor] = 88;
   _jumpMap[804][Term] = 87;
   _jumpMap[804][Expr] = 807;
   _actionMap[789][REFERENCES] = ActionEntry(SHIFT, 801);
}
void Cego::loadParser2()
{
   _actionMap[790][ELSE] = ActionEntry(REDUCE, 111);
   _actionMap[790][ELSIF] = ActionEntry(REDUCE, 111);
   _actionMap[790][EXCEPTION] = ActionEntry(REDUCE, 111);
   _actionMap[790][END_TOKEN] = ActionEntry(REDUCE, 111);
   _actionMap[790][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[790][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[790][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[790][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[790][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[790][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[790][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[790][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[790][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[790][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[790][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[790][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[790][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[790][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[790][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[790][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[790][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[790][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[790][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[790][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[790][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[790][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[790][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[790][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[790][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[790][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[790][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[790][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[790][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[790][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[790][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[790][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[790][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[790][LB] = ActionEntry(SHIFT, 137);
   _actionMap[790][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[790][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[790][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[790][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[790][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[790][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[790][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[790][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[790][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[790][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[790][VARREF] = ActionEntry(SHIFT, 331);
   _actionMap[790][FETCH] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser3()
{
   _actionMap[790][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[790][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[790][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[790][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[790][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[790][IF] = ActionEntry(SHIFT, 326);
   _actionMap[790][BEGIN] = ActionEntry(SHIFT, 323);
   _actionMap[790][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[790][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[790][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[790][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[790][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[790][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[790][VAR] = ActionEntry(SHIFT, 329);
   _actionMap[790][CURSOR] = ActionEntry(SHIFT, 325);
   _actionMap[790][CLOSE] = ActionEntry(SHIFT, 324);
   _actionMap[790][NOOP] = ActionEntry(SHIFT, 327);
   _actionMap[790][RETURNTOKEN] = ActionEntry(SHIFT, 328);
   _actionMap[790][WHILE] = ActionEntry(SHIFT, 330);
   _jumpMap[790][ObjSpec] = 96;
   _jumpMap[790][Constant] = 95;
   _jumpMap[790][SignedFloat] = 94;
   _jumpMap[790][SignedInt] = 93;
   _jumpMap[790][Attribute] = 92;
   _jumpMap[790][Function] = 91;
   _jumpMap[790][DeleteStatement] = 322;
   _jumpMap[790][UpdateStatement] = 321;
   _jumpMap[790][InsertStatement] = 320;
   _jumpMap[790][RollbackStatement] = 319;
   _jumpMap[790][CommitStatement] = 318;
   _jumpMap[790][StartStatement] = 317;
   _jumpMap[790][CasePrepare] = 90;
   _jumpMap[790][CaseClause] = 89;
   _jumpMap[790][Factor] = 88;
   _jumpMap[790][Term] = 87;
   _jumpMap[790][Expr] = 316;
   _jumpMap[790][ProcStatement] = 442;
   _jumpMap[790][ProcIfPart] = 314;
   _jumpMap[790][ProcBlockStart] = 313;
   _actionMap[791][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[791][SelectStatement] = 802;
   _actionMap[792][ROWLIMIT] = ActionEntry(REDUCE, 231);
   _actionMap[792][UNION] = ActionEntry(REDUCE, 231);
   _actionMap[792][ENDTOKEN] = ActionEntry(REDUCE, 231);
   _actionMap[792][RB] = ActionEntry(REDUCE, 231);
   _actionMap[792][SEMICOLON] = ActionEntry(REDUCE, 231);
   _actionMap[792][KSEP] = ActionEntry(REDUCE, 231);
   _actionMap[793][ROWLIMIT] = ActionEntry(REDUCE, 232);
   _actionMap[793][UNION] = ActionEntry(REDUCE, 232);
   _actionMap[793][ENDTOKEN] = ActionEntry(REDUCE, 232);
}
void Cego::loadParser4()
{
   _actionMap[793][RB] = ActionEntry(REDUCE, 232);
   _actionMap[793][SEMICOLON] = ActionEntry(REDUCE, 232);
   _actionMap[793][KSEP] = ActionEntry(REDUCE, 232);
   _actionMap[794][ROWLIMIT] = ActionEntry(REDUCE, 234);
   _actionMap[794][UNION] = ActionEntry(REDUCE, 234);
   _actionMap[794][ENDTOKEN] = ActionEntry(REDUCE, 234);
   _actionMap[794][RB] = ActionEntry(REDUCE, 234);
   _actionMap[794][SEMICOLON] = ActionEntry(REDUCE, 234);
   _actionMap[794][KSEP] = ActionEntry(REDUCE, 234);
   _actionMap[795][ROWLIMIT] = ActionEntry(REDUCE, 233);
   _actionMap[795][UNION] = ActionEntry(REDUCE, 233);
   _actionMap[795][ENDTOKEN] = ActionEntry(REDUCE, 233);
   _actionMap[795][RB] = ActionEntry(REDUCE, 233);
   _actionMap[795][SEMICOLON] = ActionEntry(REDUCE, 233);
   _actionMap[795][KSEP] = ActionEntry(REDUCE, 233);
   _actionMap[796][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[796][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[796][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[796][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[796][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[796][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[796][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[796][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[796][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[796][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[796][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[796][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[796][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[796][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[796][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[796][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[796][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[796][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[796][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[796][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[796][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[796][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[796][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[796][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[796][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[796][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[796][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[796][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[796][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[796][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[796][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[796][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[796][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[796][LB] = ActionEntry(SHIFT, 137);
   _actionMap[796][STRINGVAL] = ActionEntry(SHIFT, 97);
}
void Cego::loadParser5()
{
   _actionMap[796][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[796][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[796][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[796][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[796][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[796][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[796][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[796][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[796][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[796][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[796][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[796][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[796][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[796][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[796][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[796][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[796][ObjSpec] = 96;
   _jumpMap[796][Constant] = 95;
   _jumpMap[796][SignedFloat] = 94;
   _jumpMap[796][SignedInt] = 93;
   _jumpMap[796][Attribute] = 92;
   _jumpMap[796][Function] = 91;
   _jumpMap[796][CasePrepare] = 90;
   _jumpMap[796][CaseClause] = 89;
   _jumpMap[796][Factor] = 88;
   _jumpMap[796][Term] = 87;
   _jumpMap[796][Expr] = 803;
   _actionMap[797][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[797][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[797][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[797][EQU] = ActionEntry(SHIFT, 487);
   _actionMap[797][NEGATION] = ActionEntry(SHIFT, 490);
   _actionMap[797][LT] = ActionEntry(SHIFT, 488);
   _actionMap[797][MT] = ActionEntry(SHIFT, 489);
   _jumpMap[797][Comparison] = 804;
   _actionMap[798][KSEP] = ActionEntry(REDUCE, 222);
   _actionMap[798][HAVING] = ActionEntry(REDUCE, 222);
   _actionMap[798][ORDER] = ActionEntry(REDUCE, 222);
   _actionMap[798][ROWLIMIT] = ActionEntry(REDUCE, 222);
   _actionMap[798][UNION] = ActionEntry(REDUCE, 222);
   _actionMap[798][ENDTOKEN] = ActionEntry(REDUCE, 222);
   _actionMap[798][RB] = ActionEntry(REDUCE, 222);
   _actionMap[798][SEMICOLON] = ActionEntry(REDUCE, 222);
   _actionMap[799][AND] = ActionEntry(SHIFT, 491);
   _actionMap[799][OR] = ActionEntry(SHIFT, 492);
   _actionMap[799][LEFT] = ActionEntry(REDUCE, 207);
   _actionMap[799][RIGHT] = ActionEntry(REDUCE, 207);
   _actionMap[799][INNER] = ActionEntry(REDUCE, 207);
   _actionMap[799][JOIN] = ActionEntry(REDUCE, 207);
   _actionMap[799][RETURNTOKEN] = ActionEntry(REDUCE, 207);
}
void Cego::loadParser6()
{
   _actionMap[799][SEMICOLON] = ActionEntry(REDUCE, 207);
   _actionMap[799][RB] = ActionEntry(REDUCE, 207);
   _actionMap[799][ENDTOKEN] = ActionEntry(REDUCE, 207);
   _actionMap[799][UNION] = ActionEntry(REDUCE, 207);
   _actionMap[799][ROWLIMIT] = ActionEntry(REDUCE, 207);
   _actionMap[799][ORDER] = ActionEntry(REDUCE, 207);
   _actionMap[799][GROUP] = ActionEntry(REDUCE, 207);
   _actionMap[799][WHERE] = ActionEntry(REDUCE, 207);
   _actionMap[800][AND] = ActionEntry(SHIFT, 491);
   _actionMap[800][OR] = ActionEntry(SHIFT, 492);
   _actionMap[800][LEFT] = ActionEntry(REDUCE, 208);
   _actionMap[800][RIGHT] = ActionEntry(REDUCE, 208);
   _actionMap[800][INNER] = ActionEntry(REDUCE, 208);
   _actionMap[800][JOIN] = ActionEntry(REDUCE, 208);
   _actionMap[800][RETURNTOKEN] = ActionEntry(REDUCE, 208);
   _actionMap[800][SEMICOLON] = ActionEntry(REDUCE, 208);
   _actionMap[800][RB] = ActionEntry(REDUCE, 208);
   _actionMap[800][ENDTOKEN] = ActionEntry(REDUCE, 208);
   _actionMap[800][UNION] = ActionEntry(REDUCE, 208);
   _actionMap[800][ROWLIMIT] = ActionEntry(REDUCE, 208);
   _actionMap[800][ORDER] = ActionEntry(REDUCE, 208);
   _actionMap[800][GROUP] = ActionEntry(REDUCE, 208);
   _actionMap[800][WHERE] = ActionEntry(REDUCE, 208);
   _actionMap[766][RB] = ActionEntry(SHIFT, 789);
   _actionMap[767][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[767][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[767][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[767][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[767][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[767][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[767][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[767][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[767][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[767][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[767][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[767][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[767][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[767][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[767][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[767][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[767][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[767][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[767][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[767][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[767][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[767][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[767][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[767][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[767][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[767][POWER] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser7()
{
   _actionMap[767][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[767][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[767][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[767][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[767][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[767][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[767][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[767][LB] = ActionEntry(SHIFT, 137);
   _actionMap[767][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[767][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[767][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[767][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[767][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[767][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[767][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[767][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[767][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[767][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[767][VARREF] = ActionEntry(SHIFT, 331);
   _actionMap[767][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[767][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[767][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[767][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[767][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[767][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[767][IF] = ActionEntry(SHIFT, 326);
   _actionMap[767][BEGIN] = ActionEntry(SHIFT, 323);
   _actionMap[767][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[767][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[767][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[767][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[767][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[767][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[767][VAR] = ActionEntry(SHIFT, 329);
   _actionMap[767][CURSOR] = ActionEntry(SHIFT, 325);
   _actionMap[767][CLOSE] = ActionEntry(SHIFT, 324);
   _actionMap[767][NOOP] = ActionEntry(SHIFT, 327);
   _actionMap[767][RETURNTOKEN] = ActionEntry(SHIFT, 328);
   _actionMap[767][WHILE] = ActionEntry(SHIFT, 330);
   _jumpMap[767][ObjSpec] = 96;
   _jumpMap[767][Constant] = 95;
   _jumpMap[767][SignedFloat] = 94;
   _jumpMap[767][SignedInt] = 93;
   _jumpMap[767][Attribute] = 92;
   _jumpMap[767][Function] = 91;
   _jumpMap[767][DeleteStatement] = 322;
   _jumpMap[767][UpdateStatement] = 321;
   _jumpMap[767][InsertStatement] = 320;
   _jumpMap[767][RollbackStatement] = 319;
   _jumpMap[767][CommitStatement] = 318;
}
void Cego::loadParser8()
{
   _jumpMap[767][StartStatement] = 317;
   _jumpMap[767][CasePrepare] = 90;
   _jumpMap[767][CaseClause] = 89;
   _jumpMap[767][Factor] = 88;
   _jumpMap[767][Term] = 87;
   _jumpMap[767][Expr] = 316;
   _jumpMap[767][ProcStatement] = 315;
   _jumpMap[767][ProcIfPart] = 314;
   _jumpMap[767][ProcBlockStart] = 313;
   _jumpMap[767][ProcStatementList] = 790;
   _actionMap[768][BEGIN] = ActionEntry(REDUCE, 319);
   _actionMap[768][DEFAULT] = ActionEntry(REDUCE, 319);
   _actionMap[768][NULLTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[768][NOT] = ActionEntry(REDUCE, 319);
   _actionMap[768][KSEP] = ActionEntry(REDUCE, 319);
   _actionMap[768][RB] = ActionEntry(REDUCE, 319);
   _actionMap[768][EQU] = ActionEntry(REDUCE, 319);
   _actionMap[768][SEMICOLON] = ActionEntry(REDUCE, 319);
   _actionMap[769][BEGIN] = ActionEntry(REDUCE, 324);
   _actionMap[769][DEFAULT] = ActionEntry(REDUCE, 324);
   _actionMap[769][NULLTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[769][NOT] = ActionEntry(REDUCE, 324);
   _actionMap[769][KSEP] = ActionEntry(REDUCE, 324);
   _actionMap[769][RB] = ActionEntry(REDUCE, 324);
   _actionMap[769][EQU] = ActionEntry(REDUCE, 324);
   _actionMap[769][SEMICOLON] = ActionEntry(REDUCE, 324);
   _actionMap[770][BEGIN] = ActionEntry(REDUCE, 325);
   _actionMap[770][DEFAULT] = ActionEntry(REDUCE, 325);
   _actionMap[770][NULLTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[770][NOT] = ActionEntry(REDUCE, 325);
   _actionMap[770][KSEP] = ActionEntry(REDUCE, 325);
   _actionMap[770][RB] = ActionEntry(REDUCE, 325);
   _actionMap[770][EQU] = ActionEntry(REDUCE, 325);
   _actionMap[770][SEMICOLON] = ActionEntry(REDUCE, 325);
   _actionMap[771][BEGIN] = ActionEntry(REDUCE, 316);
   _actionMap[771][DEFAULT] = ActionEntry(REDUCE, 316);
   _actionMap[771][NULLTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[771][NOT] = ActionEntry(REDUCE, 316);
   _actionMap[771][KSEP] = ActionEntry(REDUCE, 316);
   _actionMap[771][RB] = ActionEntry(REDUCE, 316);
   _actionMap[771][EQU] = ActionEntry(REDUCE, 316);
   _actionMap[771][SEMICOLON] = ActionEntry(REDUCE, 316);
   _actionMap[772][SEMICOLON] = ActionEntry(REDUCE, 55);
   _actionMap[773][RB] = ActionEntry(REDUCE, 176);
   _actionMap[774][SEMICOLON] = ActionEntry(REDUCE, 170);
   _actionMap[774][KSEP] = ActionEntry(REDUCE, 170);
   _actionMap[774][RB] = ActionEntry(REDUCE, 170);
   _actionMap[775][LEFT] = ActionEntry(REDUCE, 305);
   _actionMap[775][RIGHT] = ActionEntry(REDUCE, 305);
   _actionMap[775][INNER] = ActionEntry(REDUCE, 305);
}
void Cego::loadParser9()
{
   _actionMap[775][JOIN] = ActionEntry(REDUCE, 305);
   _actionMap[775][RETURNTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[775][SEMICOLON] = ActionEntry(REDUCE, 305);
   _actionMap[775][ENDTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[775][UNION] = ActionEntry(REDUCE, 305);
   _actionMap[775][ROWLIMIT] = ActionEntry(REDUCE, 305);
   _actionMap[775][ORDER] = ActionEntry(REDUCE, 305);
   _actionMap[775][GROUP] = ActionEntry(REDUCE, 305);
   _actionMap[775][WHERE] = ActionEntry(REDUCE, 305);
   _actionMap[775][THEN] = ActionEntry(REDUCE, 305);
   _actionMap[775][AND] = ActionEntry(REDUCE, 305);
   _actionMap[775][OR] = ActionEntry(REDUCE, 305);
   _actionMap[775][RB] = ActionEntry(REDUCE, 305);
   _actionMap[776][SEMICOLON] = ActionEntry(REDUCE, 196);
   _actionMap[776][RB] = ActionEntry(REDUCE, 196);
   _actionMap[777][ALL] = ActionEntry(SHIFT, 791);
   _actionMap[778][UNION] = ActionEntry(REDUCE, 238);
   _actionMap[778][ENDTOKEN] = ActionEntry(REDUCE, 238);
   _actionMap[778][RB] = ActionEntry(REDUCE, 238);
   _actionMap[778][SEMICOLON] = ActionEntry(REDUCE, 238);
   _actionMap[779][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[779][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[779][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[779][ASC] = ActionEntry(SHIFT, 794);
   _actionMap[779][ROWLIMIT] = ActionEntry(REDUCE, 235);
   _actionMap[779][DESC] = ActionEntry(SHIFT, 795);
   _actionMap[779][UNION] = ActionEntry(REDUCE, 235);
   _actionMap[779][ENDTOKEN] = ActionEntry(REDUCE, 235);
   _actionMap[779][RB] = ActionEntry(REDUCE, 235);
   _actionMap[779][SEMICOLON] = ActionEntry(REDUCE, 235);
   _actionMap[779][KSEP] = ActionEntry(REDUCE, 235);
   _jumpMap[779][DefaultOrderOpt] = 793;
   _jumpMap[779][OrderingOpt] = 792;
   _actionMap[780][KSEP] = ActionEntry(SHIFT, 796);
   _actionMap[780][ROWLIMIT] = ActionEntry(REDUCE, 227);
   _actionMap[780][UNION] = ActionEntry(REDUCE, 227);
   _actionMap[780][ENDTOKEN] = ActionEntry(REDUCE, 227);
   _actionMap[780][RB] = ActionEntry(REDUCE, 227);
   _actionMap[780][SEMICOLON] = ActionEntry(REDUCE, 227);
   _actionMap[781][ORDER] = ActionEntry(REDUCE, 219);
   _actionMap[781][ROWLIMIT] = ActionEntry(REDUCE, 219);
   _actionMap[781][UNION] = ActionEntry(REDUCE, 219);
   _actionMap[781][ENDTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[781][RB] = ActionEntry(REDUCE, 219);
   _actionMap[781][SEMICOLON] = ActionEntry(REDUCE, 219);
   _actionMap[782][ORDER] = ActionEntry(REDUCE, 225);
   _actionMap[782][ROWLIMIT] = ActionEntry(REDUCE, 225);
   _actionMap[782][UNION] = ActionEntry(REDUCE, 225);
   _actionMap[782][ENDTOKEN] = ActionEntry(REDUCE, 225);
   _actionMap[782][RB] = ActionEntry(REDUCE, 225);
}
void Cego::loadParser10()
{
   _actionMap[782][SEMICOLON] = ActionEntry(REDUCE, 225);
   _actionMap[783][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[783][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[783][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[783][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[783][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[783][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[783][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[783][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[783][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[783][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[783][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[783][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[783][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[783][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[783][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[783][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[783][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[783][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[783][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[783][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[783][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[783][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[783][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[783][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[783][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[783][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[783][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[783][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[783][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[783][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[783][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[783][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[783][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[783][LB] = ActionEntry(SHIFT, 137);
   _actionMap[783][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[783][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[783][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[783][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[783][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[783][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[783][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[783][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[783][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[783][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[783][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[783][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[783][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[783][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[783][AVG] = ActionEntry(SHIFT, 98);
}
void Cego::loadParser11()
{
   _actionMap[783][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[783][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[783][ObjSpec] = 96;
   _jumpMap[783][Constant] = 95;
   _jumpMap[783][SignedFloat] = 94;
   _jumpMap[783][SignedInt] = 93;
   _jumpMap[783][Attribute] = 92;
   _jumpMap[783][Function] = 91;
   _jumpMap[783][CasePrepare] = 90;
   _jumpMap[783][CaseClause] = 89;
   _jumpMap[783][Factor] = 88;
   _jumpMap[783][Term] = 87;
   _jumpMap[783][Expr] = 797;
   _actionMap[784][IDENTIFIER] = ActionEntry(SHIFT, 759);
   _actionMap[784][QUALIFIEDOBJ] = ActionEntry(SHIFT, 760);
   _actionMap[784][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _jumpMap[784][Attribute] = 798;
   _actionMap[785][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[785][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[785][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[785][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[785][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[785][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[785][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[785][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[785][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[785][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[785][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[785][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[785][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[785][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[785][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[785][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[785][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[785][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[785][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[785][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[785][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[785][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[785][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[785][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[785][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[785][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[785][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[785][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[785][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[785][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[785][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[785][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[785][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser12()
{
   _actionMap[785][LB] = ActionEntry(SHIFT, 360);
   _actionMap[785][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[785][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[785][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[785][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[785][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[785][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[785][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[785][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[785][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[785][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[785][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[785][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[785][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[785][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[785][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[785][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[785][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[785][EXISTS] = ActionEntry(SHIFT, 358);
   _actionMap[785][NOT] = ActionEntry(SHIFT, 359);
   _jumpMap[785][ObjSpec] = 96;
   _jumpMap[785][Constant] = 95;
   _jumpMap[785][SignedFloat] = 94;
   _jumpMap[785][SignedInt] = 93;
   _jumpMap[785][Attribute] = 92;
   _jumpMap[785][QueryPredicate] = 357;
   _jumpMap[785][QueryCondition] = 799;
   _jumpMap[785][Function] = 91;
   _jumpMap[785][CasePrepare] = 90;
   _jumpMap[785][CaseClause] = 89;
   _jumpMap[785][Factor] = 88;
   _jumpMap[785][Term] = 87;
   _jumpMap[785][Expr] = 355;
   _actionMap[786][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[786][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[786][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[786][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[786][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[786][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[786][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[786][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[786][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[786][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[786][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[786][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[786][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[786][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[786][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[786][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[786][REPLACE] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser13()
{
   _actionMap[786][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[786][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[786][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[786][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[786][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[786][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[786][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[786][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[786][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[786][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[786][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[786][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[786][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[786][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[786][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[786][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[786][LB] = ActionEntry(SHIFT, 360);
   _actionMap[786][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[786][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[786][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[786][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[786][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[786][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[786][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[786][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[786][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[786][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[786][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[786][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[786][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[786][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[786][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[786][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[786][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[786][EXISTS] = ActionEntry(SHIFT, 358);
   _actionMap[786][NOT] = ActionEntry(SHIFT, 359);
   _jumpMap[786][ObjSpec] = 96;
   _jumpMap[786][Constant] = 95;
   _jumpMap[786][SignedFloat] = 94;
   _jumpMap[786][SignedInt] = 93;
   _jumpMap[786][Attribute] = 92;
   _jumpMap[786][QueryPredicate] = 357;
   _jumpMap[786][QueryCondition] = 800;
   _jumpMap[786][Function] = 91;
   _jumpMap[786][CasePrepare] = 90;
   _jumpMap[786][CaseClause] = 89;
   _jumpMap[786][Factor] = 88;
   _jumpMap[786][Term] = 87;
   _jumpMap[786][Expr] = 355;
   _actionMap[787][SEMICOLON] = ActionEntry(REDUCE, 247);
}
void Cego::loadParser14()
{
   _actionMap[787][KSEP] = ActionEntry(REDUCE, 247);
   _actionMap[788][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[788][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[788][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[788][SEMICOLON] = ActionEntry(REDUCE, 249);
   _actionMap[788][KSEP] = ActionEntry(REDUCE, 249);
   _actionMap[726][AND] = ActionEntry(SHIFT, 491);
   _actionMap[726][OR] = ActionEntry(SHIFT, 492);
   _actionMap[726][SEMICOLON] = ActionEntry(REDUCE, 65);
   _actionMap[727][IDENTIFIER] = ActionEntry(SHIFT, 693);
   _jumpMap[727][SimpleAttr] = 692;
   _jumpMap[727][SimpleAttrList] = 766;
   _actionMap[728][SEMICOLON] = ActionEntry(REDUCE, 259);
   _actionMap[728][KSEP] = ActionEntry(REDUCE, 259);
   _actionMap[729][THEN] = ActionEntry(SHIFT, 767);
   _actionMap[730][THEN] = ActionEntry(REDUCE, 116);
   _actionMap[731][END_TOKEN] = ActionEntry(REDUCE, 121);
   _actionMap[731][ELSE] = ActionEntry(REDUCE, 121);
   _actionMap[731][ELSIF] = ActionEntry(REDUCE, 121);
   _actionMap[732][BEGIN] = ActionEntry(REDUCE, 135);
   _actionMap[732][THEN] = ActionEntry(REDUCE, 135);
   _actionMap[732][OR] = ActionEntry(REDUCE, 135);
   _actionMap[732][AND] = ActionEntry(REDUCE, 135);
   _actionMap[732][RB] = ActionEntry(REDUCE, 135);
   _actionMap[733][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[733][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[733][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[733][SEMICOLON] = ActionEntry(REDUCE, 96);
   _actionMap[734][RB] = ActionEntry(SHIFT, 768);
   _actionMap[735][RB] = ActionEntry(SHIFT, 769);
   _actionMap[736][RB] = ActionEntry(SHIFT, 770);
   _actionMap[737][RB] = ActionEntry(SHIFT, 771);
   _actionMap[738][SEMICOLON] = ActionEntry(REDUCE, 127);
   _actionMap[739][RB] = ActionEntry(SHIFT, 772);
   _actionMap[740][SEMICOLON] = ActionEntry(REDUCE, 54);
   _actionMap[741][IDENTIFIER] = ActionEntry(SHIFT, 693);
   _jumpMap[741][SimpleAttr] = 692;
   _jumpMap[741][SimpleAttrList] = 773;
   _actionMap[742][SEMICOLON] = ActionEntry(REDUCE, 168);
   _actionMap[742][KSEP] = ActionEntry(REDUCE, 168);
   _actionMap[742][RB] = ActionEntry(REDUCE, 168);
   _actionMap[743][SEMICOLON] = ActionEntry(REDUCE, 171);
   _actionMap[743][KSEP] = ActionEntry(REDUCE, 171);
   _actionMap[743][RB] = ActionEntry(REDUCE, 171);
   _actionMap[744][NULLTOKEN] = ActionEntry(SHIFT, 774);
   _actionMap[745][SEMICOLON] = ActionEntry(REDUCE, 169);
   _actionMap[745][KSEP] = ActionEntry(REDUCE, 169);
   _actionMap[745][RB] = ActionEntry(REDUCE, 169);
   _actionMap[746][NULLTOKEN] = ActionEntry(REDUCE, 173);
   _actionMap[746][NOT] = ActionEntry(REDUCE, 173);
}
void Cego::loadParser15()
{
   _actionMap[746][KSEP] = ActionEntry(REDUCE, 173);
   _actionMap[746][SEMICOLON] = ActionEntry(REDUCE, 173);
   _actionMap[746][RB] = ActionEntry(REDUCE, 173);
   _actionMap[747][LONG] = ActionEntry(SHIFT, 263);
   _actionMap[747][BIGINT] = ActionEntry(SHIFT, 259);
   _actionMap[747][SMALLINT] = ActionEntry(SHIFT, 264);
   _actionMap[747][TINYINT] = ActionEntry(SHIFT, 265);
   _actionMap[747][DOUBLE] = ActionEntry(SHIFT, 261);
   _actionMap[747][DECIMAL] = ActionEntry(SHIFT, 260);
   _actionMap[747][FIXED] = ActionEntry(SHIFT, 262);
   _actionMap[748][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[748][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[748][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[748][KSEP] = ActionEntry(REDUCE, 194);
   _actionMap[748][RB] = ActionEntry(REDUCE, 194);
   _actionMap[749][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[749][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[749][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[749][LEFT] = ActionEntry(REDUCE, 307);
   _actionMap[749][RIGHT] = ActionEntry(REDUCE, 307);
   _actionMap[749][INNER] = ActionEntry(REDUCE, 307);
   _actionMap[749][JOIN] = ActionEntry(REDUCE, 307);
   _actionMap[749][RETURNTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[749][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[749][ENDTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[749][UNION] = ActionEntry(REDUCE, 307);
   _actionMap[749][ROWLIMIT] = ActionEntry(REDUCE, 307);
   _actionMap[749][ORDER] = ActionEntry(REDUCE, 307);
   _actionMap[749][GROUP] = ActionEntry(REDUCE, 307);
   _actionMap[749][WHERE] = ActionEntry(REDUCE, 307);
   _actionMap[749][THEN] = ActionEntry(REDUCE, 307);
   _actionMap[749][AND] = ActionEntry(REDUCE, 307);
   _actionMap[749][OR] = ActionEntry(REDUCE, 307);
   _actionMap[749][RB] = ActionEntry(REDUCE, 307);
   _actionMap[750][LEFT] = ActionEntry(REDUCE, 304);
   _actionMap[750][RIGHT] = ActionEntry(REDUCE, 304);
   _actionMap[750][INNER] = ActionEntry(REDUCE, 304);
   _actionMap[750][JOIN] = ActionEntry(REDUCE, 304);
   _actionMap[750][RETURNTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[750][SEMICOLON] = ActionEntry(REDUCE, 304);
   _actionMap[750][ENDTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[750][UNION] = ActionEntry(REDUCE, 304);
   _actionMap[750][ROWLIMIT] = ActionEntry(REDUCE, 304);
   _actionMap[750][ORDER] = ActionEntry(REDUCE, 304);
   _actionMap[750][GROUP] = ActionEntry(REDUCE, 304);
   _actionMap[750][WHERE] = ActionEntry(REDUCE, 304);
   _actionMap[750][THEN] = ActionEntry(REDUCE, 304);
   _actionMap[750][AND] = ActionEntry(REDUCE, 304);
   _actionMap[750][OR] = ActionEntry(REDUCE, 304);
   _actionMap[750][RB] = ActionEntry(REDUCE, 304);
}
void Cego::loadParser16()
{
   _actionMap[751][RB] = ActionEntry(SHIFT, 775);
   _actionMap[752][KSEP] = ActionEntry(REDUCE, 162);
   _actionMap[752][RB] = ActionEntry(REDUCE, 162);
   _actionMap[753][UNION] = ActionEntry(SHIFT, 777);
   _actionMap[753][SEMICOLON] = ActionEntry(REDUCE, 76);
   _actionMap[753][RB] = ActionEntry(REDUCE, 76);
   _jumpMap[753][UnionAllOpt] = 776;
   _actionMap[754][UNION] = ActionEntry(REDUCE, 239);
   _actionMap[754][ENDTOKEN] = ActionEntry(REDUCE, 239);
   _actionMap[754][RB] = ActionEntry(REDUCE, 239);
   _actionMap[754][SEMICOLON] = ActionEntry(REDUCE, 239);
   _actionMap[755][INTVAL] = ActionEntry(SHIFT, 778);
   _actionMap[756][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[756][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[756][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[756][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[756][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[756][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[756][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[756][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[756][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[756][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[756][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[756][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[756][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[756][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[756][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[756][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[756][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[756][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[756][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[756][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[756][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[756][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[756][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[756][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[756][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[756][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[756][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[756][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[756][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[756][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[756][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[756][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[756][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[756][LB] = ActionEntry(SHIFT, 137);
   _actionMap[756][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[756][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[756][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[756][NULLTOKEN] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser17()
{
   _actionMap[756][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[756][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[756][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[756][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[756][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[756][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[756][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[756][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[756][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[756][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[756][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[756][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[756][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[756][ObjSpec] = 96;
   _jumpMap[756][Constant] = 95;
   _jumpMap[756][SignedFloat] = 94;
   _jumpMap[756][SignedInt] = 93;
   _jumpMap[756][Attribute] = 92;
   _jumpMap[756][Function] = 91;
   _jumpMap[756][OrderingList] = 780;
   _jumpMap[756][CasePrepare] = 90;
   _jumpMap[756][CaseClause] = 89;
   _jumpMap[756][Factor] = 88;
   _jumpMap[756][Term] = 87;
   _jumpMap[756][Expr] = 779;
   _actionMap[757][KSEP] = ActionEntry(SHIFT, 784);
   _actionMap[757][ORDER] = ActionEntry(REDUCE, 226);
   _actionMap[757][HAVING] = ActionEntry(SHIFT, 783);
   _actionMap[757][ROWLIMIT] = ActionEntry(REDUCE, 226);
   _actionMap[757][UNION] = ActionEntry(REDUCE, 226);
   _actionMap[757][ENDTOKEN] = ActionEntry(REDUCE, 226);
   _actionMap[757][RB] = ActionEntry(REDUCE, 226);
   _actionMap[757][SEMICOLON] = ActionEntry(REDUCE, 226);
   _jumpMap[757][NoHaving] = 782;
   _jumpMap[757][HavingClause] = 781;
   _actionMap[758][KSEP] = ActionEntry(REDUCE, 223);
   _actionMap[758][HAVING] = ActionEntry(REDUCE, 223);
   _actionMap[758][ORDER] = ActionEntry(REDUCE, 223);
   _actionMap[758][ROWLIMIT] = ActionEntry(REDUCE, 223);
   _actionMap[758][UNION] = ActionEntry(REDUCE, 223);
   _actionMap[758][ENDTOKEN] = ActionEntry(REDUCE, 223);
   _actionMap[758][RB] = ActionEntry(REDUCE, 223);
   _actionMap[758][SEMICOLON] = ActionEntry(REDUCE, 223);
   _actionMap[759][KSEP] = ActionEntry(REDUCE, 333);
   _actionMap[759][HAVING] = ActionEntry(REDUCE, 333);
   _actionMap[759][ORDER] = ActionEntry(REDUCE, 333);
   _actionMap[759][ROWLIMIT] = ActionEntry(REDUCE, 333);
   _actionMap[759][UNION] = ActionEntry(REDUCE, 333);
   _actionMap[759][ENDTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[759][RB] = ActionEntry(REDUCE, 333);
}
void Cego::loadParser18()
{
   _actionMap[759][SEMICOLON] = ActionEntry(REDUCE, 333);
   _actionMap[760][KSEP] = ActionEntry(REDUCE, 334);
   _actionMap[760][HAVING] = ActionEntry(REDUCE, 334);
   _actionMap[760][ORDER] = ActionEntry(REDUCE, 334);
   _actionMap[760][ROWLIMIT] = ActionEntry(REDUCE, 334);
   _actionMap[760][UNION] = ActionEntry(REDUCE, 334);
   _actionMap[760][ENDTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[760][RB] = ActionEntry(REDUCE, 334);
   _actionMap[760][SEMICOLON] = ActionEntry(REDUCE, 334);
   _actionMap[761][AND] = ActionEntry(SHIFT, 491);
   _actionMap[761][OR] = ActionEntry(SHIFT, 492);
   _actionMap[761][LEFT] = ActionEntry(REDUCE, 206);
   _actionMap[761][RIGHT] = ActionEntry(REDUCE, 206);
   _actionMap[761][INNER] = ActionEntry(REDUCE, 206);
   _actionMap[761][JOIN] = ActionEntry(REDUCE, 206);
   _actionMap[761][RETURNTOKEN] = ActionEntry(REDUCE, 206);
   _actionMap[761][SEMICOLON] = ActionEntry(REDUCE, 206);
   _actionMap[761][RB] = ActionEntry(REDUCE, 206);
   _actionMap[761][ENDTOKEN] = ActionEntry(REDUCE, 206);
   _actionMap[761][UNION] = ActionEntry(REDUCE, 206);
   _actionMap[761][ROWLIMIT] = ActionEntry(REDUCE, 206);
   _actionMap[761][ORDER] = ActionEntry(REDUCE, 206);
   _actionMap[761][GROUP] = ActionEntry(REDUCE, 206);
   _actionMap[761][WHERE] = ActionEntry(REDUCE, 206);
   _actionMap[762][ON] = ActionEntry(SHIFT, 720);
   _jumpMap[762][JoinTableOn] = 785;
   _actionMap[763][ON] = ActionEntry(SHIFT, 720);
   _jumpMap[763][JoinTableOn] = 786;
   _actionMap[764][VARREF] = ActionEntry(SHIFT, 725);
   _jumpMap[764][ReturnVar] = 787;
   _actionMap[765][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[765][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[765][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[765][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[765][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[765][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[765][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[765][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[765][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[765][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[765][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[765][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[765][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[765][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[765][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[765][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[765][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[765][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[765][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[765][STR2INT] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser19()
{
   _actionMap[765][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[765][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[765][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[765][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[765][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[765][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[765][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[765][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[765][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[765][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[765][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[765][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[765][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[765][LB] = ActionEntry(SHIFT, 137);
   _actionMap[765][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[765][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[765][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[765][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[765][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[765][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[765][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[765][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[765][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[765][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[765][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[765][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[765][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[765][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[765][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[765][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[765][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[765][ObjSpec] = 96;
   _jumpMap[765][Constant] = 95;
   _jumpMap[765][SignedFloat] = 94;
   _jumpMap[765][SignedInt] = 93;
   _jumpMap[765][Attribute] = 92;
   _jumpMap[765][Function] = 91;
   _jumpMap[765][CasePrepare] = 90;
   _jumpMap[765][CaseClause] = 89;
   _jumpMap[765][Factor] = 88;
   _jumpMap[765][Term] = 87;
   _jumpMap[765][Expr] = 788;
   _actionMap[667][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[667][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[667][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[667][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[667][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[667][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[667][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[667][DATE2STR] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser20()
{
   _actionMap[667][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[667][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[667][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[667][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[667][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[667][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[667][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[667][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[667][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[667][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[667][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[667][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[667][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[667][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[667][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[667][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[667][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[667][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[667][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[667][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[667][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[667][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[667][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[667][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[667][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[667][LB] = ActionEntry(SHIFT, 360);
   _actionMap[667][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[667][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[667][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[667][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[667][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[667][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[667][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[667][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[667][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[667][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[667][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[667][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[667][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[667][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[667][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[667][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[667][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[667][EXISTS] = ActionEntry(SHIFT, 358);
   _actionMap[667][NOT] = ActionEntry(SHIFT, 359);
   _jumpMap[667][ObjSpec] = 96;
   _jumpMap[667][Constant] = 95;
   _jumpMap[667][SignedFloat] = 94;
   _jumpMap[667][SignedInt] = 93;
   _jumpMap[667][Attribute] = 92;
}
void Cego::loadParser21()
{
   _jumpMap[667][QueryPredicate] = 357;
   _jumpMap[667][QueryCondition] = 726;
   _jumpMap[667][Function] = 91;
   _jumpMap[667][CasePrepare] = 90;
   _jumpMap[667][CaseClause] = 89;
   _jumpMap[667][Factor] = 88;
   _jumpMap[667][Term] = 87;
   _jumpMap[667][Expr] = 355;
   _actionMap[668][LB] = ActionEntry(SHIFT, 727);
   _actionMap[669][IDENTIFIER] = ActionEntry(SHIFT, 728);
   _actionMap[670][SEMICOLON] = ActionEntry(REDUCE, 27);
   _actionMap[671][IDENTIFIER] = ActionEntry(SHIFT, 730);
   _jumpMap[671][ProcExceptionType] = 729;
   _actionMap[672][END_TOKEN] = ActionEntry(REDUCE, 122);
   _actionMap[673][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[673][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[673][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[673][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[673][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[673][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[673][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[673][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[673][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[673][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[673][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[673][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[673][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[673][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[673][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[673][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[673][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[673][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[673][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[673][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[673][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[673][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[673][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[673][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[673][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[673][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[673][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[673][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[673][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[673][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[673][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[673][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[673][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[673][LB] = ActionEntry(SHIFT, 137);
   _actionMap[673][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[673][DATE] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser22()
{
   _actionMap[673][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[673][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[673][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[673][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[673][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[673][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[673][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[673][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[673][VARREF] = ActionEntry(SHIFT, 331);
   _actionMap[673][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[673][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[673][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[673][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[673][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[673][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[673][IF] = ActionEntry(SHIFT, 326);
   _actionMap[673][BEGIN] = ActionEntry(SHIFT, 323);
   _actionMap[673][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[673][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[673][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[673][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[673][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[673][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[673][VAR] = ActionEntry(SHIFT, 329);
   _actionMap[673][CURSOR] = ActionEntry(SHIFT, 325);
   _actionMap[673][CLOSE] = ActionEntry(SHIFT, 324);
   _actionMap[673][NOOP] = ActionEntry(SHIFT, 327);
   _actionMap[673][RETURNTOKEN] = ActionEntry(SHIFT, 328);
   _actionMap[673][WHILE] = ActionEntry(SHIFT, 330);
   _jumpMap[673][ObjSpec] = 96;
   _jumpMap[673][Constant] = 95;
   _jumpMap[673][SignedFloat] = 94;
   _jumpMap[673][SignedInt] = 93;
   _jumpMap[673][Attribute] = 92;
   _jumpMap[673][Function] = 91;
   _jumpMap[673][DeleteStatement] = 322;
   _jumpMap[673][UpdateStatement] = 321;
   _jumpMap[673][InsertStatement] = 320;
   _jumpMap[673][RollbackStatement] = 319;
   _jumpMap[673][CommitStatement] = 318;
   _jumpMap[673][StartStatement] = 317;
   _jumpMap[673][CasePrepare] = 90;
   _jumpMap[673][CaseClause] = 89;
   _jumpMap[673][Factor] = 88;
   _jumpMap[673][Term] = 87;
   _jumpMap[673][Expr] = 316;
   _jumpMap[673][ProcStatement] = 315;
   _jumpMap[673][ProcIfPart] = 314;
   _jumpMap[673][ProcBlockStart] = 313;
   _jumpMap[673][ProcStatementList] = 312;
}
void Cego::loadParser23()
{
   _jumpMap[673][ProcStmtBlock] = 731;
   _actionMap[674][SEMICOLON] = ActionEntry(REDUCE, 91);
   _actionMap[675][END_TOKEN] = ActionEntry(REDUCE, 118);
   _actionMap[675][ELSE] = ActionEntry(REDUCE, 118);
   _actionMap[675][ELSIF] = ActionEntry(REDUCE, 118);
   _actionMap[676][BEGIN] = ActionEntry(REDUCE, 130);
   _actionMap[676][RB] = ActionEntry(REDUCE, 130);
   _actionMap[676][AND] = ActionEntry(REDUCE, 130);
   _actionMap[676][OR] = ActionEntry(REDUCE, 130);
   _actionMap[676][THEN] = ActionEntry(REDUCE, 130);
   _actionMap[677][BEGIN] = ActionEntry(REDUCE, 129);
   _actionMap[677][RB] = ActionEntry(REDUCE, 129);
   _actionMap[677][AND] = ActionEntry(REDUCE, 129);
   _actionMap[677][OR] = ActionEntry(REDUCE, 129);
   _actionMap[677][THEN] = ActionEntry(REDUCE, 129);
   _actionMap[678][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[678][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[678][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[678][BEGIN] = ActionEntry(REDUCE, 133);
   _actionMap[678][THEN] = ActionEntry(REDUCE, 133);
   _actionMap[678][OR] = ActionEntry(REDUCE, 133);
   _actionMap[678][AND] = ActionEntry(REDUCE, 133);
   _actionMap[678][RB] = ActionEntry(REDUCE, 133);
   _actionMap[679][NULLTOKEN] = ActionEntry(SHIFT, 732);
   _actionMap[680][BEGIN] = ActionEntry(REDUCE, 134);
   _actionMap[680][THEN] = ActionEntry(REDUCE, 134);
   _actionMap[680][OR] = ActionEntry(REDUCE, 134);
   _actionMap[680][AND] = ActionEntry(REDUCE, 134);
   _actionMap[680][RB] = ActionEntry(REDUCE, 134);
   _actionMap[681][BEGIN] = ActionEntry(REDUCE, 132);
   _actionMap[681][RB] = ActionEntry(REDUCE, 132);
   _actionMap[681][AND] = ActionEntry(REDUCE, 132);
   _actionMap[681][OR] = ActionEntry(REDUCE, 132);
   _actionMap[681][THEN] = ActionEntry(REDUCE, 132);
   _actionMap[682][SEMICOLON] = ActionEntry(REDUCE, 90);
   _actionMap[683][SEMICOLON] = ActionEntry(REDUCE, 97);
   _actionMap[684][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[684][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[684][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[684][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[684][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[684][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[684][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[684][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[684][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[684][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[684][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[684][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[684][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[684][RIGHT] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser24()
{
   _actionMap[684][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[684][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[684][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[684][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[684][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[684][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[684][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[684][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[684][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[684][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[684][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[684][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[684][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[684][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[684][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[684][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[684][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[684][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[684][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[684][LB] = ActionEntry(SHIFT, 137);
   _actionMap[684][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[684][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[684][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[684][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[684][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[684][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[684][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[684][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[684][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[684][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[684][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[684][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[684][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[684][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[684][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[684][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[684][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[684][ObjSpec] = 96;
   _jumpMap[684][Constant] = 95;
   _jumpMap[684][SignedFloat] = 94;
   _jumpMap[684][SignedInt] = 93;
   _jumpMap[684][Attribute] = 92;
   _jumpMap[684][Function] = 91;
   _jumpMap[684][CasePrepare] = 90;
   _jumpMap[684][CaseClause] = 89;
   _jumpMap[684][Factor] = 88;
   _jumpMap[684][Term] = 87;
   _jumpMap[684][Expr] = 733;
   _actionMap[685][INTVAL] = ActionEntry(SHIFT, 734);
   _actionMap[686][INTVAL] = ActionEntry(SHIFT, 735);
}
void Cego::loadParser25()
{
   _actionMap[687][INTVAL] = ActionEntry(SHIFT, 736);
   _actionMap[688][INTVAL] = ActionEntry(SHIFT, 737);
   _actionMap[689][END_TOKEN] = ActionEntry(SHIFT, 738);
   _actionMap[690][IDENTIFIER] = ActionEntry(SHIFT, 693);
   _jumpMap[690][SimpleAttr] = 692;
   _jumpMap[690][SimpleAttrList] = 739;
   _actionMap[691][RB] = ActionEntry(SHIFT, 740);
   _actionMap[692][KSEP] = ActionEntry(SHIFT, 741);
   _actionMap[692][RB] = ActionEntry(REDUCE, 177);
   _actionMap[693][RB] = ActionEntry(REDUCE, 178);
   _actionMap[693][KSEP] = ActionEntry(REDUCE, 178);
   _actionMap[694][KSEP] = ActionEntry(REDUCE, 83);
   _actionMap[694][RB] = ActionEntry(REDUCE, 83);
   _actionMap[695][BEGIN] = ActionEntry(REDUCE, 79);
   _actionMap[696][KSEP] = ActionEntry(REDUCE, 85);
   _actionMap[696][RB] = ActionEntry(REDUCE, 85);
   _actionMap[697][KSEP] = ActionEntry(REDUCE, 86);
   _actionMap[697][RB] = ActionEntry(REDUCE, 86);
   _actionMap[698][KSEP] = ActionEntry(REDUCE, 164);
   _actionMap[698][RB] = ActionEntry(REDUCE, 164);
   _actionMap[699][SEMICOLON] = ActionEntry(REDUCE, 172);
   _actionMap[699][NULLTOKEN] = ActionEntry(SHIFT, 745);
   _actionMap[699][NOT] = ActionEntry(SHIFT, 744);
   _actionMap[699][KSEP] = ActionEntry(REDUCE, 172);
   _actionMap[699][RB] = ActionEntry(REDUCE, 172);
   _jumpMap[699][DefaultNullOpt] = 743;
   _jumpMap[699][NullOpt] = 742;
   _actionMap[700][NULLTOKEN] = ActionEntry(REDUCE, 174);
   _actionMap[700][NOT] = ActionEntry(REDUCE, 174);
   _actionMap[700][KSEP] = ActionEntry(REDUCE, 174);
   _actionMap[700][SEMICOLON] = ActionEntry(REDUCE, 174);
   _actionMap[700][RB] = ActionEntry(REDUCE, 174);
   _actionMap[701][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[701][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[701][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[701][LB] = ActionEntry(SHIFT, 747);
   _actionMap[701][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[701][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[701][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[701][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[701][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[701][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[701][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[701][COUNTERID] = ActionEntry(SHIFT, 146);
   _jumpMap[701][Constant] = 746;
   _jumpMap[701][SignedFloat] = 94;
   _jumpMap[701][SignedInt] = 93;
   _actionMap[702][SEMICOLON] = ActionEntry(REDUCE, 189);
   _actionMap[702][KSEP] = ActionEntry(REDUCE, 189);
   _actionMap[703][FLOATVAL] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser26()
{
   _actionMap[703][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[703][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[703][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[703][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[703][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[703][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[703][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[703][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[703][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[703][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[703][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[703][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[703][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[703][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[703][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[703][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[703][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[703][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[703][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[703][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[703][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[703][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[703][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[703][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[703][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[703][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[703][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[703][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[703][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[703][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[703][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[703][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[703][LB] = ActionEntry(SHIFT, 137);
   _actionMap[703][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[703][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[703][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[703][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[703][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[703][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[703][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[703][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[703][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[703][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[703][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[703][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[703][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[703][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[703][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[703][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[703][MAX] = ActionEntry(SHIFT, 117);
}
void Cego::loadParser27()
{
   _jumpMap[703][ObjSpec] = 96;
   _jumpMap[703][Constant] = 95;
   _jumpMap[703][SignedFloat] = 94;
   _jumpMap[703][SignedInt] = 93;
   _jumpMap[703][Attribute] = 92;
   _jumpMap[703][Function] = 91;
   _jumpMap[703][CasePrepare] = 90;
   _jumpMap[703][CaseClause] = 89;
   _jumpMap[703][Factor] = 88;
   _jumpMap[703][Term] = 87;
   _jumpMap[703][Expr] = 748;
   _actionMap[704][SEMICOLON] = ActionEntry(REDUCE, 191);
   _actionMap[704][KSEP] = ActionEntry(REDUCE, 191);
   _actionMap[705][KSEP] = ActionEntry(REDUCE, 192);
   _actionMap[705][RB] = ActionEntry(REDUCE, 192);
   _actionMap[706][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[706][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[706][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[706][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[706][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[706][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[706][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[706][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[706][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[706][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[706][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[706][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[706][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[706][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[706][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[706][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[706][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[706][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[706][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[706][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[706][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[706][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[706][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[706][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[706][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[706][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[706][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[706][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[706][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[706][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[706][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[706][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[706][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[706][LB] = ActionEntry(SHIFT, 137);
   _actionMap[706][STRINGVAL] = ActionEntry(SHIFT, 97);
}
void Cego::loadParser28()
{
   _actionMap[706][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[706][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[706][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[706][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[706][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[706][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[706][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[706][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[706][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[706][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[706][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[706][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[706][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[706][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[706][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[706][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[706][ObjSpec] = 96;
   _jumpMap[706][Constant] = 95;
   _jumpMap[706][SignedFloat] = 94;
   _jumpMap[706][SignedInt] = 93;
   _jumpMap[706][Attribute] = 92;
   _jumpMap[706][Function] = 91;
   _jumpMap[706][CasePrepare] = 90;
   _jumpMap[706][CaseClause] = 89;
   _jumpMap[706][Factor] = 88;
   _jumpMap[706][Term] = 87;
   _jumpMap[706][Expr] = 749;
   _actionMap[707][RB] = ActionEntry(SHIFT, 750);
   _actionMap[708][LEFT] = ActionEntry(REDUCE, 309);
   _actionMap[708][RIGHT] = ActionEntry(REDUCE, 309);
   _actionMap[708][INNER] = ActionEntry(REDUCE, 309);
   _actionMap[708][JOIN] = ActionEntry(REDUCE, 309);
   _actionMap[708][RETURNTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[708][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[708][ENDTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[708][UNION] = ActionEntry(REDUCE, 309);
   _actionMap[708][ROWLIMIT] = ActionEntry(REDUCE, 309);
   _actionMap[708][ORDER] = ActionEntry(REDUCE, 309);
   _actionMap[708][GROUP] = ActionEntry(REDUCE, 309);
   _actionMap[708][WHERE] = ActionEntry(REDUCE, 309);
   _actionMap[708][THEN] = ActionEntry(REDUCE, 309);
   _actionMap[708][AND] = ActionEntry(REDUCE, 309);
   _actionMap[708][OR] = ActionEntry(REDUCE, 309);
   _actionMap[708][RB] = ActionEntry(REDUCE, 309);
   _actionMap[709][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[709][SelectStatement] = 751;
   _actionMap[710][LEFT] = ActionEntry(REDUCE, 311);
   _actionMap[710][RIGHT] = ActionEntry(REDUCE, 311);
   _actionMap[710][INNER] = ActionEntry(REDUCE, 311);
   _actionMap[710][JOIN] = ActionEntry(REDUCE, 311);
}
void Cego::loadParser29()
{
   _actionMap[710][RETURNTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[710][SEMICOLON] = ActionEntry(REDUCE, 311);
   _actionMap[710][ENDTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[710][UNION] = ActionEntry(REDUCE, 311);
   _actionMap[710][ROWLIMIT] = ActionEntry(REDUCE, 311);
   _actionMap[710][ORDER] = ActionEntry(REDUCE, 311);
   _actionMap[710][GROUP] = ActionEntry(REDUCE, 311);
   _actionMap[710][WHERE] = ActionEntry(REDUCE, 311);
   _actionMap[710][THEN] = ActionEntry(REDUCE, 311);
   _actionMap[710][AND] = ActionEntry(REDUCE, 311);
   _actionMap[710][OR] = ActionEntry(REDUCE, 311);
   _actionMap[710][RB] = ActionEntry(REDUCE, 311);
   _actionMap[711][THEN] = ActionEntry(REDUCE, 303);
   _actionMap[711][LEFT] = ActionEntry(REDUCE, 303);
   _actionMap[711][RIGHT] = ActionEntry(REDUCE, 303);
   _actionMap[711][INNER] = ActionEntry(REDUCE, 303);
   _actionMap[711][JOIN] = ActionEntry(REDUCE, 303);
   _actionMap[711][RETURNTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[711][SEMICOLON] = ActionEntry(REDUCE, 303);
   _actionMap[711][RB] = ActionEntry(REDUCE, 303);
   _actionMap[711][ENDTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[711][UNION] = ActionEntry(REDUCE, 303);
   _actionMap[711][ROWLIMIT] = ActionEntry(REDUCE, 303);
   _actionMap[711][ORDER] = ActionEntry(REDUCE, 303);
   _actionMap[711][GROUP] = ActionEntry(REDUCE, 303);
   _actionMap[711][WHERE] = ActionEntry(REDUCE, 303);
   _actionMap[711][AND] = ActionEntry(REDUCE, 303);
   _actionMap[711][OR] = ActionEntry(REDUCE, 303);
   _actionMap[712][WHEN] = ActionEntry(REDUCE, 350);
   _actionMap[712][ELSE] = ActionEntry(REDUCE, 350);
   _actionMap[712][LEFT] = ActionEntry(REDUCE, 350);
   _actionMap[712][RIGHT] = ActionEntry(REDUCE, 350);
   _actionMap[712][INNER] = ActionEntry(REDUCE, 350);
   _actionMap[712][JOIN] = ActionEntry(REDUCE, 350);
   _actionMap[712][RETURNTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[712][ORDER] = ActionEntry(REDUCE, 350);
   _actionMap[712][GROUP] = ActionEntry(REDUCE, 350);
   _actionMap[712][WHERE] = ActionEntry(REDUCE, 350);
   _actionMap[712][NULLTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[712][FROM] = ActionEntry(REDUCE, 350);
   _actionMap[712][AS] = ActionEntry(REDUCE, 350);
   _actionMap[712][END_TOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[712][BEGIN] = ActionEntry(REDUCE, 350);
   _actionMap[712][THEN] = ActionEntry(REDUCE, 350);
   _actionMap[712][OR] = ActionEntry(REDUCE, 350);
   _actionMap[712][AND] = ActionEntry(REDUCE, 350);
   _actionMap[712][INTOK] = ActionEntry(REDUCE, 350);
   _actionMap[712][NOT] = ActionEntry(REDUCE, 350);
   _actionMap[712][BETWEEN] = ActionEntry(REDUCE, 350);
   _actionMap[712][IS] = ActionEntry(REDUCE, 350);
}
void Cego::loadParser30()
{
   _actionMap[712][LIKE] = ActionEntry(REDUCE, 350);
   _actionMap[712][MT] = ActionEntry(REDUCE, 350);
   _actionMap[712][LT] = ActionEntry(REDUCE, 350);
   _actionMap[712][NEGATION] = ActionEntry(REDUCE, 350);
   _actionMap[712][EQU] = ActionEntry(REDUCE, 350);
   _actionMap[712][RB] = ActionEntry(REDUCE, 350);
   _actionMap[712][ENDTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[712][UNION] = ActionEntry(REDUCE, 350);
   _actionMap[712][ROWLIMIT] = ActionEntry(REDUCE, 350);
   _actionMap[712][KSEP] = ActionEntry(REDUCE, 350);
   _actionMap[712][ASC] = ActionEntry(REDUCE, 350);
   _actionMap[712][DESC] = ActionEntry(REDUCE, 350);
   _actionMap[712][SEMICOLON] = ActionEntry(REDUCE, 350);
   _actionMap[712][PLUS] = ActionEntry(REDUCE, 350);
   _actionMap[712][MINUS] = ActionEntry(REDUCE, 350);
   _actionMap[712][DIVISION] = ActionEntry(REDUCE, 350);
   _actionMap[712][STAR] = ActionEntry(REDUCE, 350);
   _actionMap[712][CONCAT] = ActionEntry(REDUCE, 350);
   _actionMap[713][VARREF] = ActionEntry(SHIFT, 752);
   _actionMap[714][WHEN] = ActionEntry(REDUCE, 145);
   _actionMap[714][ELSE] = ActionEntry(REDUCE, 145);
   _actionMap[714][LEFT] = ActionEntry(REDUCE, 145);
   _actionMap[714][RIGHT] = ActionEntry(REDUCE, 145);
   _actionMap[714][INNER] = ActionEntry(REDUCE, 145);
   _actionMap[714][JOIN] = ActionEntry(REDUCE, 145);
   _actionMap[714][RETURNTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[714][ORDER] = ActionEntry(REDUCE, 145);
   _actionMap[714][GROUP] = ActionEntry(REDUCE, 145);
   _actionMap[714][WHERE] = ActionEntry(REDUCE, 145);
   _actionMap[714][AS] = ActionEntry(REDUCE, 145);
   _actionMap[714][FROM] = ActionEntry(REDUCE, 145);
   _actionMap[714][END_TOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[714][BEGIN] = ActionEntry(REDUCE, 145);
   _actionMap[714][THEN] = ActionEntry(REDUCE, 145);
   _actionMap[714][OR] = ActionEntry(REDUCE, 145);
   _actionMap[714][AND] = ActionEntry(REDUCE, 145);
   _actionMap[714][LIKE] = ActionEntry(REDUCE, 145);
   _actionMap[714][IS] = ActionEntry(REDUCE, 145);
   _actionMap[714][BETWEEN] = ActionEntry(REDUCE, 145);
   _actionMap[714][NOT] = ActionEntry(REDUCE, 145);
   _actionMap[714][INTOK] = ActionEntry(REDUCE, 145);
   _actionMap[714][EQU] = ActionEntry(REDUCE, 145);
   _actionMap[714][NEGATION] = ActionEntry(REDUCE, 145);
   _actionMap[714][LT] = ActionEntry(REDUCE, 145);
   _actionMap[714][MT] = ActionEntry(REDUCE, 145);
   _actionMap[714][DESC] = ActionEntry(REDUCE, 145);
   _actionMap[714][ASC] = ActionEntry(REDUCE, 145);
   _actionMap[714][KSEP] = ActionEntry(REDUCE, 145);
   _actionMap[714][ROWLIMIT] = ActionEntry(REDUCE, 145);
   _actionMap[714][UNION] = ActionEntry(REDUCE, 145);
}
void Cego::loadParser31()
{
   _actionMap[714][ENDTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[714][RB] = ActionEntry(REDUCE, 145);
   _actionMap[714][SEMICOLON] = ActionEntry(REDUCE, 145);
   _actionMap[714][CONCAT] = ActionEntry(REDUCE, 145);
   _actionMap[714][STAR] = ActionEntry(REDUCE, 145);
   _actionMap[714][DIVISION] = ActionEntry(REDUCE, 145);
   _actionMap[714][MINUS] = ActionEntry(REDUCE, 145);
   _actionMap[714][PLUS] = ActionEntry(REDUCE, 145);
   _actionMap[715][SEMICOLON] = ActionEntry(REDUCE, 240);
   _actionMap[715][RB] = ActionEntry(REDUCE, 240);
   _actionMap[715][ENDTOKEN] = ActionEntry(REDUCE, 240);
   _actionMap[715][UNION] = ActionEntry(REDUCE, 240);
   _actionMap[715][ROWLIMIT] = ActionEntry(SHIFT, 755);
   _jumpMap[715][NoLimit] = 754;
   _jumpMap[715][LimitOpt] = 753;
   _actionMap[716][ROWLIMIT] = ActionEntry(REDUCE, 228);
   _actionMap[716][UNION] = ActionEntry(REDUCE, 228);
   _actionMap[716][ENDTOKEN] = ActionEntry(REDUCE, 228);
   _actionMap[716][RB] = ActionEntry(REDUCE, 228);
   _actionMap[716][SEMICOLON] = ActionEntry(REDUCE, 228);
   _actionMap[717][BY] = ActionEntry(SHIFT, 756);
   _actionMap[718][IDENTIFIER] = ActionEntry(SHIFT, 759);
   _actionMap[718][QUALIFIEDOBJ] = ActionEntry(SHIFT, 760);
   _actionMap[718][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _jumpMap[718][Attribute] = 758;
   _jumpMap[718][GroupList] = 757;
   _actionMap[719][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[719][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[719][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[719][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[719][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[719][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[719][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[719][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[719][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[719][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[719][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[719][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[719][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[719][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[719][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[719][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[719][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[719][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[719][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[719][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[719][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[719][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[719][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[719][MOD] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser32()
{
   _actionMap[719][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[719][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[719][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[719][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[719][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[719][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[719][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[719][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[719][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[719][LB] = ActionEntry(SHIFT, 360);
   _actionMap[719][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[719][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[719][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[719][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[719][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[719][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[719][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[719][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[719][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[719][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[719][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[719][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[719][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[719][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[719][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[719][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[719][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[719][EXISTS] = ActionEntry(SHIFT, 358);
   _actionMap[719][NOT] = ActionEntry(SHIFT, 359);
   _jumpMap[719][ObjSpec] = 96;
   _jumpMap[719][Constant] = 95;
   _jumpMap[719][SignedFloat] = 94;
   _jumpMap[719][SignedInt] = 93;
   _jumpMap[719][Attribute] = 92;
   _jumpMap[719][QueryPredicate] = 357;
   _jumpMap[719][QueryCondition] = 761;
   _jumpMap[719][Function] = 91;
   _jumpMap[719][CasePrepare] = 90;
   _jumpMap[719][CaseClause] = 89;
   _jumpMap[719][Factor] = 88;
   _jumpMap[719][Term] = 87;
   _jumpMap[719][Expr] = 355;
   _actionMap[720][EXISTS] = ActionEntry(REDUCE, 215);
   _actionMap[720][LB] = ActionEntry(REDUCE, 215);
   _actionMap[720][NOT] = ActionEntry(REDUCE, 215);
   _actionMap[720][VARREF] = ActionEntry(REDUCE, 215);
   _actionMap[720][FETCH] = ActionEntry(REDUCE, 215);
   _actionMap[720][COUNT] = ActionEntry(REDUCE, 215);
   _actionMap[720][SUM] = ActionEntry(REDUCE, 215);
   _actionMap[720][AVG] = ActionEntry(REDUCE, 215);
}
void Cego::loadParser33()
{
   _actionMap[720][MIN] = ActionEntry(REDUCE, 215);
   _actionMap[720][MAX] = ActionEntry(REDUCE, 215);
   _actionMap[720][CASE] = ActionEntry(REDUCE, 215);
   _actionMap[720][TRIM] = ActionEntry(REDUCE, 215);
   _actionMap[720][RTRIM] = ActionEntry(REDUCE, 215);
   _actionMap[720][LTRIM] = ActionEntry(REDUCE, 215);
   _actionMap[720][ROUND] = ActionEntry(REDUCE, 215);
   _actionMap[720][DATE2STR] = ActionEntry(REDUCE, 215);
   _actionMap[720][DATE2INT] = ActionEntry(REDUCE, 215);
   _actionMap[720][INT2DATE] = ActionEntry(REDUCE, 215);
   _actionMap[720][LOWER] = ActionEntry(REDUCE, 215);
   _actionMap[720][UPPER] = ActionEntry(REDUCE, 215);
   _actionMap[720][LEFT] = ActionEntry(REDUCE, 215);
   _actionMap[720][RIGHT] = ActionEntry(REDUCE, 215);
   _actionMap[720][GETPOS] = ActionEntry(REDUCE, 215);
   _actionMap[720][SUBSTR] = ActionEntry(REDUCE, 215);
   _actionMap[720][REPLACE] = ActionEntry(REDUCE, 215);
   _actionMap[720][LENGTH] = ActionEntry(REDUCE, 215);
   _actionMap[720][TRUNC] = ActionEntry(REDUCE, 215);
   _actionMap[720][STR2INT] = ActionEntry(REDUCE, 215);
   _actionMap[720][STR2LONG] = ActionEntry(REDUCE, 215);
   _actionMap[720][RANDSTR] = ActionEntry(REDUCE, 215);
   _actionMap[720][RANDINT] = ActionEntry(REDUCE, 215);
   _actionMap[720][MOD] = ActionEntry(REDUCE, 215);
   _actionMap[720][DIV] = ActionEntry(REDUCE, 215);
   _actionMap[720][POWER] = ActionEntry(REDUCE, 215);
   _actionMap[720][BITAND] = ActionEntry(REDUCE, 215);
   _actionMap[720][BITOR] = ActionEntry(REDUCE, 215);
   _actionMap[720][BITXOR] = ActionEntry(REDUCE, 215);
   _actionMap[720][NEXTCOUNT] = ActionEntry(REDUCE, 215);
   _actionMap[720][IDENTIFIER] = ActionEntry(REDUCE, 215);
   _actionMap[720][QUALIFIEDOBJ] = ActionEntry(REDUCE, 215);
   _actionMap[720][QUALIFIEDTS] = ActionEntry(REDUCE, 215);
   _actionMap[720][QUALIFIEDPRE] = ActionEntry(REDUCE, 215);
   _actionMap[720][STRINGVAL] = ActionEntry(REDUCE, 215);
   _actionMap[720][DATE] = ActionEntry(REDUCE, 215);
   _actionMap[720][SYSDATE] = ActionEntry(REDUCE, 215);
   _actionMap[720][NULLTOKEN] = ActionEntry(REDUCE, 215);
   _actionMap[720][TRUEVAL] = ActionEntry(REDUCE, 215);
   _actionMap[720][FALSEVAL] = ActionEntry(REDUCE, 215);
   _actionMap[720][LAB] = ActionEntry(REDUCE, 215);
   _actionMap[720][COUNTERID] = ActionEntry(REDUCE, 215);
   _actionMap[720][FLOATVAL] = ActionEntry(REDUCE, 215);
   _actionMap[720][MINUS] = ActionEntry(REDUCE, 215);
   _actionMap[720][INTVAL] = ActionEntry(REDUCE, 215);
   _actionMap[721][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[721][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[721][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[721][ObjSpec] = 420;
   _jumpMap[721][Table] = 762;
}
void Cego::loadParser34()
{
   _actionMap[722][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[722][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[722][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[722][ObjSpec] = 420;
   _jumpMap[722][Table] = 763;
   _actionMap[723][KSEP] = ActionEntry(SHIFT, 764);
   _actionMap[723][SEMICOLON] = ActionEntry(REDUCE, 245);
   _actionMap[724][SEMICOLON] = ActionEntry(REDUCE, 248);
   _actionMap[724][KSEP] = ActionEntry(REDUCE, 248);
   _actionMap[725][EQU] = ActionEntry(SHIFT, 765);
   _actionMap[568][SEMICOLON] = ActionEntry(REDUCE, 254);
   _actionMap[569][COLUMN] = ActionEntry(SHIFT, 433);
   _actionMap[570][ON] = ActionEntry(SHIFT, 667);
   _actionMap[571][SEMICOLON] = ActionEntry(REDUCE, 257);
   _actionMap[571][KSEP] = ActionEntry(REDUCE, 257);
   _actionMap[572][IDENTIFIER] = ActionEntry(SHIFT, 668);
   _actionMap[573][SEMICOLON] = ActionEntry(REDUCE, 256);
   _actionMap[573][KSEP] = ActionEntry(REDUCE, 256);
   _actionMap[574][SEMICOLON] = ActionEntry(REDUCE, 258);
   _actionMap[574][KSEP] = ActionEntry(REDUCE, 258);
   _actionMap[575][TO] = ActionEntry(SHIFT, 669);
   _actionMap[576][IDENTIFIER] = ActionEntry(SHIFT, 670);
   _actionMap[577][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[577][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[577][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[577][KSEP] = ActionEntry(REDUCE, 114);
   _actionMap[577][RB] = ActionEntry(REDUCE, 114);
   _actionMap[578][ELSE] = ActionEntry(REDUCE, 109);
   _actionMap[578][ELSIF] = ActionEntry(REDUCE, 109);
   _actionMap[578][EXCEPTION] = ActionEntry(REDUCE, 109);
   _actionMap[578][END_TOKEN] = ActionEntry(REDUCE, 109);
   _actionMap[579][WHEN] = ActionEntry(SHIFT, 671);
   _actionMap[580][EXCEPTION] = ActionEntry(REDUCE, 88);
   _actionMap[580][END_TOKEN] = ActionEntry(REDUCE, 88);
   _actionMap[580][ELSE] = ActionEntry(REDUCE, 88);
   _actionMap[580][ELSIF] = ActionEntry(REDUCE, 88);
   _actionMap[580][VAR] = ActionEntry(REDUCE, 88);
   _actionMap[580][CURSOR] = ActionEntry(REDUCE, 88);
   _actionMap[580][CLOSE] = ActionEntry(REDUCE, 88);
   _actionMap[580][VARREF] = ActionEntry(REDUCE, 88);
   _actionMap[580][NOOP] = ActionEntry(REDUCE, 88);
   _actionMap[580][RETURNTOKEN] = ActionEntry(REDUCE, 88);
   _actionMap[580][WHILE] = ActionEntry(REDUCE, 88);
   _actionMap[580][IF] = ActionEntry(REDUCE, 88);
   _actionMap[580][BEGIN] = ActionEntry(REDUCE, 88);
   _actionMap[580][ROLLBACK] = ActionEntry(REDUCE, 88);
   _actionMap[580][COMMIT] = ActionEntry(REDUCE, 88);
   _actionMap[580][START_TOKEN] = ActionEntry(REDUCE, 88);
   _actionMap[580][UPDATE] = ActionEntry(REDUCE, 88);
   _actionMap[580][DELETETOK] = ActionEntry(REDUCE, 88);
}
void Cego::loadParser35()
{
   _actionMap[580][INSERT] = ActionEntry(REDUCE, 88);
   _actionMap[580][FETCH] = ActionEntry(REDUCE, 88);
   _actionMap[580][LB] = ActionEntry(REDUCE, 88);
   _actionMap[580][COUNT] = ActionEntry(REDUCE, 88);
   _actionMap[580][SUM] = ActionEntry(REDUCE, 88);
   _actionMap[580][AVG] = ActionEntry(REDUCE, 88);
   _actionMap[580][MIN] = ActionEntry(REDUCE, 88);
   _actionMap[580][MAX] = ActionEntry(REDUCE, 88);
   _actionMap[580][CASE] = ActionEntry(REDUCE, 88);
   _actionMap[580][TRIM] = ActionEntry(REDUCE, 88);
   _actionMap[580][RTRIM] = ActionEntry(REDUCE, 88);
   _actionMap[580][LTRIM] = ActionEntry(REDUCE, 88);
   _actionMap[580][ROUND] = ActionEntry(REDUCE, 88);
   _actionMap[580][DATE2STR] = ActionEntry(REDUCE, 88);
   _actionMap[580][DATE2INT] = ActionEntry(REDUCE, 88);
   _actionMap[580][INT2DATE] = ActionEntry(REDUCE, 88);
   _actionMap[580][LOWER] = ActionEntry(REDUCE, 88);
   _actionMap[580][UPPER] = ActionEntry(REDUCE, 88);
   _actionMap[580][LEFT] = ActionEntry(REDUCE, 88);
   _actionMap[580][RIGHT] = ActionEntry(REDUCE, 88);
   _actionMap[580][GETPOS] = ActionEntry(REDUCE, 88);
   _actionMap[580][SUBSTR] = ActionEntry(REDUCE, 88);
   _actionMap[580][REPLACE] = ActionEntry(REDUCE, 88);
   _actionMap[580][LENGTH] = ActionEntry(REDUCE, 88);
   _actionMap[580][TRUNC] = ActionEntry(REDUCE, 88);
   _actionMap[580][STR2INT] = ActionEntry(REDUCE, 88);
   _actionMap[580][STR2LONG] = ActionEntry(REDUCE, 88);
   _actionMap[580][RANDSTR] = ActionEntry(REDUCE, 88);
   _actionMap[580][RANDINT] = ActionEntry(REDUCE, 88);
   _actionMap[580][MOD] = ActionEntry(REDUCE, 88);
   _actionMap[580][DIV] = ActionEntry(REDUCE, 88);
   _actionMap[580][POWER] = ActionEntry(REDUCE, 88);
   _actionMap[580][BITAND] = ActionEntry(REDUCE, 88);
   _actionMap[580][BITOR] = ActionEntry(REDUCE, 88);
   _actionMap[580][BITXOR] = ActionEntry(REDUCE, 88);
   _actionMap[580][NEXTCOUNT] = ActionEntry(REDUCE, 88);
   _actionMap[580][IDENTIFIER] = ActionEntry(REDUCE, 88);
   _actionMap[580][QUALIFIEDOBJ] = ActionEntry(REDUCE, 88);
   _actionMap[580][QUALIFIEDTS] = ActionEntry(REDUCE, 88);
   _actionMap[580][QUALIFIEDPRE] = ActionEntry(REDUCE, 88);
   _actionMap[580][STRINGVAL] = ActionEntry(REDUCE, 88);
   _actionMap[580][DATE] = ActionEntry(REDUCE, 88);
   _actionMap[580][SYSDATE] = ActionEntry(REDUCE, 88);
   _actionMap[580][NULLTOKEN] = ActionEntry(REDUCE, 88);
   _actionMap[580][TRUEVAL] = ActionEntry(REDUCE, 88);
   _actionMap[580][FALSEVAL] = ActionEntry(REDUCE, 88);
   _actionMap[580][LAB] = ActionEntry(REDUCE, 88);
   _actionMap[580][COUNTERID] = ActionEntry(REDUCE, 88);
   _actionMap[580][FLOATVAL] = ActionEntry(REDUCE, 88);
   _actionMap[580][MINUS] = ActionEntry(REDUCE, 88);
}
void Cego::loadParser36()
{
   _actionMap[580][INTVAL] = ActionEntry(REDUCE, 88);
   _actionMap[581][SEMICOLON] = ActionEntry(REDUCE, 107);
   _actionMap[582][END_TOKEN] = ActionEntry(SHIFT, 585);
   _actionMap[583][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[583][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[583][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[583][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[583][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[583][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[583][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[583][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[583][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[583][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[583][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[583][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[583][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[583][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[583][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[583][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[583][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[583][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[583][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[583][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[583][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[583][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[583][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[583][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[583][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[583][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[583][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[583][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[583][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[583][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[583][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[583][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[583][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[583][LB] = ActionEntry(SHIFT, 137);
   _actionMap[583][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[583][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[583][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[583][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[583][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[583][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[583][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[583][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[583][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[583][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[583][VARREF] = ActionEntry(SHIFT, 331);
   _actionMap[583][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[583][COUNT] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser37()
{
   _actionMap[583][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[583][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[583][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[583][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[583][IF] = ActionEntry(SHIFT, 326);
   _actionMap[583][BEGIN] = ActionEntry(SHIFT, 323);
   _actionMap[583][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[583][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[583][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[583][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[583][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[583][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[583][VAR] = ActionEntry(SHIFT, 329);
   _actionMap[583][CURSOR] = ActionEntry(SHIFT, 325);
   _actionMap[583][CLOSE] = ActionEntry(SHIFT, 324);
   _actionMap[583][NOOP] = ActionEntry(SHIFT, 327);
   _actionMap[583][RETURNTOKEN] = ActionEntry(SHIFT, 328);
   _actionMap[583][WHILE] = ActionEntry(SHIFT, 330);
   _jumpMap[583][ObjSpec] = 96;
   _jumpMap[583][Constant] = 95;
   _jumpMap[583][SignedFloat] = 94;
   _jumpMap[583][SignedInt] = 93;
   _jumpMap[583][Attribute] = 92;
   _jumpMap[583][Function] = 91;
   _jumpMap[583][DeleteStatement] = 322;
   _jumpMap[583][UpdateStatement] = 321;
   _jumpMap[583][InsertStatement] = 320;
   _jumpMap[583][RollbackStatement] = 319;
   _jumpMap[583][CommitStatement] = 318;
   _jumpMap[583][StartStatement] = 317;
   _jumpMap[583][CasePrepare] = 90;
   _jumpMap[583][CaseClause] = 89;
   _jumpMap[583][Factor] = 88;
   _jumpMap[583][Term] = 87;
   _jumpMap[583][Expr] = 316;
   _jumpMap[583][ProcStatement] = 315;
   _jumpMap[583][ProcIfPart] = 314;
   _jumpMap[583][ProcBlockStart] = 313;
   _jumpMap[583][ProcStatementList] = 312;
   _jumpMap[583][ProcStmtBlock] = 672;
   _actionMap[584][VAR] = ActionEntry(REDUCE, 124);
   _actionMap[584][CURSOR] = ActionEntry(REDUCE, 124);
   _actionMap[584][CLOSE] = ActionEntry(REDUCE, 124);
   _actionMap[584][VARREF] = ActionEntry(REDUCE, 124);
   _actionMap[584][NOOP] = ActionEntry(REDUCE, 124);
   _actionMap[584][RETURNTOKEN] = ActionEntry(REDUCE, 124);
   _actionMap[584][WHILE] = ActionEntry(REDUCE, 124);
   _actionMap[584][IF] = ActionEntry(REDUCE, 124);
   _actionMap[584][BEGIN] = ActionEntry(REDUCE, 124);
   _actionMap[584][ROLLBACK] = ActionEntry(REDUCE, 124);
}
void Cego::loadParser38()
{
   _actionMap[584][COMMIT] = ActionEntry(REDUCE, 124);
   _actionMap[584][START_TOKEN] = ActionEntry(REDUCE, 124);
   _actionMap[584][UPDATE] = ActionEntry(REDUCE, 124);
   _actionMap[584][DELETETOK] = ActionEntry(REDUCE, 124);
   _actionMap[584][INSERT] = ActionEntry(REDUCE, 124);
   _actionMap[584][FETCH] = ActionEntry(REDUCE, 124);
   _actionMap[584][LB] = ActionEntry(REDUCE, 124);
   _actionMap[584][COUNT] = ActionEntry(REDUCE, 124);
   _actionMap[584][SUM] = ActionEntry(REDUCE, 124);
   _actionMap[584][AVG] = ActionEntry(REDUCE, 124);
   _actionMap[584][MIN] = ActionEntry(REDUCE, 124);
   _actionMap[584][MAX] = ActionEntry(REDUCE, 124);
   _actionMap[584][CASE] = ActionEntry(REDUCE, 124);
   _actionMap[584][TRIM] = ActionEntry(REDUCE, 124);
   _actionMap[584][RTRIM] = ActionEntry(REDUCE, 124);
   _actionMap[584][LTRIM] = ActionEntry(REDUCE, 124);
   _actionMap[584][ROUND] = ActionEntry(REDUCE, 124);
   _actionMap[584][DATE2STR] = ActionEntry(REDUCE, 124);
   _actionMap[584][DATE2INT] = ActionEntry(REDUCE, 124);
   _actionMap[584][INT2DATE] = ActionEntry(REDUCE, 124);
   _actionMap[584][LOWER] = ActionEntry(REDUCE, 124);
   _actionMap[584][UPPER] = ActionEntry(REDUCE, 124);
   _actionMap[584][LEFT] = ActionEntry(REDUCE, 124);
   _actionMap[584][RIGHT] = ActionEntry(REDUCE, 124);
   _actionMap[584][GETPOS] = ActionEntry(REDUCE, 124);
   _actionMap[584][SUBSTR] = ActionEntry(REDUCE, 124);
   _actionMap[584][REPLACE] = ActionEntry(REDUCE, 124);
   _actionMap[584][LENGTH] = ActionEntry(REDUCE, 124);
   _actionMap[584][TRUNC] = ActionEntry(REDUCE, 124);
   _actionMap[584][STR2INT] = ActionEntry(REDUCE, 124);
   _actionMap[584][STR2LONG] = ActionEntry(REDUCE, 124);
   _actionMap[584][RANDSTR] = ActionEntry(REDUCE, 124);
   _actionMap[584][RANDINT] = ActionEntry(REDUCE, 124);
   _actionMap[584][MOD] = ActionEntry(REDUCE, 124);
   _actionMap[584][DIV] = ActionEntry(REDUCE, 124);
   _actionMap[584][POWER] = ActionEntry(REDUCE, 124);
   _actionMap[584][BITAND] = ActionEntry(REDUCE, 124);
   _actionMap[584][BITOR] = ActionEntry(REDUCE, 124);
   _actionMap[584][BITXOR] = ActionEntry(REDUCE, 124);
   _actionMap[584][NEXTCOUNT] = ActionEntry(REDUCE, 124);
   _actionMap[584][IDENTIFIER] = ActionEntry(REDUCE, 124);
   _actionMap[584][QUALIFIEDOBJ] = ActionEntry(REDUCE, 124);
   _actionMap[584][QUALIFIEDTS] = ActionEntry(REDUCE, 124);
   _actionMap[584][QUALIFIEDPRE] = ActionEntry(REDUCE, 124);
   _actionMap[584][STRINGVAL] = ActionEntry(REDUCE, 124);
   _actionMap[584][DATE] = ActionEntry(REDUCE, 124);
   _actionMap[584][SYSDATE] = ActionEntry(REDUCE, 124);
   _actionMap[584][NULLTOKEN] = ActionEntry(REDUCE, 124);
   _actionMap[584][TRUEVAL] = ActionEntry(REDUCE, 124);
   _actionMap[584][FALSEVAL] = ActionEntry(REDUCE, 124);
}
void Cego::loadParser39()
{
   _actionMap[584][LAB] = ActionEntry(REDUCE, 124);
   _actionMap[584][COUNTERID] = ActionEntry(REDUCE, 124);
   _actionMap[584][FLOATVAL] = ActionEntry(REDUCE, 124);
   _actionMap[584][MINUS] = ActionEntry(REDUCE, 124);
   _actionMap[584][INTVAL] = ActionEntry(REDUCE, 124);
   _actionMap[585][SEMICOLON] = ActionEntry(REDUCE, 117);
   _actionMap[586][END_TOKEN] = ActionEntry(REDUCE, 119);
   _actionMap[586][ELSE] = ActionEntry(REDUCE, 119);
   _actionMap[587][THEN] = ActionEntry(SHIFT, 673);
   _actionMap[588][OR] = ActionEntry(SHIFT, 592);
   _actionMap[588][AND] = ActionEntry(SHIFT, 591);
   _actionMap[588][THEN] = ActionEntry(REDUCE, 126);
   _actionMap[589][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[589][SelectStatement] = 674;
   _actionMap[590][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[590][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[590][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[590][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[590][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[590][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[590][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[590][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[590][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[590][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[590][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[590][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[590][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[590][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[590][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[590][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[590][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[590][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[590][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[590][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[590][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[590][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[590][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[590][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[590][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[590][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[590][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[590][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[590][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[590][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[590][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[590][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[590][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[590][LB] = ActionEntry(SHIFT, 137);
   _actionMap[590][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[590][DATE] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser40()
{
   _actionMap[590][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[590][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[590][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[590][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[590][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[590][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[590][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[590][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[590][VARREF] = ActionEntry(SHIFT, 331);
   _actionMap[590][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[590][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[590][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[590][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[590][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[590][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[590][IF] = ActionEntry(SHIFT, 326);
   _actionMap[590][BEGIN] = ActionEntry(SHIFT, 323);
   _actionMap[590][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[590][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[590][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[590][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[590][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[590][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[590][VAR] = ActionEntry(SHIFT, 329);
   _actionMap[590][CURSOR] = ActionEntry(SHIFT, 325);
   _actionMap[590][CLOSE] = ActionEntry(SHIFT, 324);
   _actionMap[590][NOOP] = ActionEntry(SHIFT, 327);
   _actionMap[590][RETURNTOKEN] = ActionEntry(SHIFT, 328);
   _actionMap[590][WHILE] = ActionEntry(SHIFT, 330);
   _jumpMap[590][ObjSpec] = 96;
   _jumpMap[590][Constant] = 95;
   _jumpMap[590][SignedFloat] = 94;
   _jumpMap[590][SignedInt] = 93;
   _jumpMap[590][Attribute] = 92;
   _jumpMap[590][Function] = 91;
   _jumpMap[590][DeleteStatement] = 322;
   _jumpMap[590][UpdateStatement] = 321;
   _jumpMap[590][InsertStatement] = 320;
   _jumpMap[590][RollbackStatement] = 319;
   _jumpMap[590][CommitStatement] = 318;
   _jumpMap[590][StartStatement] = 317;
   _jumpMap[590][CasePrepare] = 90;
   _jumpMap[590][CaseClause] = 89;
   _jumpMap[590][Factor] = 88;
   _jumpMap[590][Term] = 87;
   _jumpMap[590][Expr] = 316;
   _jumpMap[590][ProcStatement] = 315;
   _jumpMap[590][ProcIfPart] = 314;
   _jumpMap[590][ProcBlockStart] = 313;
   _jumpMap[590][ProcStatementList] = 312;
}
void Cego::loadParser41()
{
   _jumpMap[590][ProcStmtBlock] = 675;
   _actionMap[591][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[591][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[591][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[591][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[591][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[591][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[591][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[591][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[591][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[591][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[591][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[591][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[591][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[591][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[591][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[591][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[591][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[591][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[591][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[591][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[591][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[591][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[591][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[591][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[591][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[591][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[591][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[591][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[591][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[591][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[591][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[591][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[591][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[591][LB] = ActionEntry(SHIFT, 454);
   _actionMap[591][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[591][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[591][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[591][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[591][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[591][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[591][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[591][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[591][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[591][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[591][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[591][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[591][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[591][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[591][AVG] = ActionEntry(SHIFT, 98);
}
void Cego::loadParser42()
{
   _actionMap[591][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[591][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[591][ObjSpec] = 96;
   _jumpMap[591][Constant] = 95;
   _jumpMap[591][SignedFloat] = 94;
   _jumpMap[591][SignedInt] = 93;
   _jumpMap[591][Attribute] = 92;
   _jumpMap[591][Function] = 91;
   _jumpMap[591][CasePrepare] = 90;
   _jumpMap[591][CaseClause] = 89;
   _jumpMap[591][Factor] = 88;
   _jumpMap[591][Term] = 87;
   _jumpMap[591][Expr] = 453;
   _jumpMap[591][ProcPredicate] = 676;
   _actionMap[592][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[592][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[592][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[592][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[592][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[592][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[592][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[592][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[592][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[592][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[592][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[592][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[592][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[592][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[592][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[592][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[592][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[592][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[592][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[592][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[592][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[592][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[592][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[592][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[592][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[592][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[592][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[592][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[592][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[592][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[592][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[592][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[592][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[592][LB] = ActionEntry(SHIFT, 454);
   _actionMap[592][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[592][DATE] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser43()
{
   _actionMap[592][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[592][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[592][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[592][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[592][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[592][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[592][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[592][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[592][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[592][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[592][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[592][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[592][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[592][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[592][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[592][ObjSpec] = 96;
   _jumpMap[592][Constant] = 95;
   _jumpMap[592][SignedFloat] = 94;
   _jumpMap[592][SignedInt] = 93;
   _jumpMap[592][Attribute] = 92;
   _jumpMap[592][Function] = 91;
   _jumpMap[592][CasePrepare] = 90;
   _jumpMap[592][CaseClause] = 89;
   _jumpMap[592][Factor] = 88;
   _jumpMap[592][Term] = 87;
   _jumpMap[592][Expr] = 453;
   _jumpMap[592][ProcPredicate] = 677;
   _actionMap[593][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[593][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[593][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[593][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[593][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[593][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[593][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[593][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[593][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[593][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[593][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[593][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[593][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[593][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[593][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[593][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[593][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[593][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[593][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[593][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[593][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[593][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[593][RANDINT] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser44()
{
   _actionMap[593][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[593][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[593][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[593][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[593][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[593][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[593][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[593][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[593][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[593][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[593][LB] = ActionEntry(SHIFT, 137);
   _actionMap[593][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[593][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[593][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[593][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[593][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[593][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[593][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[593][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[593][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[593][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[593][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[593][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[593][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[593][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[593][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[593][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[593][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[593][ObjSpec] = 96;
   _jumpMap[593][Constant] = 95;
   _jumpMap[593][SignedFloat] = 94;
   _jumpMap[593][SignedInt] = 93;
   _jumpMap[593][Attribute] = 92;
   _jumpMap[593][Function] = 91;
   _jumpMap[593][CasePrepare] = 90;
   _jumpMap[593][CaseClause] = 89;
   _jumpMap[593][Factor] = 88;
   _jumpMap[593][Term] = 87;
   _jumpMap[593][Expr] = 678;
   _actionMap[594][NOT] = ActionEntry(SHIFT, 679);
   _actionMap[594][NULLTOKEN] = ActionEntry(SHIFT, 680);
   _actionMap[595][RB] = ActionEntry(SHIFT, 681);
   _actionMap[595][OR] = ActionEntry(SHIFT, 592);
   _actionMap[595][AND] = ActionEntry(SHIFT, 591);
   _actionMap[596][RB] = ActionEntry(SHIFT, 400);
   _actionMap[596][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[596][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[596][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[596][IS] = ActionEntry(SHIFT, 594);
   _actionMap[596][EQU] = ActionEntry(SHIFT, 487);
}
void Cego::loadParser45()
{
   _actionMap[596][NEGATION] = ActionEntry(SHIFT, 490);
   _actionMap[596][LT] = ActionEntry(SHIFT, 488);
   _actionMap[596][MT] = ActionEntry(SHIFT, 489);
   _jumpMap[596][Comparison] = 593;
   _actionMap[597][SEMICOLON] = ActionEntry(REDUCE, 98);
   _actionMap[597][EQU] = ActionEntry(SHIFT, 684);
   _jumpMap[597][ProcNoAssignment] = 683;
   _jumpMap[597][ProcInitialAssignment] = 682;
   _actionMap[598][LB] = ActionEntry(SHIFT, 685);
   _actionMap[599][BEGIN] = ActionEntry(REDUCE, 326);
   _actionMap[599][DEFAULT] = ActionEntry(REDUCE, 326);
   _actionMap[599][NULLTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[599][NOT] = ActionEntry(REDUCE, 326);
   _actionMap[599][KSEP] = ActionEntry(REDUCE, 326);
   _actionMap[599][RB] = ActionEntry(REDUCE, 326);
   _actionMap[599][EQU] = ActionEntry(REDUCE, 326);
   _actionMap[599][SEMICOLON] = ActionEntry(REDUCE, 326);
   _actionMap[600][BEGIN] = ActionEntry(REDUCE, 318);
   _actionMap[600][DEFAULT] = ActionEntry(REDUCE, 318);
   _actionMap[600][NULLTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[600][NOT] = ActionEntry(REDUCE, 318);
   _actionMap[600][KSEP] = ActionEntry(REDUCE, 318);
   _actionMap[600][RB] = ActionEntry(REDUCE, 318);
   _actionMap[600][EQU] = ActionEntry(REDUCE, 318);
   _actionMap[600][SEMICOLON] = ActionEntry(REDUCE, 318);
   _actionMap[601][BEGIN] = ActionEntry(REDUCE, 317);
   _actionMap[601][DEFAULT] = ActionEntry(REDUCE, 317);
   _actionMap[601][NULLTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[601][NOT] = ActionEntry(REDUCE, 317);
   _actionMap[601][KSEP] = ActionEntry(REDUCE, 317);
   _actionMap[601][RB] = ActionEntry(REDUCE, 317);
   _actionMap[601][EQU] = ActionEntry(REDUCE, 317);
   _actionMap[601][SEMICOLON] = ActionEntry(REDUCE, 317);
   _actionMap[602][LB] = ActionEntry(SHIFT, 686);
   _actionMap[603][BEGIN] = ActionEntry(REDUCE, 321);
   _actionMap[603][DEFAULT] = ActionEntry(REDUCE, 321);
   _actionMap[603][NULLTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[603][NOT] = ActionEntry(REDUCE, 321);
   _actionMap[603][KSEP] = ActionEntry(REDUCE, 321);
   _actionMap[603][RB] = ActionEntry(REDUCE, 321);
   _actionMap[603][EQU] = ActionEntry(REDUCE, 321);
   _actionMap[603][SEMICOLON] = ActionEntry(REDUCE, 321);
   _actionMap[604][LB] = ActionEntry(SHIFT, 687);
   _actionMap[605][BEGIN] = ActionEntry(REDUCE, 320);
   _actionMap[605][DEFAULT] = ActionEntry(REDUCE, 320);
   _actionMap[605][NULLTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[605][NOT] = ActionEntry(REDUCE, 320);
   _actionMap[605][KSEP] = ActionEntry(REDUCE, 320);
   _actionMap[605][RB] = ActionEntry(REDUCE, 320);
   _actionMap[605][EQU] = ActionEntry(REDUCE, 320);
}
void Cego::loadParser46()
{
   _actionMap[605][SEMICOLON] = ActionEntry(REDUCE, 320);
   _actionMap[606][BEGIN] = ActionEntry(REDUCE, 314);
   _actionMap[606][DEFAULT] = ActionEntry(REDUCE, 314);
   _actionMap[606][NULLTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[606][NOT] = ActionEntry(REDUCE, 314);
   _actionMap[606][KSEP] = ActionEntry(REDUCE, 314);
   _actionMap[606][RB] = ActionEntry(REDUCE, 314);
   _actionMap[606][EQU] = ActionEntry(REDUCE, 314);
   _actionMap[606][SEMICOLON] = ActionEntry(REDUCE, 314);
   _actionMap[607][BEGIN] = ActionEntry(REDUCE, 315);
   _actionMap[607][DEFAULT] = ActionEntry(REDUCE, 315);
   _actionMap[607][NULLTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[607][NOT] = ActionEntry(REDUCE, 315);
   _actionMap[607][KSEP] = ActionEntry(REDUCE, 315);
   _actionMap[607][RB] = ActionEntry(REDUCE, 315);
   _actionMap[607][EQU] = ActionEntry(REDUCE, 315);
   _actionMap[607][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[608][BEGIN] = ActionEntry(REDUCE, 322);
   _actionMap[608][DEFAULT] = ActionEntry(REDUCE, 322);
   _actionMap[608][NULLTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[608][NOT] = ActionEntry(REDUCE, 322);
   _actionMap[608][KSEP] = ActionEntry(REDUCE, 322);
   _actionMap[608][RB] = ActionEntry(REDUCE, 322);
   _actionMap[608][EQU] = ActionEntry(REDUCE, 322);
   _actionMap[608][SEMICOLON] = ActionEntry(REDUCE, 322);
   _actionMap[609][LB] = ActionEntry(SHIFT, 688);
   _actionMap[610][BEGIN] = ActionEntry(REDUCE, 323);
   _actionMap[610][DEFAULT] = ActionEntry(REDUCE, 323);
   _actionMap[610][NULLTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[610][NOT] = ActionEntry(REDUCE, 323);
   _actionMap[610][KSEP] = ActionEntry(REDUCE, 323);
   _actionMap[610][RB] = ActionEntry(REDUCE, 323);
   _actionMap[610][EQU] = ActionEntry(REDUCE, 323);
   _actionMap[610][SEMICOLON] = ActionEntry(REDUCE, 323);
   _actionMap[611][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[611][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[611][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[611][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[611][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[611][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[611][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[611][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[611][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[611][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[611][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[611][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[611][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[611][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[611][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[611][SUBSTR] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser47()
{
   _actionMap[611][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[611][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[611][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[611][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[611][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[611][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[611][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[611][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[611][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[611][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[611][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[611][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[611][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[611][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[611][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[611][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[611][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[611][LB] = ActionEntry(SHIFT, 137);
   _actionMap[611][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[611][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[611][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[611][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[611][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[611][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[611][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[611][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[611][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[611][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[611][VARREF] = ActionEntry(SHIFT, 331);
   _actionMap[611][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[611][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[611][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[611][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[611][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[611][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[611][IF] = ActionEntry(SHIFT, 326);
   _actionMap[611][BEGIN] = ActionEntry(SHIFT, 323);
   _actionMap[611][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[611][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[611][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[611][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[611][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[611][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[611][VAR] = ActionEntry(SHIFT, 329);
   _actionMap[611][CURSOR] = ActionEntry(SHIFT, 325);
   _actionMap[611][CLOSE] = ActionEntry(SHIFT, 324);
   _actionMap[611][NOOP] = ActionEntry(SHIFT, 327);
   _actionMap[611][RETURNTOKEN] = ActionEntry(SHIFT, 328);
   _actionMap[611][WHILE] = ActionEntry(SHIFT, 330);
   _jumpMap[611][ObjSpec] = 96;
}
void Cego::loadParser48()
{
   _jumpMap[611][Constant] = 95;
   _jumpMap[611][SignedFloat] = 94;
   _jumpMap[611][SignedInt] = 93;
   _jumpMap[611][Attribute] = 92;
   _jumpMap[611][Function] = 91;
   _jumpMap[611][DeleteStatement] = 322;
   _jumpMap[611][UpdateStatement] = 321;
   _jumpMap[611][InsertStatement] = 320;
   _jumpMap[611][RollbackStatement] = 319;
   _jumpMap[611][CommitStatement] = 318;
   _jumpMap[611][StartStatement] = 317;
   _jumpMap[611][CasePrepare] = 90;
   _jumpMap[611][CaseClause] = 89;
   _jumpMap[611][Factor] = 88;
   _jumpMap[611][Term] = 87;
   _jumpMap[611][Expr] = 316;
   _jumpMap[611][ProcStatement] = 315;
   _jumpMap[611][ProcIfPart] = 314;
   _jumpMap[611][ProcBlockStart] = 313;
   _jumpMap[611][ProcStatementList] = 312;
   _jumpMap[611][ProcStmtBlock] = 689;
   _actionMap[612][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[612][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[612][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[612][SEMICOLON] = ActionEntry(REDUCE, 93);
   _actionMap[613][LB] = ActionEntry(SHIFT, 690);
   _actionMap[614][IDENTIFIER] = ActionEntry(SHIFT, 693);
   _jumpMap[614][SimpleAttr] = 692;
   _jumpMap[614][SimpleAttrList] = 691;
   _actionMap[615][IDENTIFIER] = ActionEntry(SHIFT, 466);
   _jumpMap[615][ProcArg] = 694;
   _actionMap[616][BEGIN] = ActionEntry(REDUCE, 77);
   _actionMap[617][INT] = ActionEntry(SHIFT, 606);
   _actionMap[617][LONG] = ActionEntry(SHIFT, 607);
   _actionMap[617][STRING] = ActionEntry(SHIFT, 609);
   _actionMap[617][DATETIME] = ActionEntry(SHIFT, 601);
   _actionMap[617][BOOL] = ActionEntry(SHIFT, 600);
   _actionMap[617][BIGINT] = ActionEntry(SHIFT, 598);
   _actionMap[617][FLOAT] = ActionEntry(SHIFT, 605);
   _actionMap[617][DOUBLE] = ActionEntry(SHIFT, 603);
   _actionMap[617][SMALLINT] = ActionEntry(SHIFT, 608);
   _actionMap[617][TINYINT] = ActionEntry(SHIFT, 610);
   _actionMap[617][DECIMAL] = ActionEntry(SHIFT, 602);
   _actionMap[617][FIXED] = ActionEntry(SHIFT, 604);
   _actionMap[617][BLOB] = ActionEntry(SHIFT, 599);
   _jumpMap[617][DataTypeProd] = 695;
   _actionMap[618][INT] = ActionEntry(SHIFT, 606);
   _actionMap[618][LONG] = ActionEntry(SHIFT, 607);
   _actionMap[618][STRING] = ActionEntry(SHIFT, 609);
   _actionMap[618][DATETIME] = ActionEntry(SHIFT, 601);
}
void Cego::loadParser49()
{
   _actionMap[618][BOOL] = ActionEntry(SHIFT, 600);
   _actionMap[618][BIGINT] = ActionEntry(SHIFT, 598);
   _actionMap[618][FLOAT] = ActionEntry(SHIFT, 605);
   _actionMap[618][DOUBLE] = ActionEntry(SHIFT, 603);
   _actionMap[618][SMALLINT] = ActionEntry(SHIFT, 608);
   _actionMap[618][TINYINT] = ActionEntry(SHIFT, 610);
   _actionMap[618][DECIMAL] = ActionEntry(SHIFT, 602);
   _actionMap[618][FIXED] = ActionEntry(SHIFT, 604);
   _actionMap[618][BLOB] = ActionEntry(SHIFT, 599);
   _jumpMap[618][DataTypeProd] = 696;
   _actionMap[619][INT] = ActionEntry(SHIFT, 606);
   _actionMap[619][LONG] = ActionEntry(SHIFT, 607);
   _actionMap[619][STRING] = ActionEntry(SHIFT, 609);
   _actionMap[619][DATETIME] = ActionEntry(SHIFT, 601);
   _actionMap[619][BOOL] = ActionEntry(SHIFT, 600);
   _actionMap[619][BIGINT] = ActionEntry(SHIFT, 598);
   _actionMap[619][FLOAT] = ActionEntry(SHIFT, 605);
   _actionMap[619][DOUBLE] = ActionEntry(SHIFT, 603);
   _actionMap[619][SMALLINT] = ActionEntry(SHIFT, 608);
   _actionMap[619][TINYINT] = ActionEntry(SHIFT, 610);
   _actionMap[619][DECIMAL] = ActionEntry(SHIFT, 602);
   _actionMap[619][FIXED] = ActionEntry(SHIFT, 604);
   _actionMap[619][BLOB] = ActionEntry(SHIFT, 599);
   _jumpMap[619][DataTypeProd] = 697;
   _actionMap[620][IDENTIFIER] = ActionEntry(SHIFT, 471);
   _actionMap[620][PRIMARY] = ActionEntry(SHIFT, 470);
   _jumpMap[620][ColumnDesc] = 469;
   _jumpMap[620][KeyColumn] = 698;
   _actionMap[621][SEMICOLON] = ActionEntry(REDUCE, 53);
   _actionMap[622][KSEP] = ActionEntry(REDUCE, 166);
   _actionMap[622][RB] = ActionEntry(REDUCE, 166);
   _actionMap[623][RB] = ActionEntry(REDUCE, 175);
   _actionMap[623][SEMICOLON] = ActionEntry(REDUCE, 175);
   _actionMap[623][KSEP] = ActionEntry(REDUCE, 175);
   _actionMap[623][NOT] = ActionEntry(REDUCE, 175);
   _actionMap[623][NULLTOKEN] = ActionEntry(REDUCE, 175);
   _actionMap[623][DEFAULT] = ActionEntry(SHIFT, 701);
   _jumpMap[623][DefaultDefOpt] = 700;
   _jumpMap[623][DefaultOpt] = 699;
   _actionMap[624][LB] = ActionEntry(SHIFT, 476);
   _jumpMap[624][InsertValueSpec] = 702;
   _actionMap[625][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[625][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[625][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[625][KSEP] = ActionEntry(REDUCE, 195);
   _actionMap[625][RB] = ActionEntry(REDUCE, 195);
   _actionMap[626][RB] = ActionEntry(SHIFT, 704);
   _actionMap[626][KSEP] = ActionEntry(SHIFT, 703);
   _actionMap[627][IDENTIFIER] = ActionEntry(SHIFT, 705);
   _actionMap[628][SELECT] = ActionEntry(REDUCE, 186);
}
void Cego::loadParser50()
{
   _actionMap[628][VALUES] = ActionEntry(REDUCE, 186);
   _actionMap[629][WHEN] = ActionEntry(REDUCE, 157);
   _actionMap[629][ELSE] = ActionEntry(REDUCE, 157);
   _actionMap[629][LEFT] = ActionEntry(REDUCE, 157);
   _actionMap[629][RIGHT] = ActionEntry(REDUCE, 157);
   _actionMap[629][INNER] = ActionEntry(REDUCE, 157);
   _actionMap[629][JOIN] = ActionEntry(REDUCE, 157);
   _actionMap[629][RETURNTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[629][ORDER] = ActionEntry(REDUCE, 157);
   _actionMap[629][GROUP] = ActionEntry(REDUCE, 157);
   _actionMap[629][WHERE] = ActionEntry(REDUCE, 157);
   _actionMap[629][BEGIN] = ActionEntry(REDUCE, 157);
   _actionMap[629][THEN] = ActionEntry(REDUCE, 157);
   _actionMap[629][OR] = ActionEntry(REDUCE, 157);
   _actionMap[629][FROM] = ActionEntry(REDUCE, 157);
   _actionMap[629][AS] = ActionEntry(REDUCE, 157);
   _actionMap[629][END_TOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[629][AND] = ActionEntry(REDUCE, 157);
   _actionMap[629][INTOK] = ActionEntry(REDUCE, 157);
   _actionMap[629][NOT] = ActionEntry(REDUCE, 157);
   _actionMap[629][BETWEEN] = ActionEntry(REDUCE, 157);
   _actionMap[629][IS] = ActionEntry(REDUCE, 157);
   _actionMap[629][LIKE] = ActionEntry(REDUCE, 157);
   _actionMap[629][MT] = ActionEntry(REDUCE, 157);
   _actionMap[629][LT] = ActionEntry(REDUCE, 157);
   _actionMap[629][NEGATION] = ActionEntry(REDUCE, 157);
   _actionMap[629][EQU] = ActionEntry(REDUCE, 157);
   _actionMap[629][RB] = ActionEntry(REDUCE, 157);
   _actionMap[629][ENDTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[629][UNION] = ActionEntry(REDUCE, 157);
   _actionMap[629][ROWLIMIT] = ActionEntry(REDUCE, 157);
   _actionMap[629][KSEP] = ActionEntry(REDUCE, 157);
   _actionMap[629][ASC] = ActionEntry(REDUCE, 157);
   _actionMap[629][DESC] = ActionEntry(REDUCE, 157);
   _actionMap[629][SEMICOLON] = ActionEntry(REDUCE, 157);
   _actionMap[629][PLUS] = ActionEntry(REDUCE, 157);
   _actionMap[629][MINUS] = ActionEntry(REDUCE, 157);
   _actionMap[629][DIVISION] = ActionEntry(REDUCE, 157);
   _actionMap[629][STAR] = ActionEntry(REDUCE, 157);
   _actionMap[629][CONCAT] = ActionEntry(REDUCE, 157);
   _actionMap[630][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[630][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[630][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[630][LEFT] = ActionEntry(REDUCE, 306);
   _actionMap[630][RIGHT] = ActionEntry(REDUCE, 306);
   _actionMap[630][INNER] = ActionEntry(REDUCE, 306);
   _actionMap[630][JOIN] = ActionEntry(REDUCE, 306);
   _actionMap[630][RETURNTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[630][SEMICOLON] = ActionEntry(REDUCE, 306);
   _actionMap[630][ENDTOKEN] = ActionEntry(REDUCE, 306);
}
void Cego::loadParser51()
{
   _actionMap[630][UNION] = ActionEntry(REDUCE, 306);
   _actionMap[630][ROWLIMIT] = ActionEntry(REDUCE, 306);
   _actionMap[630][ORDER] = ActionEntry(REDUCE, 306);
   _actionMap[630][GROUP] = ActionEntry(REDUCE, 306);
   _actionMap[630][WHERE] = ActionEntry(REDUCE, 306);
   _actionMap[630][THEN] = ActionEntry(REDUCE, 306);
   _actionMap[630][AND] = ActionEntry(REDUCE, 306);
   _actionMap[630][OR] = ActionEntry(REDUCE, 306);
   _actionMap[630][RB] = ActionEntry(REDUCE, 306);
   _actionMap[631][AND] = ActionEntry(SHIFT, 706);
   _actionMap[631][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[631][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[631][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[632][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[632][SelectStatement] = 707;
   _actionMap[633][NULLTOKEN] = ActionEntry(SHIFT, 708);
   _actionMap[634][LEFT] = ActionEntry(REDUCE, 308);
   _actionMap[634][RIGHT] = ActionEntry(REDUCE, 308);
   _actionMap[634][INNER] = ActionEntry(REDUCE, 308);
   _actionMap[634][JOIN] = ActionEntry(REDUCE, 308);
   _actionMap[634][RETURNTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[634][SEMICOLON] = ActionEntry(REDUCE, 308);
   _actionMap[634][ENDTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[634][UNION] = ActionEntry(REDUCE, 308);
   _actionMap[634][ROWLIMIT] = ActionEntry(REDUCE, 308);
   _actionMap[634][ORDER] = ActionEntry(REDUCE, 308);
   _actionMap[634][GROUP] = ActionEntry(REDUCE, 308);
   _actionMap[634][WHERE] = ActionEntry(REDUCE, 308);
   _actionMap[634][THEN] = ActionEntry(REDUCE, 308);
   _actionMap[634][AND] = ActionEntry(REDUCE, 308);
   _actionMap[634][OR] = ActionEntry(REDUCE, 308);
   _actionMap[634][RB] = ActionEntry(REDUCE, 308);
   _actionMap[635][LEFT] = ActionEntry(REDUCE, 310);
   _actionMap[635][RIGHT] = ActionEntry(REDUCE, 310);
   _actionMap[635][INNER] = ActionEntry(REDUCE, 310);
   _actionMap[635][JOIN] = ActionEntry(REDUCE, 310);
   _actionMap[635][RETURNTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[635][SEMICOLON] = ActionEntry(REDUCE, 310);
   _actionMap[635][ENDTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[635][UNION] = ActionEntry(REDUCE, 310);
   _actionMap[635][ROWLIMIT] = ActionEntry(REDUCE, 310);
   _actionMap[635][ORDER] = ActionEntry(REDUCE, 310);
   _actionMap[635][GROUP] = ActionEntry(REDUCE, 310);
   _actionMap[635][WHERE] = ActionEntry(REDUCE, 310);
   _actionMap[635][THEN] = ActionEntry(REDUCE, 310);
   _actionMap[635][AND] = ActionEntry(REDUCE, 310);
   _actionMap[635][OR] = ActionEntry(REDUCE, 310);
   _actionMap[635][RB] = ActionEntry(REDUCE, 310);
   _actionMap[636][LB] = ActionEntry(SHIFT, 709);
   _actionMap[637][STRINGVAL] = ActionEntry(SHIFT, 710);
}
void Cego::loadParser52()
{
   _actionMap[638][VARREF] = ActionEntry(REDUCE, 331);
   _actionMap[638][FETCH] = ActionEntry(REDUCE, 331);
   _actionMap[638][LB] = ActionEntry(REDUCE, 331);
   _actionMap[638][COUNT] = ActionEntry(REDUCE, 331);
   _actionMap[638][SUM] = ActionEntry(REDUCE, 331);
   _actionMap[638][AVG] = ActionEntry(REDUCE, 331);
   _actionMap[638][MIN] = ActionEntry(REDUCE, 331);
   _actionMap[638][MAX] = ActionEntry(REDUCE, 331);
   _actionMap[638][CASE] = ActionEntry(REDUCE, 331);
   _actionMap[638][TRIM] = ActionEntry(REDUCE, 331);
   _actionMap[638][RTRIM] = ActionEntry(REDUCE, 331);
   _actionMap[638][LTRIM] = ActionEntry(REDUCE, 331);
   _actionMap[638][ROUND] = ActionEntry(REDUCE, 331);
   _actionMap[638][DATE2STR] = ActionEntry(REDUCE, 331);
   _actionMap[638][DATE2INT] = ActionEntry(REDUCE, 331);
   _actionMap[638][INT2DATE] = ActionEntry(REDUCE, 331);
   _actionMap[638][LOWER] = ActionEntry(REDUCE, 331);
   _actionMap[638][UPPER] = ActionEntry(REDUCE, 331);
   _actionMap[638][LEFT] = ActionEntry(REDUCE, 331);
   _actionMap[638][RIGHT] = ActionEntry(REDUCE, 331);
   _actionMap[638][GETPOS] = ActionEntry(REDUCE, 331);
   _actionMap[638][SUBSTR] = ActionEntry(REDUCE, 331);
   _actionMap[638][REPLACE] = ActionEntry(REDUCE, 331);
   _actionMap[638][LENGTH] = ActionEntry(REDUCE, 331);
   _actionMap[638][TRUNC] = ActionEntry(REDUCE, 331);
   _actionMap[638][STR2INT] = ActionEntry(REDUCE, 331);
   _actionMap[638][STR2LONG] = ActionEntry(REDUCE, 331);
   _actionMap[638][RANDSTR] = ActionEntry(REDUCE, 331);
   _actionMap[638][RANDINT] = ActionEntry(REDUCE, 331);
   _actionMap[638][MOD] = ActionEntry(REDUCE, 331);
   _actionMap[638][DIV] = ActionEntry(REDUCE, 331);
   _actionMap[638][POWER] = ActionEntry(REDUCE, 331);
   _actionMap[638][BITAND] = ActionEntry(REDUCE, 331);
   _actionMap[638][BITOR] = ActionEntry(REDUCE, 331);
   _actionMap[638][BITXOR] = ActionEntry(REDUCE, 331);
   _actionMap[638][NEXTCOUNT] = ActionEntry(REDUCE, 331);
   _actionMap[638][IDENTIFIER] = ActionEntry(REDUCE, 331);
   _actionMap[638][QUALIFIEDOBJ] = ActionEntry(REDUCE, 331);
   _actionMap[638][QUALIFIEDTS] = ActionEntry(REDUCE, 331);
   _actionMap[638][QUALIFIEDPRE] = ActionEntry(REDUCE, 331);
   _actionMap[638][STRINGVAL] = ActionEntry(REDUCE, 331);
   _actionMap[638][DATE] = ActionEntry(REDUCE, 331);
   _actionMap[638][SYSDATE] = ActionEntry(REDUCE, 331);
   _actionMap[638][NULLTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[638][TRUEVAL] = ActionEntry(REDUCE, 331);
   _actionMap[638][FALSEVAL] = ActionEntry(REDUCE, 331);
   _actionMap[638][LAB] = ActionEntry(REDUCE, 331);
   _actionMap[638][COUNTERID] = ActionEntry(REDUCE, 331);
   _actionMap[638][FLOATVAL] = ActionEntry(REDUCE, 331);
   _actionMap[638][MINUS] = ActionEntry(REDUCE, 331);
}
void Cego::loadParser53()
{
   _actionMap[638][INTVAL] = ActionEntry(REDUCE, 331);
   _actionMap[639][VARREF] = ActionEntry(REDUCE, 332);
   _actionMap[639][FETCH] = ActionEntry(REDUCE, 332);
   _actionMap[639][LB] = ActionEntry(REDUCE, 332);
   _actionMap[639][COUNT] = ActionEntry(REDUCE, 332);
   _actionMap[639][SUM] = ActionEntry(REDUCE, 332);
   _actionMap[639][AVG] = ActionEntry(REDUCE, 332);
   _actionMap[639][MIN] = ActionEntry(REDUCE, 332);
   _actionMap[639][MAX] = ActionEntry(REDUCE, 332);
   _actionMap[639][CASE] = ActionEntry(REDUCE, 332);
   _actionMap[639][TRIM] = ActionEntry(REDUCE, 332);
   _actionMap[639][RTRIM] = ActionEntry(REDUCE, 332);
   _actionMap[639][LTRIM] = ActionEntry(REDUCE, 332);
   _actionMap[639][ROUND] = ActionEntry(REDUCE, 332);
   _actionMap[639][DATE2STR] = ActionEntry(REDUCE, 332);
   _actionMap[639][DATE2INT] = ActionEntry(REDUCE, 332);
   _actionMap[639][INT2DATE] = ActionEntry(REDUCE, 332);
   _actionMap[639][LOWER] = ActionEntry(REDUCE, 332);
   _actionMap[639][UPPER] = ActionEntry(REDUCE, 332);
   _actionMap[639][LEFT] = ActionEntry(REDUCE, 332);
   _actionMap[639][RIGHT] = ActionEntry(REDUCE, 332);
   _actionMap[639][GETPOS] = ActionEntry(REDUCE, 332);
   _actionMap[639][SUBSTR] = ActionEntry(REDUCE, 332);
   _actionMap[639][REPLACE] = ActionEntry(REDUCE, 332);
   _actionMap[639][LENGTH] = ActionEntry(REDUCE, 332);
   _actionMap[639][TRUNC] = ActionEntry(REDUCE, 332);
   _actionMap[639][STR2INT] = ActionEntry(REDUCE, 332);
   _actionMap[639][STR2LONG] = ActionEntry(REDUCE, 332);
   _actionMap[639][RANDSTR] = ActionEntry(REDUCE, 332);
   _actionMap[639][RANDINT] = ActionEntry(REDUCE, 332);
   _actionMap[639][MOD] = ActionEntry(REDUCE, 332);
   _actionMap[639][DIV] = ActionEntry(REDUCE, 332);
   _actionMap[639][POWER] = ActionEntry(REDUCE, 332);
   _actionMap[639][BITAND] = ActionEntry(REDUCE, 332);
   _actionMap[639][BITOR] = ActionEntry(REDUCE, 332);
   _actionMap[639][BITXOR] = ActionEntry(REDUCE, 332);
   _actionMap[639][NEXTCOUNT] = ActionEntry(REDUCE, 332);
   _actionMap[639][IDENTIFIER] = ActionEntry(REDUCE, 332);
   _actionMap[639][QUALIFIEDOBJ] = ActionEntry(REDUCE, 332);
   _actionMap[639][QUALIFIEDTS] = ActionEntry(REDUCE, 332);
   _actionMap[639][QUALIFIEDPRE] = ActionEntry(REDUCE, 332);
   _actionMap[639][STRINGVAL] = ActionEntry(REDUCE, 332);
   _actionMap[639][DATE] = ActionEntry(REDUCE, 332);
   _actionMap[639][SYSDATE] = ActionEntry(REDUCE, 332);
   _actionMap[639][NULLTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[639][TRUEVAL] = ActionEntry(REDUCE, 332);
   _actionMap[639][FALSEVAL] = ActionEntry(REDUCE, 332);
   _actionMap[639][LAB] = ActionEntry(REDUCE, 332);
   _actionMap[639][COUNTERID] = ActionEntry(REDUCE, 332);
   _actionMap[639][FLOATVAL] = ActionEntry(REDUCE, 332);
}
void Cego::loadParser54()
{
   _actionMap[639][MINUS] = ActionEntry(REDUCE, 332);
   _actionMap[639][INTVAL] = ActionEntry(REDUCE, 332);
   _actionMap[640][VARREF] = ActionEntry(REDUCE, 328);
   _actionMap[640][FETCH] = ActionEntry(REDUCE, 328);
   _actionMap[640][LB] = ActionEntry(REDUCE, 328);
   _actionMap[640][COUNT] = ActionEntry(REDUCE, 328);
   _actionMap[640][SUM] = ActionEntry(REDUCE, 328);
   _actionMap[640][AVG] = ActionEntry(REDUCE, 328);
   _actionMap[640][MIN] = ActionEntry(REDUCE, 328);
   _actionMap[640][MAX] = ActionEntry(REDUCE, 328);
   _actionMap[640][CASE] = ActionEntry(REDUCE, 328);
   _actionMap[640][TRIM] = ActionEntry(REDUCE, 328);
   _actionMap[640][RTRIM] = ActionEntry(REDUCE, 328);
   _actionMap[640][LTRIM] = ActionEntry(REDUCE, 328);
   _actionMap[640][ROUND] = ActionEntry(REDUCE, 328);
   _actionMap[640][DATE2STR] = ActionEntry(REDUCE, 328);
   _actionMap[640][DATE2INT] = ActionEntry(REDUCE, 328);
   _actionMap[640][INT2DATE] = ActionEntry(REDUCE, 328);
   _actionMap[640][LOWER] = ActionEntry(REDUCE, 328);
   _actionMap[640][UPPER] = ActionEntry(REDUCE, 328);
   _actionMap[640][LEFT] = ActionEntry(REDUCE, 328);
   _actionMap[640][RIGHT] = ActionEntry(REDUCE, 328);
   _actionMap[640][GETPOS] = ActionEntry(REDUCE, 328);
   _actionMap[640][SUBSTR] = ActionEntry(REDUCE, 328);
   _actionMap[640][REPLACE] = ActionEntry(REDUCE, 328);
   _actionMap[640][LENGTH] = ActionEntry(REDUCE, 328);
   _actionMap[640][TRUNC] = ActionEntry(REDUCE, 328);
   _actionMap[640][STR2INT] = ActionEntry(REDUCE, 328);
   _actionMap[640][STR2LONG] = ActionEntry(REDUCE, 328);
   _actionMap[640][RANDSTR] = ActionEntry(REDUCE, 328);
   _actionMap[640][RANDINT] = ActionEntry(REDUCE, 328);
   _actionMap[640][MOD] = ActionEntry(REDUCE, 328);
   _actionMap[640][DIV] = ActionEntry(REDUCE, 328);
   _actionMap[640][POWER] = ActionEntry(REDUCE, 328);
   _actionMap[640][BITAND] = ActionEntry(REDUCE, 328);
   _actionMap[640][BITOR] = ActionEntry(REDUCE, 328);
   _actionMap[640][BITXOR] = ActionEntry(REDUCE, 328);
   _actionMap[640][NEXTCOUNT] = ActionEntry(REDUCE, 328);
   _actionMap[640][IDENTIFIER] = ActionEntry(REDUCE, 328);
   _actionMap[640][QUALIFIEDOBJ] = ActionEntry(REDUCE, 328);
   _actionMap[640][QUALIFIEDTS] = ActionEntry(REDUCE, 328);
   _actionMap[640][QUALIFIEDPRE] = ActionEntry(REDUCE, 328);
   _actionMap[640][STRINGVAL] = ActionEntry(REDUCE, 328);
   _actionMap[640][DATE] = ActionEntry(REDUCE, 328);
   _actionMap[640][SYSDATE] = ActionEntry(REDUCE, 328);
   _actionMap[640][NULLTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[640][TRUEVAL] = ActionEntry(REDUCE, 328);
   _actionMap[640][FALSEVAL] = ActionEntry(REDUCE, 328);
   _actionMap[640][LAB] = ActionEntry(REDUCE, 328);
   _actionMap[640][COUNTERID] = ActionEntry(REDUCE, 328);
}
void Cego::loadParser55()
{
   _actionMap[640][FLOATVAL] = ActionEntry(REDUCE, 328);
   _actionMap[640][MINUS] = ActionEntry(REDUCE, 328);
   _actionMap[640][INTVAL] = ActionEntry(REDUCE, 328);
   _actionMap[641][THEN] = ActionEntry(REDUCE, 300);
   _actionMap[641][LEFT] = ActionEntry(REDUCE, 300);
   _actionMap[641][RIGHT] = ActionEntry(REDUCE, 300);
   _actionMap[641][INNER] = ActionEntry(REDUCE, 300);
   _actionMap[641][JOIN] = ActionEntry(REDUCE, 300);
   _actionMap[641][RETURNTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[641][SEMICOLON] = ActionEntry(REDUCE, 300);
   _actionMap[641][RB] = ActionEntry(REDUCE, 300);
   _actionMap[641][ENDTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[641][UNION] = ActionEntry(REDUCE, 300);
   _actionMap[641][ROWLIMIT] = ActionEntry(REDUCE, 300);
   _actionMap[641][ORDER] = ActionEntry(REDUCE, 300);
   _actionMap[641][GROUP] = ActionEntry(REDUCE, 300);
   _actionMap[641][WHERE] = ActionEntry(REDUCE, 300);
   _actionMap[641][OR] = ActionEntry(REDUCE, 300);
   _actionMap[641][AND] = ActionEntry(REDUCE, 300);
   _actionMap[642][THEN] = ActionEntry(REDUCE, 301);
   _actionMap[642][LEFT] = ActionEntry(REDUCE, 301);
   _actionMap[642][RIGHT] = ActionEntry(REDUCE, 301);
   _actionMap[642][INNER] = ActionEntry(REDUCE, 301);
   _actionMap[642][JOIN] = ActionEntry(REDUCE, 301);
   _actionMap[642][RETURNTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[642][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[642][RB] = ActionEntry(REDUCE, 301);
   _actionMap[642][ENDTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[642][UNION] = ActionEntry(REDUCE, 301);
   _actionMap[642][ROWLIMIT] = ActionEntry(REDUCE, 301);
   _actionMap[642][ORDER] = ActionEntry(REDUCE, 301);
   _actionMap[642][GROUP] = ActionEntry(REDUCE, 301);
   _actionMap[642][WHERE] = ActionEntry(REDUCE, 301);
   _actionMap[642][OR] = ActionEntry(REDUCE, 301);
   _actionMap[642][AND] = ActionEntry(REDUCE, 301);
   _actionMap[643][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[643][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[643][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[643][WHEN] = ActionEntry(REDUCE, 160);
   _actionMap[643][ELSE] = ActionEntry(REDUCE, 160);
   _actionMap[644][RB] = ActionEntry(SHIFT, 711);
   _actionMap[645][THEN] = ActionEntry(REDUCE, 312);
   _actionMap[645][LEFT] = ActionEntry(REDUCE, 312);
   _actionMap[645][RIGHT] = ActionEntry(REDUCE, 312);
   _actionMap[645][INNER] = ActionEntry(REDUCE, 312);
   _actionMap[645][JOIN] = ActionEntry(REDUCE, 312);
   _actionMap[645][RETURNTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[645][SEMICOLON] = ActionEntry(REDUCE, 312);
   _actionMap[645][RB] = ActionEntry(REDUCE, 312);
   _actionMap[645][ENDTOKEN] = ActionEntry(REDUCE, 312);
}
void Cego::loadParser56()
{
   _actionMap[645][UNION] = ActionEntry(REDUCE, 312);
   _actionMap[645][ROWLIMIT] = ActionEntry(REDUCE, 312);
   _actionMap[645][ORDER] = ActionEntry(REDUCE, 312);
   _actionMap[645][GROUP] = ActionEntry(REDUCE, 312);
   _actionMap[645][WHERE] = ActionEntry(REDUCE, 312);
   _actionMap[645][AND] = ActionEntry(REDUCE, 312);
   _actionMap[645][OR] = ActionEntry(REDUCE, 312);
   _actionMap[646][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[646][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[646][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[646][KSEP] = ActionEntry(REDUCE, 295);
   _actionMap[646][RB] = ActionEntry(REDUCE, 295);
   _actionMap[647][RB] = ActionEntry(SHIFT, 712);
   _actionMap[648][RB] = ActionEntry(REDUCE, 358);
   _actionMap[649][RB] = ActionEntry(SHIFT, 714);
   _actionMap[649][KSEP] = ActionEntry(SHIFT, 713);
   _actionMap[650][KSEP] = ActionEntry(REDUCE, 163);
   _actionMap[650][RB] = ActionEntry(REDUCE, 163);
   _actionMap[651][WHEN] = ActionEntry(REDUCE, 355);
   _actionMap[651][ELSE] = ActionEntry(REDUCE, 355);
   _actionMap[651][LEFT] = ActionEntry(REDUCE, 355);
   _actionMap[651][RIGHT] = ActionEntry(REDUCE, 355);
   _actionMap[651][INNER] = ActionEntry(REDUCE, 355);
   _actionMap[651][JOIN] = ActionEntry(REDUCE, 355);
   _actionMap[651][RETURNTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[651][ORDER] = ActionEntry(REDUCE, 355);
   _actionMap[651][GROUP] = ActionEntry(REDUCE, 355);
   _actionMap[651][WHERE] = ActionEntry(REDUCE, 355);
   _actionMap[651][FROM] = ActionEntry(REDUCE, 355);
   _actionMap[651][AS] = ActionEntry(REDUCE, 355);
   _actionMap[651][END_TOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[651][BEGIN] = ActionEntry(REDUCE, 355);
   _actionMap[651][THEN] = ActionEntry(REDUCE, 355);
   _actionMap[651][OR] = ActionEntry(REDUCE, 355);
   _actionMap[651][AND] = ActionEntry(REDUCE, 355);
   _actionMap[651][NULLTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[651][INTOK] = ActionEntry(REDUCE, 355);
   _actionMap[651][NOT] = ActionEntry(REDUCE, 355);
   _actionMap[651][BETWEEN] = ActionEntry(REDUCE, 355);
   _actionMap[651][IS] = ActionEntry(REDUCE, 355);
   _actionMap[651][LIKE] = ActionEntry(REDUCE, 355);
   _actionMap[651][MT] = ActionEntry(REDUCE, 355);
   _actionMap[651][LT] = ActionEntry(REDUCE, 355);
   _actionMap[651][NEGATION] = ActionEntry(REDUCE, 355);
   _actionMap[651][EQU] = ActionEntry(REDUCE, 355);
   _actionMap[651][RB] = ActionEntry(REDUCE, 355);
   _actionMap[651][ENDTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[651][UNION] = ActionEntry(REDUCE, 355);
   _actionMap[651][ROWLIMIT] = ActionEntry(REDUCE, 355);
   _actionMap[651][KSEP] = ActionEntry(REDUCE, 355);
}
void Cego::loadParser57()
{
   _actionMap[651][ASC] = ActionEntry(REDUCE, 355);
   _actionMap[651][DESC] = ActionEntry(REDUCE, 355);
   _actionMap[651][SEMICOLON] = ActionEntry(REDUCE, 355);
   _actionMap[651][PLUS] = ActionEntry(REDUCE, 355);
   _actionMap[651][MINUS] = ActionEntry(REDUCE, 355);
   _actionMap[651][DIVISION] = ActionEntry(REDUCE, 355);
   _actionMap[651][STAR] = ActionEntry(REDUCE, 355);
   _actionMap[651][CONCAT] = ActionEntry(REDUCE, 355);
   _actionMap[652][SEMICOLON] = ActionEntry(REDUCE, 229);
   _actionMap[652][RB] = ActionEntry(REDUCE, 229);
   _actionMap[652][ENDTOKEN] = ActionEntry(REDUCE, 229);
   _actionMap[652][UNION] = ActionEntry(REDUCE, 229);
   _actionMap[652][ROWLIMIT] = ActionEntry(REDUCE, 229);
   _actionMap[652][ORDER] = ActionEntry(SHIFT, 717);
   _jumpMap[652][NoOrdering] = 716;
   _jumpMap[652][OrderingClause] = 715;
   _actionMap[653][ORDER] = ActionEntry(REDUCE, 220);
   _actionMap[653][ROWLIMIT] = ActionEntry(REDUCE, 220);
   _actionMap[653][UNION] = ActionEntry(REDUCE, 220);
   _actionMap[653][ENDTOKEN] = ActionEntry(REDUCE, 220);
   _actionMap[653][RB] = ActionEntry(REDUCE, 220);
   _actionMap[653][SEMICOLON] = ActionEntry(REDUCE, 220);
   _actionMap[654][BY] = ActionEntry(SHIFT, 718);
   _actionMap[655][ON] = ActionEntry(SHIFT, 720);
   _jumpMap[655][JoinTableOn] = 719;
   _actionMap[656][IDENTIFIER] = ActionEntry(REDUCE, 209);
   _actionMap[656][QUALIFIEDOBJ] = ActionEntry(REDUCE, 209);
   _actionMap[656][QUALIFIEDTS] = ActionEntry(REDUCE, 209);
   _actionMap[657][JOIN] = ActionEntry(SHIFT, 721);
   _actionMap[658][JOIN] = ActionEntry(SHIFT, 722);
   _actionMap[659][RETURNTOKEN] = ActionEntry(REDUCE, 211);
   _actionMap[659][SEMICOLON] = ActionEntry(REDUCE, 211);
   _actionMap[659][RB] = ActionEntry(REDUCE, 211);
   _actionMap[659][ENDTOKEN] = ActionEntry(REDUCE, 211);
   _actionMap[659][UNION] = ActionEntry(REDUCE, 211);
   _actionMap[659][ROWLIMIT] = ActionEntry(REDUCE, 211);
   _actionMap[659][ORDER] = ActionEntry(REDUCE, 211);
   _actionMap[659][GROUP] = ActionEntry(REDUCE, 211);
   _actionMap[659][WHERE] = ActionEntry(REDUCE, 211);
   _actionMap[660][KSEP] = ActionEntry(SHIFT, 559);
   _actionMap[660][RETURNTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[660][SEMICOLON] = ActionEntry(REDUCE, 212);
   _actionMap[660][RB] = ActionEntry(REDUCE, 212);
   _actionMap[660][ENDTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[660][UNION] = ActionEntry(REDUCE, 212);
   _actionMap[660][ROWLIMIT] = ActionEntry(REDUCE, 212);
   _actionMap[660][ORDER] = ActionEntry(REDUCE, 212);
   _actionMap[660][GROUP] = ActionEntry(REDUCE, 212);
   _actionMap[660][WHERE] = ActionEntry(REDUCE, 212);
   _actionMap[661][SEMICOLON] = ActionEntry(REDUCE, 241);
}
void Cego::loadParser58()
{
   _actionMap[662][VARREF] = ActionEntry(SHIFT, 725);
   _jumpMap[662][ReturnVar] = 724;
   _jumpMap[662][ReturnVarList] = 723;
   _actionMap[663][KSEP] = ActionEntry(REDUCE, 242);
   _actionMap[663][WHERE] = ActionEntry(REDUCE, 242);
   _actionMap[663][GROUP] = ActionEntry(REDUCE, 242);
   _actionMap[663][ORDER] = ActionEntry(REDUCE, 242);
   _actionMap[663][ROWLIMIT] = ActionEntry(REDUCE, 242);
   _actionMap[663][UNION] = ActionEntry(REDUCE, 242);
   _actionMap[663][ENDTOKEN] = ActionEntry(REDUCE, 242);
   _actionMap[663][RB] = ActionEntry(REDUCE, 242);
   _actionMap[663][SEMICOLON] = ActionEntry(REDUCE, 242);
   _actionMap[663][RETURNTOKEN] = ActionEntry(REDUCE, 242);
   _actionMap[664][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[664][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[664][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[664][KSEP] = ActionEntry(REDUCE, 244);
   _actionMap[664][WHERE] = ActionEntry(REDUCE, 244);
   _actionMap[664][GROUP] = ActionEntry(REDUCE, 244);
   _actionMap[664][ORDER] = ActionEntry(REDUCE, 244);
   _actionMap[664][ROWLIMIT] = ActionEntry(REDUCE, 244);
   _actionMap[664][UNION] = ActionEntry(REDUCE, 244);
   _actionMap[664][ENDTOKEN] = ActionEntry(REDUCE, 244);
   _actionMap[664][RB] = ActionEntry(REDUCE, 244);
   _actionMap[664][SEMICOLON] = ActionEntry(REDUCE, 244);
   _actionMap[664][RETURNTOKEN] = ActionEntry(REDUCE, 244);
   _actionMap[665][RB] = ActionEntry(SHIFT, 666);
   _actionMap[666][SEMICOLON] = ActionEntry(REDUCE, 52);
   _actionMap[431][DROP] = ActionEntry(SHIFT, 303);
   _actionMap[431][ADD] = ActionEntry(SHIFT, 569);
   _actionMap[431][MODIFY] = ActionEntry(SHIFT, 304);
   _actionMap[431][RENAME] = ActionEntry(SHIFT, 305);
   _jumpMap[431][AlterOption] = 301;
   _jumpMap[431][AlterList] = 568;
   _actionMap[432][IDENTIFIER] = ActionEntry(SHIFT, 570);
   _actionMap[433][IDENTIFIER] = ActionEntry(SHIFT, 471);
   _jumpMap[433][ColumnDesc] = 571;
   _actionMap[434][KEY] = ActionEntry(SHIFT, 572);
   _actionMap[435][IDENTIFIER] = ActionEntry(SHIFT, 573);
   _actionMap[436][IDENTIFIER] = ActionEntry(SHIFT, 471);
   _jumpMap[436][ColumnDesc] = 574;
   _actionMap[437][IDENTIFIER] = ActionEntry(SHIFT, 575);
   _actionMap[438][FOR] = ActionEntry(SHIFT, 576);
   _actionMap[439][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[439][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[439][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[439][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[439][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[439][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[439][ROUND] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser59()
{
   _actionMap[439][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[439][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[439][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[439][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[439][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[439][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[439][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[439][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[439][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[439][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[439][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[439][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[439][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[439][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[439][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[439][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[439][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[439][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[439][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[439][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[439][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[439][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[439][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[439][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[439][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[439][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[439][LB] = ActionEntry(SHIFT, 137);
   _actionMap[439][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[439][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[439][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[439][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[439][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[439][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[439][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[439][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[439][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[439][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[439][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[439][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[439][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[439][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[439][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[439][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[439][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[439][ObjSpec] = 96;
   _jumpMap[439][Constant] = 95;
   _jumpMap[439][SignedFloat] = 94;
   _jumpMap[439][SignedInt] = 93;
   _jumpMap[439][Attribute] = 92;
   _jumpMap[439][Function] = 91;
}
void Cego::loadParser60()
{
   _jumpMap[439][CasePrepare] = 90;
   _jumpMap[439][CaseClause] = 89;
   _jumpMap[439][Factor] = 88;
   _jumpMap[439][Term] = 87;
   _jumpMap[439][Expr] = 577;
   _actionMap[440][SEMICOLON] = ActionEntry(REDUCE, 78);
   _actionMap[441][ELSE] = ActionEntry(REDUCE, 87);
   _actionMap[441][ELSIF] = ActionEntry(REDUCE, 87);
   _actionMap[441][END_TOKEN] = ActionEntry(REDUCE, 87);
   _actionMap[441][EXCEPTION] = ActionEntry(SHIFT, 579);
   _jumpMap[441][ProcExceptionStmt] = 578;
   _actionMap[442][SEMICOLON] = ActionEntry(SHIFT, 580);
   _actionMap[443][END_TOKEN] = ActionEntry(SHIFT, 581);
   _actionMap[444][ELSE] = ActionEntry(SHIFT, 584);
   _actionMap[444][END_TOKEN] = ActionEntry(REDUCE, 123);
   _jumpMap[444][ProcElsePart] = 583;
   _jumpMap[444][ProcElseOpt] = 582;
   _actionMap[445][ELSIF] = ActionEntry(SHIFT, 446);
   _actionMap[445][END_TOKEN] = ActionEntry(REDUCE, 120);
   _actionMap[445][ELSE] = ActionEntry(REDUCE, 120);
   _jumpMap[445][ProcElsIfOpt] = 445;
   _jumpMap[445][ProcElsIfList] = 586;
   _actionMap[446][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[446][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[446][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[446][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[446][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[446][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[446][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[446][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[446][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[446][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[446][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[446][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[446][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[446][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[446][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[446][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[446][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[446][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[446][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[446][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[446][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[446][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[446][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[446][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[446][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[446][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[446][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[446][BITOR] = ActionEntry(SHIFT, 100);
}
void Cego::loadParser61()
{
   _actionMap[446][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[446][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[446][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[446][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[446][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[446][LB] = ActionEntry(SHIFT, 454);
   _actionMap[446][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[446][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[446][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[446][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[446][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[446][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[446][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[446][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[446][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[446][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[446][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[446][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[446][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[446][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[446][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[446][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[446][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[446][ObjSpec] = 96;
   _jumpMap[446][Constant] = 95;
   _jumpMap[446][SignedFloat] = 94;
   _jumpMap[446][SignedInt] = 93;
   _jumpMap[446][Attribute] = 92;
   _jumpMap[446][Function] = 91;
   _jumpMap[446][CasePrepare] = 90;
   _jumpMap[446][CaseClause] = 89;
   _jumpMap[446][Factor] = 88;
   _jumpMap[446][Term] = 87;
   _jumpMap[446][Expr] = 453;
   _jumpMap[446][ProcPredicate] = 452;
   _jumpMap[446][ProcCondition] = 588;
   _jumpMap[446][ProcElsIfCondition] = 587;
   _actionMap[447][EXCEPTION] = ActionEntry(REDUCE, 89);
   _actionMap[447][END_TOKEN] = ActionEntry(REDUCE, 89);
   _actionMap[447][ELSE] = ActionEntry(REDUCE, 89);
   _actionMap[447][ELSIF] = ActionEntry(REDUCE, 89);
   _actionMap[447][VAR] = ActionEntry(REDUCE, 89);
   _actionMap[447][CURSOR] = ActionEntry(REDUCE, 89);
   _actionMap[447][CLOSE] = ActionEntry(REDUCE, 89);
   _actionMap[447][VARREF] = ActionEntry(REDUCE, 89);
   _actionMap[447][NOOP] = ActionEntry(REDUCE, 89);
   _actionMap[447][RETURNTOKEN] = ActionEntry(REDUCE, 89);
   _actionMap[447][WHILE] = ActionEntry(REDUCE, 89);
   _actionMap[447][IF] = ActionEntry(REDUCE, 89);
   _actionMap[447][BEGIN] = ActionEntry(REDUCE, 89);
}
void Cego::loadParser62()
{
   _actionMap[447][ROLLBACK] = ActionEntry(REDUCE, 89);
   _actionMap[447][COMMIT] = ActionEntry(REDUCE, 89);
   _actionMap[447][START_TOKEN] = ActionEntry(REDUCE, 89);
   _actionMap[447][UPDATE] = ActionEntry(REDUCE, 89);
   _actionMap[447][DELETETOK] = ActionEntry(REDUCE, 89);
   _actionMap[447][INSERT] = ActionEntry(REDUCE, 89);
   _actionMap[447][FETCH] = ActionEntry(REDUCE, 89);
   _actionMap[447][LB] = ActionEntry(REDUCE, 89);
   _actionMap[447][COUNT] = ActionEntry(REDUCE, 89);
   _actionMap[447][SUM] = ActionEntry(REDUCE, 89);
   _actionMap[447][AVG] = ActionEntry(REDUCE, 89);
   _actionMap[447][MIN] = ActionEntry(REDUCE, 89);
   _actionMap[447][MAX] = ActionEntry(REDUCE, 89);
   _actionMap[447][CASE] = ActionEntry(REDUCE, 89);
   _actionMap[447][TRIM] = ActionEntry(REDUCE, 89);
   _actionMap[447][RTRIM] = ActionEntry(REDUCE, 89);
   _actionMap[447][LTRIM] = ActionEntry(REDUCE, 89);
   _actionMap[447][ROUND] = ActionEntry(REDUCE, 89);
   _actionMap[447][DATE2STR] = ActionEntry(REDUCE, 89);
   _actionMap[447][DATE2INT] = ActionEntry(REDUCE, 89);
   _actionMap[447][INT2DATE] = ActionEntry(REDUCE, 89);
   _actionMap[447][LOWER] = ActionEntry(REDUCE, 89);
   _actionMap[447][UPPER] = ActionEntry(REDUCE, 89);
   _actionMap[447][LEFT] = ActionEntry(REDUCE, 89);
   _actionMap[447][RIGHT] = ActionEntry(REDUCE, 89);
   _actionMap[447][GETPOS] = ActionEntry(REDUCE, 89);
   _actionMap[447][SUBSTR] = ActionEntry(REDUCE, 89);
   _actionMap[447][REPLACE] = ActionEntry(REDUCE, 89);
   _actionMap[447][LENGTH] = ActionEntry(REDUCE, 89);
   _actionMap[447][TRUNC] = ActionEntry(REDUCE, 89);
   _actionMap[447][STR2INT] = ActionEntry(REDUCE, 89);
   _actionMap[447][STR2LONG] = ActionEntry(REDUCE, 89);
   _actionMap[447][RANDSTR] = ActionEntry(REDUCE, 89);
   _actionMap[447][RANDINT] = ActionEntry(REDUCE, 89);
   _actionMap[447][MOD] = ActionEntry(REDUCE, 89);
   _actionMap[447][DIV] = ActionEntry(REDUCE, 89);
   _actionMap[447][POWER] = ActionEntry(REDUCE, 89);
   _actionMap[447][BITAND] = ActionEntry(REDUCE, 89);
   _actionMap[447][BITOR] = ActionEntry(REDUCE, 89);
   _actionMap[447][BITXOR] = ActionEntry(REDUCE, 89);
   _actionMap[447][NEXTCOUNT] = ActionEntry(REDUCE, 89);
   _actionMap[447][IDENTIFIER] = ActionEntry(REDUCE, 89);
   _actionMap[447][QUALIFIEDOBJ] = ActionEntry(REDUCE, 89);
   _actionMap[447][QUALIFIEDTS] = ActionEntry(REDUCE, 89);
   _actionMap[447][QUALIFIEDPRE] = ActionEntry(REDUCE, 89);
   _actionMap[447][STRINGVAL] = ActionEntry(REDUCE, 89);
   _actionMap[447][DATE] = ActionEntry(REDUCE, 89);
   _actionMap[447][SYSDATE] = ActionEntry(REDUCE, 89);
   _actionMap[447][NULLTOKEN] = ActionEntry(REDUCE, 89);
   _actionMap[447][TRUEVAL] = ActionEntry(REDUCE, 89);
}
void Cego::loadParser63()
{
   _actionMap[447][FALSEVAL] = ActionEntry(REDUCE, 89);
   _actionMap[447][LAB] = ActionEntry(REDUCE, 89);
   _actionMap[447][COUNTERID] = ActionEntry(REDUCE, 89);
   _actionMap[447][FLOATVAL] = ActionEntry(REDUCE, 89);
   _actionMap[447][MINUS] = ActionEntry(REDUCE, 89);
   _actionMap[447][INTVAL] = ActionEntry(REDUCE, 89);
   _actionMap[448][SEMICOLON] = ActionEntry(REDUCE, 92);
   _actionMap[449][AS] = ActionEntry(SHIFT, 589);
   _actionMap[450][THEN] = ActionEntry(SHIFT, 590);
   _actionMap[451][OR] = ActionEntry(SHIFT, 592);
   _actionMap[451][AND] = ActionEntry(SHIFT, 591);
   _actionMap[451][THEN] = ActionEntry(REDUCE, 125);
   _actionMap[452][BEGIN] = ActionEntry(REDUCE, 131);
   _actionMap[452][RB] = ActionEntry(REDUCE, 131);
   _actionMap[452][AND] = ActionEntry(REDUCE, 131);
   _actionMap[452][OR] = ActionEntry(REDUCE, 131);
   _actionMap[452][THEN] = ActionEntry(REDUCE, 131);
   _actionMap[453][IS] = ActionEntry(SHIFT, 594);
   _actionMap[453][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[453][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[453][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[453][EQU] = ActionEntry(SHIFT, 487);
   _actionMap[453][NEGATION] = ActionEntry(SHIFT, 490);
   _actionMap[453][LT] = ActionEntry(SHIFT, 488);
   _actionMap[453][MT] = ActionEntry(SHIFT, 489);
   _jumpMap[453][Comparison] = 593;
   _actionMap[454][LONG] = ActionEntry(SHIFT, 263);
   _actionMap[454][BIGINT] = ActionEntry(SHIFT, 259);
   _actionMap[454][SMALLINT] = ActionEntry(SHIFT, 264);
   _actionMap[454][TINYINT] = ActionEntry(SHIFT, 265);
   _actionMap[454][DOUBLE] = ActionEntry(SHIFT, 261);
   _actionMap[454][DECIMAL] = ActionEntry(SHIFT, 260);
   _actionMap[454][FIXED] = ActionEntry(SHIFT, 262);
   _actionMap[454][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[454][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[454][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[454][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[454][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[454][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[454][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[454][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[454][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[454][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[454][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[454][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[454][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[454][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[454][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[454][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[454][REPLACE] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser64()
{
   _actionMap[454][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[454][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[454][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[454][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[454][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[454][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[454][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[454][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[454][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[454][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[454][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[454][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[454][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[454][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[454][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[454][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[454][LB] = ActionEntry(SHIFT, 454);
   _actionMap[454][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[454][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[454][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[454][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[454][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[454][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[454][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[454][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[454][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[454][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[454][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[454][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[454][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[454][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[454][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[454][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[454][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[454][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[454][ObjSpec] = 96;
   _jumpMap[454][Constant] = 95;
   _jumpMap[454][SignedFloat] = 94;
   _jumpMap[454][SignedInt] = 93;
   _jumpMap[454][Attribute] = 92;
   _jumpMap[454][Function] = 91;
   _jumpMap[454][SelectStatement] = 258;
   _jumpMap[454][CasePrepare] = 90;
   _jumpMap[454][CaseClause] = 89;
   _jumpMap[454][Factor] = 88;
   _jumpMap[454][Term] = 87;
   _jumpMap[454][Expr] = 596;
   _jumpMap[454][ProcPredicate] = 452;
   _jumpMap[454][ProcCondition] = 595;
   _actionMap[455][PLUS] = ActionEntry(SHIFT, 216);
}
void Cego::loadParser65()
{
   _actionMap[455][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[455][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[455][SEMICOLON] = ActionEntry(REDUCE, 106);
   _actionMap[456][INT] = ActionEntry(SHIFT, 606);
   _actionMap[456][LONG] = ActionEntry(SHIFT, 607);
   _actionMap[456][STRING] = ActionEntry(SHIFT, 609);
   _actionMap[456][DATETIME] = ActionEntry(SHIFT, 601);
   _actionMap[456][BOOL] = ActionEntry(SHIFT, 600);
   _actionMap[456][BIGINT] = ActionEntry(SHIFT, 598);
   _actionMap[456][FLOAT] = ActionEntry(SHIFT, 605);
   _actionMap[456][DOUBLE] = ActionEntry(SHIFT, 603);
   _actionMap[456][SMALLINT] = ActionEntry(SHIFT, 608);
   _actionMap[456][TINYINT] = ActionEntry(SHIFT, 610);
   _actionMap[456][DECIMAL] = ActionEntry(SHIFT, 602);
   _actionMap[456][FIXED] = ActionEntry(SHIFT, 604);
   _actionMap[456][BLOB] = ActionEntry(SHIFT, 599);
   _jumpMap[456][DataTypeProd] = 597;
   _actionMap[457][BEGIN] = ActionEntry(SHIFT, 611);
   _actionMap[458][OR] = ActionEntry(SHIFT, 592);
   _actionMap[458][AND] = ActionEntry(SHIFT, 591);
   _actionMap[458][BEGIN] = ActionEntry(REDUCE, 128);
   _actionMap[459][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[459][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[459][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[459][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[459][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[459][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[459][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[459][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[459][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[459][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[459][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[459][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[459][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[459][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[459][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[459][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[459][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[459][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[459][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[459][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[459][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[459][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[459][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[459][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[459][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[459][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[459][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[459][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[459][BITXOR] = ActionEntry(SHIFT, 101);
}
void Cego::loadParser66()
{
   _actionMap[459][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[459][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[459][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[459][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[459][LB] = ActionEntry(SHIFT, 137);
   _actionMap[459][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[459][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[459][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[459][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[459][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[459][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[459][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[459][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[459][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[459][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[459][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[459][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[459][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[459][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[459][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[459][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[459][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[459][ObjSpec] = 96;
   _jumpMap[459][Constant] = 95;
   _jumpMap[459][SignedFloat] = 94;
   _jumpMap[459][SignedInt] = 93;
   _jumpMap[459][Attribute] = 92;
   _jumpMap[459][Function] = 91;
   _jumpMap[459][CasePrepare] = 90;
   _jumpMap[459][CaseClause] = 89;
   _jumpMap[459][Factor] = 88;
   _jumpMap[459][Term] = 87;
   _jumpMap[459][Expr] = 612;
   _actionMap[460][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[460][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[460][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[460][ObjSpec] = 613;
   _actionMap[461][LB] = ActionEntry(SHIFT, 614);
   _actionMap[462][RB] = ActionEntry(SHIFT, 465);
   _actionMap[463][KSEP] = ActionEntry(SHIFT, 615);
   _actionMap[463][RB] = ActionEntry(REDUCE, 81);
   _actionMap[464][KSEP] = ActionEntry(REDUCE, 84);
   _actionMap[464][RB] = ActionEntry(REDUCE, 84);
   _actionMap[465][RETURNTOKEN] = ActionEntry(SHIFT, 617);
   _actionMap[465][BEGIN] = ActionEntry(REDUCE, 80);
   _jumpMap[465][ReturnOpt] = 616;
   _actionMap[466][INTOK] = ActionEntry(SHIFT, 618);
   _actionMap[466][OUTTOK] = ActionEntry(SHIFT, 619);
   _actionMap[467][RB] = ActionEntry(SHIFT, 621);
   _actionMap[467][KSEP] = ActionEntry(SHIFT, 620);
}
void Cego::loadParser67()
{
   _actionMap[468][KSEP] = ActionEntry(REDUCE, 165);
   _actionMap[468][RB] = ActionEntry(REDUCE, 165);
   _actionMap[469][KSEP] = ActionEntry(REDUCE, 167);
   _actionMap[469][RB] = ActionEntry(REDUCE, 167);
   _actionMap[470][IDENTIFIER] = ActionEntry(SHIFT, 471);
   _jumpMap[470][ColumnDesc] = 622;
   _actionMap[471][INT] = ActionEntry(SHIFT, 606);
   _actionMap[471][LONG] = ActionEntry(SHIFT, 607);
   _actionMap[471][STRING] = ActionEntry(SHIFT, 609);
   _actionMap[471][DATETIME] = ActionEntry(SHIFT, 601);
   _actionMap[471][BOOL] = ActionEntry(SHIFT, 600);
   _actionMap[471][BIGINT] = ActionEntry(SHIFT, 598);
   _actionMap[471][FLOAT] = ActionEntry(SHIFT, 605);
   _actionMap[471][DOUBLE] = ActionEntry(SHIFT, 603);
   _actionMap[471][SMALLINT] = ActionEntry(SHIFT, 608);
   _actionMap[471][TINYINT] = ActionEntry(SHIFT, 610);
   _actionMap[471][DECIMAL] = ActionEntry(SHIFT, 602);
   _actionMap[471][FIXED] = ActionEntry(SHIFT, 604);
   _actionMap[471][BLOB] = ActionEntry(SHIFT, 599);
   _jumpMap[471][DataTypeProd] = 623;
   _actionMap[472][SEMICOLON] = ActionEntry(REDUCE, 47);
   _actionMap[473][AND] = ActionEntry(SHIFT, 491);
   _actionMap[473][OR] = ActionEntry(SHIFT, 492);
   _actionMap[473][RETURNTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[473][GROUP] = ActionEntry(REDUCE, 297);
   _actionMap[473][ORDER] = ActionEntry(REDUCE, 297);
   _actionMap[473][ROWLIMIT] = ActionEntry(REDUCE, 297);
   _actionMap[473][UNION] = ActionEntry(REDUCE, 297);
   _actionMap[473][ENDTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[473][RB] = ActionEntry(REDUCE, 297);
   _actionMap[473][SEMICOLON] = ActionEntry(REDUCE, 297);
   _actionMap[474][KSEP] = ActionEntry(SHIFT, 624);
   _actionMap[474][SEMICOLON] = ActionEntry(REDUCE, 184);
   _actionMap[475][SEMICOLON] = ActionEntry(REDUCE, 190);
   _actionMap[475][KSEP] = ActionEntry(REDUCE, 190);
   _actionMap[476][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[476][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[476][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[476][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[476][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[476][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[476][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[476][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[476][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[476][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[476][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[476][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[476][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[476][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[476][GETPOS] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser68()
{
   _actionMap[476][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[476][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[476][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[476][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[476][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[476][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[476][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[476][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[476][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[476][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[476][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[476][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[476][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[476][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[476][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[476][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[476][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[476][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[476][LB] = ActionEntry(SHIFT, 137);
   _actionMap[476][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[476][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[476][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[476][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[476][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[476][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[476][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[476][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[476][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[476][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[476][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[476][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[476][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[476][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[476][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[476][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[476][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[476][ObjSpec] = 96;
   _jumpMap[476][Constant] = 95;
   _jumpMap[476][SignedFloat] = 94;
   _jumpMap[476][SignedInt] = 93;
   _jumpMap[476][Attribute] = 92;
   _jumpMap[476][Function] = 91;
   _jumpMap[476][InsertValueList] = 626;
   _jumpMap[476][CasePrepare] = 90;
   _jumpMap[476][CaseClause] = 89;
   _jumpMap[476][Factor] = 88;
   _jumpMap[476][Term] = 87;
   _jumpMap[476][Expr] = 625;
   _actionMap[477][RB] = ActionEntry(SHIFT, 628);
   _actionMap[477][KSEP] = ActionEntry(SHIFT, 627);
}
void Cego::loadParser69()
{
   _actionMap[478][KSEP] = ActionEntry(REDUCE, 193);
   _actionMap[478][RB] = ActionEntry(REDUCE, 193);
   _actionMap[479][SEMICOLON] = ActionEntry(REDUCE, 48);
   _actionMap[480][END_TOKEN] = ActionEntry(SHIFT, 629);
   _actionMap[480][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[480][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[480][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[481][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[481][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[481][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[481][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[481][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[481][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[481][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[481][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[481][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[481][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[481][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[481][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[481][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[481][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[481][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[481][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[481][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[481][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[481][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[481][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[481][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[481][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[481][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[481][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[481][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[481][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[481][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[481][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[481][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[481][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[481][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[481][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[481][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[481][LB] = ActionEntry(SHIFT, 137);
   _actionMap[481][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[481][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[481][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[481][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[481][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[481][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[481][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[481][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[481][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser70()
{
   _actionMap[481][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[481][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[481][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[481][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[481][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[481][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[481][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[481][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[481][ObjSpec] = 96;
   _jumpMap[481][Constant] = 95;
   _jumpMap[481][SignedFloat] = 94;
   _jumpMap[481][SignedInt] = 93;
   _jumpMap[481][Attribute] = 92;
   _jumpMap[481][Function] = 91;
   _jumpMap[481][CasePrepare] = 90;
   _jumpMap[481][CaseClause] = 89;
   _jumpMap[481][Factor] = 88;
   _jumpMap[481][Term] = 87;
   _jumpMap[481][Expr] = 630;
   _actionMap[482][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[482][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[482][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[482][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[482][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[482][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[482][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[482][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[482][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[482][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[482][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[482][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[482][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[482][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[482][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[482][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[482][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[482][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[482][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[482][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[482][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[482][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[482][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[482][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[482][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[482][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[482][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[482][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[482][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[482][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[482][IDENTIFIER] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser71()
{
   _actionMap[482][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[482][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[482][LB] = ActionEntry(SHIFT, 137);
   _actionMap[482][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[482][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[482][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[482][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[482][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[482][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[482][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[482][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[482][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[482][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[482][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[482][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[482][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[482][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[482][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[482][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[482][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[482][ObjSpec] = 96;
   _jumpMap[482][Constant] = 95;
   _jumpMap[482][SignedFloat] = 94;
   _jumpMap[482][SignedInt] = 93;
   _jumpMap[482][Attribute] = 92;
   _jumpMap[482][Function] = 91;
   _jumpMap[482][CasePrepare] = 90;
   _jumpMap[482][CaseClause] = 89;
   _jumpMap[482][Factor] = 88;
   _jumpMap[482][Term] = 87;
   _jumpMap[482][Expr] = 631;
   _actionMap[483][LB] = ActionEntry(SHIFT, 632);
   _actionMap[484][NOT] = ActionEntry(SHIFT, 633);
   _actionMap[484][NULLTOKEN] = ActionEntry(SHIFT, 634);
   _actionMap[485][STRINGVAL] = ActionEntry(SHIFT, 635);
   _actionMap[486][LIKE] = ActionEntry(SHIFT, 637);
   _actionMap[486][INTOK] = ActionEntry(SHIFT, 636);
   _actionMap[487][VARREF] = ActionEntry(REDUCE, 327);
   _actionMap[487][FETCH] = ActionEntry(REDUCE, 327);
   _actionMap[487][LB] = ActionEntry(REDUCE, 327);
   _actionMap[487][COUNT] = ActionEntry(REDUCE, 327);
   _actionMap[487][SUM] = ActionEntry(REDUCE, 327);
   _actionMap[487][AVG] = ActionEntry(REDUCE, 327);
   _actionMap[487][MIN] = ActionEntry(REDUCE, 327);
   _actionMap[487][MAX] = ActionEntry(REDUCE, 327);
   _actionMap[487][CASE] = ActionEntry(REDUCE, 327);
   _actionMap[487][TRIM] = ActionEntry(REDUCE, 327);
   _actionMap[487][RTRIM] = ActionEntry(REDUCE, 327);
   _actionMap[487][LTRIM] = ActionEntry(REDUCE, 327);
   _actionMap[487][ROUND] = ActionEntry(REDUCE, 327);
}
void Cego::loadParser72()
{
   _actionMap[487][DATE2STR] = ActionEntry(REDUCE, 327);
   _actionMap[487][DATE2INT] = ActionEntry(REDUCE, 327);
   _actionMap[487][INT2DATE] = ActionEntry(REDUCE, 327);
   _actionMap[487][LOWER] = ActionEntry(REDUCE, 327);
   _actionMap[487][UPPER] = ActionEntry(REDUCE, 327);
   _actionMap[487][LEFT] = ActionEntry(REDUCE, 327);
   _actionMap[487][RIGHT] = ActionEntry(REDUCE, 327);
   _actionMap[487][GETPOS] = ActionEntry(REDUCE, 327);
   _actionMap[487][SUBSTR] = ActionEntry(REDUCE, 327);
   _actionMap[487][REPLACE] = ActionEntry(REDUCE, 327);
   _actionMap[487][LENGTH] = ActionEntry(REDUCE, 327);
   _actionMap[487][TRUNC] = ActionEntry(REDUCE, 327);
   _actionMap[487][STR2INT] = ActionEntry(REDUCE, 327);
   _actionMap[487][STR2LONG] = ActionEntry(REDUCE, 327);
   _actionMap[487][RANDSTR] = ActionEntry(REDUCE, 327);
   _actionMap[487][RANDINT] = ActionEntry(REDUCE, 327);
   _actionMap[487][MOD] = ActionEntry(REDUCE, 327);
   _actionMap[487][DIV] = ActionEntry(REDUCE, 327);
   _actionMap[487][POWER] = ActionEntry(REDUCE, 327);
   _actionMap[487][BITAND] = ActionEntry(REDUCE, 327);
   _actionMap[487][BITOR] = ActionEntry(REDUCE, 327);
   _actionMap[487][BITXOR] = ActionEntry(REDUCE, 327);
   _actionMap[487][NEXTCOUNT] = ActionEntry(REDUCE, 327);
   _actionMap[487][IDENTIFIER] = ActionEntry(REDUCE, 327);
   _actionMap[487][QUALIFIEDOBJ] = ActionEntry(REDUCE, 327);
   _actionMap[487][QUALIFIEDTS] = ActionEntry(REDUCE, 327);
   _actionMap[487][QUALIFIEDPRE] = ActionEntry(REDUCE, 327);
   _actionMap[487][STRINGVAL] = ActionEntry(REDUCE, 327);
   _actionMap[487][DATE] = ActionEntry(REDUCE, 327);
   _actionMap[487][SYSDATE] = ActionEntry(REDUCE, 327);
   _actionMap[487][NULLTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[487][TRUEVAL] = ActionEntry(REDUCE, 327);
   _actionMap[487][FALSEVAL] = ActionEntry(REDUCE, 327);
   _actionMap[487][LAB] = ActionEntry(REDUCE, 327);
   _actionMap[487][COUNTERID] = ActionEntry(REDUCE, 327);
   _actionMap[487][FLOATVAL] = ActionEntry(REDUCE, 327);
   _actionMap[487][MINUS] = ActionEntry(REDUCE, 327);
   _actionMap[487][INTVAL] = ActionEntry(REDUCE, 327);
   _actionMap[488][VARREF] = ActionEntry(REDUCE, 329);
   _actionMap[488][FETCH] = ActionEntry(REDUCE, 329);
   _actionMap[488][LB] = ActionEntry(REDUCE, 329);
   _actionMap[488][COUNT] = ActionEntry(REDUCE, 329);
   _actionMap[488][SUM] = ActionEntry(REDUCE, 329);
   _actionMap[488][AVG] = ActionEntry(REDUCE, 329);
   _actionMap[488][MIN] = ActionEntry(REDUCE, 329);
   _actionMap[488][MAX] = ActionEntry(REDUCE, 329);
   _actionMap[488][CASE] = ActionEntry(REDUCE, 329);
   _actionMap[488][TRIM] = ActionEntry(REDUCE, 329);
   _actionMap[488][RTRIM] = ActionEntry(REDUCE, 329);
   _actionMap[488][LTRIM] = ActionEntry(REDUCE, 329);
}
void Cego::loadParser73()
{
   _actionMap[488][ROUND] = ActionEntry(REDUCE, 329);
   _actionMap[488][DATE2STR] = ActionEntry(REDUCE, 329);
   _actionMap[488][DATE2INT] = ActionEntry(REDUCE, 329);
   _actionMap[488][INT2DATE] = ActionEntry(REDUCE, 329);
   _actionMap[488][LOWER] = ActionEntry(REDUCE, 329);
   _actionMap[488][UPPER] = ActionEntry(REDUCE, 329);
   _actionMap[488][LEFT] = ActionEntry(REDUCE, 329);
   _actionMap[488][RIGHT] = ActionEntry(REDUCE, 329);
   _actionMap[488][GETPOS] = ActionEntry(REDUCE, 329);
   _actionMap[488][SUBSTR] = ActionEntry(REDUCE, 329);
   _actionMap[488][REPLACE] = ActionEntry(REDUCE, 329);
   _actionMap[488][LENGTH] = ActionEntry(REDUCE, 329);
   _actionMap[488][TRUNC] = ActionEntry(REDUCE, 329);
   _actionMap[488][STR2INT] = ActionEntry(REDUCE, 329);
   _actionMap[488][STR2LONG] = ActionEntry(REDUCE, 329);
   _actionMap[488][RANDSTR] = ActionEntry(REDUCE, 329);
   _actionMap[488][RANDINT] = ActionEntry(REDUCE, 329);
   _actionMap[488][MOD] = ActionEntry(REDUCE, 329);
   _actionMap[488][DIV] = ActionEntry(REDUCE, 329);
   _actionMap[488][POWER] = ActionEntry(REDUCE, 329);
   _actionMap[488][BITAND] = ActionEntry(REDUCE, 329);
   _actionMap[488][BITOR] = ActionEntry(REDUCE, 329);
   _actionMap[488][BITXOR] = ActionEntry(REDUCE, 329);
   _actionMap[488][NEXTCOUNT] = ActionEntry(REDUCE, 329);
   _actionMap[488][IDENTIFIER] = ActionEntry(REDUCE, 329);
   _actionMap[488][QUALIFIEDOBJ] = ActionEntry(REDUCE, 329);
   _actionMap[488][QUALIFIEDTS] = ActionEntry(REDUCE, 329);
   _actionMap[488][QUALIFIEDPRE] = ActionEntry(REDUCE, 329);
   _actionMap[488][STRINGVAL] = ActionEntry(REDUCE, 329);
   _actionMap[488][DATE] = ActionEntry(REDUCE, 329);
   _actionMap[488][SYSDATE] = ActionEntry(REDUCE, 329);
   _actionMap[488][NULLTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[488][TRUEVAL] = ActionEntry(REDUCE, 329);
   _actionMap[488][FALSEVAL] = ActionEntry(REDUCE, 329);
   _actionMap[488][LAB] = ActionEntry(REDUCE, 329);
   _actionMap[488][COUNTERID] = ActionEntry(REDUCE, 329);
   _actionMap[488][FLOATVAL] = ActionEntry(REDUCE, 329);
   _actionMap[488][MINUS] = ActionEntry(REDUCE, 329);
   _actionMap[488][INTVAL] = ActionEntry(REDUCE, 329);
   _actionMap[488][EQU] = ActionEntry(SHIFT, 638);
   _actionMap[489][VARREF] = ActionEntry(REDUCE, 330);
   _actionMap[489][FETCH] = ActionEntry(REDUCE, 330);
   _actionMap[489][LB] = ActionEntry(REDUCE, 330);
   _actionMap[489][COUNT] = ActionEntry(REDUCE, 330);
   _actionMap[489][SUM] = ActionEntry(REDUCE, 330);
   _actionMap[489][AVG] = ActionEntry(REDUCE, 330);
   _actionMap[489][MIN] = ActionEntry(REDUCE, 330);
   _actionMap[489][MAX] = ActionEntry(REDUCE, 330);
   _actionMap[489][CASE] = ActionEntry(REDUCE, 330);
   _actionMap[489][TRIM] = ActionEntry(REDUCE, 330);
}
void Cego::loadParser74()
{
   _actionMap[489][RTRIM] = ActionEntry(REDUCE, 330);
   _actionMap[489][LTRIM] = ActionEntry(REDUCE, 330);
   _actionMap[489][ROUND] = ActionEntry(REDUCE, 330);
   _actionMap[489][DATE2STR] = ActionEntry(REDUCE, 330);
   _actionMap[489][DATE2INT] = ActionEntry(REDUCE, 330);
   _actionMap[489][INT2DATE] = ActionEntry(REDUCE, 330);
   _actionMap[489][LOWER] = ActionEntry(REDUCE, 330);
   _actionMap[489][UPPER] = ActionEntry(REDUCE, 330);
   _actionMap[489][LEFT] = ActionEntry(REDUCE, 330);
   _actionMap[489][RIGHT] = ActionEntry(REDUCE, 330);
   _actionMap[489][GETPOS] = ActionEntry(REDUCE, 330);
   _actionMap[489][SUBSTR] = ActionEntry(REDUCE, 330);
   _actionMap[489][REPLACE] = ActionEntry(REDUCE, 330);
   _actionMap[489][LENGTH] = ActionEntry(REDUCE, 330);
   _actionMap[489][TRUNC] = ActionEntry(REDUCE, 330);
   _actionMap[489][STR2INT] = ActionEntry(REDUCE, 330);
   _actionMap[489][STR2LONG] = ActionEntry(REDUCE, 330);
   _actionMap[489][RANDSTR] = ActionEntry(REDUCE, 330);
   _actionMap[489][RANDINT] = ActionEntry(REDUCE, 330);
   _actionMap[489][MOD] = ActionEntry(REDUCE, 330);
   _actionMap[489][DIV] = ActionEntry(REDUCE, 330);
   _actionMap[489][POWER] = ActionEntry(REDUCE, 330);
   _actionMap[489][BITAND] = ActionEntry(REDUCE, 330);
   _actionMap[489][BITOR] = ActionEntry(REDUCE, 330);
   _actionMap[489][BITXOR] = ActionEntry(REDUCE, 330);
   _actionMap[489][NEXTCOUNT] = ActionEntry(REDUCE, 330);
   _actionMap[489][IDENTIFIER] = ActionEntry(REDUCE, 330);
   _actionMap[489][QUALIFIEDOBJ] = ActionEntry(REDUCE, 330);
   _actionMap[489][QUALIFIEDTS] = ActionEntry(REDUCE, 330);
   _actionMap[489][QUALIFIEDPRE] = ActionEntry(REDUCE, 330);
   _actionMap[489][STRINGVAL] = ActionEntry(REDUCE, 330);
   _actionMap[489][DATE] = ActionEntry(REDUCE, 330);
   _actionMap[489][SYSDATE] = ActionEntry(REDUCE, 330);
   _actionMap[489][NULLTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[489][TRUEVAL] = ActionEntry(REDUCE, 330);
   _actionMap[489][FALSEVAL] = ActionEntry(REDUCE, 330);
   _actionMap[489][LAB] = ActionEntry(REDUCE, 330);
   _actionMap[489][COUNTERID] = ActionEntry(REDUCE, 330);
   _actionMap[489][FLOATVAL] = ActionEntry(REDUCE, 330);
   _actionMap[489][MINUS] = ActionEntry(REDUCE, 330);
   _actionMap[489][INTVAL] = ActionEntry(REDUCE, 330);
   _actionMap[489][EQU] = ActionEntry(SHIFT, 639);
   _actionMap[490][EQU] = ActionEntry(SHIFT, 640);
   _actionMap[491][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[491][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[491][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[491][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[491][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[491][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[491][ROUND] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser75()
{
   _actionMap[491][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[491][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[491][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[491][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[491][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[491][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[491][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[491][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[491][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[491][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[491][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[491][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[491][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[491][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[491][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[491][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[491][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[491][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[491][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[491][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[491][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[491][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[491][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[491][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[491][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[491][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[491][LB] = ActionEntry(SHIFT, 360);
   _actionMap[491][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[491][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[491][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[491][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[491][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[491][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[491][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[491][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[491][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[491][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[491][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[491][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[491][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[491][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[491][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[491][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[491][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[491][EXISTS] = ActionEntry(SHIFT, 358);
   _actionMap[491][NOT] = ActionEntry(SHIFT, 359);
   _jumpMap[491][ObjSpec] = 96;
   _jumpMap[491][Constant] = 95;
   _jumpMap[491][SignedFloat] = 94;
   _jumpMap[491][SignedInt] = 93;
}
void Cego::loadParser76()
{
   _jumpMap[491][Attribute] = 92;
   _jumpMap[491][QueryPredicate] = 641;
   _jumpMap[491][Function] = 91;
   _jumpMap[491][CasePrepare] = 90;
   _jumpMap[491][CaseClause] = 89;
   _jumpMap[491][Factor] = 88;
   _jumpMap[491][Term] = 87;
   _jumpMap[491][Expr] = 355;
   _actionMap[492][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[492][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[492][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[492][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[492][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[492][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[492][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[492][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[492][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[492][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[492][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[492][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[492][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[492][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[492][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[492][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[492][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[492][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[492][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[492][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[492][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[492][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[492][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[492][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[492][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[492][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[492][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[492][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[492][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[492][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[492][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[492][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[492][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[492][LB] = ActionEntry(SHIFT, 360);
   _actionMap[492][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[492][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[492][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[492][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[492][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[492][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[492][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[492][COUNTERID] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser77()
{
   _actionMap[492][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[492][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[492][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[492][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[492][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[492][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[492][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[492][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[492][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[492][EXISTS] = ActionEntry(SHIFT, 358);
   _actionMap[492][NOT] = ActionEntry(SHIFT, 359);
   _jumpMap[492][ObjSpec] = 96;
   _jumpMap[492][Constant] = 95;
   _jumpMap[492][SignedFloat] = 94;
   _jumpMap[492][SignedInt] = 93;
   _jumpMap[492][Attribute] = 92;
   _jumpMap[492][QueryPredicate] = 642;
   _jumpMap[492][Function] = 91;
   _jumpMap[492][CasePrepare] = 90;
   _jumpMap[492][CaseClause] = 89;
   _jumpMap[492][Factor] = 88;
   _jumpMap[492][Term] = 87;
   _jumpMap[492][Expr] = 355;
   _actionMap[493][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[493][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[493][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[493][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[493][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[493][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[493][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[493][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[493][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[493][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[493][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[493][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[493][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[493][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[493][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[493][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[493][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[493][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[493][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[493][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[493][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[493][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[493][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[493][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[493][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[493][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[493][BITAND] = ActionEntry(SHIFT, 99);
}
void Cego::loadParser78()
{
   _actionMap[493][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[493][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[493][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[493][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[493][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[493][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[493][LB] = ActionEntry(SHIFT, 137);
   _actionMap[493][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[493][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[493][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[493][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[493][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[493][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[493][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[493][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[493][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[493][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[493][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[493][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[493][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[493][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[493][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[493][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[493][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[493][ObjSpec] = 96;
   _jumpMap[493][Constant] = 95;
   _jumpMap[493][SignedFloat] = 94;
   _jumpMap[493][SignedInt] = 93;
   _jumpMap[493][Attribute] = 92;
   _jumpMap[493][Function] = 91;
   _jumpMap[493][CasePrepare] = 90;
   _jumpMap[493][CaseClause] = 89;
   _jumpMap[493][Factor] = 88;
   _jumpMap[493][Term] = 87;
   _jumpMap[493][Expr] = 643;
   _actionMap[494][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[494][SelectStatement] = 644;
   _actionMap[495][THEN] = ActionEntry(REDUCE, 313);
   _actionMap[495][LEFT] = ActionEntry(REDUCE, 313);
   _actionMap[495][RIGHT] = ActionEntry(REDUCE, 313);
   _actionMap[495][INNER] = ActionEntry(REDUCE, 313);
   _actionMap[495][JOIN] = ActionEntry(REDUCE, 313);
   _actionMap[495][RETURNTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[495][SEMICOLON] = ActionEntry(REDUCE, 313);
   _actionMap[495][RB] = ActionEntry(REDUCE, 313);
   _actionMap[495][ENDTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[495][UNION] = ActionEntry(REDUCE, 313);
   _actionMap[495][ROWLIMIT] = ActionEntry(REDUCE, 313);
   _actionMap[495][ORDER] = ActionEntry(REDUCE, 313);
   _actionMap[495][GROUP] = ActionEntry(REDUCE, 313);
}
void Cego::loadParser79()
{
   _actionMap[495][WHERE] = ActionEntry(REDUCE, 313);
   _actionMap[495][AND] = ActionEntry(REDUCE, 313);
   _actionMap[495][OR] = ActionEntry(REDUCE, 313);
   _actionMap[496][RB] = ActionEntry(SHIFT, 400);
   _actionMap[496][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[496][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[496][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[496][INTOK] = ActionEntry(SHIFT, 483);
   _actionMap[496][NOT] = ActionEntry(SHIFT, 486);
   _actionMap[496][BETWEEN] = ActionEntry(SHIFT, 482);
   _actionMap[496][IS] = ActionEntry(SHIFT, 484);
   _actionMap[496][LIKE] = ActionEntry(SHIFT, 485);
   _actionMap[496][EQU] = ActionEntry(SHIFT, 487);
   _actionMap[496][NEGATION] = ActionEntry(SHIFT, 490);
   _actionMap[496][LT] = ActionEntry(SHIFT, 488);
   _actionMap[496][MT] = ActionEntry(SHIFT, 489);
   _jumpMap[496][Comparison] = 481;
   _actionMap[497][RB] = ActionEntry(SHIFT, 645);
   _actionMap[497][AND] = ActionEntry(SHIFT, 491);
   _actionMap[497][OR] = ActionEntry(SHIFT, 492);
   _actionMap[498][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[498][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[498][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[498][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[498][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[498][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[498][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[498][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[498][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[498][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[498][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[498][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[498][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[498][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[498][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[498][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[498][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[498][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[498][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[498][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[498][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[498][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[498][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[498][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[498][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[498][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[498][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[498][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[498][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[498][NEXTCOUNT] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser80()
{
   _actionMap[498][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[498][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[498][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[498][LB] = ActionEntry(SHIFT, 137);
   _actionMap[498][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[498][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[498][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[498][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[498][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[498][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[498][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[498][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[498][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[498][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[498][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[498][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[498][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[498][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[498][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[498][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[498][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[498][ObjSpec] = 96;
   _jumpMap[498][Constant] = 95;
   _jumpMap[498][SignedFloat] = 94;
   _jumpMap[498][SignedInt] = 93;
   _jumpMap[498][Attribute] = 92;
   _jumpMap[498][Function] = 91;
   _jumpMap[498][CasePrepare] = 90;
   _jumpMap[498][CaseClause] = 89;
   _jumpMap[498][Factor] = 88;
   _jumpMap[498][Term] = 87;
   _jumpMap[498][Expr] = 646;
   _actionMap[499][WHEN] = ActionEntry(REDUCE, 293);
   _actionMap[499][ELSE] = ActionEntry(REDUCE, 293);
   _actionMap[499][LEFT] = ActionEntry(REDUCE, 293);
   _actionMap[499][RIGHT] = ActionEntry(REDUCE, 293);
   _actionMap[499][INNER] = ActionEntry(REDUCE, 293);
   _actionMap[499][JOIN] = ActionEntry(REDUCE, 293);
   _actionMap[499][RETURNTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[499][ORDER] = ActionEntry(REDUCE, 293);
   _actionMap[499][GROUP] = ActionEntry(REDUCE, 293);
   _actionMap[499][WHERE] = ActionEntry(REDUCE, 293);
   _actionMap[499][FROM] = ActionEntry(REDUCE, 293);
   _actionMap[499][AS] = ActionEntry(REDUCE, 293);
   _actionMap[499][END_TOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[499][BEGIN] = ActionEntry(REDUCE, 293);
   _actionMap[499][THEN] = ActionEntry(REDUCE, 293);
   _actionMap[499][OR] = ActionEntry(REDUCE, 293);
   _actionMap[499][AND] = ActionEntry(REDUCE, 293);
   _actionMap[499][INTOK] = ActionEntry(REDUCE, 293);
}
void Cego::loadParser81()
{
   _actionMap[499][NOT] = ActionEntry(REDUCE, 293);
   _actionMap[499][BETWEEN] = ActionEntry(REDUCE, 293);
   _actionMap[499][IS] = ActionEntry(REDUCE, 293);
   _actionMap[499][LIKE] = ActionEntry(REDUCE, 293);
   _actionMap[499][MT] = ActionEntry(REDUCE, 293);
   _actionMap[499][LT] = ActionEntry(REDUCE, 293);
   _actionMap[499][NEGATION] = ActionEntry(REDUCE, 293);
   _actionMap[499][EQU] = ActionEntry(REDUCE, 293);
   _actionMap[499][RB] = ActionEntry(REDUCE, 293);
   _actionMap[499][ENDTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[499][UNION] = ActionEntry(REDUCE, 293);
   _actionMap[499][ROWLIMIT] = ActionEntry(REDUCE, 293);
   _actionMap[499][KSEP] = ActionEntry(REDUCE, 293);
   _actionMap[499][ASC] = ActionEntry(REDUCE, 293);
   _actionMap[499][DESC] = ActionEntry(REDUCE, 293);
   _actionMap[499][SEMICOLON] = ActionEntry(REDUCE, 293);
   _actionMap[499][PLUS] = ActionEntry(REDUCE, 293);
   _actionMap[499][MINUS] = ActionEntry(REDUCE, 293);
   _actionMap[499][DIVISION] = ActionEntry(REDUCE, 293);
   _actionMap[499][STAR] = ActionEntry(REDUCE, 293);
   _actionMap[499][CONCAT] = ActionEntry(REDUCE, 293);
   _actionMap[500][WHEN] = ActionEntry(REDUCE, 153);
   _actionMap[500][ELSE] = ActionEntry(REDUCE, 153);
   _actionMap[500][LEFT] = ActionEntry(REDUCE, 153);
   _actionMap[500][RIGHT] = ActionEntry(REDUCE, 153);
   _actionMap[500][INNER] = ActionEntry(REDUCE, 153);
   _actionMap[500][JOIN] = ActionEntry(REDUCE, 153);
   _actionMap[500][RETURNTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[500][ORDER] = ActionEntry(REDUCE, 153);
   _actionMap[500][GROUP] = ActionEntry(REDUCE, 153);
   _actionMap[500][WHERE] = ActionEntry(REDUCE, 153);
   _actionMap[500][AS] = ActionEntry(REDUCE, 153);
   _actionMap[500][FROM] = ActionEntry(REDUCE, 153);
   _actionMap[500][END_TOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[500][BEGIN] = ActionEntry(REDUCE, 153);
   _actionMap[500][THEN] = ActionEntry(REDUCE, 153);
   _actionMap[500][OR] = ActionEntry(REDUCE, 153);
   _actionMap[500][AND] = ActionEntry(REDUCE, 153);
   _actionMap[500][LIKE] = ActionEntry(REDUCE, 153);
   _actionMap[500][IS] = ActionEntry(REDUCE, 153);
   _actionMap[500][BETWEEN] = ActionEntry(REDUCE, 153);
   _actionMap[500][NOT] = ActionEntry(REDUCE, 153);
   _actionMap[500][INTOK] = ActionEntry(REDUCE, 153);
   _actionMap[500][EQU] = ActionEntry(REDUCE, 153);
   _actionMap[500][NEGATION] = ActionEntry(REDUCE, 153);
   _actionMap[500][LT] = ActionEntry(REDUCE, 153);
   _actionMap[500][MT] = ActionEntry(REDUCE, 153);
   _actionMap[500][DESC] = ActionEntry(REDUCE, 153);
   _actionMap[500][ASC] = ActionEntry(REDUCE, 153);
   _actionMap[500][KSEP] = ActionEntry(REDUCE, 153);
}
void Cego::loadParser82()
{
   _actionMap[500][ROWLIMIT] = ActionEntry(REDUCE, 153);
   _actionMap[500][UNION] = ActionEntry(REDUCE, 153);
   _actionMap[500][ENDTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[500][RB] = ActionEntry(REDUCE, 153);
   _actionMap[500][SEMICOLON] = ActionEntry(REDUCE, 153);
   _actionMap[500][CONCAT] = ActionEntry(REDUCE, 153);
   _actionMap[500][STAR] = ActionEntry(REDUCE, 153);
   _actionMap[500][DIVISION] = ActionEntry(REDUCE, 153);
   _actionMap[500][MINUS] = ActionEntry(REDUCE, 153);
   _actionMap[500][PLUS] = ActionEntry(REDUCE, 153);
   _actionMap[501][WHEN] = ActionEntry(REDUCE, 289);
   _actionMap[501][ELSE] = ActionEntry(REDUCE, 289);
   _actionMap[501][LEFT] = ActionEntry(REDUCE, 289);
   _actionMap[501][RIGHT] = ActionEntry(REDUCE, 289);
   _actionMap[501][INNER] = ActionEntry(REDUCE, 289);
   _actionMap[501][JOIN] = ActionEntry(REDUCE, 289);
   _actionMap[501][RETURNTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[501][ORDER] = ActionEntry(REDUCE, 289);
   _actionMap[501][GROUP] = ActionEntry(REDUCE, 289);
   _actionMap[501][WHERE] = ActionEntry(REDUCE, 289);
   _actionMap[501][FROM] = ActionEntry(REDUCE, 289);
   _actionMap[501][AS] = ActionEntry(REDUCE, 289);
   _actionMap[501][END_TOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[501][BEGIN] = ActionEntry(REDUCE, 289);
   _actionMap[501][THEN] = ActionEntry(REDUCE, 289);
   _actionMap[501][OR] = ActionEntry(REDUCE, 289);
   _actionMap[501][AND] = ActionEntry(REDUCE, 289);
   _actionMap[501][INTOK] = ActionEntry(REDUCE, 289);
   _actionMap[501][NOT] = ActionEntry(REDUCE, 289);
   _actionMap[501][BETWEEN] = ActionEntry(REDUCE, 289);
   _actionMap[501][IS] = ActionEntry(REDUCE, 289);
   _actionMap[501][LIKE] = ActionEntry(REDUCE, 289);
   _actionMap[501][MT] = ActionEntry(REDUCE, 289);
   _actionMap[501][LT] = ActionEntry(REDUCE, 289);
   _actionMap[501][NEGATION] = ActionEntry(REDUCE, 289);
   _actionMap[501][EQU] = ActionEntry(REDUCE, 289);
   _actionMap[501][RB] = ActionEntry(REDUCE, 289);
   _actionMap[501][ENDTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[501][UNION] = ActionEntry(REDUCE, 289);
   _actionMap[501][ROWLIMIT] = ActionEntry(REDUCE, 289);
   _actionMap[501][KSEP] = ActionEntry(REDUCE, 289);
   _actionMap[501][ASC] = ActionEntry(REDUCE, 289);
   _actionMap[501][DESC] = ActionEntry(REDUCE, 289);
   _actionMap[501][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[501][PLUS] = ActionEntry(REDUCE, 289);
   _actionMap[501][MINUS] = ActionEntry(REDUCE, 289);
   _actionMap[501][DIVISION] = ActionEntry(REDUCE, 289);
   _actionMap[501][STAR] = ActionEntry(REDUCE, 289);
   _actionMap[501][CONCAT] = ActionEntry(REDUCE, 289);
   _actionMap[502][WHEN] = ActionEntry(REDUCE, 290);
}
void Cego::loadParser83()
{
   _actionMap[502][ELSE] = ActionEntry(REDUCE, 290);
   _actionMap[502][LEFT] = ActionEntry(REDUCE, 290);
   _actionMap[502][RIGHT] = ActionEntry(REDUCE, 290);
   _actionMap[502][INNER] = ActionEntry(REDUCE, 290);
   _actionMap[502][JOIN] = ActionEntry(REDUCE, 290);
   _actionMap[502][RETURNTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[502][ORDER] = ActionEntry(REDUCE, 290);
   _actionMap[502][GROUP] = ActionEntry(REDUCE, 290);
   _actionMap[502][WHERE] = ActionEntry(REDUCE, 290);
   _actionMap[502][FROM] = ActionEntry(REDUCE, 290);
   _actionMap[502][AS] = ActionEntry(REDUCE, 290);
   _actionMap[502][END_TOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[502][BEGIN] = ActionEntry(REDUCE, 290);
   _actionMap[502][THEN] = ActionEntry(REDUCE, 290);
   _actionMap[502][OR] = ActionEntry(REDUCE, 290);
   _actionMap[502][AND] = ActionEntry(REDUCE, 290);
   _actionMap[502][INTOK] = ActionEntry(REDUCE, 290);
   _actionMap[502][NOT] = ActionEntry(REDUCE, 290);
   _actionMap[502][BETWEEN] = ActionEntry(REDUCE, 290);
   _actionMap[502][IS] = ActionEntry(REDUCE, 290);
   _actionMap[502][LIKE] = ActionEntry(REDUCE, 290);
   _actionMap[502][MT] = ActionEntry(REDUCE, 290);
   _actionMap[502][LT] = ActionEntry(REDUCE, 290);
   _actionMap[502][NEGATION] = ActionEntry(REDUCE, 290);
   _actionMap[502][EQU] = ActionEntry(REDUCE, 290);
   _actionMap[502][RB] = ActionEntry(REDUCE, 290);
   _actionMap[502][ENDTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[502][UNION] = ActionEntry(REDUCE, 290);
   _actionMap[502][ROWLIMIT] = ActionEntry(REDUCE, 290);
   _actionMap[502][KSEP] = ActionEntry(REDUCE, 290);
   _actionMap[502][ASC] = ActionEntry(REDUCE, 290);
   _actionMap[502][DESC] = ActionEntry(REDUCE, 290);
   _actionMap[502][SEMICOLON] = ActionEntry(REDUCE, 290);
   _actionMap[502][PLUS] = ActionEntry(REDUCE, 290);
   _actionMap[502][MINUS] = ActionEntry(REDUCE, 290);
   _actionMap[502][DIVISION] = ActionEntry(REDUCE, 290);
   _actionMap[502][STAR] = ActionEntry(REDUCE, 290);
   _actionMap[502][CONCAT] = ActionEntry(REDUCE, 290);
   _actionMap[503][WHEN] = ActionEntry(REDUCE, 291);
   _actionMap[503][ELSE] = ActionEntry(REDUCE, 291);
   _actionMap[503][LEFT] = ActionEntry(REDUCE, 291);
   _actionMap[503][RIGHT] = ActionEntry(REDUCE, 291);
   _actionMap[503][INNER] = ActionEntry(REDUCE, 291);
   _actionMap[503][JOIN] = ActionEntry(REDUCE, 291);
   _actionMap[503][RETURNTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[503][ORDER] = ActionEntry(REDUCE, 291);
   _actionMap[503][GROUP] = ActionEntry(REDUCE, 291);
   _actionMap[503][WHERE] = ActionEntry(REDUCE, 291);
   _actionMap[503][FROM] = ActionEntry(REDUCE, 291);
   _actionMap[503][AS] = ActionEntry(REDUCE, 291);
}
void Cego::loadParser84()
{
   _actionMap[503][END_TOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[503][BEGIN] = ActionEntry(REDUCE, 291);
   _actionMap[503][THEN] = ActionEntry(REDUCE, 291);
   _actionMap[503][OR] = ActionEntry(REDUCE, 291);
   _actionMap[503][AND] = ActionEntry(REDUCE, 291);
   _actionMap[503][INTOK] = ActionEntry(REDUCE, 291);
   _actionMap[503][NOT] = ActionEntry(REDUCE, 291);
   _actionMap[503][BETWEEN] = ActionEntry(REDUCE, 291);
   _actionMap[503][IS] = ActionEntry(REDUCE, 291);
   _actionMap[503][LIKE] = ActionEntry(REDUCE, 291);
   _actionMap[503][MT] = ActionEntry(REDUCE, 291);
   _actionMap[503][LT] = ActionEntry(REDUCE, 291);
   _actionMap[503][NEGATION] = ActionEntry(REDUCE, 291);
   _actionMap[503][EQU] = ActionEntry(REDUCE, 291);
   _actionMap[503][RB] = ActionEntry(REDUCE, 291);
   _actionMap[503][ENDTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[503][UNION] = ActionEntry(REDUCE, 291);
   _actionMap[503][ROWLIMIT] = ActionEntry(REDUCE, 291);
   _actionMap[503][KSEP] = ActionEntry(REDUCE, 291);
   _actionMap[503][ASC] = ActionEntry(REDUCE, 291);
   _actionMap[503][DESC] = ActionEntry(REDUCE, 291);
   _actionMap[503][SEMICOLON] = ActionEntry(REDUCE, 291);
   _actionMap[503][PLUS] = ActionEntry(REDUCE, 291);
   _actionMap[503][MINUS] = ActionEntry(REDUCE, 291);
   _actionMap[503][DIVISION] = ActionEntry(REDUCE, 291);
   _actionMap[503][STAR] = ActionEntry(REDUCE, 291);
   _actionMap[503][CONCAT] = ActionEntry(REDUCE, 291);
   _actionMap[504][WHEN] = ActionEntry(REDUCE, 154);
   _actionMap[504][ELSE] = ActionEntry(REDUCE, 154);
   _actionMap[504][LEFT] = ActionEntry(REDUCE, 154);
   _actionMap[504][RIGHT] = ActionEntry(REDUCE, 154);
   _actionMap[504][INNER] = ActionEntry(REDUCE, 154);
   _actionMap[504][JOIN] = ActionEntry(REDUCE, 154);
   _actionMap[504][RETURNTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[504][ORDER] = ActionEntry(REDUCE, 154);
   _actionMap[504][GROUP] = ActionEntry(REDUCE, 154);
   _actionMap[504][WHERE] = ActionEntry(REDUCE, 154);
   _actionMap[504][AS] = ActionEntry(REDUCE, 154);
   _actionMap[504][FROM] = ActionEntry(REDUCE, 154);
   _actionMap[504][END_TOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[504][BEGIN] = ActionEntry(REDUCE, 154);
   _actionMap[504][THEN] = ActionEntry(REDUCE, 154);
   _actionMap[504][OR] = ActionEntry(REDUCE, 154);
   _actionMap[504][AND] = ActionEntry(REDUCE, 154);
   _actionMap[504][LIKE] = ActionEntry(REDUCE, 154);
   _actionMap[504][IS] = ActionEntry(REDUCE, 154);
   _actionMap[504][BETWEEN] = ActionEntry(REDUCE, 154);
   _actionMap[504][NOT] = ActionEntry(REDUCE, 154);
   _actionMap[504][INTOK] = ActionEntry(REDUCE, 154);
   _actionMap[504][EQU] = ActionEntry(REDUCE, 154);
}
void Cego::loadParser85()
{
   _actionMap[504][NEGATION] = ActionEntry(REDUCE, 154);
   _actionMap[504][LT] = ActionEntry(REDUCE, 154);
   _actionMap[504][MT] = ActionEntry(REDUCE, 154);
   _actionMap[504][DESC] = ActionEntry(REDUCE, 154);
   _actionMap[504][ASC] = ActionEntry(REDUCE, 154);
   _actionMap[504][KSEP] = ActionEntry(REDUCE, 154);
   _actionMap[504][ROWLIMIT] = ActionEntry(REDUCE, 154);
   _actionMap[504][UNION] = ActionEntry(REDUCE, 154);
   _actionMap[504][ENDTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[504][RB] = ActionEntry(REDUCE, 154);
   _actionMap[504][SEMICOLON] = ActionEntry(REDUCE, 154);
   _actionMap[504][CONCAT] = ActionEntry(REDUCE, 154);
   _actionMap[504][STAR] = ActionEntry(REDUCE, 154);
   _actionMap[504][DIVISION] = ActionEntry(REDUCE, 154);
   _actionMap[504][MINUS] = ActionEntry(REDUCE, 154);
   _actionMap[504][PLUS] = ActionEntry(REDUCE, 154);
   _actionMap[505][WHEN] = ActionEntry(REDUCE, 151);
   _actionMap[505][ELSE] = ActionEntry(REDUCE, 151);
   _actionMap[505][LEFT] = ActionEntry(REDUCE, 151);
   _actionMap[505][RIGHT] = ActionEntry(REDUCE, 151);
   _actionMap[505][INNER] = ActionEntry(REDUCE, 151);
   _actionMap[505][JOIN] = ActionEntry(REDUCE, 151);
   _actionMap[505][RETURNTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[505][ORDER] = ActionEntry(REDUCE, 151);
   _actionMap[505][GROUP] = ActionEntry(REDUCE, 151);
   _actionMap[505][WHERE] = ActionEntry(REDUCE, 151);
   _actionMap[505][AS] = ActionEntry(REDUCE, 151);
   _actionMap[505][FROM] = ActionEntry(REDUCE, 151);
   _actionMap[505][END_TOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[505][BEGIN] = ActionEntry(REDUCE, 151);
   _actionMap[505][THEN] = ActionEntry(REDUCE, 151);
   _actionMap[505][OR] = ActionEntry(REDUCE, 151);
   _actionMap[505][AND] = ActionEntry(REDUCE, 151);
   _actionMap[505][LIKE] = ActionEntry(REDUCE, 151);
   _actionMap[505][IS] = ActionEntry(REDUCE, 151);
   _actionMap[505][BETWEEN] = ActionEntry(REDUCE, 151);
   _actionMap[505][NOT] = ActionEntry(REDUCE, 151);
   _actionMap[505][INTOK] = ActionEntry(REDUCE, 151);
   _actionMap[505][EQU] = ActionEntry(REDUCE, 151);
   _actionMap[505][NEGATION] = ActionEntry(REDUCE, 151);
   _actionMap[505][LT] = ActionEntry(REDUCE, 151);
   _actionMap[505][MT] = ActionEntry(REDUCE, 151);
   _actionMap[505][DESC] = ActionEntry(REDUCE, 151);
   _actionMap[505][ASC] = ActionEntry(REDUCE, 151);
   _actionMap[505][KSEP] = ActionEntry(REDUCE, 151);
   _actionMap[505][ROWLIMIT] = ActionEntry(REDUCE, 151);
   _actionMap[505][UNION] = ActionEntry(REDUCE, 151);
   _actionMap[505][ENDTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[505][RB] = ActionEntry(REDUCE, 151);
   _actionMap[505][SEMICOLON] = ActionEntry(REDUCE, 151);
}
void Cego::loadParser86()
{
   _actionMap[505][CONCAT] = ActionEntry(REDUCE, 151);
   _actionMap[505][STAR] = ActionEntry(REDUCE, 151);
   _actionMap[505][DIVISION] = ActionEntry(REDUCE, 151);
   _actionMap[505][MINUS] = ActionEntry(REDUCE, 151);
   _actionMap[505][PLUS] = ActionEntry(REDUCE, 151);
   _actionMap[506][STRINGVAL] = ActionEntry(SHIFT, 648);
   _jumpMap[506][DateValue] = 647;
   _actionMap[507][WHEN] = ActionEntry(REDUCE, 270);
   _actionMap[507][ELSE] = ActionEntry(REDUCE, 270);
   _actionMap[507][LEFT] = ActionEntry(REDUCE, 270);
   _actionMap[507][RIGHT] = ActionEntry(REDUCE, 270);
   _actionMap[507][INNER] = ActionEntry(REDUCE, 270);
   _actionMap[507][JOIN] = ActionEntry(REDUCE, 270);
   _actionMap[507][RETURNTOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[507][ORDER] = ActionEntry(REDUCE, 270);
   _actionMap[507][GROUP] = ActionEntry(REDUCE, 270);
   _actionMap[507][WHERE] = ActionEntry(REDUCE, 270);
   _actionMap[507][FROM] = ActionEntry(REDUCE, 270);
   _actionMap[507][AS] = ActionEntry(REDUCE, 270);
   _actionMap[507][END_TOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[507][BEGIN] = ActionEntry(REDUCE, 270);
   _actionMap[507][THEN] = ActionEntry(REDUCE, 270);
   _actionMap[507][OR] = ActionEntry(REDUCE, 270);
   _actionMap[507][AND] = ActionEntry(REDUCE, 270);
   _actionMap[507][INTOK] = ActionEntry(REDUCE, 270);
   _actionMap[507][NOT] = ActionEntry(REDUCE, 270);
   _actionMap[507][BETWEEN] = ActionEntry(REDUCE, 270);
   _actionMap[507][IS] = ActionEntry(REDUCE, 270);
   _actionMap[507][LIKE] = ActionEntry(REDUCE, 270);
   _actionMap[507][MT] = ActionEntry(REDUCE, 270);
   _actionMap[507][LT] = ActionEntry(REDUCE, 270);
   _actionMap[507][NEGATION] = ActionEntry(REDUCE, 270);
   _actionMap[507][EQU] = ActionEntry(REDUCE, 270);
   _actionMap[507][RB] = ActionEntry(REDUCE, 270);
   _actionMap[507][ENDTOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[507][UNION] = ActionEntry(REDUCE, 270);
   _actionMap[507][ROWLIMIT] = ActionEntry(REDUCE, 270);
   _actionMap[507][KSEP] = ActionEntry(REDUCE, 270);
   _actionMap[507][ASC] = ActionEntry(REDUCE, 270);
   _actionMap[507][DESC] = ActionEntry(REDUCE, 270);
   _actionMap[507][SEMICOLON] = ActionEntry(REDUCE, 270);
   _actionMap[507][PLUS] = ActionEntry(REDUCE, 270);
   _actionMap[507][MINUS] = ActionEntry(REDUCE, 270);
   _actionMap[507][DIVISION] = ActionEntry(REDUCE, 270);
   _actionMap[507][STAR] = ActionEntry(REDUCE, 270);
   _actionMap[507][CONCAT] = ActionEntry(REDUCE, 270);
   _actionMap[508][WHEN] = ActionEntry(REDUCE, 271);
   _actionMap[508][ELSE] = ActionEntry(REDUCE, 271);
   _actionMap[508][LEFT] = ActionEntry(REDUCE, 271);
   _actionMap[508][RIGHT] = ActionEntry(REDUCE, 271);
}
void Cego::loadParser87()
{
   _actionMap[508][INNER] = ActionEntry(REDUCE, 271);
   _actionMap[508][JOIN] = ActionEntry(REDUCE, 271);
   _actionMap[508][RETURNTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[508][ORDER] = ActionEntry(REDUCE, 271);
   _actionMap[508][GROUP] = ActionEntry(REDUCE, 271);
   _actionMap[508][WHERE] = ActionEntry(REDUCE, 271);
   _actionMap[508][FROM] = ActionEntry(REDUCE, 271);
   _actionMap[508][AS] = ActionEntry(REDUCE, 271);
   _actionMap[508][END_TOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[508][BEGIN] = ActionEntry(REDUCE, 271);
   _actionMap[508][THEN] = ActionEntry(REDUCE, 271);
   _actionMap[508][OR] = ActionEntry(REDUCE, 271);
   _actionMap[508][AND] = ActionEntry(REDUCE, 271);
   _actionMap[508][INTOK] = ActionEntry(REDUCE, 271);
   _actionMap[508][NOT] = ActionEntry(REDUCE, 271);
   _actionMap[508][BETWEEN] = ActionEntry(REDUCE, 271);
   _actionMap[508][IS] = ActionEntry(REDUCE, 271);
   _actionMap[508][LIKE] = ActionEntry(REDUCE, 271);
   _actionMap[508][MT] = ActionEntry(REDUCE, 271);
   _actionMap[508][LT] = ActionEntry(REDUCE, 271);
   _actionMap[508][NEGATION] = ActionEntry(REDUCE, 271);
   _actionMap[508][EQU] = ActionEntry(REDUCE, 271);
   _actionMap[508][RB] = ActionEntry(REDUCE, 271);
   _actionMap[508][ENDTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[508][UNION] = ActionEntry(REDUCE, 271);
   _actionMap[508][ROWLIMIT] = ActionEntry(REDUCE, 271);
   _actionMap[508][KSEP] = ActionEntry(REDUCE, 271);
   _actionMap[508][ASC] = ActionEntry(REDUCE, 271);
   _actionMap[508][DESC] = ActionEntry(REDUCE, 271);
   _actionMap[508][SEMICOLON] = ActionEntry(REDUCE, 271);
   _actionMap[508][PLUS] = ActionEntry(REDUCE, 271);
   _actionMap[508][MINUS] = ActionEntry(REDUCE, 271);
   _actionMap[508][DIVISION] = ActionEntry(REDUCE, 271);
   _actionMap[508][STAR] = ActionEntry(REDUCE, 271);
   _actionMap[508][CONCAT] = ActionEntry(REDUCE, 271);
   _actionMap[509][WHEN] = ActionEntry(REDUCE, 287);
   _actionMap[509][ELSE] = ActionEntry(REDUCE, 287);
   _actionMap[509][LEFT] = ActionEntry(REDUCE, 287);
   _actionMap[509][RIGHT] = ActionEntry(REDUCE, 287);
   _actionMap[509][INNER] = ActionEntry(REDUCE, 287);
   _actionMap[509][JOIN] = ActionEntry(REDUCE, 287);
   _actionMap[509][RETURNTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[509][ORDER] = ActionEntry(REDUCE, 287);
   _actionMap[509][GROUP] = ActionEntry(REDUCE, 287);
   _actionMap[509][WHERE] = ActionEntry(REDUCE, 287);
   _actionMap[509][FROM] = ActionEntry(REDUCE, 287);
   _actionMap[509][AS] = ActionEntry(REDUCE, 287);
   _actionMap[509][END_TOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[509][BEGIN] = ActionEntry(REDUCE, 287);
   _actionMap[509][THEN] = ActionEntry(REDUCE, 287);
}
void Cego::loadParser88()
{
   _actionMap[509][OR] = ActionEntry(REDUCE, 287);
   _actionMap[509][AND] = ActionEntry(REDUCE, 287);
   _actionMap[509][INTOK] = ActionEntry(REDUCE, 287);
   _actionMap[509][NOT] = ActionEntry(REDUCE, 287);
   _actionMap[509][BETWEEN] = ActionEntry(REDUCE, 287);
   _actionMap[509][IS] = ActionEntry(REDUCE, 287);
   _actionMap[509][LIKE] = ActionEntry(REDUCE, 287);
   _actionMap[509][MT] = ActionEntry(REDUCE, 287);
   _actionMap[509][LT] = ActionEntry(REDUCE, 287);
   _actionMap[509][NEGATION] = ActionEntry(REDUCE, 287);
   _actionMap[509][EQU] = ActionEntry(REDUCE, 287);
   _actionMap[509][RB] = ActionEntry(REDUCE, 287);
   _actionMap[509][ENDTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[509][UNION] = ActionEntry(REDUCE, 287);
   _actionMap[509][ROWLIMIT] = ActionEntry(REDUCE, 287);
   _actionMap[509][KSEP] = ActionEntry(REDUCE, 287);
   _actionMap[509][ASC] = ActionEntry(REDUCE, 287);
   _actionMap[509][DESC] = ActionEntry(REDUCE, 287);
   _actionMap[509][SEMICOLON] = ActionEntry(REDUCE, 287);
   _actionMap[509][PLUS] = ActionEntry(REDUCE, 287);
   _actionMap[509][MINUS] = ActionEntry(REDUCE, 287);
   _actionMap[509][DIVISION] = ActionEntry(REDUCE, 287);
   _actionMap[509][STAR] = ActionEntry(REDUCE, 287);
   _actionMap[509][CONCAT] = ActionEntry(REDUCE, 287);
   _actionMap[510][VARREF] = ActionEntry(SHIFT, 650);
   _jumpMap[510][FetchArgList] = 649;
   _actionMap[511][WHEN] = ActionEntry(REDUCE, 277);
   _actionMap[511][ELSE] = ActionEntry(REDUCE, 277);
   _actionMap[511][LEFT] = ActionEntry(REDUCE, 277);
   _actionMap[511][RIGHT] = ActionEntry(REDUCE, 277);
   _actionMap[511][INNER] = ActionEntry(REDUCE, 277);
   _actionMap[511][JOIN] = ActionEntry(REDUCE, 277);
   _actionMap[511][RETURNTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[511][ORDER] = ActionEntry(REDUCE, 277);
   _actionMap[511][GROUP] = ActionEntry(REDUCE, 277);
   _actionMap[511][WHERE] = ActionEntry(REDUCE, 277);
   _actionMap[511][FROM] = ActionEntry(REDUCE, 277);
   _actionMap[511][AS] = ActionEntry(REDUCE, 277);
   _actionMap[511][END_TOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[511][BEGIN] = ActionEntry(REDUCE, 277);
   _actionMap[511][THEN] = ActionEntry(REDUCE, 277);
   _actionMap[511][OR] = ActionEntry(REDUCE, 277);
   _actionMap[511][AND] = ActionEntry(REDUCE, 277);
   _actionMap[511][INTOK] = ActionEntry(REDUCE, 277);
   _actionMap[511][NOT] = ActionEntry(REDUCE, 277);
   _actionMap[511][BETWEEN] = ActionEntry(REDUCE, 277);
   _actionMap[511][IS] = ActionEntry(REDUCE, 277);
   _actionMap[511][LIKE] = ActionEntry(REDUCE, 277);
   _actionMap[511][MT] = ActionEntry(REDUCE, 277);
   _actionMap[511][LT] = ActionEntry(REDUCE, 277);
}
void Cego::loadParser89()
{
   _actionMap[511][NEGATION] = ActionEntry(REDUCE, 277);
   _actionMap[511][EQU] = ActionEntry(REDUCE, 277);
   _actionMap[511][RB] = ActionEntry(REDUCE, 277);
   _actionMap[511][ENDTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[511][UNION] = ActionEntry(REDUCE, 277);
   _actionMap[511][ROWLIMIT] = ActionEntry(REDUCE, 277);
   _actionMap[511][KSEP] = ActionEntry(REDUCE, 277);
   _actionMap[511][ASC] = ActionEntry(REDUCE, 277);
   _actionMap[511][DESC] = ActionEntry(REDUCE, 277);
   _actionMap[511][SEMICOLON] = ActionEntry(REDUCE, 277);
   _actionMap[511][PLUS] = ActionEntry(REDUCE, 277);
   _actionMap[511][MINUS] = ActionEntry(REDUCE, 277);
   _actionMap[511][DIVISION] = ActionEntry(REDUCE, 277);
   _actionMap[511][STAR] = ActionEntry(REDUCE, 277);
   _actionMap[511][CONCAT] = ActionEntry(REDUCE, 277);
   _actionMap[512][WHEN] = ActionEntry(REDUCE, 272);
   _actionMap[512][ELSE] = ActionEntry(REDUCE, 272);
   _actionMap[512][LEFT] = ActionEntry(REDUCE, 272);
   _actionMap[512][RIGHT] = ActionEntry(REDUCE, 272);
   _actionMap[512][INNER] = ActionEntry(REDUCE, 272);
   _actionMap[512][JOIN] = ActionEntry(REDUCE, 272);
   _actionMap[512][RETURNTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[512][ORDER] = ActionEntry(REDUCE, 272);
   _actionMap[512][GROUP] = ActionEntry(REDUCE, 272);
   _actionMap[512][WHERE] = ActionEntry(REDUCE, 272);
   _actionMap[512][FROM] = ActionEntry(REDUCE, 272);
   _actionMap[512][AS] = ActionEntry(REDUCE, 272);
   _actionMap[512][END_TOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[512][BEGIN] = ActionEntry(REDUCE, 272);
   _actionMap[512][THEN] = ActionEntry(REDUCE, 272);
   _actionMap[512][OR] = ActionEntry(REDUCE, 272);
   _actionMap[512][AND] = ActionEntry(REDUCE, 272);
   _actionMap[512][INTOK] = ActionEntry(REDUCE, 272);
   _actionMap[512][NOT] = ActionEntry(REDUCE, 272);
   _actionMap[512][BETWEEN] = ActionEntry(REDUCE, 272);
   _actionMap[512][IS] = ActionEntry(REDUCE, 272);
   _actionMap[512][LIKE] = ActionEntry(REDUCE, 272);
   _actionMap[512][MT] = ActionEntry(REDUCE, 272);
   _actionMap[512][LT] = ActionEntry(REDUCE, 272);
   _actionMap[512][NEGATION] = ActionEntry(REDUCE, 272);
   _actionMap[512][EQU] = ActionEntry(REDUCE, 272);
   _actionMap[512][RB] = ActionEntry(REDUCE, 272);
   _actionMap[512][ENDTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[512][UNION] = ActionEntry(REDUCE, 272);
   _actionMap[512][ROWLIMIT] = ActionEntry(REDUCE, 272);
   _actionMap[512][KSEP] = ActionEntry(REDUCE, 272);
   _actionMap[512][ASC] = ActionEntry(REDUCE, 272);
   _actionMap[512][DESC] = ActionEntry(REDUCE, 272);
   _actionMap[512][SEMICOLON] = ActionEntry(REDUCE, 272);
   _actionMap[512][PLUS] = ActionEntry(REDUCE, 272);
}
void Cego::loadParser90()
{
   _actionMap[512][MINUS] = ActionEntry(REDUCE, 272);
   _actionMap[512][DIVISION] = ActionEntry(REDUCE, 272);
   _actionMap[512][STAR] = ActionEntry(REDUCE, 272);
   _actionMap[512][CONCAT] = ActionEntry(REDUCE, 272);
   _actionMap[513][WHEN] = ActionEntry(REDUCE, 275);
   _actionMap[513][ELSE] = ActionEntry(REDUCE, 275);
   _actionMap[513][LEFT] = ActionEntry(REDUCE, 275);
   _actionMap[513][RIGHT] = ActionEntry(REDUCE, 275);
   _actionMap[513][INNER] = ActionEntry(REDUCE, 275);
   _actionMap[513][JOIN] = ActionEntry(REDUCE, 275);
   _actionMap[513][RETURNTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[513][ORDER] = ActionEntry(REDUCE, 275);
   _actionMap[513][GROUP] = ActionEntry(REDUCE, 275);
   _actionMap[513][WHERE] = ActionEntry(REDUCE, 275);
   _actionMap[513][FROM] = ActionEntry(REDUCE, 275);
   _actionMap[513][AS] = ActionEntry(REDUCE, 275);
   _actionMap[513][END_TOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[513][BEGIN] = ActionEntry(REDUCE, 275);
   _actionMap[513][THEN] = ActionEntry(REDUCE, 275);
   _actionMap[513][OR] = ActionEntry(REDUCE, 275);
   _actionMap[513][AND] = ActionEntry(REDUCE, 275);
   _actionMap[513][INTOK] = ActionEntry(REDUCE, 275);
   _actionMap[513][NOT] = ActionEntry(REDUCE, 275);
   _actionMap[513][BETWEEN] = ActionEntry(REDUCE, 275);
   _actionMap[513][IS] = ActionEntry(REDUCE, 275);
   _actionMap[513][LIKE] = ActionEntry(REDUCE, 275);
   _actionMap[513][MT] = ActionEntry(REDUCE, 275);
   _actionMap[513][LT] = ActionEntry(REDUCE, 275);
   _actionMap[513][NEGATION] = ActionEntry(REDUCE, 275);
   _actionMap[513][EQU] = ActionEntry(REDUCE, 275);
   _actionMap[513][RB] = ActionEntry(REDUCE, 275);
   _actionMap[513][ENDTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[513][UNION] = ActionEntry(REDUCE, 275);
   _actionMap[513][ROWLIMIT] = ActionEntry(REDUCE, 275);
   _actionMap[513][KSEP] = ActionEntry(REDUCE, 275);
   _actionMap[513][ASC] = ActionEntry(REDUCE, 275);
   _actionMap[513][DESC] = ActionEntry(REDUCE, 275);
   _actionMap[513][SEMICOLON] = ActionEntry(REDUCE, 275);
   _actionMap[513][PLUS] = ActionEntry(REDUCE, 275);
   _actionMap[513][MINUS] = ActionEntry(REDUCE, 275);
   _actionMap[513][DIVISION] = ActionEntry(REDUCE, 275);
   _actionMap[513][STAR] = ActionEntry(REDUCE, 275);
   _actionMap[513][CONCAT] = ActionEntry(REDUCE, 275);
   _actionMap[514][WHEN] = ActionEntry(REDUCE, 280);
   _actionMap[514][ELSE] = ActionEntry(REDUCE, 280);
   _actionMap[514][LEFT] = ActionEntry(REDUCE, 280);
   _actionMap[514][RIGHT] = ActionEntry(REDUCE, 280);
   _actionMap[514][INNER] = ActionEntry(REDUCE, 280);
   _actionMap[514][JOIN] = ActionEntry(REDUCE, 280);
   _actionMap[514][RETURNTOKEN] = ActionEntry(REDUCE, 280);
}
void Cego::loadParser91()
{
   _actionMap[514][ORDER] = ActionEntry(REDUCE, 280);
   _actionMap[514][GROUP] = ActionEntry(REDUCE, 280);
   _actionMap[514][WHERE] = ActionEntry(REDUCE, 280);
   _actionMap[514][FROM] = ActionEntry(REDUCE, 280);
   _actionMap[514][AS] = ActionEntry(REDUCE, 280);
   _actionMap[514][END_TOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[514][BEGIN] = ActionEntry(REDUCE, 280);
   _actionMap[514][THEN] = ActionEntry(REDUCE, 280);
   _actionMap[514][OR] = ActionEntry(REDUCE, 280);
   _actionMap[514][AND] = ActionEntry(REDUCE, 280);
   _actionMap[514][INTOK] = ActionEntry(REDUCE, 280);
   _actionMap[514][NOT] = ActionEntry(REDUCE, 280);
   _actionMap[514][BETWEEN] = ActionEntry(REDUCE, 280);
   _actionMap[514][IS] = ActionEntry(REDUCE, 280);
   _actionMap[514][LIKE] = ActionEntry(REDUCE, 280);
   _actionMap[514][MT] = ActionEntry(REDUCE, 280);
   _actionMap[514][LT] = ActionEntry(REDUCE, 280);
   _actionMap[514][NEGATION] = ActionEntry(REDUCE, 280);
   _actionMap[514][EQU] = ActionEntry(REDUCE, 280);
   _actionMap[514][RB] = ActionEntry(REDUCE, 280);
   _actionMap[514][ENDTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[514][UNION] = ActionEntry(REDUCE, 280);
   _actionMap[514][ROWLIMIT] = ActionEntry(REDUCE, 280);
   _actionMap[514][KSEP] = ActionEntry(REDUCE, 280);
   _actionMap[514][ASC] = ActionEntry(REDUCE, 280);
   _actionMap[514][DESC] = ActionEntry(REDUCE, 280);
   _actionMap[514][SEMICOLON] = ActionEntry(REDUCE, 280);
   _actionMap[514][PLUS] = ActionEntry(REDUCE, 280);
   _actionMap[514][MINUS] = ActionEntry(REDUCE, 280);
   _actionMap[514][DIVISION] = ActionEntry(REDUCE, 280);
   _actionMap[514][STAR] = ActionEntry(REDUCE, 280);
   _actionMap[514][CONCAT] = ActionEntry(REDUCE, 280);
   _actionMap[515][WHEN] = ActionEntry(REDUCE, 273);
   _actionMap[515][ELSE] = ActionEntry(REDUCE, 273);
   _actionMap[515][LEFT] = ActionEntry(REDUCE, 273);
   _actionMap[515][RIGHT] = ActionEntry(REDUCE, 273);
   _actionMap[515][INNER] = ActionEntry(REDUCE, 273);
   _actionMap[515][JOIN] = ActionEntry(REDUCE, 273);
   _actionMap[515][RETURNTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[515][ORDER] = ActionEntry(REDUCE, 273);
   _actionMap[515][GROUP] = ActionEntry(REDUCE, 273);
   _actionMap[515][WHERE] = ActionEntry(REDUCE, 273);
   _actionMap[515][FROM] = ActionEntry(REDUCE, 273);
   _actionMap[515][AS] = ActionEntry(REDUCE, 273);
   _actionMap[515][END_TOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[515][BEGIN] = ActionEntry(REDUCE, 273);
   _actionMap[515][THEN] = ActionEntry(REDUCE, 273);
   _actionMap[515][OR] = ActionEntry(REDUCE, 273);
   _actionMap[515][AND] = ActionEntry(REDUCE, 273);
   _actionMap[515][INTOK] = ActionEntry(REDUCE, 273);
}
void Cego::loadParser92()
{
   _actionMap[515][NOT] = ActionEntry(REDUCE, 273);
   _actionMap[515][BETWEEN] = ActionEntry(REDUCE, 273);
   _actionMap[515][IS] = ActionEntry(REDUCE, 273);
   _actionMap[515][LIKE] = ActionEntry(REDUCE, 273);
   _actionMap[515][MT] = ActionEntry(REDUCE, 273);
   _actionMap[515][LT] = ActionEntry(REDUCE, 273);
   _actionMap[515][NEGATION] = ActionEntry(REDUCE, 273);
   _actionMap[515][EQU] = ActionEntry(REDUCE, 273);
   _actionMap[515][RB] = ActionEntry(REDUCE, 273);
   _actionMap[515][ENDTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[515][UNION] = ActionEntry(REDUCE, 273);
   _actionMap[515][ROWLIMIT] = ActionEntry(REDUCE, 273);
   _actionMap[515][KSEP] = ActionEntry(REDUCE, 273);
   _actionMap[515][ASC] = ActionEntry(REDUCE, 273);
   _actionMap[515][DESC] = ActionEntry(REDUCE, 273);
   _actionMap[515][SEMICOLON] = ActionEntry(REDUCE, 273);
   _actionMap[515][PLUS] = ActionEntry(REDUCE, 273);
   _actionMap[515][MINUS] = ActionEntry(REDUCE, 273);
   _actionMap[515][DIVISION] = ActionEntry(REDUCE, 273);
   _actionMap[515][STAR] = ActionEntry(REDUCE, 273);
   _actionMap[515][CONCAT] = ActionEntry(REDUCE, 273);
   _actionMap[516][WHEN] = ActionEntry(REDUCE, 268);
   _actionMap[516][ELSE] = ActionEntry(REDUCE, 268);
   _actionMap[516][LEFT] = ActionEntry(REDUCE, 268);
   _actionMap[516][RIGHT] = ActionEntry(REDUCE, 268);
   _actionMap[516][INNER] = ActionEntry(REDUCE, 268);
   _actionMap[516][JOIN] = ActionEntry(REDUCE, 268);
   _actionMap[516][RETURNTOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[516][ORDER] = ActionEntry(REDUCE, 268);
   _actionMap[516][GROUP] = ActionEntry(REDUCE, 268);
   _actionMap[516][WHERE] = ActionEntry(REDUCE, 268);
   _actionMap[516][FROM] = ActionEntry(REDUCE, 268);
   _actionMap[516][AS] = ActionEntry(REDUCE, 268);
   _actionMap[516][END_TOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[516][BEGIN] = ActionEntry(REDUCE, 268);
   _actionMap[516][THEN] = ActionEntry(REDUCE, 268);
   _actionMap[516][OR] = ActionEntry(REDUCE, 268);
   _actionMap[516][AND] = ActionEntry(REDUCE, 268);
   _actionMap[516][INTOK] = ActionEntry(REDUCE, 268);
   _actionMap[516][NOT] = ActionEntry(REDUCE, 268);
   _actionMap[516][BETWEEN] = ActionEntry(REDUCE, 268);
   _actionMap[516][IS] = ActionEntry(REDUCE, 268);
   _actionMap[516][LIKE] = ActionEntry(REDUCE, 268);
   _actionMap[516][MT] = ActionEntry(REDUCE, 268);
   _actionMap[516][LT] = ActionEntry(REDUCE, 268);
   _actionMap[516][NEGATION] = ActionEntry(REDUCE, 268);
   _actionMap[516][EQU] = ActionEntry(REDUCE, 268);
   _actionMap[516][RB] = ActionEntry(REDUCE, 268);
   _actionMap[516][ENDTOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[516][UNION] = ActionEntry(REDUCE, 268);
}
void Cego::loadParser93()
{
   _actionMap[516][ROWLIMIT] = ActionEntry(REDUCE, 268);
   _actionMap[516][KSEP] = ActionEntry(REDUCE, 268);
   _actionMap[516][ASC] = ActionEntry(REDUCE, 268);
   _actionMap[516][DESC] = ActionEntry(REDUCE, 268);
   _actionMap[516][SEMICOLON] = ActionEntry(REDUCE, 268);
   _actionMap[516][PLUS] = ActionEntry(REDUCE, 268);
   _actionMap[516][MINUS] = ActionEntry(REDUCE, 268);
   _actionMap[516][DIVISION] = ActionEntry(REDUCE, 268);
   _actionMap[516][STAR] = ActionEntry(REDUCE, 268);
   _actionMap[516][CONCAT] = ActionEntry(REDUCE, 268);
   _actionMap[517][WHEN] = ActionEntry(REDUCE, 155);
   _actionMap[517][ELSE] = ActionEntry(REDUCE, 155);
   _actionMap[517][LEFT] = ActionEntry(REDUCE, 155);
   _actionMap[517][RIGHT] = ActionEntry(REDUCE, 155);
   _actionMap[517][INNER] = ActionEntry(REDUCE, 155);
   _actionMap[517][JOIN] = ActionEntry(REDUCE, 155);
   _actionMap[517][RETURNTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[517][ORDER] = ActionEntry(REDUCE, 155);
   _actionMap[517][GROUP] = ActionEntry(REDUCE, 155);
   _actionMap[517][WHERE] = ActionEntry(REDUCE, 155);
   _actionMap[517][AS] = ActionEntry(REDUCE, 155);
   _actionMap[517][FROM] = ActionEntry(REDUCE, 155);
   _actionMap[517][END_TOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[517][BEGIN] = ActionEntry(REDUCE, 155);
   _actionMap[517][THEN] = ActionEntry(REDUCE, 155);
   _actionMap[517][OR] = ActionEntry(REDUCE, 155);
   _actionMap[517][AND] = ActionEntry(REDUCE, 155);
   _actionMap[517][LIKE] = ActionEntry(REDUCE, 155);
   _actionMap[517][IS] = ActionEntry(REDUCE, 155);
   _actionMap[517][BETWEEN] = ActionEntry(REDUCE, 155);
   _actionMap[517][NOT] = ActionEntry(REDUCE, 155);
   _actionMap[517][INTOK] = ActionEntry(REDUCE, 155);
   _actionMap[517][EQU] = ActionEntry(REDUCE, 155);
   _actionMap[517][NEGATION] = ActionEntry(REDUCE, 155);
   _actionMap[517][LT] = ActionEntry(REDUCE, 155);
   _actionMap[517][MT] = ActionEntry(REDUCE, 155);
   _actionMap[517][DESC] = ActionEntry(REDUCE, 155);
   _actionMap[517][ASC] = ActionEntry(REDUCE, 155);
   _actionMap[517][KSEP] = ActionEntry(REDUCE, 155);
   _actionMap[517][ROWLIMIT] = ActionEntry(REDUCE, 155);
   _actionMap[517][UNION] = ActionEntry(REDUCE, 155);
   _actionMap[517][ENDTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[517][RB] = ActionEntry(REDUCE, 155);
   _actionMap[517][SEMICOLON] = ActionEntry(REDUCE, 155);
   _actionMap[517][CONCAT] = ActionEntry(REDUCE, 155);
   _actionMap[517][STAR] = ActionEntry(REDUCE, 155);
   _actionMap[517][DIVISION] = ActionEntry(REDUCE, 155);
   _actionMap[517][MINUS] = ActionEntry(REDUCE, 155);
   _actionMap[517][PLUS] = ActionEntry(REDUCE, 155);
   _actionMap[518][WHEN] = ActionEntry(REDUCE, 156);
}
void Cego::loadParser94()
{
   _actionMap[518][ELSE] = ActionEntry(REDUCE, 156);
   _actionMap[518][LEFT] = ActionEntry(REDUCE, 156);
   _actionMap[518][RIGHT] = ActionEntry(REDUCE, 156);
   _actionMap[518][INNER] = ActionEntry(REDUCE, 156);
   _actionMap[518][JOIN] = ActionEntry(REDUCE, 156);
   _actionMap[518][RETURNTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[518][ORDER] = ActionEntry(REDUCE, 156);
   _actionMap[518][GROUP] = ActionEntry(REDUCE, 156);
   _actionMap[518][WHERE] = ActionEntry(REDUCE, 156);
   _actionMap[518][AS] = ActionEntry(REDUCE, 156);
   _actionMap[518][FROM] = ActionEntry(REDUCE, 156);
   _actionMap[518][END_TOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[518][BEGIN] = ActionEntry(REDUCE, 156);
   _actionMap[518][THEN] = ActionEntry(REDUCE, 156);
   _actionMap[518][OR] = ActionEntry(REDUCE, 156);
   _actionMap[518][AND] = ActionEntry(REDUCE, 156);
   _actionMap[518][LIKE] = ActionEntry(REDUCE, 156);
   _actionMap[518][IS] = ActionEntry(REDUCE, 156);
   _actionMap[518][BETWEEN] = ActionEntry(REDUCE, 156);
   _actionMap[518][NOT] = ActionEntry(REDUCE, 156);
   _actionMap[518][INTOK] = ActionEntry(REDUCE, 156);
   _actionMap[518][EQU] = ActionEntry(REDUCE, 156);
   _actionMap[518][NEGATION] = ActionEntry(REDUCE, 156);
   _actionMap[518][LT] = ActionEntry(REDUCE, 156);
   _actionMap[518][MT] = ActionEntry(REDUCE, 156);
   _actionMap[518][DESC] = ActionEntry(REDUCE, 156);
   _actionMap[518][ASC] = ActionEntry(REDUCE, 156);
   _actionMap[518][KSEP] = ActionEntry(REDUCE, 156);
   _actionMap[518][ROWLIMIT] = ActionEntry(REDUCE, 156);
   _actionMap[518][UNION] = ActionEntry(REDUCE, 156);
   _actionMap[518][ENDTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[518][RB] = ActionEntry(REDUCE, 156);
   _actionMap[518][SEMICOLON] = ActionEntry(REDUCE, 156);
   _actionMap[518][CONCAT] = ActionEntry(REDUCE, 156);
   _actionMap[518][STAR] = ActionEntry(REDUCE, 156);
   _actionMap[518][DIVISION] = ActionEntry(REDUCE, 156);
   _actionMap[518][MINUS] = ActionEntry(REDUCE, 156);
   _actionMap[518][PLUS] = ActionEntry(REDUCE, 156);
   _actionMap[519][WHEN] = ActionEntry(REDUCE, 286);
   _actionMap[519][ELSE] = ActionEntry(REDUCE, 286);
   _actionMap[519][LEFT] = ActionEntry(REDUCE, 286);
   _actionMap[519][RIGHT] = ActionEntry(REDUCE, 286);
   _actionMap[519][INNER] = ActionEntry(REDUCE, 286);
   _actionMap[519][JOIN] = ActionEntry(REDUCE, 286);
   _actionMap[519][RETURNTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[519][ORDER] = ActionEntry(REDUCE, 286);
   _actionMap[519][GROUP] = ActionEntry(REDUCE, 286);
   _actionMap[519][WHERE] = ActionEntry(REDUCE, 286);
   _actionMap[519][FROM] = ActionEntry(REDUCE, 286);
   _actionMap[519][AS] = ActionEntry(REDUCE, 286);
}
void Cego::loadParser95()
{
   _actionMap[519][END_TOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[519][BEGIN] = ActionEntry(REDUCE, 286);
   _actionMap[519][THEN] = ActionEntry(REDUCE, 286);
   _actionMap[519][OR] = ActionEntry(REDUCE, 286);
   _actionMap[519][AND] = ActionEntry(REDUCE, 286);
   _actionMap[519][INTOK] = ActionEntry(REDUCE, 286);
   _actionMap[519][NOT] = ActionEntry(REDUCE, 286);
   _actionMap[519][BETWEEN] = ActionEntry(REDUCE, 286);
   _actionMap[519][IS] = ActionEntry(REDUCE, 286);
   _actionMap[519][LIKE] = ActionEntry(REDUCE, 286);
   _actionMap[519][MT] = ActionEntry(REDUCE, 286);
   _actionMap[519][LT] = ActionEntry(REDUCE, 286);
   _actionMap[519][NEGATION] = ActionEntry(REDUCE, 286);
   _actionMap[519][EQU] = ActionEntry(REDUCE, 286);
   _actionMap[519][RB] = ActionEntry(REDUCE, 286);
   _actionMap[519][ENDTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[519][UNION] = ActionEntry(REDUCE, 286);
   _actionMap[519][ROWLIMIT] = ActionEntry(REDUCE, 286);
   _actionMap[519][KSEP] = ActionEntry(REDUCE, 286);
   _actionMap[519][ASC] = ActionEntry(REDUCE, 286);
   _actionMap[519][DESC] = ActionEntry(REDUCE, 286);
   _actionMap[519][SEMICOLON] = ActionEntry(REDUCE, 286);
   _actionMap[519][PLUS] = ActionEntry(REDUCE, 286);
   _actionMap[519][MINUS] = ActionEntry(REDUCE, 286);
   _actionMap[519][DIVISION] = ActionEntry(REDUCE, 286);
   _actionMap[519][STAR] = ActionEntry(REDUCE, 286);
   _actionMap[519][CONCAT] = ActionEntry(REDUCE, 286);
   _actionMap[520][WHEN] = ActionEntry(REDUCE, 292);
   _actionMap[520][ELSE] = ActionEntry(REDUCE, 292);
   _actionMap[520][LEFT] = ActionEntry(REDUCE, 292);
   _actionMap[520][RIGHT] = ActionEntry(REDUCE, 292);
   _actionMap[520][INNER] = ActionEntry(REDUCE, 292);
   _actionMap[520][JOIN] = ActionEntry(REDUCE, 292);
   _actionMap[520][RETURNTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[520][ORDER] = ActionEntry(REDUCE, 292);
   _actionMap[520][GROUP] = ActionEntry(REDUCE, 292);
   _actionMap[520][WHERE] = ActionEntry(REDUCE, 292);
   _actionMap[520][FROM] = ActionEntry(REDUCE, 292);
   _actionMap[520][AS] = ActionEntry(REDUCE, 292);
   _actionMap[520][END_TOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[520][BEGIN] = ActionEntry(REDUCE, 292);
   _actionMap[520][THEN] = ActionEntry(REDUCE, 292);
   _actionMap[520][OR] = ActionEntry(REDUCE, 292);
   _actionMap[520][AND] = ActionEntry(REDUCE, 292);
   _actionMap[520][INTOK] = ActionEntry(REDUCE, 292);
   _actionMap[520][NOT] = ActionEntry(REDUCE, 292);
   _actionMap[520][BETWEEN] = ActionEntry(REDUCE, 292);
   _actionMap[520][IS] = ActionEntry(REDUCE, 292);
   _actionMap[520][LIKE] = ActionEntry(REDUCE, 292);
   _actionMap[520][MT] = ActionEntry(REDUCE, 292);
}
void Cego::loadParser96()
{
   _actionMap[520][LT] = ActionEntry(REDUCE, 292);
   _actionMap[520][NEGATION] = ActionEntry(REDUCE, 292);
   _actionMap[520][EQU] = ActionEntry(REDUCE, 292);
   _actionMap[520][RB] = ActionEntry(REDUCE, 292);
   _actionMap[520][ENDTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[520][UNION] = ActionEntry(REDUCE, 292);
   _actionMap[520][ROWLIMIT] = ActionEntry(REDUCE, 292);
   _actionMap[520][KSEP] = ActionEntry(REDUCE, 292);
   _actionMap[520][ASC] = ActionEntry(REDUCE, 292);
   _actionMap[520][DESC] = ActionEntry(REDUCE, 292);
   _actionMap[520][SEMICOLON] = ActionEntry(REDUCE, 292);
   _actionMap[520][PLUS] = ActionEntry(REDUCE, 292);
   _actionMap[520][MINUS] = ActionEntry(REDUCE, 292);
   _actionMap[520][DIVISION] = ActionEntry(REDUCE, 292);
   _actionMap[520][STAR] = ActionEntry(REDUCE, 292);
   _actionMap[520][CONCAT] = ActionEntry(REDUCE, 292);
   _actionMap[521][WHEN] = ActionEntry(REDUCE, 288);
   _actionMap[521][ELSE] = ActionEntry(REDUCE, 288);
   _actionMap[521][LEFT] = ActionEntry(REDUCE, 288);
   _actionMap[521][RIGHT] = ActionEntry(REDUCE, 288);
   _actionMap[521][INNER] = ActionEntry(REDUCE, 288);
   _actionMap[521][JOIN] = ActionEntry(REDUCE, 288);
   _actionMap[521][RETURNTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[521][ORDER] = ActionEntry(REDUCE, 288);
   _actionMap[521][GROUP] = ActionEntry(REDUCE, 288);
   _actionMap[521][WHERE] = ActionEntry(REDUCE, 288);
   _actionMap[521][FROM] = ActionEntry(REDUCE, 288);
   _actionMap[521][AS] = ActionEntry(REDUCE, 288);
   _actionMap[521][END_TOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[521][BEGIN] = ActionEntry(REDUCE, 288);
   _actionMap[521][THEN] = ActionEntry(REDUCE, 288);
   _actionMap[521][OR] = ActionEntry(REDUCE, 288);
   _actionMap[521][AND] = ActionEntry(REDUCE, 288);
   _actionMap[521][INTOK] = ActionEntry(REDUCE, 288);
   _actionMap[521][NOT] = ActionEntry(REDUCE, 288);
   _actionMap[521][BETWEEN] = ActionEntry(REDUCE, 288);
   _actionMap[521][IS] = ActionEntry(REDUCE, 288);
   _actionMap[521][LIKE] = ActionEntry(REDUCE, 288);
   _actionMap[521][MT] = ActionEntry(REDUCE, 288);
   _actionMap[521][LT] = ActionEntry(REDUCE, 288);
   _actionMap[521][NEGATION] = ActionEntry(REDUCE, 288);
   _actionMap[521][EQU] = ActionEntry(REDUCE, 288);
   _actionMap[521][RB] = ActionEntry(REDUCE, 288);
   _actionMap[521][ENDTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[521][UNION] = ActionEntry(REDUCE, 288);
   _actionMap[521][ROWLIMIT] = ActionEntry(REDUCE, 288);
   _actionMap[521][KSEP] = ActionEntry(REDUCE, 288);
   _actionMap[521][ASC] = ActionEntry(REDUCE, 288);
   _actionMap[521][DESC] = ActionEntry(REDUCE, 288);
   _actionMap[521][SEMICOLON] = ActionEntry(REDUCE, 288);
}
void Cego::loadParser97()
{
   _actionMap[521][PLUS] = ActionEntry(REDUCE, 288);
   _actionMap[521][MINUS] = ActionEntry(REDUCE, 288);
   _actionMap[521][DIVISION] = ActionEntry(REDUCE, 288);
   _actionMap[521][STAR] = ActionEntry(REDUCE, 288);
   _actionMap[521][CONCAT] = ActionEntry(REDUCE, 288);
   _actionMap[522][WHEN] = ActionEntry(REDUCE, 284);
   _actionMap[522][ELSE] = ActionEntry(REDUCE, 284);
   _actionMap[522][LEFT] = ActionEntry(REDUCE, 284);
   _actionMap[522][RIGHT] = ActionEntry(REDUCE, 284);
   _actionMap[522][INNER] = ActionEntry(REDUCE, 284);
   _actionMap[522][JOIN] = ActionEntry(REDUCE, 284);
   _actionMap[522][RETURNTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[522][ORDER] = ActionEntry(REDUCE, 284);
   _actionMap[522][GROUP] = ActionEntry(REDUCE, 284);
   _actionMap[522][WHERE] = ActionEntry(REDUCE, 284);
   _actionMap[522][FROM] = ActionEntry(REDUCE, 284);
   _actionMap[522][AS] = ActionEntry(REDUCE, 284);
   _actionMap[522][END_TOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[522][BEGIN] = ActionEntry(REDUCE, 284);
   _actionMap[522][THEN] = ActionEntry(REDUCE, 284);
   _actionMap[522][OR] = ActionEntry(REDUCE, 284);
   _actionMap[522][AND] = ActionEntry(REDUCE, 284);
   _actionMap[522][INTOK] = ActionEntry(REDUCE, 284);
   _actionMap[522][NOT] = ActionEntry(REDUCE, 284);
   _actionMap[522][BETWEEN] = ActionEntry(REDUCE, 284);
   _actionMap[522][IS] = ActionEntry(REDUCE, 284);
   _actionMap[522][LIKE] = ActionEntry(REDUCE, 284);
   _actionMap[522][MT] = ActionEntry(REDUCE, 284);
   _actionMap[522][LT] = ActionEntry(REDUCE, 284);
   _actionMap[522][NEGATION] = ActionEntry(REDUCE, 284);
   _actionMap[522][EQU] = ActionEntry(REDUCE, 284);
   _actionMap[522][RB] = ActionEntry(REDUCE, 284);
   _actionMap[522][ENDTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[522][UNION] = ActionEntry(REDUCE, 284);
   _actionMap[522][ROWLIMIT] = ActionEntry(REDUCE, 284);
   _actionMap[522][KSEP] = ActionEntry(REDUCE, 284);
   _actionMap[522][ASC] = ActionEntry(REDUCE, 284);
   _actionMap[522][DESC] = ActionEntry(REDUCE, 284);
   _actionMap[522][SEMICOLON] = ActionEntry(REDUCE, 284);
   _actionMap[522][PLUS] = ActionEntry(REDUCE, 284);
   _actionMap[522][MINUS] = ActionEntry(REDUCE, 284);
   _actionMap[522][DIVISION] = ActionEntry(REDUCE, 284);
   _actionMap[522][STAR] = ActionEntry(REDUCE, 284);
   _actionMap[522][CONCAT] = ActionEntry(REDUCE, 284);
   _actionMap[523][WHEN] = ActionEntry(REDUCE, 285);
   _actionMap[523][ELSE] = ActionEntry(REDUCE, 285);
   _actionMap[523][LEFT] = ActionEntry(REDUCE, 285);
   _actionMap[523][RIGHT] = ActionEntry(REDUCE, 285);
   _actionMap[523][INNER] = ActionEntry(REDUCE, 285);
   _actionMap[523][JOIN] = ActionEntry(REDUCE, 285);
}
void Cego::loadParser98()
{
   _actionMap[523][RETURNTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[523][ORDER] = ActionEntry(REDUCE, 285);
   _actionMap[523][GROUP] = ActionEntry(REDUCE, 285);
   _actionMap[523][WHERE] = ActionEntry(REDUCE, 285);
   _actionMap[523][FROM] = ActionEntry(REDUCE, 285);
   _actionMap[523][AS] = ActionEntry(REDUCE, 285);
   _actionMap[523][END_TOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[523][BEGIN] = ActionEntry(REDUCE, 285);
   _actionMap[523][THEN] = ActionEntry(REDUCE, 285);
   _actionMap[523][OR] = ActionEntry(REDUCE, 285);
   _actionMap[523][AND] = ActionEntry(REDUCE, 285);
   _actionMap[523][INTOK] = ActionEntry(REDUCE, 285);
   _actionMap[523][NOT] = ActionEntry(REDUCE, 285);
   _actionMap[523][BETWEEN] = ActionEntry(REDUCE, 285);
   _actionMap[523][IS] = ActionEntry(REDUCE, 285);
   _actionMap[523][LIKE] = ActionEntry(REDUCE, 285);
   _actionMap[523][MT] = ActionEntry(REDUCE, 285);
   _actionMap[523][LT] = ActionEntry(REDUCE, 285);
   _actionMap[523][NEGATION] = ActionEntry(REDUCE, 285);
   _actionMap[523][EQU] = ActionEntry(REDUCE, 285);
   _actionMap[523][RB] = ActionEntry(REDUCE, 285);
   _actionMap[523][ENDTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[523][UNION] = ActionEntry(REDUCE, 285);
   _actionMap[523][ROWLIMIT] = ActionEntry(REDUCE, 285);
   _actionMap[523][KSEP] = ActionEntry(REDUCE, 285);
   _actionMap[523][ASC] = ActionEntry(REDUCE, 285);
   _actionMap[523][DESC] = ActionEntry(REDUCE, 285);
   _actionMap[523][SEMICOLON] = ActionEntry(REDUCE, 285);
   _actionMap[523][PLUS] = ActionEntry(REDUCE, 285);
   _actionMap[523][MINUS] = ActionEntry(REDUCE, 285);
   _actionMap[523][DIVISION] = ActionEntry(REDUCE, 285);
   _actionMap[523][STAR] = ActionEntry(REDUCE, 285);
   _actionMap[523][CONCAT] = ActionEntry(REDUCE, 285);
   _actionMap[524][WHEN] = ActionEntry(REDUCE, 279);
   _actionMap[524][ELSE] = ActionEntry(REDUCE, 279);
   _actionMap[524][LEFT] = ActionEntry(REDUCE, 279);
   _actionMap[524][RIGHT] = ActionEntry(REDUCE, 279);
   _actionMap[524][INNER] = ActionEntry(REDUCE, 279);
   _actionMap[524][JOIN] = ActionEntry(REDUCE, 279);
   _actionMap[524][RETURNTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[524][ORDER] = ActionEntry(REDUCE, 279);
   _actionMap[524][GROUP] = ActionEntry(REDUCE, 279);
   _actionMap[524][WHERE] = ActionEntry(REDUCE, 279);
   _actionMap[524][FROM] = ActionEntry(REDUCE, 279);
   _actionMap[524][AS] = ActionEntry(REDUCE, 279);
   _actionMap[524][END_TOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[524][BEGIN] = ActionEntry(REDUCE, 279);
   _actionMap[524][THEN] = ActionEntry(REDUCE, 279);
   _actionMap[524][OR] = ActionEntry(REDUCE, 279);
   _actionMap[524][AND] = ActionEntry(REDUCE, 279);
}
void Cego::loadParser99()
{
   _actionMap[524][INTOK] = ActionEntry(REDUCE, 279);
   _actionMap[524][NOT] = ActionEntry(REDUCE, 279);
   _actionMap[524][BETWEEN] = ActionEntry(REDUCE, 279);
   _actionMap[524][IS] = ActionEntry(REDUCE, 279);
   _actionMap[524][LIKE] = ActionEntry(REDUCE, 279);
   _actionMap[524][MT] = ActionEntry(REDUCE, 279);
   _actionMap[524][LT] = ActionEntry(REDUCE, 279);
   _actionMap[524][NEGATION] = ActionEntry(REDUCE, 279);
   _actionMap[524][EQU] = ActionEntry(REDUCE, 279);
   _actionMap[524][RB] = ActionEntry(REDUCE, 279);
   _actionMap[524][ENDTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[524][UNION] = ActionEntry(REDUCE, 279);
   _actionMap[524][ROWLIMIT] = ActionEntry(REDUCE, 279);
   _actionMap[524][KSEP] = ActionEntry(REDUCE, 279);
   _actionMap[524][ASC] = ActionEntry(REDUCE, 279);
   _actionMap[524][DESC] = ActionEntry(REDUCE, 279);
   _actionMap[524][SEMICOLON] = ActionEntry(REDUCE, 279);
   _actionMap[524][PLUS] = ActionEntry(REDUCE, 279);
   _actionMap[524][MINUS] = ActionEntry(REDUCE, 279);
   _actionMap[524][DIVISION] = ActionEntry(REDUCE, 279);
   _actionMap[524][STAR] = ActionEntry(REDUCE, 279);
   _actionMap[524][CONCAT] = ActionEntry(REDUCE, 279);
   _actionMap[525][WHEN] = ActionEntry(REDUCE, 276);
   _actionMap[525][ELSE] = ActionEntry(REDUCE, 276);
   _actionMap[525][LEFT] = ActionEntry(REDUCE, 276);
   _actionMap[525][RIGHT] = ActionEntry(REDUCE, 276);
   _actionMap[525][INNER] = ActionEntry(REDUCE, 276);
   _actionMap[525][JOIN] = ActionEntry(REDUCE, 276);
   _actionMap[525][RETURNTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[525][ORDER] = ActionEntry(REDUCE, 276);
   _actionMap[525][GROUP] = ActionEntry(REDUCE, 276);
   _actionMap[525][WHERE] = ActionEntry(REDUCE, 276);
   _actionMap[525][FROM] = ActionEntry(REDUCE, 276);
   _actionMap[525][AS] = ActionEntry(REDUCE, 276);
   _actionMap[525][END_TOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[525][BEGIN] = ActionEntry(REDUCE, 276);
   _actionMap[525][THEN] = ActionEntry(REDUCE, 276);
   _actionMap[525][OR] = ActionEntry(REDUCE, 276);
   _actionMap[525][AND] = ActionEntry(REDUCE, 276);
   _actionMap[525][INTOK] = ActionEntry(REDUCE, 276);
   _actionMap[525][NOT] = ActionEntry(REDUCE, 276);
   _actionMap[525][BETWEEN] = ActionEntry(REDUCE, 276);
   _actionMap[525][IS] = ActionEntry(REDUCE, 276);
   _actionMap[525][LIKE] = ActionEntry(REDUCE, 276);
   _actionMap[525][MT] = ActionEntry(REDUCE, 276);
   _actionMap[525][LT] = ActionEntry(REDUCE, 276);
   _actionMap[525][NEGATION] = ActionEntry(REDUCE, 276);
   _actionMap[525][EQU] = ActionEntry(REDUCE, 276);
   _actionMap[525][RB] = ActionEntry(REDUCE, 276);
   _actionMap[525][ENDTOKEN] = ActionEntry(REDUCE, 276);
}
void Cego::loadParser100()
{
   _actionMap[525][UNION] = ActionEntry(REDUCE, 276);
   _actionMap[525][ROWLIMIT] = ActionEntry(REDUCE, 276);
   _actionMap[525][KSEP] = ActionEntry(REDUCE, 276);
   _actionMap[525][ASC] = ActionEntry(REDUCE, 276);
   _actionMap[525][DESC] = ActionEntry(REDUCE, 276);
   _actionMap[525][SEMICOLON] = ActionEntry(REDUCE, 276);
   _actionMap[525][PLUS] = ActionEntry(REDUCE, 276);
   _actionMap[525][MINUS] = ActionEntry(REDUCE, 276);
   _actionMap[525][DIVISION] = ActionEntry(REDUCE, 276);
   _actionMap[525][STAR] = ActionEntry(REDUCE, 276);
   _actionMap[525][CONCAT] = ActionEntry(REDUCE, 276);
   _actionMap[526][WHEN] = ActionEntry(REDUCE, 269);
   _actionMap[526][ELSE] = ActionEntry(REDUCE, 269);
   _actionMap[526][LEFT] = ActionEntry(REDUCE, 269);
   _actionMap[526][RIGHT] = ActionEntry(REDUCE, 269);
   _actionMap[526][INNER] = ActionEntry(REDUCE, 269);
   _actionMap[526][JOIN] = ActionEntry(REDUCE, 269);
   _actionMap[526][RETURNTOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[526][ORDER] = ActionEntry(REDUCE, 269);
   _actionMap[526][GROUP] = ActionEntry(REDUCE, 269);
   _actionMap[526][WHERE] = ActionEntry(REDUCE, 269);
   _actionMap[526][FROM] = ActionEntry(REDUCE, 269);
   _actionMap[526][AS] = ActionEntry(REDUCE, 269);
   _actionMap[526][END_TOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[526][BEGIN] = ActionEntry(REDUCE, 269);
   _actionMap[526][THEN] = ActionEntry(REDUCE, 269);
   _actionMap[526][OR] = ActionEntry(REDUCE, 269);
   _actionMap[526][AND] = ActionEntry(REDUCE, 269);
   _actionMap[526][INTOK] = ActionEntry(REDUCE, 269);
   _actionMap[526][NOT] = ActionEntry(REDUCE, 269);
   _actionMap[526][BETWEEN] = ActionEntry(REDUCE, 269);
   _actionMap[526][IS] = ActionEntry(REDUCE, 269);
   _actionMap[526][LIKE] = ActionEntry(REDUCE, 269);
   _actionMap[526][MT] = ActionEntry(REDUCE, 269);
   _actionMap[526][LT] = ActionEntry(REDUCE, 269);
   _actionMap[526][NEGATION] = ActionEntry(REDUCE, 269);
   _actionMap[526][EQU] = ActionEntry(REDUCE, 269);
   _actionMap[526][RB] = ActionEntry(REDUCE, 269);
   _actionMap[526][ENDTOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[526][UNION] = ActionEntry(REDUCE, 269);
   _actionMap[526][ROWLIMIT] = ActionEntry(REDUCE, 269);
   _actionMap[526][KSEP] = ActionEntry(REDUCE, 269);
   _actionMap[526][ASC] = ActionEntry(REDUCE, 269);
   _actionMap[526][DESC] = ActionEntry(REDUCE, 269);
   _actionMap[526][SEMICOLON] = ActionEntry(REDUCE, 269);
   _actionMap[526][PLUS] = ActionEntry(REDUCE, 269);
   _actionMap[526][MINUS] = ActionEntry(REDUCE, 269);
   _actionMap[526][DIVISION] = ActionEntry(REDUCE, 269);
   _actionMap[526][STAR] = ActionEntry(REDUCE, 269);
   _actionMap[526][CONCAT] = ActionEntry(REDUCE, 269);
}
void Cego::loadParser101()
{
   _actionMap[527][WHEN] = ActionEntry(REDUCE, 267);
   _actionMap[527][ELSE] = ActionEntry(REDUCE, 267);
   _actionMap[527][LEFT] = ActionEntry(REDUCE, 267);
   _actionMap[527][RIGHT] = ActionEntry(REDUCE, 267);
   _actionMap[527][INNER] = ActionEntry(REDUCE, 267);
   _actionMap[527][JOIN] = ActionEntry(REDUCE, 267);
   _actionMap[527][RETURNTOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[527][ORDER] = ActionEntry(REDUCE, 267);
   _actionMap[527][GROUP] = ActionEntry(REDUCE, 267);
   _actionMap[527][WHERE] = ActionEntry(REDUCE, 267);
   _actionMap[527][FROM] = ActionEntry(REDUCE, 267);
   _actionMap[527][AS] = ActionEntry(REDUCE, 267);
   _actionMap[527][END_TOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[527][BEGIN] = ActionEntry(REDUCE, 267);
   _actionMap[527][THEN] = ActionEntry(REDUCE, 267);
   _actionMap[527][OR] = ActionEntry(REDUCE, 267);
   _actionMap[527][AND] = ActionEntry(REDUCE, 267);
   _actionMap[527][INTOK] = ActionEntry(REDUCE, 267);
   _actionMap[527][NOT] = ActionEntry(REDUCE, 267);
   _actionMap[527][BETWEEN] = ActionEntry(REDUCE, 267);
   _actionMap[527][IS] = ActionEntry(REDUCE, 267);
   _actionMap[527][LIKE] = ActionEntry(REDUCE, 267);
   _actionMap[527][MT] = ActionEntry(REDUCE, 267);
   _actionMap[527][LT] = ActionEntry(REDUCE, 267);
   _actionMap[527][NEGATION] = ActionEntry(REDUCE, 267);
   _actionMap[527][EQU] = ActionEntry(REDUCE, 267);
   _actionMap[527][RB] = ActionEntry(REDUCE, 267);
   _actionMap[527][ENDTOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[527][UNION] = ActionEntry(REDUCE, 267);
   _actionMap[527][ROWLIMIT] = ActionEntry(REDUCE, 267);
   _actionMap[527][KSEP] = ActionEntry(REDUCE, 267);
   _actionMap[527][ASC] = ActionEntry(REDUCE, 267);
   _actionMap[527][DESC] = ActionEntry(REDUCE, 267);
   _actionMap[527][SEMICOLON] = ActionEntry(REDUCE, 267);
   _actionMap[527][PLUS] = ActionEntry(REDUCE, 267);
   _actionMap[527][MINUS] = ActionEntry(REDUCE, 267);
   _actionMap[527][DIVISION] = ActionEntry(REDUCE, 267);
   _actionMap[527][STAR] = ActionEntry(REDUCE, 267);
   _actionMap[527][CONCAT] = ActionEntry(REDUCE, 267);
   _actionMap[528][WHEN] = ActionEntry(REDUCE, 278);
   _actionMap[528][ELSE] = ActionEntry(REDUCE, 278);
   _actionMap[528][LEFT] = ActionEntry(REDUCE, 278);
   _actionMap[528][RIGHT] = ActionEntry(REDUCE, 278);
   _actionMap[528][INNER] = ActionEntry(REDUCE, 278);
   _actionMap[528][JOIN] = ActionEntry(REDUCE, 278);
   _actionMap[528][RETURNTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[528][ORDER] = ActionEntry(REDUCE, 278);
   _actionMap[528][GROUP] = ActionEntry(REDUCE, 278);
   _actionMap[528][WHERE] = ActionEntry(REDUCE, 278);
   _actionMap[528][FROM] = ActionEntry(REDUCE, 278);
}
void Cego::loadParser102()
{
   _actionMap[528][AS] = ActionEntry(REDUCE, 278);
   _actionMap[528][END_TOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[528][BEGIN] = ActionEntry(REDUCE, 278);
   _actionMap[528][THEN] = ActionEntry(REDUCE, 278);
   _actionMap[528][OR] = ActionEntry(REDUCE, 278);
   _actionMap[528][AND] = ActionEntry(REDUCE, 278);
   _actionMap[528][INTOK] = ActionEntry(REDUCE, 278);
   _actionMap[528][NOT] = ActionEntry(REDUCE, 278);
   _actionMap[528][BETWEEN] = ActionEntry(REDUCE, 278);
   _actionMap[528][IS] = ActionEntry(REDUCE, 278);
   _actionMap[528][LIKE] = ActionEntry(REDUCE, 278);
   _actionMap[528][MT] = ActionEntry(REDUCE, 278);
   _actionMap[528][LT] = ActionEntry(REDUCE, 278);
   _actionMap[528][NEGATION] = ActionEntry(REDUCE, 278);
   _actionMap[528][EQU] = ActionEntry(REDUCE, 278);
   _actionMap[528][RB] = ActionEntry(REDUCE, 278);
   _actionMap[528][ENDTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[528][UNION] = ActionEntry(REDUCE, 278);
   _actionMap[528][ROWLIMIT] = ActionEntry(REDUCE, 278);
   _actionMap[528][KSEP] = ActionEntry(REDUCE, 278);
   _actionMap[528][ASC] = ActionEntry(REDUCE, 278);
   _actionMap[528][DESC] = ActionEntry(REDUCE, 278);
   _actionMap[528][SEMICOLON] = ActionEntry(REDUCE, 278);
   _actionMap[528][PLUS] = ActionEntry(REDUCE, 278);
   _actionMap[528][MINUS] = ActionEntry(REDUCE, 278);
   _actionMap[528][DIVISION] = ActionEntry(REDUCE, 278);
   _actionMap[528][STAR] = ActionEntry(REDUCE, 278);
   _actionMap[528][CONCAT] = ActionEntry(REDUCE, 278);
   _actionMap[529][WHEN] = ActionEntry(REDUCE, 152);
   _actionMap[529][ELSE] = ActionEntry(REDUCE, 152);
   _actionMap[529][LEFT] = ActionEntry(REDUCE, 152);
   _actionMap[529][RIGHT] = ActionEntry(REDUCE, 152);
   _actionMap[529][INNER] = ActionEntry(REDUCE, 152);
   _actionMap[529][JOIN] = ActionEntry(REDUCE, 152);
   _actionMap[529][RETURNTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[529][ORDER] = ActionEntry(REDUCE, 152);
   _actionMap[529][GROUP] = ActionEntry(REDUCE, 152);
   _actionMap[529][WHERE] = ActionEntry(REDUCE, 152);
   _actionMap[529][AS] = ActionEntry(REDUCE, 152);
   _actionMap[529][FROM] = ActionEntry(REDUCE, 152);
   _actionMap[529][END_TOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[529][BEGIN] = ActionEntry(REDUCE, 152);
   _actionMap[529][THEN] = ActionEntry(REDUCE, 152);
   _actionMap[529][OR] = ActionEntry(REDUCE, 152);
   _actionMap[529][AND] = ActionEntry(REDUCE, 152);
   _actionMap[529][LIKE] = ActionEntry(REDUCE, 152);
   _actionMap[529][IS] = ActionEntry(REDUCE, 152);
   _actionMap[529][BETWEEN] = ActionEntry(REDUCE, 152);
   _actionMap[529][NOT] = ActionEntry(REDUCE, 152);
   _actionMap[529][INTOK] = ActionEntry(REDUCE, 152);
}
void Cego::loadParser103()
{
   _actionMap[529][EQU] = ActionEntry(REDUCE, 152);
   _actionMap[529][NEGATION] = ActionEntry(REDUCE, 152);
   _actionMap[529][LT] = ActionEntry(REDUCE, 152);
   _actionMap[529][MT] = ActionEntry(REDUCE, 152);
   _actionMap[529][DESC] = ActionEntry(REDUCE, 152);
   _actionMap[529][ASC] = ActionEntry(REDUCE, 152);
   _actionMap[529][KSEP] = ActionEntry(REDUCE, 152);
   _actionMap[529][ROWLIMIT] = ActionEntry(REDUCE, 152);
   _actionMap[529][UNION] = ActionEntry(REDUCE, 152);
   _actionMap[529][ENDTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[529][RB] = ActionEntry(REDUCE, 152);
   _actionMap[529][SEMICOLON] = ActionEntry(REDUCE, 152);
   _actionMap[529][CONCAT] = ActionEntry(REDUCE, 152);
   _actionMap[529][STAR] = ActionEntry(REDUCE, 152);
   _actionMap[529][DIVISION] = ActionEntry(REDUCE, 152);
   _actionMap[529][MINUS] = ActionEntry(REDUCE, 152);
   _actionMap[529][PLUS] = ActionEntry(REDUCE, 152);
   _actionMap[530][WHEN] = ActionEntry(REDUCE, 282);
   _actionMap[530][ELSE] = ActionEntry(REDUCE, 282);
   _actionMap[530][LEFT] = ActionEntry(REDUCE, 282);
   _actionMap[530][RIGHT] = ActionEntry(REDUCE, 282);
   _actionMap[530][INNER] = ActionEntry(REDUCE, 282);
   _actionMap[530][JOIN] = ActionEntry(REDUCE, 282);
   _actionMap[530][RETURNTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[530][ORDER] = ActionEntry(REDUCE, 282);
   _actionMap[530][GROUP] = ActionEntry(REDUCE, 282);
   _actionMap[530][WHERE] = ActionEntry(REDUCE, 282);
   _actionMap[530][FROM] = ActionEntry(REDUCE, 282);
   _actionMap[530][AS] = ActionEntry(REDUCE, 282);
   _actionMap[530][END_TOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[530][BEGIN] = ActionEntry(REDUCE, 282);
   _actionMap[530][THEN] = ActionEntry(REDUCE, 282);
   _actionMap[530][OR] = ActionEntry(REDUCE, 282);
   _actionMap[530][AND] = ActionEntry(REDUCE, 282);
   _actionMap[530][INTOK] = ActionEntry(REDUCE, 282);
   _actionMap[530][NOT] = ActionEntry(REDUCE, 282);
   _actionMap[530][BETWEEN] = ActionEntry(REDUCE, 282);
   _actionMap[530][IS] = ActionEntry(REDUCE, 282);
   _actionMap[530][LIKE] = ActionEntry(REDUCE, 282);
   _actionMap[530][MT] = ActionEntry(REDUCE, 282);
   _actionMap[530][LT] = ActionEntry(REDUCE, 282);
   _actionMap[530][NEGATION] = ActionEntry(REDUCE, 282);
   _actionMap[530][EQU] = ActionEntry(REDUCE, 282);
   _actionMap[530][RB] = ActionEntry(REDUCE, 282);
   _actionMap[530][ENDTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[530][UNION] = ActionEntry(REDUCE, 282);
   _actionMap[530][ROWLIMIT] = ActionEntry(REDUCE, 282);
   _actionMap[530][KSEP] = ActionEntry(REDUCE, 282);
   _actionMap[530][ASC] = ActionEntry(REDUCE, 282);
   _actionMap[530][DESC] = ActionEntry(REDUCE, 282);
}
void Cego::loadParser104()
{
   _actionMap[530][SEMICOLON] = ActionEntry(REDUCE, 282);
   _actionMap[530][PLUS] = ActionEntry(REDUCE, 282);
   _actionMap[530][MINUS] = ActionEntry(REDUCE, 282);
   _actionMap[530][DIVISION] = ActionEntry(REDUCE, 282);
   _actionMap[530][STAR] = ActionEntry(REDUCE, 282);
   _actionMap[530][CONCAT] = ActionEntry(REDUCE, 282);
   _actionMap[531][WHEN] = ActionEntry(REDUCE, 283);
   _actionMap[531][ELSE] = ActionEntry(REDUCE, 283);
   _actionMap[531][LEFT] = ActionEntry(REDUCE, 283);
   _actionMap[531][RIGHT] = ActionEntry(REDUCE, 283);
   _actionMap[531][INNER] = ActionEntry(REDUCE, 283);
   _actionMap[531][JOIN] = ActionEntry(REDUCE, 283);
   _actionMap[531][RETURNTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[531][ORDER] = ActionEntry(REDUCE, 283);
   _actionMap[531][GROUP] = ActionEntry(REDUCE, 283);
   _actionMap[531][WHERE] = ActionEntry(REDUCE, 283);
   _actionMap[531][FROM] = ActionEntry(REDUCE, 283);
   _actionMap[531][AS] = ActionEntry(REDUCE, 283);
   _actionMap[531][END_TOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[531][BEGIN] = ActionEntry(REDUCE, 283);
   _actionMap[531][THEN] = ActionEntry(REDUCE, 283);
   _actionMap[531][OR] = ActionEntry(REDUCE, 283);
   _actionMap[531][AND] = ActionEntry(REDUCE, 283);
   _actionMap[531][INTOK] = ActionEntry(REDUCE, 283);
   _actionMap[531][NOT] = ActionEntry(REDUCE, 283);
   _actionMap[531][BETWEEN] = ActionEntry(REDUCE, 283);
   _actionMap[531][IS] = ActionEntry(REDUCE, 283);
   _actionMap[531][LIKE] = ActionEntry(REDUCE, 283);
   _actionMap[531][MT] = ActionEntry(REDUCE, 283);
   _actionMap[531][LT] = ActionEntry(REDUCE, 283);
   _actionMap[531][NEGATION] = ActionEntry(REDUCE, 283);
   _actionMap[531][EQU] = ActionEntry(REDUCE, 283);
   _actionMap[531][RB] = ActionEntry(REDUCE, 283);
   _actionMap[531][ENDTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[531][UNION] = ActionEntry(REDUCE, 283);
   _actionMap[531][ROWLIMIT] = ActionEntry(REDUCE, 283);
   _actionMap[531][KSEP] = ActionEntry(REDUCE, 283);
   _actionMap[531][ASC] = ActionEntry(REDUCE, 283);
   _actionMap[531][DESC] = ActionEntry(REDUCE, 283);
   _actionMap[531][SEMICOLON] = ActionEntry(REDUCE, 283);
   _actionMap[531][PLUS] = ActionEntry(REDUCE, 283);
   _actionMap[531][MINUS] = ActionEntry(REDUCE, 283);
   _actionMap[531][DIVISION] = ActionEntry(REDUCE, 283);
   _actionMap[531][STAR] = ActionEntry(REDUCE, 283);
   _actionMap[531][CONCAT] = ActionEntry(REDUCE, 283);
   _actionMap[532][WHEN] = ActionEntry(REDUCE, 266);
   _actionMap[532][ELSE] = ActionEntry(REDUCE, 266);
   _actionMap[532][LEFT] = ActionEntry(REDUCE, 266);
   _actionMap[532][RIGHT] = ActionEntry(REDUCE, 266);
   _actionMap[532][INNER] = ActionEntry(REDUCE, 266);
}
void Cego::loadParser105()
{
   _actionMap[532][JOIN] = ActionEntry(REDUCE, 266);
   _actionMap[532][RETURNTOKEN] = ActionEntry(REDUCE, 266);
   _actionMap[532][ORDER] = ActionEntry(REDUCE, 266);
   _actionMap[532][GROUP] = ActionEntry(REDUCE, 266);
   _actionMap[532][WHERE] = ActionEntry(REDUCE, 266);
   _actionMap[532][FROM] = ActionEntry(REDUCE, 266);
   _actionMap[532][AS] = ActionEntry(REDUCE, 266);
   _actionMap[532][END_TOKEN] = ActionEntry(REDUCE, 266);
   _actionMap[532][BEGIN] = ActionEntry(REDUCE, 266);
   _actionMap[532][THEN] = ActionEntry(REDUCE, 266);
   _actionMap[532][OR] = ActionEntry(REDUCE, 266);
   _actionMap[532][AND] = ActionEntry(REDUCE, 266);
   _actionMap[532][INTOK] = ActionEntry(REDUCE, 266);
   _actionMap[532][NOT] = ActionEntry(REDUCE, 266);
   _actionMap[532][BETWEEN] = ActionEntry(REDUCE, 266);
   _actionMap[532][IS] = ActionEntry(REDUCE, 266);
   _actionMap[532][LIKE] = ActionEntry(REDUCE, 266);
   _actionMap[532][MT] = ActionEntry(REDUCE, 266);
   _actionMap[532][LT] = ActionEntry(REDUCE, 266);
   _actionMap[532][NEGATION] = ActionEntry(REDUCE, 266);
   _actionMap[532][EQU] = ActionEntry(REDUCE, 266);
   _actionMap[532][RB] = ActionEntry(REDUCE, 266);
   _actionMap[532][ENDTOKEN] = ActionEntry(REDUCE, 266);
   _actionMap[532][UNION] = ActionEntry(REDUCE, 266);
   _actionMap[532][ROWLIMIT] = ActionEntry(REDUCE, 266);
   _actionMap[532][KSEP] = ActionEntry(REDUCE, 266);
   _actionMap[532][ASC] = ActionEntry(REDUCE, 266);
   _actionMap[532][DESC] = ActionEntry(REDUCE, 266);
   _actionMap[532][SEMICOLON] = ActionEntry(REDUCE, 266);
   _actionMap[532][PLUS] = ActionEntry(REDUCE, 266);
   _actionMap[532][MINUS] = ActionEntry(REDUCE, 266);
   _actionMap[532][DIVISION] = ActionEntry(REDUCE, 266);
   _actionMap[532][STAR] = ActionEntry(REDUCE, 266);
   _actionMap[532][CONCAT] = ActionEntry(REDUCE, 266);
   _actionMap[533][WHEN] = ActionEntry(REDUCE, 281);
   _actionMap[533][ELSE] = ActionEntry(REDUCE, 281);
   _actionMap[533][LEFT] = ActionEntry(REDUCE, 281);
   _actionMap[533][RIGHT] = ActionEntry(REDUCE, 281);
   _actionMap[533][INNER] = ActionEntry(REDUCE, 281);
   _actionMap[533][JOIN] = ActionEntry(REDUCE, 281);
   _actionMap[533][RETURNTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[533][ORDER] = ActionEntry(REDUCE, 281);
   _actionMap[533][GROUP] = ActionEntry(REDUCE, 281);
   _actionMap[533][WHERE] = ActionEntry(REDUCE, 281);
   _actionMap[533][FROM] = ActionEntry(REDUCE, 281);
   _actionMap[533][AS] = ActionEntry(REDUCE, 281);
   _actionMap[533][END_TOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[533][BEGIN] = ActionEntry(REDUCE, 281);
   _actionMap[533][THEN] = ActionEntry(REDUCE, 281);
   _actionMap[533][OR] = ActionEntry(REDUCE, 281);
}
void Cego::loadParser106()
{
   _actionMap[533][AND] = ActionEntry(REDUCE, 281);
   _actionMap[533][INTOK] = ActionEntry(REDUCE, 281);
   _actionMap[533][NOT] = ActionEntry(REDUCE, 281);
   _actionMap[533][BETWEEN] = ActionEntry(REDUCE, 281);
   _actionMap[533][IS] = ActionEntry(REDUCE, 281);
   _actionMap[533][LIKE] = ActionEntry(REDUCE, 281);
   _actionMap[533][MT] = ActionEntry(REDUCE, 281);
   _actionMap[533][LT] = ActionEntry(REDUCE, 281);
   _actionMap[533][NEGATION] = ActionEntry(REDUCE, 281);
   _actionMap[533][EQU] = ActionEntry(REDUCE, 281);
   _actionMap[533][RB] = ActionEntry(REDUCE, 281);
   _actionMap[533][ENDTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[533][UNION] = ActionEntry(REDUCE, 281);
   _actionMap[533][ROWLIMIT] = ActionEntry(REDUCE, 281);
   _actionMap[533][KSEP] = ActionEntry(REDUCE, 281);
   _actionMap[533][ASC] = ActionEntry(REDUCE, 281);
   _actionMap[533][DESC] = ActionEntry(REDUCE, 281);
   _actionMap[533][SEMICOLON] = ActionEntry(REDUCE, 281);
   _actionMap[533][PLUS] = ActionEntry(REDUCE, 281);
   _actionMap[533][MINUS] = ActionEntry(REDUCE, 281);
   _actionMap[533][DIVISION] = ActionEntry(REDUCE, 281);
   _actionMap[533][STAR] = ActionEntry(REDUCE, 281);
   _actionMap[533][CONCAT] = ActionEntry(REDUCE, 281);
   _actionMap[534][WHEN] = ActionEntry(REDUCE, 274);
   _actionMap[534][ELSE] = ActionEntry(REDUCE, 274);
   _actionMap[534][LEFT] = ActionEntry(REDUCE, 274);
   _actionMap[534][RIGHT] = ActionEntry(REDUCE, 274);
   _actionMap[534][INNER] = ActionEntry(REDUCE, 274);
   _actionMap[534][JOIN] = ActionEntry(REDUCE, 274);
   _actionMap[534][RETURNTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[534][ORDER] = ActionEntry(REDUCE, 274);
   _actionMap[534][GROUP] = ActionEntry(REDUCE, 274);
   _actionMap[534][WHERE] = ActionEntry(REDUCE, 274);
   _actionMap[534][FROM] = ActionEntry(REDUCE, 274);
   _actionMap[534][AS] = ActionEntry(REDUCE, 274);
   _actionMap[534][END_TOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[534][BEGIN] = ActionEntry(REDUCE, 274);
   _actionMap[534][THEN] = ActionEntry(REDUCE, 274);
   _actionMap[534][OR] = ActionEntry(REDUCE, 274);
   _actionMap[534][AND] = ActionEntry(REDUCE, 274);
   _actionMap[534][INTOK] = ActionEntry(REDUCE, 274);
   _actionMap[534][NOT] = ActionEntry(REDUCE, 274);
   _actionMap[534][BETWEEN] = ActionEntry(REDUCE, 274);
   _actionMap[534][IS] = ActionEntry(REDUCE, 274);
   _actionMap[534][LIKE] = ActionEntry(REDUCE, 274);
   _actionMap[534][MT] = ActionEntry(REDUCE, 274);
   _actionMap[534][LT] = ActionEntry(REDUCE, 274);
   _actionMap[534][NEGATION] = ActionEntry(REDUCE, 274);
   _actionMap[534][EQU] = ActionEntry(REDUCE, 274);
   _actionMap[534][RB] = ActionEntry(REDUCE, 274);
}
void Cego::loadParser107()
{
   _actionMap[534][ENDTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[534][UNION] = ActionEntry(REDUCE, 274);
   _actionMap[534][ROWLIMIT] = ActionEntry(REDUCE, 274);
   _actionMap[534][KSEP] = ActionEntry(REDUCE, 274);
   _actionMap[534][ASC] = ActionEntry(REDUCE, 274);
   _actionMap[534][DESC] = ActionEntry(REDUCE, 274);
   _actionMap[534][SEMICOLON] = ActionEntry(REDUCE, 274);
   _actionMap[534][PLUS] = ActionEntry(REDUCE, 274);
   _actionMap[534][MINUS] = ActionEntry(REDUCE, 274);
   _actionMap[534][DIVISION] = ActionEntry(REDUCE, 274);
   _actionMap[534][STAR] = ActionEntry(REDUCE, 274);
   _actionMap[534][CONCAT] = ActionEntry(REDUCE, 274);
   _actionMap[535][WHEN] = ActionEntry(REDUCE, 342);
   _actionMap[535][ELSE] = ActionEntry(REDUCE, 342);
   _actionMap[535][LEFT] = ActionEntry(REDUCE, 342);
   _actionMap[535][RIGHT] = ActionEntry(REDUCE, 342);
   _actionMap[535][INNER] = ActionEntry(REDUCE, 342);
   _actionMap[535][JOIN] = ActionEntry(REDUCE, 342);
   _actionMap[535][RETURNTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[535][ORDER] = ActionEntry(REDUCE, 342);
   _actionMap[535][GROUP] = ActionEntry(REDUCE, 342);
   _actionMap[535][WHERE] = ActionEntry(REDUCE, 342);
   _actionMap[535][FROM] = ActionEntry(REDUCE, 342);
   _actionMap[535][AS] = ActionEntry(REDUCE, 342);
   _actionMap[535][END_TOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[535][BEGIN] = ActionEntry(REDUCE, 342);
   _actionMap[535][THEN] = ActionEntry(REDUCE, 342);
   _actionMap[535][OR] = ActionEntry(REDUCE, 342);
   _actionMap[535][AND] = ActionEntry(REDUCE, 342);
   _actionMap[535][ENDTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[535][UNION] = ActionEntry(REDUCE, 342);
   _actionMap[535][ROWLIMIT] = ActionEntry(REDUCE, 342);
   _actionMap[535][ASC] = ActionEntry(REDUCE, 342);
   _actionMap[535][DESC] = ActionEntry(REDUCE, 342);
   _actionMap[535][INTOK] = ActionEntry(REDUCE, 342);
   _actionMap[535][BETWEEN] = ActionEntry(REDUCE, 342);
   _actionMap[535][LIKE] = ActionEntry(REDUCE, 342);
   _actionMap[535][PLUS] = ActionEntry(REDUCE, 342);
   _actionMap[535][MINUS] = ActionEntry(REDUCE, 342);
   _actionMap[535][CONCAT] = ActionEntry(REDUCE, 342);
   _actionMap[535][DIVISION] = ActionEntry(REDUCE, 342);
   _actionMap[535][STAR] = ActionEntry(REDUCE, 342);
   _actionMap[535][MT] = ActionEntry(REDUCE, 342);
   _actionMap[535][LT] = ActionEntry(REDUCE, 342);
   _actionMap[535][NEGATION] = ActionEntry(REDUCE, 342);
   _actionMap[535][EQU] = ActionEntry(REDUCE, 342);
   _actionMap[535][IS] = ActionEntry(REDUCE, 342);
   _actionMap[535][NULLTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[535][NOT] = ActionEntry(REDUCE, 342);
   _actionMap[535][KSEP] = ActionEntry(REDUCE, 342);
}
void Cego::loadParser108()
{
   _actionMap[535][SEMICOLON] = ActionEntry(REDUCE, 342);
   _actionMap[535][RB] = ActionEntry(REDUCE, 342);
   _actionMap[536][INTVAL] = ActionEntry(SHIFT, 267);
   _actionMap[537][WHEN] = ActionEntry(REDUCE, 348);
   _actionMap[537][ELSE] = ActionEntry(REDUCE, 348);
   _actionMap[537][LEFT] = ActionEntry(REDUCE, 348);
   _actionMap[537][RIGHT] = ActionEntry(REDUCE, 348);
   _actionMap[537][INNER] = ActionEntry(REDUCE, 348);
   _actionMap[537][JOIN] = ActionEntry(REDUCE, 348);
   _actionMap[537][RETURNTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[537][ORDER] = ActionEntry(REDUCE, 348);
   _actionMap[537][GROUP] = ActionEntry(REDUCE, 348);
   _actionMap[537][WHERE] = ActionEntry(REDUCE, 348);
   _actionMap[537][FROM] = ActionEntry(REDUCE, 348);
   _actionMap[537][AS] = ActionEntry(REDUCE, 348);
   _actionMap[537][END_TOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[537][BEGIN] = ActionEntry(REDUCE, 348);
   _actionMap[537][THEN] = ActionEntry(REDUCE, 348);
   _actionMap[537][OR] = ActionEntry(REDUCE, 348);
   _actionMap[537][AND] = ActionEntry(REDUCE, 348);
   _actionMap[537][ENDTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[537][UNION] = ActionEntry(REDUCE, 348);
   _actionMap[537][ROWLIMIT] = ActionEntry(REDUCE, 348);
   _actionMap[537][ASC] = ActionEntry(REDUCE, 348);
   _actionMap[537][DESC] = ActionEntry(REDUCE, 348);
   _actionMap[537][INTOK] = ActionEntry(REDUCE, 348);
   _actionMap[537][BETWEEN] = ActionEntry(REDUCE, 348);
   _actionMap[537][LIKE] = ActionEntry(REDUCE, 348);
   _actionMap[537][PLUS] = ActionEntry(REDUCE, 348);
   _actionMap[537][MINUS] = ActionEntry(REDUCE, 348);
   _actionMap[537][CONCAT] = ActionEntry(REDUCE, 348);
   _actionMap[537][DIVISION] = ActionEntry(REDUCE, 348);
   _actionMap[537][STAR] = ActionEntry(REDUCE, 348);
   _actionMap[537][MT] = ActionEntry(REDUCE, 348);
   _actionMap[537][LT] = ActionEntry(REDUCE, 348);
   _actionMap[537][NEGATION] = ActionEntry(REDUCE, 348);
   _actionMap[537][EQU] = ActionEntry(REDUCE, 348);
   _actionMap[537][IS] = ActionEntry(REDUCE, 348);
   _actionMap[537][NULLTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[537][NOT] = ActionEntry(REDUCE, 348);
   _actionMap[537][KSEP] = ActionEntry(REDUCE, 348);
   _actionMap[537][SEMICOLON] = ActionEntry(REDUCE, 348);
   _actionMap[537][RB] = ActionEntry(REDUCE, 348);
   _actionMap[538][FLOATVAL] = ActionEntry(SHIFT, 268);
   _actionMap[539][WHEN] = ActionEntry(REDUCE, 347);
   _actionMap[539][ELSE] = ActionEntry(REDUCE, 347);
   _actionMap[539][LEFT] = ActionEntry(REDUCE, 347);
   _actionMap[539][RIGHT] = ActionEntry(REDUCE, 347);
   _actionMap[539][INNER] = ActionEntry(REDUCE, 347);
   _actionMap[539][JOIN] = ActionEntry(REDUCE, 347);
}
void Cego::loadParser109()
{
   _actionMap[539][RETURNTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[539][ORDER] = ActionEntry(REDUCE, 347);
   _actionMap[539][GROUP] = ActionEntry(REDUCE, 347);
   _actionMap[539][WHERE] = ActionEntry(REDUCE, 347);
   _actionMap[539][FROM] = ActionEntry(REDUCE, 347);
   _actionMap[539][AS] = ActionEntry(REDUCE, 347);
   _actionMap[539][END_TOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[539][BEGIN] = ActionEntry(REDUCE, 347);
   _actionMap[539][THEN] = ActionEntry(REDUCE, 347);
   _actionMap[539][OR] = ActionEntry(REDUCE, 347);
   _actionMap[539][AND] = ActionEntry(REDUCE, 347);
   _actionMap[539][ENDTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[539][UNION] = ActionEntry(REDUCE, 347);
   _actionMap[539][ROWLIMIT] = ActionEntry(REDUCE, 347);
   _actionMap[539][ASC] = ActionEntry(REDUCE, 347);
   _actionMap[539][DESC] = ActionEntry(REDUCE, 347);
   _actionMap[539][INTOK] = ActionEntry(REDUCE, 347);
   _actionMap[539][BETWEEN] = ActionEntry(REDUCE, 347);
   _actionMap[539][LIKE] = ActionEntry(REDUCE, 347);
   _actionMap[539][PLUS] = ActionEntry(REDUCE, 347);
   _actionMap[539][MINUS] = ActionEntry(REDUCE, 347);
   _actionMap[539][CONCAT] = ActionEntry(REDUCE, 347);
   _actionMap[539][DIVISION] = ActionEntry(REDUCE, 347);
   _actionMap[539][STAR] = ActionEntry(REDUCE, 347);
   _actionMap[539][MT] = ActionEntry(REDUCE, 347);
   _actionMap[539][LT] = ActionEntry(REDUCE, 347);
   _actionMap[539][NEGATION] = ActionEntry(REDUCE, 347);
   _actionMap[539][EQU] = ActionEntry(REDUCE, 347);
   _actionMap[539][IS] = ActionEntry(REDUCE, 347);
   _actionMap[539][NULLTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[539][NOT] = ActionEntry(REDUCE, 347);
   _actionMap[539][KSEP] = ActionEntry(REDUCE, 347);
   _actionMap[539][SEMICOLON] = ActionEntry(REDUCE, 347);
   _actionMap[539][RB] = ActionEntry(REDUCE, 347);
   _actionMap[540][WHEN] = ActionEntry(REDUCE, 349);
   _actionMap[540][ELSE] = ActionEntry(REDUCE, 349);
   _actionMap[540][LEFT] = ActionEntry(REDUCE, 349);
   _actionMap[540][RIGHT] = ActionEntry(REDUCE, 349);
   _actionMap[540][INNER] = ActionEntry(REDUCE, 349);
   _actionMap[540][JOIN] = ActionEntry(REDUCE, 349);
   _actionMap[540][RETURNTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[540][ORDER] = ActionEntry(REDUCE, 349);
   _actionMap[540][GROUP] = ActionEntry(REDUCE, 349);
   _actionMap[540][WHERE] = ActionEntry(REDUCE, 349);
   _actionMap[540][FROM] = ActionEntry(REDUCE, 349);
   _actionMap[540][AS] = ActionEntry(REDUCE, 349);
   _actionMap[540][END_TOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[540][BEGIN] = ActionEntry(REDUCE, 349);
   _actionMap[540][THEN] = ActionEntry(REDUCE, 349);
   _actionMap[540][OR] = ActionEntry(REDUCE, 349);
}
void Cego::loadParser110()
{
   _actionMap[540][AND] = ActionEntry(REDUCE, 349);
   _actionMap[540][ENDTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[540][UNION] = ActionEntry(REDUCE, 349);
   _actionMap[540][ROWLIMIT] = ActionEntry(REDUCE, 349);
   _actionMap[540][ASC] = ActionEntry(REDUCE, 349);
   _actionMap[540][DESC] = ActionEntry(REDUCE, 349);
   _actionMap[540][INTOK] = ActionEntry(REDUCE, 349);
   _actionMap[540][BETWEEN] = ActionEntry(REDUCE, 349);
   _actionMap[540][LIKE] = ActionEntry(REDUCE, 349);
   _actionMap[540][PLUS] = ActionEntry(REDUCE, 349);
   _actionMap[540][MINUS] = ActionEntry(REDUCE, 349);
   _actionMap[540][CONCAT] = ActionEntry(REDUCE, 349);
   _actionMap[540][DIVISION] = ActionEntry(REDUCE, 349);
   _actionMap[540][STAR] = ActionEntry(REDUCE, 349);
   _actionMap[540][MT] = ActionEntry(REDUCE, 349);
   _actionMap[540][LT] = ActionEntry(REDUCE, 349);
   _actionMap[540][NEGATION] = ActionEntry(REDUCE, 349);
   _actionMap[540][EQU] = ActionEntry(REDUCE, 349);
   _actionMap[540][IS] = ActionEntry(REDUCE, 349);
   _actionMap[540][NULLTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[540][NOT] = ActionEntry(REDUCE, 349);
   _actionMap[540][KSEP] = ActionEntry(REDUCE, 349);
   _actionMap[540][SEMICOLON] = ActionEntry(REDUCE, 349);
   _actionMap[540][RB] = ActionEntry(REDUCE, 349);
   _actionMap[541][WHEN] = ActionEntry(REDUCE, 341);
   _actionMap[541][ELSE] = ActionEntry(REDUCE, 341);
   _actionMap[541][LEFT] = ActionEntry(REDUCE, 341);
   _actionMap[541][RIGHT] = ActionEntry(REDUCE, 341);
   _actionMap[541][INNER] = ActionEntry(REDUCE, 341);
   _actionMap[541][JOIN] = ActionEntry(REDUCE, 341);
   _actionMap[541][RETURNTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[541][ORDER] = ActionEntry(REDUCE, 341);
   _actionMap[541][GROUP] = ActionEntry(REDUCE, 341);
   _actionMap[541][WHERE] = ActionEntry(REDUCE, 341);
   _actionMap[541][FROM] = ActionEntry(REDUCE, 341);
   _actionMap[541][AS] = ActionEntry(REDUCE, 341);
   _actionMap[541][END_TOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[541][BEGIN] = ActionEntry(REDUCE, 341);
   _actionMap[541][THEN] = ActionEntry(REDUCE, 341);
   _actionMap[541][OR] = ActionEntry(REDUCE, 341);
   _actionMap[541][AND] = ActionEntry(REDUCE, 341);
   _actionMap[541][ENDTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[541][UNION] = ActionEntry(REDUCE, 341);
   _actionMap[541][ROWLIMIT] = ActionEntry(REDUCE, 341);
   _actionMap[541][ASC] = ActionEntry(REDUCE, 341);
   _actionMap[541][DESC] = ActionEntry(REDUCE, 341);
   _actionMap[541][INTOK] = ActionEntry(REDUCE, 341);
   _actionMap[541][BETWEEN] = ActionEntry(REDUCE, 341);
   _actionMap[541][LIKE] = ActionEntry(REDUCE, 341);
   _actionMap[541][PLUS] = ActionEntry(REDUCE, 341);
}
void Cego::loadParser111()
{
   _actionMap[541][MINUS] = ActionEntry(REDUCE, 341);
   _actionMap[541][CONCAT] = ActionEntry(REDUCE, 341);
   _actionMap[541][DIVISION] = ActionEntry(REDUCE, 341);
   _actionMap[541][STAR] = ActionEntry(REDUCE, 341);
   _actionMap[541][MT] = ActionEntry(REDUCE, 341);
   _actionMap[541][LT] = ActionEntry(REDUCE, 341);
   _actionMap[541][NEGATION] = ActionEntry(REDUCE, 341);
   _actionMap[541][EQU] = ActionEntry(REDUCE, 341);
   _actionMap[541][IS] = ActionEntry(REDUCE, 341);
   _actionMap[541][NULLTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[541][NOT] = ActionEntry(REDUCE, 341);
   _actionMap[541][KSEP] = ActionEntry(REDUCE, 341);
   _actionMap[541][SEMICOLON] = ActionEntry(REDUCE, 341);
   _actionMap[541][RB] = ActionEntry(REDUCE, 341);
   _actionMap[542][WHEN] = ActionEntry(REDUCE, 343);
   _actionMap[542][ELSE] = ActionEntry(REDUCE, 343);
   _actionMap[542][LEFT] = ActionEntry(REDUCE, 343);
   _actionMap[542][RIGHT] = ActionEntry(REDUCE, 343);
   _actionMap[542][INNER] = ActionEntry(REDUCE, 343);
   _actionMap[542][JOIN] = ActionEntry(REDUCE, 343);
   _actionMap[542][RETURNTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[542][ORDER] = ActionEntry(REDUCE, 343);
   _actionMap[542][GROUP] = ActionEntry(REDUCE, 343);
   _actionMap[542][WHERE] = ActionEntry(REDUCE, 343);
   _actionMap[542][FROM] = ActionEntry(REDUCE, 343);
   _actionMap[542][AS] = ActionEntry(REDUCE, 343);
   _actionMap[542][END_TOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[542][BEGIN] = ActionEntry(REDUCE, 343);
   _actionMap[542][THEN] = ActionEntry(REDUCE, 343);
   _actionMap[542][OR] = ActionEntry(REDUCE, 343);
   _actionMap[542][AND] = ActionEntry(REDUCE, 343);
   _actionMap[542][ENDTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[542][UNION] = ActionEntry(REDUCE, 343);
   _actionMap[542][ROWLIMIT] = ActionEntry(REDUCE, 343);
   _actionMap[542][ASC] = ActionEntry(REDUCE, 343);
   _actionMap[542][DESC] = ActionEntry(REDUCE, 343);
   _actionMap[542][INTOK] = ActionEntry(REDUCE, 343);
   _actionMap[542][BETWEEN] = ActionEntry(REDUCE, 343);
   _actionMap[542][LIKE] = ActionEntry(REDUCE, 343);
   _actionMap[542][PLUS] = ActionEntry(REDUCE, 343);
   _actionMap[542][MINUS] = ActionEntry(REDUCE, 343);
   _actionMap[542][CONCAT] = ActionEntry(REDUCE, 343);
   _actionMap[542][DIVISION] = ActionEntry(REDUCE, 343);
   _actionMap[542][STAR] = ActionEntry(REDUCE, 343);
   _actionMap[542][MT] = ActionEntry(REDUCE, 343);
   _actionMap[542][LT] = ActionEntry(REDUCE, 343);
   _actionMap[542][NEGATION] = ActionEntry(REDUCE, 343);
   _actionMap[542][EQU] = ActionEntry(REDUCE, 343);
   _actionMap[542][IS] = ActionEntry(REDUCE, 343);
   _actionMap[542][NULLTOKEN] = ActionEntry(REDUCE, 343);
}
void Cego::loadParser112()
{
   _actionMap[542][NOT] = ActionEntry(REDUCE, 343);
   _actionMap[542][KSEP] = ActionEntry(REDUCE, 343);
   _actionMap[542][SEMICOLON] = ActionEntry(REDUCE, 343);
   _actionMap[542][RB] = ActionEntry(REDUCE, 343);
   _actionMap[543][WHEN] = ActionEntry(REDUCE, 344);
   _actionMap[543][ELSE] = ActionEntry(REDUCE, 344);
   _actionMap[543][LEFT] = ActionEntry(REDUCE, 344);
   _actionMap[543][RIGHT] = ActionEntry(REDUCE, 344);
   _actionMap[543][INNER] = ActionEntry(REDUCE, 344);
   _actionMap[543][JOIN] = ActionEntry(REDUCE, 344);
   _actionMap[543][RETURNTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[543][ORDER] = ActionEntry(REDUCE, 344);
   _actionMap[543][GROUP] = ActionEntry(REDUCE, 344);
   _actionMap[543][WHERE] = ActionEntry(REDUCE, 344);
   _actionMap[543][FROM] = ActionEntry(REDUCE, 344);
   _actionMap[543][AS] = ActionEntry(REDUCE, 344);
   _actionMap[543][END_TOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[543][BEGIN] = ActionEntry(REDUCE, 344);
   _actionMap[543][THEN] = ActionEntry(REDUCE, 344);
   _actionMap[543][OR] = ActionEntry(REDUCE, 344);
   _actionMap[543][AND] = ActionEntry(REDUCE, 344);
   _actionMap[543][ENDTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[543][UNION] = ActionEntry(REDUCE, 344);
   _actionMap[543][ROWLIMIT] = ActionEntry(REDUCE, 344);
   _actionMap[543][ASC] = ActionEntry(REDUCE, 344);
   _actionMap[543][DESC] = ActionEntry(REDUCE, 344);
   _actionMap[543][INTOK] = ActionEntry(REDUCE, 344);
   _actionMap[543][BETWEEN] = ActionEntry(REDUCE, 344);
   _actionMap[543][LIKE] = ActionEntry(REDUCE, 344);
   _actionMap[543][PLUS] = ActionEntry(REDUCE, 344);
   _actionMap[543][MINUS] = ActionEntry(REDUCE, 344);
   _actionMap[543][CONCAT] = ActionEntry(REDUCE, 344);
   _actionMap[543][DIVISION] = ActionEntry(REDUCE, 344);
   _actionMap[543][STAR] = ActionEntry(REDUCE, 344);
   _actionMap[543][MT] = ActionEntry(REDUCE, 344);
   _actionMap[543][LT] = ActionEntry(REDUCE, 344);
   _actionMap[543][NEGATION] = ActionEntry(REDUCE, 344);
   _actionMap[543][EQU] = ActionEntry(REDUCE, 344);
   _actionMap[543][IS] = ActionEntry(REDUCE, 344);
   _actionMap[543][NULLTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[543][NOT] = ActionEntry(REDUCE, 344);
   _actionMap[543][KSEP] = ActionEntry(REDUCE, 344);
   _actionMap[543][SEMICOLON] = ActionEntry(REDUCE, 344);
   _actionMap[543][RB] = ActionEntry(REDUCE, 344);
   _actionMap[544][RAB] = ActionEntry(SHIFT, 651);
   _actionMap[545][SEMICOLON] = ActionEntry(REDUCE, 265);
   _actionMap[546][SEMICOLON] = ActionEntry(REDUCE, 261);
   _actionMap[547][SEMICOLON] = ActionEntry(REDUCE, 262);
   _actionMap[548][SEMICOLON] = ActionEntry(REDUCE, 263);
   _actionMap[549][SEMICOLON] = ActionEntry(REDUCE, 260);
}
void Cego::loadParser113()
{
   _actionMap[550][SEMICOLON] = ActionEntry(REDUCE, 264);
   _actionMap[551][SEMICOLON] = ActionEntry(REDUCE, 221);
   _actionMap[551][RB] = ActionEntry(REDUCE, 221);
   _actionMap[551][ENDTOKEN] = ActionEntry(REDUCE, 221);
   _actionMap[551][UNION] = ActionEntry(REDUCE, 221);
   _actionMap[551][ROWLIMIT] = ActionEntry(REDUCE, 221);
   _actionMap[551][ORDER] = ActionEntry(REDUCE, 221);
   _actionMap[551][GROUP] = ActionEntry(SHIFT, 654);
   _jumpMap[551][NoGroup] = 653;
   _jumpMap[551][GroupClause] = 652;
   _actionMap[552][LEFT] = ActionEntry(REDUCE, 204);
   _actionMap[552][RIGHT] = ActionEntry(REDUCE, 204);
   _actionMap[552][INNER] = ActionEntry(REDUCE, 204);
   _actionMap[552][JOIN] = ActionEntry(REDUCE, 204);
   _actionMap[552][RETURNTOKEN] = ActionEntry(REDUCE, 204);
   _actionMap[552][SEMICOLON] = ActionEntry(REDUCE, 204);
   _actionMap[552][RB] = ActionEntry(REDUCE, 204);
   _actionMap[552][ENDTOKEN] = ActionEntry(REDUCE, 204);
   _actionMap[552][UNION] = ActionEntry(REDUCE, 204);
   _actionMap[552][ROWLIMIT] = ActionEntry(REDUCE, 204);
   _actionMap[552][ORDER] = ActionEntry(REDUCE, 204);
   _actionMap[552][GROUP] = ActionEntry(REDUCE, 204);
   _actionMap[552][WHERE] = ActionEntry(REDUCE, 204);
   _actionMap[553][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[553][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[553][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[553][ObjSpec] = 420;
   _jumpMap[553][Table] = 655;
   _actionMap[554][JOIN] = ActionEntry(SHIFT, 656);
   _actionMap[555][IDENTIFIER] = ActionEntry(REDUCE, 210);
   _actionMap[555][QUALIFIEDOBJ] = ActionEntry(REDUCE, 210);
   _actionMap[555][QUALIFIEDTS] = ActionEntry(REDUCE, 210);
   _actionMap[556][OUTER] = ActionEntry(SHIFT, 657);
   _actionMap[557][OUTER] = ActionEntry(SHIFT, 658);
   _actionMap[558][LEFT] = ActionEntry(REDUCE, 205);
   _actionMap[558][RIGHT] = ActionEntry(REDUCE, 205);
   _actionMap[558][INNER] = ActionEntry(REDUCE, 205);
   _actionMap[558][JOIN] = ActionEntry(REDUCE, 205);
   _actionMap[558][RETURNTOKEN] = ActionEntry(REDUCE, 205);
   _actionMap[558][SEMICOLON] = ActionEntry(REDUCE, 205);
   _actionMap[558][RB] = ActionEntry(REDUCE, 205);
   _actionMap[558][ENDTOKEN] = ActionEntry(REDUCE, 205);
   _actionMap[558][UNION] = ActionEntry(REDUCE, 205);
   _actionMap[558][ROWLIMIT] = ActionEntry(REDUCE, 205);
   _actionMap[558][ORDER] = ActionEntry(REDUCE, 205);
   _actionMap[558][GROUP] = ActionEntry(REDUCE, 205);
   _actionMap[558][WHERE] = ActionEntry(REDUCE, 205);
   _actionMap[559][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[559][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[559][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser114()
{
   _jumpMap[559][ObjSpec] = 420;
   _jumpMap[559][Table] = 660;
   _jumpMap[559][TableList] = 659;
   _actionMap[560][WHERE] = ActionEntry(REDUCE, 214);
   _actionMap[560][GROUP] = ActionEntry(REDUCE, 214);
   _actionMap[560][ORDER] = ActionEntry(REDUCE, 214);
   _actionMap[560][ROWLIMIT] = ActionEntry(REDUCE, 214);
   _actionMap[560][UNION] = ActionEntry(REDUCE, 214);
   _actionMap[560][ENDTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[560][RB] = ActionEntry(REDUCE, 214);
   _actionMap[560][SEMICOLON] = ActionEntry(REDUCE, 214);
   _actionMap[560][RETURNTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[560][LEFT] = ActionEntry(REDUCE, 214);
   _actionMap[560][RIGHT] = ActionEntry(REDUCE, 214);
   _actionMap[560][INNER] = ActionEntry(REDUCE, 214);
   _actionMap[560][JOIN] = ActionEntry(REDUCE, 214);
   _actionMap[560][KSEP] = ActionEntry(REDUCE, 214);
   _actionMap[560][ON] = ActionEntry(REDUCE, 214);
   _actionMap[561][FROM] = ActionEntry(REDUCE, 216);
   _actionMap[561][KSEP] = ActionEntry(REDUCE, 216);
   _actionMap[562][FROM] = ActionEntry(REDUCE, 199);
   _actionMap[562][KSEP] = ActionEntry(REDUCE, 199);
   _actionMap[563][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[563][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[563][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[563][SEMICOLON] = ActionEntry(REDUCE, 71);
   _actionMap[564][RETURNTOKEN] = ActionEntry(SHIFT, 662);
   _actionMap[564][SEMICOLON] = ActionEntry(REDUCE, 246);
   _jumpMap[564][UpdReturnOpt] = 661;
   _actionMap[565][IDENTIFIER] = ActionEntry(SHIFT, 429);
   _jumpMap[565][Assignment] = 663;
   _actionMap[566][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[566][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[566][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[566][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[566][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[566][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[566][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[566][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[566][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[566][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[566][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[566][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[566][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[566][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[566][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[566][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[566][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[566][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[566][TRUNC] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser115()
{
   _actionMap[566][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[566][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[566][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[566][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[566][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[566][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[566][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[566][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[566][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[566][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[566][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[566][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[566][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[566][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[566][LB] = ActionEntry(SHIFT, 137);
   _actionMap[566][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[566][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[566][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[566][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[566][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[566][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[566][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[566][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[566][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[566][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[566][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[566][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[566][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[566][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[566][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[566][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[566][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[566][ObjSpec] = 96;
   _jumpMap[566][Constant] = 95;
   _jumpMap[566][SignedFloat] = 94;
   _jumpMap[566][SignedInt] = 93;
   _jumpMap[566][Attribute] = 92;
   _jumpMap[566][Function] = 91;
   _jumpMap[566][CasePrepare] = 90;
   _jumpMap[566][CaseClause] = 89;
   _jumpMap[566][Factor] = 88;
   _jumpMap[566][Term] = 87;
   _jumpMap[566][Expr] = 664;
   _actionMap[567][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[567][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[567][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[567][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[567][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[567][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[567][ROUND] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser116()
{
   _actionMap[567][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[567][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[567][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[567][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[567][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[567][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[567][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[567][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[567][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[567][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[567][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[567][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[567][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[567][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[567][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[567][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[567][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[567][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[567][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[567][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[567][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[567][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[567][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[567][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[567][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[567][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[567][LB] = ActionEntry(SHIFT, 137);
   _actionMap[567][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[567][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[567][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[567][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[567][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[567][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[567][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[567][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[567][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[567][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[567][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[567][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[567][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[567][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[567][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[567][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[567][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[567][RB] = ActionEntry(REDUCE, 113);
   _jumpMap[567][ObjSpec] = 96;
   _jumpMap[567][Constant] = 95;
   _jumpMap[567][SignedFloat] = 94;
   _jumpMap[567][SignedInt] = 93;
   _jumpMap[567][Attribute] = 92;
}
void Cego::loadParser117()
{
   _jumpMap[567][Function] = 91;
   _jumpMap[567][CasePrepare] = 90;
   _jumpMap[567][CaseClause] = 89;
   _jumpMap[567][Factor] = 88;
   _jumpMap[567][Term] = 87;
   _jumpMap[567][Expr] = 309;
   _jumpMap[567][ProcValueList] = 308;
   _jumpMap[567][ProcValueListOpt] = 665;
   _actionMap[299][SEMICOLON] = ActionEntry(REDUCE, 60);
   _actionMap[300][SEMICOLON] = ActionEntry(REDUCE, 253);
   _actionMap[301][KSEP] = ActionEntry(SHIFT, 431);
   _actionMap[301][SEMICOLON] = ActionEntry(REDUCE, 255);
   _actionMap[302][CHECK] = ActionEntry(SHIFT, 432);
   _actionMap[302][FOREIGN] = ActionEntry(SHIFT, 434);
   _actionMap[302][COLUMN] = ActionEntry(SHIFT, 433);
   _actionMap[303][COLUMN] = ActionEntry(SHIFT, 435);
   _actionMap[304][COLUMN] = ActionEntry(SHIFT, 436);
   _actionMap[305][COLUMN] = ActionEntry(SHIFT, 437);
   _actionMap[306][STRINGVAL] = ActionEntry(SHIFT, 438);
   _actionMap[307][RB] = ActionEntry(SHIFT, 310);
   _actionMap[308][KSEP] = ActionEntry(SHIFT, 439);
   _actionMap[308][RB] = ActionEntry(REDUCE, 112);
   _actionMap[309][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[309][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[309][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[309][KSEP] = ActionEntry(REDUCE, 115);
   _actionMap[309][RB] = ActionEntry(REDUCE, 115);
   _actionMap[310][SEMICOLON] = ActionEntry(REDUCE, 51);
   _actionMap[311][END_TOKEN] = ActionEntry(SHIFT, 440);
   _actionMap[312][EXCEPTION] = ActionEntry(REDUCE, 110);
   _actionMap[312][ELSE] = ActionEntry(REDUCE, 110);
   _actionMap[312][ELSIF] = ActionEntry(REDUCE, 110);
   _actionMap[312][END_TOKEN] = ActionEntry(REDUCE, 110);
   _actionMap[312][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[312][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[312][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[312][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[312][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[312][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[312][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[312][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[312][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[312][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[312][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[312][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[312][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[312][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[312][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[312][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[312][REPLACE] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser118()
{
   _actionMap[312][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[312][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[312][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[312][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[312][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[312][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[312][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[312][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[312][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[312][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[312][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[312][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[312][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[312][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[312][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[312][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[312][LB] = ActionEntry(SHIFT, 137);
   _actionMap[312][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[312][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[312][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[312][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[312][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[312][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[312][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[312][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[312][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[312][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[312][VARREF] = ActionEntry(SHIFT, 331);
   _actionMap[312][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[312][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[312][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[312][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[312][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[312][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[312][IF] = ActionEntry(SHIFT, 326);
   _actionMap[312][BEGIN] = ActionEntry(SHIFT, 323);
   _actionMap[312][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[312][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[312][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[312][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[312][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[312][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[312][VAR] = ActionEntry(SHIFT, 329);
   _actionMap[312][CURSOR] = ActionEntry(SHIFT, 325);
   _actionMap[312][CLOSE] = ActionEntry(SHIFT, 324);
   _actionMap[312][NOOP] = ActionEntry(SHIFT, 327);
   _actionMap[312][RETURNTOKEN] = ActionEntry(SHIFT, 328);
   _actionMap[312][WHILE] = ActionEntry(SHIFT, 330);
   _jumpMap[312][ObjSpec] = 96;
   _jumpMap[312][Constant] = 95;
}
void Cego::loadParser119()
{
   _jumpMap[312][SignedFloat] = 94;
   _jumpMap[312][SignedInt] = 93;
   _jumpMap[312][Attribute] = 92;
   _jumpMap[312][Function] = 91;
   _jumpMap[312][DeleteStatement] = 322;
   _jumpMap[312][UpdateStatement] = 321;
   _jumpMap[312][InsertStatement] = 320;
   _jumpMap[312][RollbackStatement] = 319;
   _jumpMap[312][CommitStatement] = 318;
   _jumpMap[312][StartStatement] = 317;
   _jumpMap[312][CasePrepare] = 90;
   _jumpMap[312][CaseClause] = 89;
   _jumpMap[312][Factor] = 88;
   _jumpMap[312][Term] = 87;
   _jumpMap[312][Expr] = 316;
   _jumpMap[312][ProcStatement] = 442;
   _jumpMap[312][ProcIfPart] = 314;
   _jumpMap[312][ProcExceptionList] = 441;
   _jumpMap[312][ProcBlockStart] = 313;
   _actionMap[313][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[313][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[313][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[313][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[313][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[313][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[313][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[313][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[313][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[313][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[313][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[313][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[313][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[313][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[313][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[313][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[313][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[313][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[313][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[313][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[313][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[313][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[313][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[313][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[313][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[313][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[313][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[313][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[313][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[313][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[313][IDENTIFIER] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser120()
{
   _actionMap[313][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[313][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[313][LB] = ActionEntry(SHIFT, 137);
   _actionMap[313][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[313][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[313][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[313][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[313][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[313][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[313][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[313][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[313][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[313][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[313][VARREF] = ActionEntry(SHIFT, 331);
   _actionMap[313][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[313][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[313][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[313][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[313][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[313][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[313][IF] = ActionEntry(SHIFT, 326);
   _actionMap[313][BEGIN] = ActionEntry(SHIFT, 323);
   _actionMap[313][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[313][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[313][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[313][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[313][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[313][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[313][VAR] = ActionEntry(SHIFT, 329);
   _actionMap[313][CURSOR] = ActionEntry(SHIFT, 325);
   _actionMap[313][CLOSE] = ActionEntry(SHIFT, 324);
   _actionMap[313][NOOP] = ActionEntry(SHIFT, 327);
   _actionMap[313][RETURNTOKEN] = ActionEntry(SHIFT, 328);
   _actionMap[313][WHILE] = ActionEntry(SHIFT, 330);
   _jumpMap[313][ObjSpec] = 96;
   _jumpMap[313][Constant] = 95;
   _jumpMap[313][SignedFloat] = 94;
   _jumpMap[313][SignedInt] = 93;
   _jumpMap[313][Attribute] = 92;
   _jumpMap[313][Function] = 91;
   _jumpMap[313][DeleteStatement] = 322;
   _jumpMap[313][UpdateStatement] = 321;
   _jumpMap[313][InsertStatement] = 320;
   _jumpMap[313][RollbackStatement] = 319;
   _jumpMap[313][CommitStatement] = 318;
   _jumpMap[313][StartStatement] = 317;
   _jumpMap[313][CasePrepare] = 90;
   _jumpMap[313][CaseClause] = 89;
   _jumpMap[313][Factor] = 88;
   _jumpMap[313][Term] = 87;
}
void Cego::loadParser121()
{
   _jumpMap[313][Expr] = 316;
   _jumpMap[313][ProcStatement] = 315;
   _jumpMap[313][ProcIfPart] = 314;
   _jumpMap[313][ProcBlockStart] = 313;
   _jumpMap[313][ProcStatementList] = 312;
   _jumpMap[313][ProcStmtBlock] = 443;
   _actionMap[314][ELSIF] = ActionEntry(SHIFT, 446);
   _actionMap[314][END_TOKEN] = ActionEntry(REDUCE, 120);
   _actionMap[314][ELSE] = ActionEntry(REDUCE, 120);
   _jumpMap[314][ProcElsIfOpt] = 445;
   _jumpMap[314][ProcElsIfList] = 444;
   _actionMap[315][SEMICOLON] = ActionEntry(SHIFT, 447);
   _actionMap[316][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[316][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[316][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[316][SEMICOLON] = ActionEntry(REDUCE, 94);
   _actionMap[317][SEMICOLON] = ActionEntry(REDUCE, 102);
   _actionMap[318][SEMICOLON] = ActionEntry(REDUCE, 103);
   _actionMap[319][SEMICOLON] = ActionEntry(REDUCE, 104);
   _actionMap[320][SEMICOLON] = ActionEntry(REDUCE, 99);
   _actionMap[321][SEMICOLON] = ActionEntry(REDUCE, 101);
   _actionMap[322][SEMICOLON] = ActionEntry(REDUCE, 100);
   _actionMap[323][VAR] = ActionEntry(REDUCE, 108);
   _actionMap[323][CURSOR] = ActionEntry(REDUCE, 108);
   _actionMap[323][CLOSE] = ActionEntry(REDUCE, 108);
   _actionMap[323][VARREF] = ActionEntry(REDUCE, 108);
   _actionMap[323][NOOP] = ActionEntry(REDUCE, 108);
   _actionMap[323][RETURNTOKEN] = ActionEntry(REDUCE, 108);
   _actionMap[323][WHILE] = ActionEntry(REDUCE, 108);
   _actionMap[323][IF] = ActionEntry(REDUCE, 108);
   _actionMap[323][BEGIN] = ActionEntry(REDUCE, 108);
   _actionMap[323][ROLLBACK] = ActionEntry(REDUCE, 108);
   _actionMap[323][COMMIT] = ActionEntry(REDUCE, 108);
   _actionMap[323][START_TOKEN] = ActionEntry(REDUCE, 108);
   _actionMap[323][UPDATE] = ActionEntry(REDUCE, 108);
   _actionMap[323][DELETETOK] = ActionEntry(REDUCE, 108);
   _actionMap[323][INSERT] = ActionEntry(REDUCE, 108);
   _actionMap[323][FETCH] = ActionEntry(REDUCE, 108);
   _actionMap[323][LB] = ActionEntry(REDUCE, 108);
   _actionMap[323][COUNT] = ActionEntry(REDUCE, 108);
   _actionMap[323][SUM] = ActionEntry(REDUCE, 108);
   _actionMap[323][AVG] = ActionEntry(REDUCE, 108);
   _actionMap[323][MIN] = ActionEntry(REDUCE, 108);
   _actionMap[323][MAX] = ActionEntry(REDUCE, 108);
   _actionMap[323][CASE] = ActionEntry(REDUCE, 108);
   _actionMap[323][TRIM] = ActionEntry(REDUCE, 108);
   _actionMap[323][RTRIM] = ActionEntry(REDUCE, 108);
   _actionMap[323][LTRIM] = ActionEntry(REDUCE, 108);
   _actionMap[323][ROUND] = ActionEntry(REDUCE, 108);
   _actionMap[323][DATE2STR] = ActionEntry(REDUCE, 108);
}
void Cego::loadParser122()
{
   _actionMap[323][DATE2INT] = ActionEntry(REDUCE, 108);
   _actionMap[323][INT2DATE] = ActionEntry(REDUCE, 108);
   _actionMap[323][LOWER] = ActionEntry(REDUCE, 108);
   _actionMap[323][UPPER] = ActionEntry(REDUCE, 108);
   _actionMap[323][LEFT] = ActionEntry(REDUCE, 108);
   _actionMap[323][RIGHT] = ActionEntry(REDUCE, 108);
   _actionMap[323][GETPOS] = ActionEntry(REDUCE, 108);
   _actionMap[323][SUBSTR] = ActionEntry(REDUCE, 108);
   _actionMap[323][REPLACE] = ActionEntry(REDUCE, 108);
   _actionMap[323][LENGTH] = ActionEntry(REDUCE, 108);
   _actionMap[323][TRUNC] = ActionEntry(REDUCE, 108);
   _actionMap[323][STR2INT] = ActionEntry(REDUCE, 108);
   _actionMap[323][STR2LONG] = ActionEntry(REDUCE, 108);
   _actionMap[323][RANDSTR] = ActionEntry(REDUCE, 108);
   _actionMap[323][RANDINT] = ActionEntry(REDUCE, 108);
   _actionMap[323][MOD] = ActionEntry(REDUCE, 108);
   _actionMap[323][DIV] = ActionEntry(REDUCE, 108);
   _actionMap[323][POWER] = ActionEntry(REDUCE, 108);
   _actionMap[323][BITAND] = ActionEntry(REDUCE, 108);
   _actionMap[323][BITOR] = ActionEntry(REDUCE, 108);
   _actionMap[323][BITXOR] = ActionEntry(REDUCE, 108);
   _actionMap[323][NEXTCOUNT] = ActionEntry(REDUCE, 108);
   _actionMap[323][IDENTIFIER] = ActionEntry(REDUCE, 108);
   _actionMap[323][QUALIFIEDOBJ] = ActionEntry(REDUCE, 108);
   _actionMap[323][QUALIFIEDTS] = ActionEntry(REDUCE, 108);
   _actionMap[323][QUALIFIEDPRE] = ActionEntry(REDUCE, 108);
   _actionMap[323][STRINGVAL] = ActionEntry(REDUCE, 108);
   _actionMap[323][DATE] = ActionEntry(REDUCE, 108);
   _actionMap[323][SYSDATE] = ActionEntry(REDUCE, 108);
   _actionMap[323][NULLTOKEN] = ActionEntry(REDUCE, 108);
   _actionMap[323][TRUEVAL] = ActionEntry(REDUCE, 108);
   _actionMap[323][FALSEVAL] = ActionEntry(REDUCE, 108);
   _actionMap[323][LAB] = ActionEntry(REDUCE, 108);
   _actionMap[323][COUNTERID] = ActionEntry(REDUCE, 108);
   _actionMap[323][FLOATVAL] = ActionEntry(REDUCE, 108);
   _actionMap[323][MINUS] = ActionEntry(REDUCE, 108);
   _actionMap[323][INTVAL] = ActionEntry(REDUCE, 108);
   _actionMap[324][IDENTIFIER] = ActionEntry(SHIFT, 448);
   _actionMap[325][IDENTIFIER] = ActionEntry(SHIFT, 449);
   _actionMap[326][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[326][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[326][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[326][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[326][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[326][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[326][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[326][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[326][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[326][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[326][LOWER] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser123()
{
   _actionMap[326][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[326][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[326][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[326][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[326][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[326][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[326][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[326][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[326][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[326][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[326][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[326][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[326][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[326][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[326][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[326][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[326][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[326][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[326][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[326][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[326][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[326][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[326][LB] = ActionEntry(SHIFT, 454);
   _actionMap[326][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[326][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[326][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[326][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[326][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[326][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[326][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[326][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[326][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[326][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[326][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[326][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[326][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[326][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[326][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[326][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[326][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[326][ObjSpec] = 96;
   _jumpMap[326][Constant] = 95;
   _jumpMap[326][SignedFloat] = 94;
   _jumpMap[326][SignedInt] = 93;
   _jumpMap[326][Attribute] = 92;
   _jumpMap[326][Function] = 91;
   _jumpMap[326][CasePrepare] = 90;
   _jumpMap[326][CaseClause] = 89;
   _jumpMap[326][Factor] = 88;
   _jumpMap[326][Term] = 87;
}
void Cego::loadParser124()
{
   _jumpMap[326][Expr] = 453;
   _jumpMap[326][ProcPredicate] = 452;
   _jumpMap[326][ProcCondition] = 451;
   _jumpMap[326][ProcIfCondition] = 450;
   _actionMap[327][SEMICOLON] = ActionEntry(REDUCE, 95);
   _actionMap[328][SEMICOLON] = ActionEntry(REDUCE, 105);
   _actionMap[328][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[328][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[328][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[328][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[328][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[328][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[328][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[328][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[328][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[328][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[328][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[328][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[328][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[328][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[328][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[328][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[328][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[328][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[328][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[328][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[328][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[328][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[328][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[328][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[328][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[328][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[328][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[328][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[328][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[328][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[328][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[328][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[328][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[328][LB] = ActionEntry(SHIFT, 137);
   _actionMap[328][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[328][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[328][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[328][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[328][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[328][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[328][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[328][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[328][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[328][CASE] = ActionEntry(SHIFT, 102);
}
void Cego::loadParser125()
{
   _actionMap[328][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[328][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[328][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[328][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[328][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[328][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[328][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[328][ObjSpec] = 96;
   _jumpMap[328][Constant] = 95;
   _jumpMap[328][SignedFloat] = 94;
   _jumpMap[328][SignedInt] = 93;
   _jumpMap[328][Attribute] = 92;
   _jumpMap[328][Function] = 91;
   _jumpMap[328][CasePrepare] = 90;
   _jumpMap[328][CaseClause] = 89;
   _jumpMap[328][Factor] = 88;
   _jumpMap[328][Term] = 87;
   _jumpMap[328][Expr] = 455;
   _actionMap[329][IDENTIFIER] = ActionEntry(SHIFT, 456);
   _actionMap[330][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[330][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[330][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[330][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[330][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[330][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[330][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[330][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[330][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[330][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[330][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[330][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[330][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[330][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[330][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[330][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[330][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[330][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[330][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[330][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[330][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[330][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[330][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[330][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[330][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[330][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[330][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[330][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[330][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[330][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[330][IDENTIFIER] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser126()
{
   _actionMap[330][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[330][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[330][LB] = ActionEntry(SHIFT, 454);
   _actionMap[330][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[330][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[330][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[330][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[330][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[330][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[330][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[330][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[330][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[330][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[330][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[330][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[330][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[330][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[330][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[330][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[330][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[330][ObjSpec] = 96;
   _jumpMap[330][Constant] = 95;
   _jumpMap[330][SignedFloat] = 94;
   _jumpMap[330][SignedInt] = 93;
   _jumpMap[330][Attribute] = 92;
   _jumpMap[330][Function] = 91;
   _jumpMap[330][CasePrepare] = 90;
   _jumpMap[330][CaseClause] = 89;
   _jumpMap[330][Factor] = 88;
   _jumpMap[330][Term] = 87;
   _jumpMap[330][Expr] = 453;
   _jumpMap[330][ProcPredicate] = 452;
   _jumpMap[330][ProcCondition] = 458;
   _jumpMap[330][ProcWhileCondition] = 457;
   _actionMap[331][CONCAT] = ActionEntry(REDUCE, 143);
   _actionMap[331][STAR] = ActionEntry(REDUCE, 143);
   _actionMap[331][DIVISION] = ActionEntry(REDUCE, 143);
   _actionMap[331][MINUS] = ActionEntry(REDUCE, 143);
   _actionMap[331][PLUS] = ActionEntry(REDUCE, 143);
   _actionMap[331][SEMICOLON] = ActionEntry(REDUCE, 143);
   _actionMap[331][EQU] = ActionEntry(SHIFT, 459);
   _actionMap[332][ON] = ActionEntry(SHIFT, 460);
   _actionMap[333][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[333][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[333][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[333][ObjSpec] = 461;
   _actionMap[334][IDENTIFIER] = ActionEntry(SHIFT, 466);
   _actionMap[334][RB] = ActionEntry(REDUCE, 82);
   _jumpMap[334][ProcArg] = 464;
   _jumpMap[334][ProcArgList] = 463;
}
void Cego::loadParser127()
{
   _jumpMap[334][ProcArgOpt] = 462;
   _actionMap[335][IDENTIFIER] = ActionEntry(SHIFT, 471);
   _actionMap[335][PRIMARY] = ActionEntry(SHIFT, 470);
   _jumpMap[335][ColumnDesc] = 469;
   _jumpMap[335][KeyColumn] = 468;
   _jumpMap[335][ColumnList] = 467;
   _actionMap[336][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[336][SelectStatement] = 472;
   _actionMap[337][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[337][WHERE] = ActionEntry(SHIFT, 340);
   _jumpMap[337][NoWhere] = 339;
   _jumpMap[337][WhereClause] = 338;
   _actionMap[338][SEMICOLON] = ActionEntry(REDUCE, 250);
   _actionMap[339][RETURNTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[339][GROUP] = ActionEntry(REDUCE, 298);
   _actionMap[339][ORDER] = ActionEntry(REDUCE, 298);
   _actionMap[339][ROWLIMIT] = ActionEntry(REDUCE, 298);
   _actionMap[339][UNION] = ActionEntry(REDUCE, 298);
   _actionMap[339][ENDTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[339][RB] = ActionEntry(REDUCE, 298);
   _actionMap[339][SEMICOLON] = ActionEntry(REDUCE, 298);
   _actionMap[340][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[340][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[340][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[340][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[340][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[340][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[340][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[340][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[340][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[340][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[340][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[340][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[340][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[340][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[340][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[340][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[340][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[340][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[340][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[340][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[340][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[340][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[340][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[340][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[340][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[340][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[340][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[340][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[340][BITXOR] = ActionEntry(SHIFT, 101);
}
void Cego::loadParser128()
{
   _actionMap[340][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[340][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[340][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[340][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[340][LB] = ActionEntry(SHIFT, 360);
   _actionMap[340][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[340][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[340][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[340][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[340][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[340][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[340][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[340][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[340][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[340][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[340][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[340][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[340][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[340][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[340][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[340][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[340][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[340][EXISTS] = ActionEntry(SHIFT, 358);
   _actionMap[340][NOT] = ActionEntry(SHIFT, 359);
   _jumpMap[340][ObjSpec] = 96;
   _jumpMap[340][Constant] = 95;
   _jumpMap[340][SignedFloat] = 94;
   _jumpMap[340][SignedInt] = 93;
   _jumpMap[340][Attribute] = 92;
   _jumpMap[340][QueryPredicate] = 357;
   _jumpMap[340][QueryCondition] = 473;
   _jumpMap[340][Function] = 91;
   _jumpMap[340][CasePrepare] = 90;
   _jumpMap[340][CaseClause] = 89;
   _jumpMap[340][Factor] = 88;
   _jumpMap[340][Term] = 87;
   _jumpMap[340][Expr] = 355;
   _actionMap[341][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[341][VALUES] = ActionEntry(SHIFT, 344);
   _jumpMap[341][SelectStatement] = 343;
   _jumpMap[341][InsertPrepare] = 342;
   _actionMap[342][LB] = ActionEntry(SHIFT, 476);
   _jumpMap[342][InsertValueSpec] = 475;
   _jumpMap[342][InsertValueSpecList] = 474;
   _actionMap[343][SEMICOLON] = ActionEntry(REDUCE, 185);
   _actionMap[344][LB] = ActionEntry(REDUCE, 188);
   _actionMap[345][IDENTIFIER] = ActionEntry(SHIFT, 478);
   _jumpMap[345][InsertArgList] = 477;
   _actionMap[346][SEMICOLON] = ActionEntry(REDUCE, 12);
   _actionMap[347][SELECT] = ActionEntry(SHIFT, 30);
}
void Cego::loadParser129()
{
   _jumpMap[347][SelectStatement] = 479;
   _actionMap[348][STAR] = ActionEntry(SHIFT, 217);
   _actionMap[348][DIVISION] = ActionEntry(SHIFT, 218);
   _actionMap[348][WHEN] = ActionEntry(REDUCE, 139);
   _actionMap[348][ELSE] = ActionEntry(REDUCE, 139);
   _actionMap[348][LEFT] = ActionEntry(REDUCE, 139);
   _actionMap[348][RIGHT] = ActionEntry(REDUCE, 139);
   _actionMap[348][INNER] = ActionEntry(REDUCE, 139);
   _actionMap[348][JOIN] = ActionEntry(REDUCE, 139);
   _actionMap[348][RETURNTOKEN] = ActionEntry(REDUCE, 139);
   _actionMap[348][ORDER] = ActionEntry(REDUCE, 139);
   _actionMap[348][GROUP] = ActionEntry(REDUCE, 139);
   _actionMap[348][WHERE] = ActionEntry(REDUCE, 139);
   _actionMap[348][BEGIN] = ActionEntry(REDUCE, 139);
   _actionMap[348][THEN] = ActionEntry(REDUCE, 139);
   _actionMap[348][OR] = ActionEntry(REDUCE, 139);
   _actionMap[348][AS] = ActionEntry(REDUCE, 139);
   _actionMap[348][FROM] = ActionEntry(REDUCE, 139);
   _actionMap[348][LIKE] = ActionEntry(REDUCE, 139);
   _actionMap[348][BETWEEN] = ActionEntry(REDUCE, 139);
   _actionMap[348][NOT] = ActionEntry(REDUCE, 139);
   _actionMap[348][INTOK] = ActionEntry(REDUCE, 139);
   _actionMap[348][END_TOKEN] = ActionEntry(REDUCE, 139);
   _actionMap[348][AND] = ActionEntry(REDUCE, 139);
   _actionMap[348][IS] = ActionEntry(REDUCE, 139);
   _actionMap[348][EQU] = ActionEntry(REDUCE, 139);
   _actionMap[348][NEGATION] = ActionEntry(REDUCE, 139);
   _actionMap[348][LT] = ActionEntry(REDUCE, 139);
   _actionMap[348][MT] = ActionEntry(REDUCE, 139);
   _actionMap[348][DESC] = ActionEntry(REDUCE, 139);
   _actionMap[348][ASC] = ActionEntry(REDUCE, 139);
   _actionMap[348][KSEP] = ActionEntry(REDUCE, 139);
   _actionMap[348][ROWLIMIT] = ActionEntry(REDUCE, 139);
   _actionMap[348][UNION] = ActionEntry(REDUCE, 139);
   _actionMap[348][ENDTOKEN] = ActionEntry(REDUCE, 139);
   _actionMap[348][RB] = ActionEntry(REDUCE, 139);
   _actionMap[348][SEMICOLON] = ActionEntry(REDUCE, 139);
   _actionMap[348][CONCAT] = ActionEntry(REDUCE, 139);
   _actionMap[348][MINUS] = ActionEntry(REDUCE, 139);
   _actionMap[348][PLUS] = ActionEntry(REDUCE, 139);
   _actionMap[349][STAR] = ActionEntry(SHIFT, 217);
   _actionMap[349][DIVISION] = ActionEntry(SHIFT, 218);
   _actionMap[349][WHEN] = ActionEntry(REDUCE, 137);
   _actionMap[349][ELSE] = ActionEntry(REDUCE, 137);
   _actionMap[349][LEFT] = ActionEntry(REDUCE, 137);
   _actionMap[349][RIGHT] = ActionEntry(REDUCE, 137);
   _actionMap[349][INNER] = ActionEntry(REDUCE, 137);
   _actionMap[349][JOIN] = ActionEntry(REDUCE, 137);
   _actionMap[349][RETURNTOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[349][ORDER] = ActionEntry(REDUCE, 137);
}
void Cego::loadParser130()
{
   _actionMap[349][GROUP] = ActionEntry(REDUCE, 137);
   _actionMap[349][WHERE] = ActionEntry(REDUCE, 137);
   _actionMap[349][BEGIN] = ActionEntry(REDUCE, 137);
   _actionMap[349][THEN] = ActionEntry(REDUCE, 137);
   _actionMap[349][OR] = ActionEntry(REDUCE, 137);
   _actionMap[349][AS] = ActionEntry(REDUCE, 137);
   _actionMap[349][FROM] = ActionEntry(REDUCE, 137);
   _actionMap[349][LIKE] = ActionEntry(REDUCE, 137);
   _actionMap[349][BETWEEN] = ActionEntry(REDUCE, 137);
   _actionMap[349][NOT] = ActionEntry(REDUCE, 137);
   _actionMap[349][INTOK] = ActionEntry(REDUCE, 137);
   _actionMap[349][END_TOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[349][AND] = ActionEntry(REDUCE, 137);
   _actionMap[349][IS] = ActionEntry(REDUCE, 137);
   _actionMap[349][EQU] = ActionEntry(REDUCE, 137);
   _actionMap[349][NEGATION] = ActionEntry(REDUCE, 137);
   _actionMap[349][LT] = ActionEntry(REDUCE, 137);
   _actionMap[349][MT] = ActionEntry(REDUCE, 137);
   _actionMap[349][DESC] = ActionEntry(REDUCE, 137);
   _actionMap[349][ASC] = ActionEntry(REDUCE, 137);
   _actionMap[349][KSEP] = ActionEntry(REDUCE, 137);
   _actionMap[349][ROWLIMIT] = ActionEntry(REDUCE, 137);
   _actionMap[349][UNION] = ActionEntry(REDUCE, 137);
   _actionMap[349][ENDTOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[349][RB] = ActionEntry(REDUCE, 137);
   _actionMap[349][SEMICOLON] = ActionEntry(REDUCE, 137);
   _actionMap[349][CONCAT] = ActionEntry(REDUCE, 137);
   _actionMap[349][MINUS] = ActionEntry(REDUCE, 137);
   _actionMap[349][PLUS] = ActionEntry(REDUCE, 137);
   _actionMap[350][STAR] = ActionEntry(SHIFT, 217);
   _actionMap[350][DIVISION] = ActionEntry(SHIFT, 218);
   _actionMap[350][WHEN] = ActionEntry(REDUCE, 136);
   _actionMap[350][ELSE] = ActionEntry(REDUCE, 136);
   _actionMap[350][LEFT] = ActionEntry(REDUCE, 136);
   _actionMap[350][RIGHT] = ActionEntry(REDUCE, 136);
   _actionMap[350][INNER] = ActionEntry(REDUCE, 136);
   _actionMap[350][JOIN] = ActionEntry(REDUCE, 136);
   _actionMap[350][RETURNTOKEN] = ActionEntry(REDUCE, 136);
   _actionMap[350][ORDER] = ActionEntry(REDUCE, 136);
   _actionMap[350][GROUP] = ActionEntry(REDUCE, 136);
   _actionMap[350][WHERE] = ActionEntry(REDUCE, 136);
   _actionMap[350][BEGIN] = ActionEntry(REDUCE, 136);
   _actionMap[350][THEN] = ActionEntry(REDUCE, 136);
   _actionMap[350][OR] = ActionEntry(REDUCE, 136);
   _actionMap[350][AS] = ActionEntry(REDUCE, 136);
   _actionMap[350][FROM] = ActionEntry(REDUCE, 136);
   _actionMap[350][LIKE] = ActionEntry(REDUCE, 136);
   _actionMap[350][BETWEEN] = ActionEntry(REDUCE, 136);
   _actionMap[350][NOT] = ActionEntry(REDUCE, 136);
   _actionMap[350][INTOK] = ActionEntry(REDUCE, 136);
}
void Cego::loadParser131()
{
   _actionMap[350][END_TOKEN] = ActionEntry(REDUCE, 136);
   _actionMap[350][AND] = ActionEntry(REDUCE, 136);
   _actionMap[350][IS] = ActionEntry(REDUCE, 136);
   _actionMap[350][EQU] = ActionEntry(REDUCE, 136);
   _actionMap[350][NEGATION] = ActionEntry(REDUCE, 136);
   _actionMap[350][LT] = ActionEntry(REDUCE, 136);
   _actionMap[350][MT] = ActionEntry(REDUCE, 136);
   _actionMap[350][DESC] = ActionEntry(REDUCE, 136);
   _actionMap[350][ASC] = ActionEntry(REDUCE, 136);
   _actionMap[350][KSEP] = ActionEntry(REDUCE, 136);
   _actionMap[350][ROWLIMIT] = ActionEntry(REDUCE, 136);
   _actionMap[350][UNION] = ActionEntry(REDUCE, 136);
   _actionMap[350][ENDTOKEN] = ActionEntry(REDUCE, 136);
   _actionMap[350][RB] = ActionEntry(REDUCE, 136);
   _actionMap[350][SEMICOLON] = ActionEntry(REDUCE, 136);
   _actionMap[350][CONCAT] = ActionEntry(REDUCE, 136);
   _actionMap[350][MINUS] = ActionEntry(REDUCE, 136);
   _actionMap[350][PLUS] = ActionEntry(REDUCE, 136);
   _actionMap[351][WHEN] = ActionEntry(REDUCE, 140);
   _actionMap[351][ELSE] = ActionEntry(REDUCE, 140);
   _actionMap[351][LEFT] = ActionEntry(REDUCE, 140);
   _actionMap[351][RIGHT] = ActionEntry(REDUCE, 140);
   _actionMap[351][INNER] = ActionEntry(REDUCE, 140);
   _actionMap[351][JOIN] = ActionEntry(REDUCE, 140);
   _actionMap[351][RETURNTOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[351][ORDER] = ActionEntry(REDUCE, 140);
   _actionMap[351][GROUP] = ActionEntry(REDUCE, 140);
   _actionMap[351][WHERE] = ActionEntry(REDUCE, 140);
   _actionMap[351][BEGIN] = ActionEntry(REDUCE, 140);
   _actionMap[351][THEN] = ActionEntry(REDUCE, 140);
   _actionMap[351][OR] = ActionEntry(REDUCE, 140);
   _actionMap[351][FROM] = ActionEntry(REDUCE, 140);
   _actionMap[351][AS] = ActionEntry(REDUCE, 140);
   _actionMap[351][END_TOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[351][AND] = ActionEntry(REDUCE, 140);
   _actionMap[351][INTOK] = ActionEntry(REDUCE, 140);
   _actionMap[351][NOT] = ActionEntry(REDUCE, 140);
   _actionMap[351][BETWEEN] = ActionEntry(REDUCE, 140);
   _actionMap[351][IS] = ActionEntry(REDUCE, 140);
   _actionMap[351][LIKE] = ActionEntry(REDUCE, 140);
   _actionMap[351][MT] = ActionEntry(REDUCE, 140);
   _actionMap[351][LT] = ActionEntry(REDUCE, 140);
   _actionMap[351][NEGATION] = ActionEntry(REDUCE, 140);
   _actionMap[351][EQU] = ActionEntry(REDUCE, 140);
   _actionMap[351][RB] = ActionEntry(REDUCE, 140);
   _actionMap[351][ENDTOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[351][UNION] = ActionEntry(REDUCE, 140);
   _actionMap[351][ROWLIMIT] = ActionEntry(REDUCE, 140);
   _actionMap[351][KSEP] = ActionEntry(REDUCE, 140);
   _actionMap[351][ASC] = ActionEntry(REDUCE, 140);
}
void Cego::loadParser132()
{
   _actionMap[351][DESC] = ActionEntry(REDUCE, 140);
   _actionMap[351][SEMICOLON] = ActionEntry(REDUCE, 140);
   _actionMap[351][PLUS] = ActionEntry(REDUCE, 140);
   _actionMap[351][MINUS] = ActionEntry(REDUCE, 140);
   _actionMap[351][CONCAT] = ActionEntry(REDUCE, 140);
   _actionMap[351][DIVISION] = ActionEntry(REDUCE, 140);
   _actionMap[351][STAR] = ActionEntry(REDUCE, 140);
   _actionMap[352][WHEN] = ActionEntry(REDUCE, 141);
   _actionMap[352][ELSE] = ActionEntry(REDUCE, 141);
   _actionMap[352][LEFT] = ActionEntry(REDUCE, 141);
   _actionMap[352][RIGHT] = ActionEntry(REDUCE, 141);
   _actionMap[352][INNER] = ActionEntry(REDUCE, 141);
   _actionMap[352][JOIN] = ActionEntry(REDUCE, 141);
   _actionMap[352][RETURNTOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[352][ORDER] = ActionEntry(REDUCE, 141);
   _actionMap[352][GROUP] = ActionEntry(REDUCE, 141);
   _actionMap[352][WHERE] = ActionEntry(REDUCE, 141);
   _actionMap[352][BEGIN] = ActionEntry(REDUCE, 141);
   _actionMap[352][THEN] = ActionEntry(REDUCE, 141);
   _actionMap[352][OR] = ActionEntry(REDUCE, 141);
   _actionMap[352][FROM] = ActionEntry(REDUCE, 141);
   _actionMap[352][AS] = ActionEntry(REDUCE, 141);
   _actionMap[352][END_TOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[352][AND] = ActionEntry(REDUCE, 141);
   _actionMap[352][INTOK] = ActionEntry(REDUCE, 141);
   _actionMap[352][NOT] = ActionEntry(REDUCE, 141);
   _actionMap[352][BETWEEN] = ActionEntry(REDUCE, 141);
   _actionMap[352][IS] = ActionEntry(REDUCE, 141);
   _actionMap[352][LIKE] = ActionEntry(REDUCE, 141);
   _actionMap[352][MT] = ActionEntry(REDUCE, 141);
   _actionMap[352][LT] = ActionEntry(REDUCE, 141);
   _actionMap[352][NEGATION] = ActionEntry(REDUCE, 141);
   _actionMap[352][EQU] = ActionEntry(REDUCE, 141);
   _actionMap[352][RB] = ActionEntry(REDUCE, 141);
   _actionMap[352][ENDTOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[352][UNION] = ActionEntry(REDUCE, 141);
   _actionMap[352][ROWLIMIT] = ActionEntry(REDUCE, 141);
   _actionMap[352][KSEP] = ActionEntry(REDUCE, 141);
   _actionMap[352][ASC] = ActionEntry(REDUCE, 141);
   _actionMap[352][DESC] = ActionEntry(REDUCE, 141);
   _actionMap[352][SEMICOLON] = ActionEntry(REDUCE, 141);
   _actionMap[352][PLUS] = ActionEntry(REDUCE, 141);
   _actionMap[352][MINUS] = ActionEntry(REDUCE, 141);
   _actionMap[352][CONCAT] = ActionEntry(REDUCE, 141);
   _actionMap[352][DIVISION] = ActionEntry(REDUCE, 141);
   _actionMap[352][STAR] = ActionEntry(REDUCE, 141);
   _actionMap[353][WHEN] = ActionEntry(REDUCE, 158);
   _actionMap[353][ELSE] = ActionEntry(REDUCE, 158);
   _actionMap[354][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[354][MINUS] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser133()
{
   _actionMap[354][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[354][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[354][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[354][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[354][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[354][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[354][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[354][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[354][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[354][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[354][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[354][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[354][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[354][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[354][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[354][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[354][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[354][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[354][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[354][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[354][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[354][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[354][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[354][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[354][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[354][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[354][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[354][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[354][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[354][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[354][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[354][LB] = ActionEntry(SHIFT, 137);
   _actionMap[354][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[354][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[354][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[354][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[354][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[354][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[354][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[354][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[354][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[354][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[354][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[354][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[354][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[354][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[354][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[354][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[354][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[354][ObjSpec] = 96;
}
void Cego::loadParser134()
{
   _jumpMap[354][Constant] = 95;
   _jumpMap[354][SignedFloat] = 94;
   _jumpMap[354][SignedInt] = 93;
   _jumpMap[354][Attribute] = 92;
   _jumpMap[354][Function] = 91;
   _jumpMap[354][CasePrepare] = 90;
   _jumpMap[354][CaseClause] = 89;
   _jumpMap[354][Factor] = 88;
   _jumpMap[354][Term] = 87;
   _jumpMap[354][Expr] = 480;
   _actionMap[355][INTOK] = ActionEntry(SHIFT, 483);
   _actionMap[355][NOT] = ActionEntry(SHIFT, 486);
   _actionMap[355][BETWEEN] = ActionEntry(SHIFT, 482);
   _actionMap[355][IS] = ActionEntry(SHIFT, 484);
   _actionMap[355][LIKE] = ActionEntry(SHIFT, 485);
   _actionMap[355][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[355][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[355][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[355][EQU] = ActionEntry(SHIFT, 487);
   _actionMap[355][NEGATION] = ActionEntry(SHIFT, 490);
   _actionMap[355][LT] = ActionEntry(SHIFT, 488);
   _actionMap[355][MT] = ActionEntry(SHIFT, 489);
   _jumpMap[355][Comparison] = 481;
   _actionMap[356][THEN] = ActionEntry(SHIFT, 493);
   _actionMap[356][AND] = ActionEntry(SHIFT, 491);
   _actionMap[356][OR] = ActionEntry(SHIFT, 492);
   _actionMap[357][THEN] = ActionEntry(REDUCE, 302);
   _actionMap[357][LEFT] = ActionEntry(REDUCE, 302);
   _actionMap[357][RIGHT] = ActionEntry(REDUCE, 302);
   _actionMap[357][INNER] = ActionEntry(REDUCE, 302);
   _actionMap[357][JOIN] = ActionEntry(REDUCE, 302);
   _actionMap[357][RETURNTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[357][SEMICOLON] = ActionEntry(REDUCE, 302);
   _actionMap[357][RB] = ActionEntry(REDUCE, 302);
   _actionMap[357][ENDTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[357][UNION] = ActionEntry(REDUCE, 302);
   _actionMap[357][ROWLIMIT] = ActionEntry(REDUCE, 302);
   _actionMap[357][ORDER] = ActionEntry(REDUCE, 302);
   _actionMap[357][GROUP] = ActionEntry(REDUCE, 302);
   _actionMap[357][WHERE] = ActionEntry(REDUCE, 302);
   _actionMap[357][OR] = ActionEntry(REDUCE, 302);
   _actionMap[357][AND] = ActionEntry(REDUCE, 302);
   _actionMap[358][LB] = ActionEntry(SHIFT, 494);
   _actionMap[359][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[359][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[359][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[359][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[359][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[359][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[359][ROUND] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser135()
{
   _actionMap[359][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[359][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[359][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[359][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[359][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[359][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[359][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[359][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[359][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[359][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[359][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[359][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[359][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[359][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[359][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[359][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[359][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[359][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[359][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[359][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[359][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[359][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[359][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[359][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[359][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[359][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[359][LB] = ActionEntry(SHIFT, 360);
   _actionMap[359][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[359][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[359][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[359][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[359][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[359][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[359][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[359][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[359][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[359][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[359][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[359][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[359][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[359][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[359][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[359][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[359][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[359][EXISTS] = ActionEntry(SHIFT, 358);
   _actionMap[359][NOT] = ActionEntry(SHIFT, 359);
   _jumpMap[359][ObjSpec] = 96;
   _jumpMap[359][Constant] = 95;
   _jumpMap[359][SignedFloat] = 94;
   _jumpMap[359][SignedInt] = 93;
}
void Cego::loadParser136()
{
   _jumpMap[359][Attribute] = 92;
   _jumpMap[359][QueryPredicate] = 495;
   _jumpMap[359][Function] = 91;
   _jumpMap[359][CasePrepare] = 90;
   _jumpMap[359][CaseClause] = 89;
   _jumpMap[359][Factor] = 88;
   _jumpMap[359][Term] = 87;
   _jumpMap[359][Expr] = 355;
   _actionMap[360][LONG] = ActionEntry(SHIFT, 263);
   _actionMap[360][BIGINT] = ActionEntry(SHIFT, 259);
   _actionMap[360][SMALLINT] = ActionEntry(SHIFT, 264);
   _actionMap[360][TINYINT] = ActionEntry(SHIFT, 265);
   _actionMap[360][DOUBLE] = ActionEntry(SHIFT, 261);
   _actionMap[360][DECIMAL] = ActionEntry(SHIFT, 260);
   _actionMap[360][FIXED] = ActionEntry(SHIFT, 262);
   _actionMap[360][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[360][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[360][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[360][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[360][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[360][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[360][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[360][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[360][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[360][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[360][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[360][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[360][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[360][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[360][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[360][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[360][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[360][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[360][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[360][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[360][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[360][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[360][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[360][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[360][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[360][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[360][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[360][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[360][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[360][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[360][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[360][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[360][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[360][LB] = ActionEntry(SHIFT, 360);
   _actionMap[360][STRINGVAL] = ActionEntry(SHIFT, 97);
}
void Cego::loadParser137()
{
   _actionMap[360][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[360][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[360][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[360][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[360][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[360][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[360][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[360][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[360][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[360][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[360][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[360][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[360][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[360][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[360][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[360][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[360][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[360][EXISTS] = ActionEntry(SHIFT, 358);
   _actionMap[360][NOT] = ActionEntry(SHIFT, 359);
   _jumpMap[360][ObjSpec] = 96;
   _jumpMap[360][Constant] = 95;
   _jumpMap[360][SignedFloat] = 94;
   _jumpMap[360][SignedInt] = 93;
   _jumpMap[360][Attribute] = 92;
   _jumpMap[360][QueryPredicate] = 357;
   _jumpMap[360][QueryCondition] = 497;
   _jumpMap[360][Function] = 91;
   _jumpMap[360][SelectStatement] = 258;
   _jumpMap[360][CasePrepare] = 90;
   _jumpMap[360][CaseClause] = 89;
   _jumpMap[360][Factor] = 88;
   _jumpMap[360][Term] = 87;
   _jumpMap[360][Expr] = 496;
   _actionMap[361][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[361][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[361][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[361][KSEP] = ActionEntry(REDUCE, 296);
   _actionMap[361][RB] = ActionEntry(REDUCE, 296);
   _actionMap[362][RB] = ActionEntry(SHIFT, 499);
   _actionMap[362][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[363][WHEN] = ActionEntry(REDUCE, 294);
   _actionMap[363][ELSE] = ActionEntry(REDUCE, 294);
   _actionMap[363][LEFT] = ActionEntry(REDUCE, 294);
   _actionMap[363][RIGHT] = ActionEntry(REDUCE, 294);
   _actionMap[363][INNER] = ActionEntry(REDUCE, 294);
   _actionMap[363][JOIN] = ActionEntry(REDUCE, 294);
   _actionMap[363][RETURNTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[363][ORDER] = ActionEntry(REDUCE, 294);
   _actionMap[363][GROUP] = ActionEntry(REDUCE, 294);
   _actionMap[363][WHERE] = ActionEntry(REDUCE, 294);
}
void Cego::loadParser138()
{
   _actionMap[363][FROM] = ActionEntry(REDUCE, 294);
   _actionMap[363][AS] = ActionEntry(REDUCE, 294);
   _actionMap[363][END_TOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[363][BEGIN] = ActionEntry(REDUCE, 294);
   _actionMap[363][THEN] = ActionEntry(REDUCE, 294);
   _actionMap[363][OR] = ActionEntry(REDUCE, 294);
   _actionMap[363][AND] = ActionEntry(REDUCE, 294);
   _actionMap[363][INTOK] = ActionEntry(REDUCE, 294);
   _actionMap[363][NOT] = ActionEntry(REDUCE, 294);
   _actionMap[363][BETWEEN] = ActionEntry(REDUCE, 294);
   _actionMap[363][IS] = ActionEntry(REDUCE, 294);
   _actionMap[363][LIKE] = ActionEntry(REDUCE, 294);
   _actionMap[363][MT] = ActionEntry(REDUCE, 294);
   _actionMap[363][LT] = ActionEntry(REDUCE, 294);
   _actionMap[363][NEGATION] = ActionEntry(REDUCE, 294);
   _actionMap[363][EQU] = ActionEntry(REDUCE, 294);
   _actionMap[363][RB] = ActionEntry(REDUCE, 294);
   _actionMap[363][ENDTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[363][UNION] = ActionEntry(REDUCE, 294);
   _actionMap[363][ROWLIMIT] = ActionEntry(REDUCE, 294);
   _actionMap[363][KSEP] = ActionEntry(REDUCE, 294);
   _actionMap[363][ASC] = ActionEntry(REDUCE, 294);
   _actionMap[363][DESC] = ActionEntry(REDUCE, 294);
   _actionMap[363][SEMICOLON] = ActionEntry(REDUCE, 294);
   _actionMap[363][PLUS] = ActionEntry(REDUCE, 294);
   _actionMap[363][MINUS] = ActionEntry(REDUCE, 294);
   _actionMap[363][DIVISION] = ActionEntry(REDUCE, 294);
   _actionMap[363][STAR] = ActionEntry(REDUCE, 294);
   _actionMap[363][CONCAT] = ActionEntry(REDUCE, 294);
   _actionMap[364][RB] = ActionEntry(SHIFT, 500);
   _actionMap[364][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[364][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[364][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[365][RB] = ActionEntry(SHIFT, 501);
   _actionMap[365][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[366][RB] = ActionEntry(SHIFT, 502);
   _actionMap[366][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[367][RB] = ActionEntry(SHIFT, 503);
   _actionMap[367][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[368][RB] = ActionEntry(SHIFT, 504);
   _actionMap[368][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[368][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[368][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[369][RB] = ActionEntry(SHIFT, 505);
   _actionMap[370][KSEP] = ActionEntry(SHIFT, 506);
   _actionMap[371][KSEP] = ActionEntry(REDUCE, 357);
   _actionMap[372][RB] = ActionEntry(SHIFT, 507);
   _actionMap[372][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[373][RB] = ActionEntry(SHIFT, 508);
   _actionMap[373][KSEP] = ActionEntry(SHIFT, 498);
}
void Cego::loadParser139()
{
   _actionMap[374][RB] = ActionEntry(SHIFT, 509);
   _actionMap[374][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[375][LB] = ActionEntry(SHIFT, 510);
   _actionMap[376][RB] = ActionEntry(SHIFT, 511);
   _actionMap[376][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[377][RB] = ActionEntry(SHIFT, 512);
   _actionMap[377][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[378][RB] = ActionEntry(SHIFT, 513);
   _actionMap[378][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[379][RB] = ActionEntry(SHIFT, 514);
   _actionMap[379][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[380][RB] = ActionEntry(SHIFT, 515);
   _actionMap[380][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[381][RB] = ActionEntry(SHIFT, 516);
   _actionMap[381][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[382][RB] = ActionEntry(SHIFT, 517);
   _actionMap[382][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[382][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[382][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[383][RB] = ActionEntry(SHIFT, 518);
   _actionMap[383][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[383][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[383][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[384][RB] = ActionEntry(SHIFT, 519);
   _actionMap[384][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[385][RB] = ActionEntry(SHIFT, 520);
   _actionMap[386][RB] = ActionEntry(SHIFT, 521);
   _actionMap[386][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[387][RB] = ActionEntry(SHIFT, 522);
   _actionMap[387][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[388][RB] = ActionEntry(SHIFT, 523);
   _actionMap[388][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[389][RB] = ActionEntry(SHIFT, 524);
   _actionMap[389][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[390][RB] = ActionEntry(SHIFT, 525);
   _actionMap[390][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[391][RB] = ActionEntry(SHIFT, 526);
   _actionMap[391][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[392][RB] = ActionEntry(SHIFT, 527);
   _actionMap[392][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[393][RB] = ActionEntry(SHIFT, 528);
   _actionMap[393][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[394][RB] = ActionEntry(SHIFT, 529);
   _actionMap[394][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[394][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[394][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[395][RB] = ActionEntry(SHIFT, 530);
   _actionMap[395][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[396][RB] = ActionEntry(SHIFT, 531);
   _actionMap[396][KSEP] = ActionEntry(SHIFT, 498);
}
void Cego::loadParser140()
{
   _actionMap[397][RB] = ActionEntry(SHIFT, 532);
   _actionMap[397][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[398][RB] = ActionEntry(SHIFT, 533);
   _actionMap[398][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[399][RB] = ActionEntry(SHIFT, 534);
   _actionMap[399][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[400][WHEN] = ActionEntry(REDUCE, 148);
   _actionMap[400][ELSE] = ActionEntry(REDUCE, 148);
   _actionMap[400][LEFT] = ActionEntry(REDUCE, 148);
   _actionMap[400][RIGHT] = ActionEntry(REDUCE, 148);
   _actionMap[400][INNER] = ActionEntry(REDUCE, 148);
   _actionMap[400][JOIN] = ActionEntry(REDUCE, 148);
   _actionMap[400][RETURNTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[400][ORDER] = ActionEntry(REDUCE, 148);
   _actionMap[400][GROUP] = ActionEntry(REDUCE, 148);
   _actionMap[400][WHERE] = ActionEntry(REDUCE, 148);
   _actionMap[400][AS] = ActionEntry(REDUCE, 148);
   _actionMap[400][FROM] = ActionEntry(REDUCE, 148);
   _actionMap[400][END_TOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[400][BEGIN] = ActionEntry(REDUCE, 148);
   _actionMap[400][THEN] = ActionEntry(REDUCE, 148);
   _actionMap[400][OR] = ActionEntry(REDUCE, 148);
   _actionMap[400][AND] = ActionEntry(REDUCE, 148);
   _actionMap[400][DESC] = ActionEntry(REDUCE, 148);
   _actionMap[400][ASC] = ActionEntry(REDUCE, 148);
   _actionMap[400][KSEP] = ActionEntry(REDUCE, 148);
   _actionMap[400][ROWLIMIT] = ActionEntry(REDUCE, 148);
   _actionMap[400][UNION] = ActionEntry(REDUCE, 148);
   _actionMap[400][ENDTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[400][SEMICOLON] = ActionEntry(REDUCE, 148);
   _actionMap[400][LIKE] = ActionEntry(REDUCE, 148);
   _actionMap[400][BETWEEN] = ActionEntry(REDUCE, 148);
   _actionMap[400][NOT] = ActionEntry(REDUCE, 148);
   _actionMap[400][INTOK] = ActionEntry(REDUCE, 148);
   _actionMap[400][RB] = ActionEntry(REDUCE, 148);
   _actionMap[400][STAR] = ActionEntry(REDUCE, 148);
   _actionMap[400][DIVISION] = ActionEntry(REDUCE, 148);
   _actionMap[400][CONCAT] = ActionEntry(REDUCE, 148);
   _actionMap[400][MINUS] = ActionEntry(REDUCE, 148);
   _actionMap[400][PLUS] = ActionEntry(REDUCE, 148);
   _actionMap[400][IS] = ActionEntry(REDUCE, 148);
   _actionMap[400][EQU] = ActionEntry(REDUCE, 148);
   _actionMap[400][NEGATION] = ActionEntry(REDUCE, 148);
   _actionMap[400][LT] = ActionEntry(REDUCE, 148);
   _actionMap[400][MT] = ActionEntry(REDUCE, 148);
   _actionMap[401][WHEN] = ActionEntry(REDUCE, 149);
   _actionMap[401][ELSE] = ActionEntry(REDUCE, 149);
   _actionMap[401][LEFT] = ActionEntry(REDUCE, 149);
   _actionMap[401][RIGHT] = ActionEntry(REDUCE, 149);
   _actionMap[401][INNER] = ActionEntry(REDUCE, 149);
}
void Cego::loadParser141()
{
   _actionMap[401][JOIN] = ActionEntry(REDUCE, 149);
   _actionMap[401][RETURNTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[401][ORDER] = ActionEntry(REDUCE, 149);
   _actionMap[401][GROUP] = ActionEntry(REDUCE, 149);
   _actionMap[401][WHERE] = ActionEntry(REDUCE, 149);
   _actionMap[401][AS] = ActionEntry(REDUCE, 149);
   _actionMap[401][FROM] = ActionEntry(REDUCE, 149);
   _actionMap[401][END_TOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[401][BEGIN] = ActionEntry(REDUCE, 149);
   _actionMap[401][THEN] = ActionEntry(REDUCE, 149);
   _actionMap[401][OR] = ActionEntry(REDUCE, 149);
   _actionMap[401][AND] = ActionEntry(REDUCE, 149);
   _actionMap[401][DESC] = ActionEntry(REDUCE, 149);
   _actionMap[401][ASC] = ActionEntry(REDUCE, 149);
   _actionMap[401][KSEP] = ActionEntry(REDUCE, 149);
   _actionMap[401][ROWLIMIT] = ActionEntry(REDUCE, 149);
   _actionMap[401][UNION] = ActionEntry(REDUCE, 149);
   _actionMap[401][ENDTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[401][SEMICOLON] = ActionEntry(REDUCE, 149);
   _actionMap[401][LIKE] = ActionEntry(REDUCE, 149);
   _actionMap[401][BETWEEN] = ActionEntry(REDUCE, 149);
   _actionMap[401][NOT] = ActionEntry(REDUCE, 149);
   _actionMap[401][INTOK] = ActionEntry(REDUCE, 149);
   _actionMap[401][RB] = ActionEntry(REDUCE, 149);
   _actionMap[401][STAR] = ActionEntry(REDUCE, 149);
   _actionMap[401][DIVISION] = ActionEntry(REDUCE, 149);
   _actionMap[401][CONCAT] = ActionEntry(REDUCE, 149);
   _actionMap[401][MINUS] = ActionEntry(REDUCE, 149);
   _actionMap[401][PLUS] = ActionEntry(REDUCE, 149);
   _actionMap[401][IS] = ActionEntry(REDUCE, 149);
   _actionMap[401][EQU] = ActionEntry(REDUCE, 149);
   _actionMap[401][NEGATION] = ActionEntry(REDUCE, 149);
   _actionMap[401][LT] = ActionEntry(REDUCE, 149);
   _actionMap[401][MT] = ActionEntry(REDUCE, 149);
   _actionMap[402][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[402][MINUS] = ActionEntry(SHIFT, 536);
   _jumpMap[402][SignedInt] = 535;
   _actionMap[403][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[403][MINUS] = ActionEntry(SHIFT, 538);
   _jumpMap[403][SignedFloat] = 537;
   _actionMap[404][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[404][MINUS] = ActionEntry(SHIFT, 538);
   _jumpMap[404][SignedFloat] = 539;
   _actionMap[405][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[405][MINUS] = ActionEntry(SHIFT, 538);
   _jumpMap[405][SignedFloat] = 540;
   _actionMap[406][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[406][MINUS] = ActionEntry(SHIFT, 536);
   _jumpMap[406][SignedInt] = 541;
   _actionMap[407][INTVAL] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser142()
{
   _actionMap[407][MINUS] = ActionEntry(SHIFT, 536);
   _jumpMap[407][SignedInt] = 542;
   _actionMap[408][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[408][MINUS] = ActionEntry(SHIFT, 536);
   _jumpMap[408][SignedInt] = 543;
   _actionMap[409][INTVAL] = ActionEntry(SHIFT, 544);
   _actionMap[410][IDENTIFIER] = ActionEntry(SHIFT, 545);
   _actionMap[411][IDENTIFIER] = ActionEntry(SHIFT, 546);
   _actionMap[412][IDENTIFIER] = ActionEntry(SHIFT, 547);
   _actionMap[413][IDENTIFIER] = ActionEntry(SHIFT, 548);
   _actionMap[414][IDENTIFIER] = ActionEntry(SHIFT, 549);
   _actionMap[415][IDENTIFIER] = ActionEntry(SHIFT, 550);
   _actionMap[416][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[416][RB] = ActionEntry(REDUCE, 299);
   _actionMap[416][ENDTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[416][UNION] = ActionEntry(REDUCE, 299);
   _actionMap[416][ROWLIMIT] = ActionEntry(REDUCE, 299);
   _actionMap[416][ORDER] = ActionEntry(REDUCE, 299);
   _actionMap[416][GROUP] = ActionEntry(REDUCE, 299);
   _actionMap[416][WHERE] = ActionEntry(SHIFT, 340);
   _jumpMap[416][NoWhere] = 339;
   _jumpMap[416][WhereClause] = 551;
   _actionMap[417][WHERE] = ActionEntry(REDUCE, 203);
   _actionMap[417][GROUP] = ActionEntry(REDUCE, 203);
   _actionMap[417][ORDER] = ActionEntry(REDUCE, 203);
   _actionMap[417][ROWLIMIT] = ActionEntry(REDUCE, 203);
   _actionMap[417][UNION] = ActionEntry(REDUCE, 203);
   _actionMap[417][ENDTOKEN] = ActionEntry(REDUCE, 203);
   _actionMap[417][RB] = ActionEntry(REDUCE, 203);
   _actionMap[417][SEMICOLON] = ActionEntry(REDUCE, 203);
   _actionMap[417][RETURNTOKEN] = ActionEntry(REDUCE, 203);
   _actionMap[417][INNER] = ActionEntry(SHIFT, 554);
   _actionMap[417][JOIN] = ActionEntry(SHIFT, 555);
   _actionMap[417][LEFT] = ActionEntry(SHIFT, 556);
   _actionMap[417][RIGHT] = ActionEntry(SHIFT, 557);
   _jumpMap[417][InnerJoin] = 553;
   _jumpMap[417][JoinSpec] = 552;
   _actionMap[418][WHERE] = ActionEntry(REDUCE, 202);
   _actionMap[418][GROUP] = ActionEntry(REDUCE, 202);
   _actionMap[418][ORDER] = ActionEntry(REDUCE, 202);
   _actionMap[418][ROWLIMIT] = ActionEntry(REDUCE, 202);
   _actionMap[418][UNION] = ActionEntry(REDUCE, 202);
   _actionMap[418][ENDTOKEN] = ActionEntry(REDUCE, 202);
   _actionMap[418][RB] = ActionEntry(REDUCE, 202);
   _actionMap[418][SEMICOLON] = ActionEntry(REDUCE, 202);
   _actionMap[418][RETURNTOKEN] = ActionEntry(REDUCE, 202);
   _actionMap[419][KSEP] = ActionEntry(SHIFT, 559);
   _actionMap[419][RETURNTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[419][SEMICOLON] = ActionEntry(REDUCE, 212);
   _actionMap[419][RB] = ActionEntry(REDUCE, 212);
}
void Cego::loadParser143()
{
   _actionMap[419][ENDTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[419][UNION] = ActionEntry(REDUCE, 212);
   _actionMap[419][ROWLIMIT] = ActionEntry(REDUCE, 212);
   _actionMap[419][ORDER] = ActionEntry(REDUCE, 212);
   _actionMap[419][GROUP] = ActionEntry(REDUCE, 212);
   _actionMap[419][WHERE] = ActionEntry(REDUCE, 212);
   _actionMap[419][INNER] = ActionEntry(SHIFT, 554);
   _actionMap[419][JOIN] = ActionEntry(SHIFT, 555);
   _actionMap[419][LEFT] = ActionEntry(SHIFT, 556);
   _actionMap[419][RIGHT] = ActionEntry(SHIFT, 557);
   _jumpMap[419][InnerJoin] = 553;
   _jumpMap[419][JoinSpec] = 558;
   _actionMap[420][WHERE] = ActionEntry(REDUCE, 213);
   _actionMap[420][IDENTIFIER] = ActionEntry(SHIFT, 560);
   _actionMap[420][GROUP] = ActionEntry(REDUCE, 213);
   _actionMap[420][ORDER] = ActionEntry(REDUCE, 213);
   _actionMap[420][ROWLIMIT] = ActionEntry(REDUCE, 213);
   _actionMap[420][UNION] = ActionEntry(REDUCE, 213);
   _actionMap[420][ENDTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[420][RB] = ActionEntry(REDUCE, 213);
   _actionMap[420][SEMICOLON] = ActionEntry(REDUCE, 213);
   _actionMap[420][RETURNTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[420][LEFT] = ActionEntry(REDUCE, 213);
   _actionMap[420][RIGHT] = ActionEntry(REDUCE, 213);
   _actionMap[420][INNER] = ActionEntry(REDUCE, 213);
   _actionMap[420][JOIN] = ActionEntry(REDUCE, 213);
   _actionMap[420][KSEP] = ActionEntry(REDUCE, 213);
   _actionMap[420][ON] = ActionEntry(REDUCE, 213);
   _actionMap[421][FROM] = ActionEntry(REDUCE, 201);
   _actionMap[421][KSEP] = ActionEntry(REDUCE, 201);
   _actionMap[422][FROM] = ActionEntry(REDUCE, 217);
   _actionMap[422][KSEP] = ActionEntry(REDUCE, 217);
   _actionMap[423][IDENTIFIER] = ActionEntry(SHIFT, 561);
   _actionMap[424][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[424][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[424][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[424][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[424][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[424][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[424][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[424][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[424][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[424][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[424][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[424][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[424][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[424][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[424][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[424][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[424][REPLACE] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser144()
{
   _actionMap[424][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[424][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[424][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[424][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[424][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[424][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[424][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[424][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[424][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[424][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[424][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[424][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[424][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[424][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[424][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[424][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[424][LB] = ActionEntry(SHIFT, 137);
   _actionMap[424][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[424][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[424][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[424][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[424][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[424][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[424][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[424][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[424][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[424][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[424][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[424][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[424][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[424][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[424][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[424][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[424][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[424][ObjSpec] = 96;
   _jumpMap[424][Constant] = 95;
   _jumpMap[424][SignedFloat] = 94;
   _jumpMap[424][SignedInt] = 93;
   _jumpMap[424][Attribute] = 92;
   _jumpMap[424][Function] = 91;
   _jumpMap[424][SelectItem] = 562;
   _jumpMap[424][CasePrepare] = 90;
   _jumpMap[424][CaseClause] = 89;
   _jumpMap[424][Factor] = 88;
   _jumpMap[424][Term] = 87;
   _jumpMap[424][Expr] = 279;
   _actionMap[425][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[425][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[425][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[425][TRIM] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser145()
{
   _actionMap[425][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[425][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[425][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[425][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[425][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[425][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[425][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[425][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[425][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[425][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[425][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[425][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[425][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[425][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[425][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[425][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[425][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[425][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[425][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[425][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[425][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[425][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[425][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[425][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[425][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[425][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[425][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[425][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[425][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[425][LB] = ActionEntry(SHIFT, 137);
   _actionMap[425][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[425][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[425][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[425][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[425][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[425][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[425][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[425][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[425][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[425][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[425][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[425][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[425][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[425][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[425][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[425][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[425][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[425][ObjSpec] = 96;
   _jumpMap[425][Constant] = 95;
   _jumpMap[425][SignedFloat] = 94;
}
void Cego::loadParser146()
{
   _jumpMap[425][SignedInt] = 93;
   _jumpMap[425][Attribute] = 92;
   _jumpMap[425][Function] = 91;
   _jumpMap[425][CasePrepare] = 90;
   _jumpMap[425][CaseClause] = 89;
   _jumpMap[425][Factor] = 88;
   _jumpMap[425][Term] = 87;
   _jumpMap[425][Expr] = 563;
   _actionMap[426][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[426][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[426][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[426][SEMICOLON] = ActionEntry(REDUCE, 66);
   _actionMap[427][KSEP] = ActionEntry(SHIFT, 565);
   _actionMap[427][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[427][RETURNTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[427][WHERE] = ActionEntry(SHIFT, 340);
   _jumpMap[427][NoWhere] = 339;
   _jumpMap[427][WhereClause] = 564;
   _actionMap[428][KSEP] = ActionEntry(REDUCE, 243);
   _actionMap[428][WHERE] = ActionEntry(REDUCE, 243);
   _actionMap[428][GROUP] = ActionEntry(REDUCE, 243);
   _actionMap[428][ORDER] = ActionEntry(REDUCE, 243);
   _actionMap[428][ROWLIMIT] = ActionEntry(REDUCE, 243);
   _actionMap[428][UNION] = ActionEntry(REDUCE, 243);
   _actionMap[428][ENDTOKEN] = ActionEntry(REDUCE, 243);
   _actionMap[428][RB] = ActionEntry(REDUCE, 243);
   _actionMap[428][SEMICOLON] = ActionEntry(REDUCE, 243);
   _actionMap[428][RETURNTOKEN] = ActionEntry(REDUCE, 243);
   _actionMap[429][EQU] = ActionEntry(SHIFT, 566);
   _actionMap[430][LB] = ActionEntry(SHIFT, 567);
   _actionMap[175][SEMICOLON] = ActionEntry(REDUCE, 61);
   _actionMap[176][SEMICOLON] = ActionEntry(REDUCE, 70);
   _actionMap[177][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[177][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[177][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[177][ObjSpec] = 299;
   _actionMap[178][SEMICOLON] = ActionEntry(REDUCE, 57);
   _actionMap[179][SEMICOLON] = ActionEntry(REDUCE, 59);
   _actionMap[180][SEMICOLON] = ActionEntry(REDUCE, 56);
   _actionMap[181][SEMICOLON] = ActionEntry(REDUCE, 58);
   _actionMap[182][ADD] = ActionEntry(SHIFT, 302);
   _actionMap[182][DROP] = ActionEntry(SHIFT, 303);
   _actionMap[182][MODIFY] = ActionEntry(SHIFT, 304);
   _actionMap[182][RENAME] = ActionEntry(SHIFT, 305);
   _jumpMap[182][AlterOption] = 301;
   _jumpMap[182][AlterList] = 300;
   _actionMap[183][BY] = ActionEntry(SHIFT, 306);
   _actionMap[184][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[184][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[184][INTVAL] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser147()
{
   _actionMap[184][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[184][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[184][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[184][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[184][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[184][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[184][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[184][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[184][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[184][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[184][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[184][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[184][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[184][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[184][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[184][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[184][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[184][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[184][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[184][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[184][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[184][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[184][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[184][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[184][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[184][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[184][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[184][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[184][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[184][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[184][LB] = ActionEntry(SHIFT, 137);
   _actionMap[184][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[184][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[184][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[184][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[184][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[184][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[184][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[184][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[184][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[184][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[184][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[184][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[184][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[184][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[184][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[184][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[184][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[184][RB] = ActionEntry(REDUCE, 113);
   _jumpMap[184][ObjSpec] = 96;
}
void Cego::loadParser148()
{
   _jumpMap[184][Constant] = 95;
   _jumpMap[184][SignedFloat] = 94;
   _jumpMap[184][SignedInt] = 93;
   _jumpMap[184][Attribute] = 92;
   _jumpMap[184][Function] = 91;
   _jumpMap[184][CasePrepare] = 90;
   _jumpMap[184][CaseClause] = 89;
   _jumpMap[184][Factor] = 88;
   _jumpMap[184][Term] = 87;
   _jumpMap[184][Expr] = 309;
   _jumpMap[184][ProcValueList] = 308;
   _jumpMap[184][ProcValueListOpt] = 307;
   _actionMap[185][SEMICOLON] = ActionEntry(REDUCE, 68);
   _actionMap[186][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[186][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[186][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[186][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[186][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[186][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[186][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[186][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[186][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[186][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[186][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[186][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[186][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[186][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[186][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[186][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[186][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[186][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[186][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[186][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[186][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[186][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[186][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[186][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[186][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[186][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[186][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[186][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[186][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[186][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[186][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[186][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[186][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[186][LB] = ActionEntry(SHIFT, 137);
   _actionMap[186][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[186][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[186][SYSDATE] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser149()
{
   _actionMap[186][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[186][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[186][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[186][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[186][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[186][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[186][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[186][VARREF] = ActionEntry(SHIFT, 331);
   _actionMap[186][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[186][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[186][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[186][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[186][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[186][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[186][IF] = ActionEntry(SHIFT, 326);
   _actionMap[186][BEGIN] = ActionEntry(SHIFT, 323);
   _actionMap[186][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[186][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[186][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[186][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[186][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[186][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[186][VAR] = ActionEntry(SHIFT, 329);
   _actionMap[186][CURSOR] = ActionEntry(SHIFT, 325);
   _actionMap[186][CLOSE] = ActionEntry(SHIFT, 324);
   _actionMap[186][NOOP] = ActionEntry(SHIFT, 327);
   _actionMap[186][RETURNTOKEN] = ActionEntry(SHIFT, 328);
   _actionMap[186][WHILE] = ActionEntry(SHIFT, 330);
   _jumpMap[186][ObjSpec] = 96;
   _jumpMap[186][Constant] = 95;
   _jumpMap[186][SignedFloat] = 94;
   _jumpMap[186][SignedInt] = 93;
   _jumpMap[186][Attribute] = 92;
   _jumpMap[186][Function] = 91;
   _jumpMap[186][DeleteStatement] = 322;
   _jumpMap[186][UpdateStatement] = 321;
   _jumpMap[186][InsertStatement] = 320;
   _jumpMap[186][RollbackStatement] = 319;
   _jumpMap[186][CommitStatement] = 318;
   _jumpMap[186][StartStatement] = 317;
   _jumpMap[186][CasePrepare] = 90;
   _jumpMap[186][CaseClause] = 89;
   _jumpMap[186][Factor] = 88;
   _jumpMap[186][Term] = 87;
   _jumpMap[186][Expr] = 316;
   _jumpMap[186][ProcStatement] = 315;
   _jumpMap[186][ProcIfPart] = 314;
   _jumpMap[186][ProcBlockStart] = 313;
   _jumpMap[186][ProcStatementList] = 312;
   _jumpMap[186][ProcStmtBlock] = 311;
}
void Cego::loadParser150()
{
   _actionMap[187][IDENTIFIER] = ActionEntry(SHIFT, 332);
   _actionMap[188][SEMICOLON] = ActionEntry(REDUCE, 69);
   _actionMap[189][ON] = ActionEntry(SHIFT, 333);
   _actionMap[190][LB] = ActionEntry(SHIFT, 334);
   _actionMap[191][LB] = ActionEntry(SHIFT, 335);
   _actionMap[192][AS] = ActionEntry(SHIFT, 336);
   _actionMap[193][IDENTIFIER] = ActionEntry(SHIFT, 297);
   _actionMap[193][WHERE] = ActionEntry(REDUCE, 252);
   _actionMap[193][GROUP] = ActionEntry(REDUCE, 252);
   _actionMap[193][ORDER] = ActionEntry(REDUCE, 252);
   _actionMap[193][ROWLIMIT] = ActionEntry(REDUCE, 252);
   _actionMap[193][UNION] = ActionEntry(REDUCE, 252);
   _actionMap[193][ENDTOKEN] = ActionEntry(REDUCE, 252);
   _actionMap[193][RB] = ActionEntry(REDUCE, 252);
   _actionMap[193][SEMICOLON] = ActionEntry(REDUCE, 252);
   _actionMap[193][RETURNTOKEN] = ActionEntry(REDUCE, 252);
   _jumpMap[193][NoWhere] = 339;
   _jumpMap[193][WhereClause] = 338;
   _jumpMap[193][UpdDelAlias] = 337;
   _actionMap[194][SEMICOLON] = ActionEntry(REDUCE, 21);
   _actionMap[195][SEMICOLON] = ActionEntry(REDUCE, 18);
   _actionMap[196][SEMICOLON] = ActionEntry(REDUCE, 20);
   _actionMap[197][SEMICOLON] = ActionEntry(REDUCE, 22);
   _actionMap[198][SEMICOLON] = ActionEntry(REDUCE, 17);
   _actionMap[199][SEMICOLON] = ActionEntry(REDUCE, 19);
   _actionMap[200][COUNTER] = ActionEntry(REDUCE, 63);
   _actionMap[200][CHECK] = ActionEntry(REDUCE, 63);
   _actionMap[200][FOREIGN] = ActionEntry(REDUCE, 63);
   _actionMap[200][PROCEDURE] = ActionEntry(REDUCE, 63);
   _actionMap[200][VIEW] = ActionEntry(REDUCE, 63);
   _actionMap[200][INDEX] = ActionEntry(REDUCE, 63);
   _actionMap[200][TABLE] = ActionEntry(REDUCE, 63);
   _actionMap[201][LB] = ActionEntry(SHIFT, 345);
   _actionMap[201][VALUES] = ActionEntry(REDUCE, 187);
   _actionMap[201][SELECT] = ActionEntry(REDUCE, 187);
   _jumpMap[201][SelectStatement] = 343;
   _jumpMap[201][InsertPrepare] = 342;
   _jumpMap[201][InsertArgSpec] = 341;
   _actionMap[202][SEMICOLON] = ActionEntry(REDUCE, 73);
   _actionMap[202][IDENTIFIER] = ActionEntry(REDUCE, 73);
   _actionMap[203][SEMICOLON] = ActionEntry(REDUCE, 11);
   _actionMap[204][IDENTIFIER] = ActionEntry(SHIFT, 346);
   _actionMap[205][SEMICOLON] = ActionEntry(REDUCE, 8);
   _actionMap[206][SEMICOLON] = ActionEntry(REDUCE, 6);
   _actionMap[207][SEMICOLON] = ActionEntry(REDUCE, 7);
   _actionMap[208][SEMICOLON] = ActionEntry(REDUCE, 4);
   _actionMap[209][SEMICOLON] = ActionEntry(REDUCE, 9);
   _actionMap[210][SEMICOLON] = ActionEntry(REDUCE, 3);
   _actionMap[211][SEMICOLON] = ActionEntry(REDUCE, 10);
   _actionMap[212][SEMICOLON] = ActionEntry(REDUCE, 5);
}
void Cego::loadParser151()
{
   _actionMap[213][AS] = ActionEntry(SHIFT, 347);
   _actionMap[214][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[214][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[214][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[214][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[214][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[214][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[214][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[214][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[214][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[214][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[214][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[214][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[214][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[214][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[214][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[214][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[214][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[214][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[214][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[214][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[214][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[214][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[214][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[214][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[214][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[214][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[214][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[214][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[214][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[214][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[214][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[214][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[214][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[214][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[214][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[214][LB] = ActionEntry(SHIFT, 137);
   _actionMap[214][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[214][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[214][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[214][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[214][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[214][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[214][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[214][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[214][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[214][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[214][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[214][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[214][AVG] = ActionEntry(SHIFT, 98);
}
void Cego::loadParser152()
{
   _actionMap[214][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[214][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[214][ObjSpec] = 96;
   _jumpMap[214][Constant] = 95;
   _jumpMap[214][SignedFloat] = 94;
   _jumpMap[214][SignedInt] = 93;
   _jumpMap[214][Attribute] = 92;
   _jumpMap[214][Function] = 91;
   _jumpMap[214][CasePrepare] = 90;
   _jumpMap[214][CaseClause] = 89;
   _jumpMap[214][Factor] = 88;
   _jumpMap[214][Term] = 348;
   _actionMap[215][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[215][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[215][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[215][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[215][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[215][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[215][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[215][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[215][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[215][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[215][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[215][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[215][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[215][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[215][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[215][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[215][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[215][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[215][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[215][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[215][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[215][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[215][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[215][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[215][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[215][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[215][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[215][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[215][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[215][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[215][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[215][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[215][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[215][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[215][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[215][LB] = ActionEntry(SHIFT, 137);
   _actionMap[215][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[215][DATE] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser153()
{
   _actionMap[215][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[215][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[215][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[215][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[215][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[215][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[215][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[215][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[215][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[215][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[215][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[215][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[215][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[215][ObjSpec] = 96;
   _jumpMap[215][Constant] = 95;
   _jumpMap[215][SignedFloat] = 94;
   _jumpMap[215][SignedInt] = 93;
   _jumpMap[215][Attribute] = 92;
   _jumpMap[215][Function] = 91;
   _jumpMap[215][CasePrepare] = 90;
   _jumpMap[215][CaseClause] = 89;
   _jumpMap[215][Factor] = 88;
   _jumpMap[215][Term] = 349;
   _actionMap[216][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[216][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[216][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[216][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[216][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[216][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[216][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[216][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[216][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[216][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[216][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[216][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[216][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[216][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[216][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[216][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[216][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[216][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[216][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[216][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[216][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[216][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[216][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[216][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[216][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[216][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[216][RANDINT] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser154()
{
   _actionMap[216][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[216][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[216][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[216][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[216][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[216][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[216][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[216][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[216][LB] = ActionEntry(SHIFT, 137);
   _actionMap[216][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[216][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[216][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[216][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[216][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[216][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[216][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[216][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[216][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[216][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[216][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[216][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[216][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[216][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[216][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[216][ObjSpec] = 96;
   _jumpMap[216][Constant] = 95;
   _jumpMap[216][SignedFloat] = 94;
   _jumpMap[216][SignedInt] = 93;
   _jumpMap[216][Attribute] = 92;
   _jumpMap[216][Function] = 91;
   _jumpMap[216][CasePrepare] = 90;
   _jumpMap[216][CaseClause] = 89;
   _jumpMap[216][Factor] = 88;
   _jumpMap[216][Term] = 350;
   _actionMap[217][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[217][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[217][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[217][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[217][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[217][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[217][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[217][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[217][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[217][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[217][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[217][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[217][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[217][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[217][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[217][UPPER] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser155()
{
   _actionMap[217][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[217][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[217][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[217][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[217][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[217][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[217][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[217][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[217][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[217][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[217][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[217][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[217][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[217][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[217][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[217][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[217][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[217][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[217][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[217][LB] = ActionEntry(SHIFT, 137);
   _actionMap[217][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[217][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[217][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[217][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[217][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[217][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[217][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[217][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[217][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[217][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[217][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[217][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[217][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[217][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[217][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[217][ObjSpec] = 96;
   _jumpMap[217][Constant] = 95;
   _jumpMap[217][SignedFloat] = 94;
   _jumpMap[217][SignedInt] = 93;
   _jumpMap[217][Attribute] = 92;
   _jumpMap[217][Function] = 91;
   _jumpMap[217][CasePrepare] = 90;
   _jumpMap[217][CaseClause] = 89;
   _jumpMap[217][Factor] = 351;
   _actionMap[218][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[218][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[218][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[218][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[218][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[218][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser156()
{
   _actionMap[218][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[218][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[218][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[218][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[218][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[218][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[218][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[218][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[218][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[218][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[218][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[218][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[218][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[218][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[218][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[218][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[218][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[218][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[218][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[218][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[218][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[218][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[218][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[218][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[218][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[218][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[218][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[218][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[218][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[218][LB] = ActionEntry(SHIFT, 137);
   _actionMap[218][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[218][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[218][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[218][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[218][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[218][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[218][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[218][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[218][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[218][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[218][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[218][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[218][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[218][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[218][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[218][ObjSpec] = 96;
   _jumpMap[218][Constant] = 95;
   _jumpMap[218][SignedFloat] = 94;
   _jumpMap[218][SignedInt] = 93;
   _jumpMap[218][Attribute] = 92;
}
void Cego::loadParser157()
{
   _jumpMap[218][Function] = 91;
   _jumpMap[218][CasePrepare] = 90;
   _jumpMap[218][CaseClause] = 89;
   _jumpMap[218][Factor] = 352;
   _actionMap[219][ELSE] = ActionEntry(SHIFT, 354);
   _actionMap[219][WHEN] = ActionEntry(SHIFT, 221);
   _jumpMap[219][CaseCondition] = 353;
   _actionMap[220][WHEN] = ActionEntry(REDUCE, 159);
   _actionMap[220][ELSE] = ActionEntry(REDUCE, 159);
   _actionMap[221][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[221][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[221][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[221][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[221][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[221][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[221][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[221][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[221][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[221][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[221][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[221][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[221][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[221][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[221][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[221][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[221][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[221][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[221][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[221][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[221][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[221][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[221][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[221][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[221][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[221][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[221][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[221][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[221][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[221][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[221][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[221][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[221][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[221][LB] = ActionEntry(SHIFT, 360);
   _actionMap[221][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[221][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[221][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[221][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[221][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[221][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[221][LAB] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser158()
{
   _actionMap[221][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[221][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[221][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[221][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[221][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[221][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[221][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[221][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[221][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[221][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[221][EXISTS] = ActionEntry(SHIFT, 358);
   _actionMap[221][NOT] = ActionEntry(SHIFT, 359);
   _jumpMap[221][ObjSpec] = 96;
   _jumpMap[221][Constant] = 95;
   _jumpMap[221][SignedFloat] = 94;
   _jumpMap[221][SignedInt] = 93;
   _jumpMap[221][Attribute] = 92;
   _jumpMap[221][QueryPredicate] = 357;
   _jumpMap[221][QueryCondition] = 356;
   _jumpMap[221][Function] = 91;
   _jumpMap[221][CasePrepare] = 90;
   _jumpMap[221][CaseClause] = 89;
   _jumpMap[221][Factor] = 88;
   _jumpMap[221][Term] = 87;
   _jumpMap[221][Expr] = 355;
   _actionMap[222][RB] = ActionEntry(SHIFT, 363);
   _actionMap[222][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[222][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[222][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[222][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[222][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[222][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[222][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[222][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[222][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[222][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[222][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[222][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[222][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[222][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[222][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[222][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[222][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[222][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[222][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[222][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[222][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[222][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[222][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[222][MOD] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser159()
{
   _actionMap[222][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[222][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[222][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[222][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[222][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[222][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[222][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[222][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[222][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[222][LB] = ActionEntry(SHIFT, 137);
   _actionMap[222][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[222][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[222][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[222][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[222][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[222][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[222][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[222][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[222][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[222][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[222][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[222][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[222][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[222][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[222][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[222][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[222][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[222][ObjSpec] = 96;
   _jumpMap[222][Constant] = 95;
   _jumpMap[222][SignedFloat] = 94;
   _jumpMap[222][SignedInt] = 93;
   _jumpMap[222][Attribute] = 92;
   _jumpMap[222][ExpressionList] = 362;
   _jumpMap[222][Function] = 91;
   _jumpMap[222][CasePrepare] = 90;
   _jumpMap[222][CaseClause] = 89;
   _jumpMap[222][Factor] = 88;
   _jumpMap[222][Term] = 87;
   _jumpMap[222][Expr] = 361;
   _actionMap[223][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[223][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[223][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[223][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[223][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[223][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[223][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[223][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[223][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[223][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[223][LOWER] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser160()
{
   _actionMap[223][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[223][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[223][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[223][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[223][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[223][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[223][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[223][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[223][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[223][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[223][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[223][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[223][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[223][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[223][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[223][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[223][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[223][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[223][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[223][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[223][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[223][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[223][LB] = ActionEntry(SHIFT, 137);
   _actionMap[223][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[223][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[223][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[223][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[223][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[223][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[223][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[223][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[223][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[223][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[223][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[223][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[223][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[223][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[223][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[223][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[223][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[223][ObjSpec] = 96;
   _jumpMap[223][Constant] = 95;
   _jumpMap[223][SignedFloat] = 94;
   _jumpMap[223][SignedInt] = 93;
   _jumpMap[223][Attribute] = 92;
   _jumpMap[223][Function] = 91;
   _jumpMap[223][CasePrepare] = 90;
   _jumpMap[223][CaseClause] = 89;
   _jumpMap[223][Factor] = 88;
   _jumpMap[223][Term] = 87;
}
void Cego::loadParser161()
{
   _jumpMap[223][Expr] = 364;
   _actionMap[224][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[224][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[224][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[224][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[224][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[224][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[224][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[224][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[224][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[224][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[224][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[224][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[224][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[224][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[224][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[224][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[224][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[224][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[224][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[224][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[224][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[224][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[224][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[224][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[224][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[224][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[224][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[224][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[224][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[224][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[224][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[224][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[224][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[224][LB] = ActionEntry(SHIFT, 137);
   _actionMap[224][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[224][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[224][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[224][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[224][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[224][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[224][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[224][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[224][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[224][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[224][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[224][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[224][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[224][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[224][AVG] = ActionEntry(SHIFT, 98);
}
void Cego::loadParser162()
{
   _actionMap[224][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[224][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[224][ObjSpec] = 96;
   _jumpMap[224][Constant] = 95;
   _jumpMap[224][SignedFloat] = 94;
   _jumpMap[224][SignedInt] = 93;
   _jumpMap[224][Attribute] = 92;
   _jumpMap[224][ExpressionList] = 365;
   _jumpMap[224][Function] = 91;
   _jumpMap[224][CasePrepare] = 90;
   _jumpMap[224][CaseClause] = 89;
   _jumpMap[224][Factor] = 88;
   _jumpMap[224][Term] = 87;
   _jumpMap[224][Expr] = 361;
   _actionMap[225][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[225][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[225][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[225][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[225][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[225][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[225][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[225][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[225][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[225][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[225][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[225][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[225][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[225][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[225][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[225][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[225][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[225][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[225][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[225][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[225][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[225][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[225][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[225][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[225][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[225][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[225][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[225][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[225][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[225][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[225][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[225][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[225][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[225][LB] = ActionEntry(SHIFT, 137);
   _actionMap[225][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[225][DATE] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser163()
{
   _actionMap[225][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[225][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[225][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[225][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[225][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[225][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[225][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[225][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[225][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[225][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[225][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[225][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[225][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[225][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[225][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[225][ObjSpec] = 96;
   _jumpMap[225][Constant] = 95;
   _jumpMap[225][SignedFloat] = 94;
   _jumpMap[225][SignedInt] = 93;
   _jumpMap[225][Attribute] = 92;
   _jumpMap[225][ExpressionList] = 366;
   _jumpMap[225][Function] = 91;
   _jumpMap[225][CasePrepare] = 90;
   _jumpMap[225][CaseClause] = 89;
   _jumpMap[225][Factor] = 88;
   _jumpMap[225][Term] = 87;
   _jumpMap[225][Expr] = 361;
   _actionMap[226][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[226][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[226][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[226][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[226][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[226][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[226][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[226][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[226][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[226][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[226][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[226][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[226][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[226][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[226][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[226][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[226][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[226][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[226][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[226][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[226][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[226][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[226][RANDINT] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser164()
{
   _actionMap[226][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[226][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[226][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[226][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[226][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[226][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[226][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[226][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[226][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[226][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[226][LB] = ActionEntry(SHIFT, 137);
   _actionMap[226][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[226][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[226][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[226][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[226][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[226][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[226][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[226][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[226][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[226][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[226][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[226][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[226][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[226][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[226][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[226][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[226][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[226][ObjSpec] = 96;
   _jumpMap[226][Constant] = 95;
   _jumpMap[226][SignedFloat] = 94;
   _jumpMap[226][SignedInt] = 93;
   _jumpMap[226][Attribute] = 92;
   _jumpMap[226][ExpressionList] = 367;
   _jumpMap[226][Function] = 91;
   _jumpMap[226][CasePrepare] = 90;
   _jumpMap[226][CaseClause] = 89;
   _jumpMap[226][Factor] = 88;
   _jumpMap[226][Term] = 87;
   _jumpMap[226][Expr] = 361;
   _actionMap[227][STAR] = ActionEntry(SHIFT, 369);
   _actionMap[227][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[227][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[227][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[227][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[227][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[227][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[227][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[227][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[227][DATE2INT] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser165()
{
   _actionMap[227][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[227][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[227][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[227][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[227][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[227][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[227][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[227][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[227][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[227][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[227][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[227][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[227][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[227][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[227][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[227][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[227][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[227][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[227][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[227][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[227][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[227][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[227][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[227][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[227][LB] = ActionEntry(SHIFT, 137);
   _actionMap[227][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[227][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[227][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[227][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[227][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[227][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[227][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[227][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[227][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[227][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[227][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[227][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[227][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[227][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[227][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[227][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[227][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[227][ObjSpec] = 96;
   _jumpMap[227][Constant] = 95;
   _jumpMap[227][SignedFloat] = 94;
   _jumpMap[227][SignedInt] = 93;
   _jumpMap[227][Attribute] = 92;
   _jumpMap[227][Function] = 91;
   _jumpMap[227][CasePrepare] = 90;
   _jumpMap[227][CaseClause] = 89;
}
void Cego::loadParser166()
{
   _jumpMap[227][Factor] = 88;
   _jumpMap[227][Term] = 87;
   _jumpMap[227][Expr] = 368;
   _actionMap[228][STRINGVAL] = ActionEntry(SHIFT, 371);
   _jumpMap[228][DateFormat] = 370;
   _actionMap[229][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[229][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[229][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[229][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[229][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[229][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[229][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[229][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[229][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[229][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[229][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[229][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[229][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[229][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[229][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[229][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[229][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[229][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[229][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[229][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[229][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[229][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[229][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[229][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[229][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[229][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[229][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[229][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[229][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[229][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[229][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[229][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[229][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[229][LB] = ActionEntry(SHIFT, 137);
   _actionMap[229][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[229][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[229][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[229][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[229][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[229][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[229][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[229][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[229][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[229][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[229][VARREF] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser167()
{
   _actionMap[229][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[229][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[229][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[229][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[229][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[229][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[229][ObjSpec] = 96;
   _jumpMap[229][Constant] = 95;
   _jumpMap[229][SignedFloat] = 94;
   _jumpMap[229][SignedInt] = 93;
   _jumpMap[229][Attribute] = 92;
   _jumpMap[229][ExpressionList] = 372;
   _jumpMap[229][Function] = 91;
   _jumpMap[229][CasePrepare] = 90;
   _jumpMap[229][CaseClause] = 89;
   _jumpMap[229][Factor] = 88;
   _jumpMap[229][Term] = 87;
   _jumpMap[229][Expr] = 361;
   _actionMap[230][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[230][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[230][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[230][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[230][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[230][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[230][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[230][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[230][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[230][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[230][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[230][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[230][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[230][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[230][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[230][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[230][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[230][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[230][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[230][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[230][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[230][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[230][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[230][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[230][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[230][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[230][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[230][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[230][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[230][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[230][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[230][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser168()
{
   _actionMap[230][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[230][LB] = ActionEntry(SHIFT, 137);
   _actionMap[230][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[230][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[230][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[230][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[230][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[230][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[230][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[230][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[230][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[230][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[230][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[230][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[230][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[230][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[230][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[230][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[230][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[230][ObjSpec] = 96;
   _jumpMap[230][Constant] = 95;
   _jumpMap[230][SignedFloat] = 94;
   _jumpMap[230][SignedInt] = 93;
   _jumpMap[230][Attribute] = 92;
   _jumpMap[230][ExpressionList] = 373;
   _jumpMap[230][Function] = 91;
   _jumpMap[230][CasePrepare] = 90;
   _jumpMap[230][CaseClause] = 89;
   _jumpMap[230][Factor] = 88;
   _jumpMap[230][Term] = 87;
   _jumpMap[230][Expr] = 361;
   _actionMap[231][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[231][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[231][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[231][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[231][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[231][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[231][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[231][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[231][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[231][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[231][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[231][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[231][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[231][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[231][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[231][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[231][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[231][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[231][TRUNC] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser169()
{
   _actionMap[231][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[231][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[231][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[231][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[231][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[231][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[231][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[231][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[231][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[231][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[231][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[231][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[231][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[231][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[231][LB] = ActionEntry(SHIFT, 137);
   _actionMap[231][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[231][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[231][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[231][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[231][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[231][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[231][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[231][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[231][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[231][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[231][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[231][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[231][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[231][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[231][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[231][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[231][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[231][ObjSpec] = 96;
   _jumpMap[231][Constant] = 95;
   _jumpMap[231][SignedFloat] = 94;
   _jumpMap[231][SignedInt] = 93;
   _jumpMap[231][Attribute] = 92;
   _jumpMap[231][ExpressionList] = 374;
   _jumpMap[231][Function] = 91;
   _jumpMap[231][CasePrepare] = 90;
   _jumpMap[231][CaseClause] = 89;
   _jumpMap[231][Factor] = 88;
   _jumpMap[231][Term] = 87;
   _jumpMap[231][Expr] = 361;
   _actionMap[232][INTO] = ActionEntry(SHIFT, 375);
   _actionMap[233][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[233][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[233][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[233][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[233][RTRIM] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser170()
{
   _actionMap[233][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[233][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[233][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[233][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[233][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[233][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[233][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[233][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[233][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[233][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[233][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[233][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[233][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[233][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[233][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[233][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[233][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[233][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[233][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[233][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[233][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[233][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[233][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[233][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[233][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[233][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[233][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[233][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[233][LB] = ActionEntry(SHIFT, 137);
   _actionMap[233][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[233][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[233][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[233][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[233][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[233][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[233][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[233][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[233][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[233][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[233][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[233][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[233][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[233][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[233][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[233][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[233][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[233][ObjSpec] = 96;
   _jumpMap[233][Constant] = 95;
   _jumpMap[233][SignedFloat] = 94;
   _jumpMap[233][SignedInt] = 93;
}
void Cego::loadParser171()
{
   _jumpMap[233][Attribute] = 92;
   _jumpMap[233][ExpressionList] = 376;
   _jumpMap[233][Function] = 91;
   _jumpMap[233][CasePrepare] = 90;
   _jumpMap[233][CaseClause] = 89;
   _jumpMap[233][Factor] = 88;
   _jumpMap[233][Term] = 87;
   _jumpMap[233][Expr] = 361;
   _actionMap[234][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[234][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[234][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[234][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[234][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[234][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[234][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[234][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[234][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[234][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[234][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[234][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[234][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[234][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[234][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[234][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[234][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[234][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[234][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[234][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[234][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[234][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[234][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[234][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[234][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[234][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[234][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[234][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[234][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[234][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[234][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[234][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[234][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[234][LB] = ActionEntry(SHIFT, 137);
   _actionMap[234][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[234][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[234][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[234][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[234][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[234][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[234][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[234][COUNTERID] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser172()
{
   _actionMap[234][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[234][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[234][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[234][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[234][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[234][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[234][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[234][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[234][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[234][ObjSpec] = 96;
   _jumpMap[234][Constant] = 95;
   _jumpMap[234][SignedFloat] = 94;
   _jumpMap[234][SignedInt] = 93;
   _jumpMap[234][Attribute] = 92;
   _jumpMap[234][ExpressionList] = 377;
   _jumpMap[234][Function] = 91;
   _jumpMap[234][CasePrepare] = 90;
   _jumpMap[234][CaseClause] = 89;
   _jumpMap[234][Factor] = 88;
   _jumpMap[234][Term] = 87;
   _jumpMap[234][Expr] = 361;
   _actionMap[235][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[235][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[235][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[235][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[235][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[235][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[235][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[235][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[235][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[235][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[235][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[235][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[235][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[235][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[235][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[235][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[235][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[235][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[235][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[235][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[235][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[235][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[235][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[235][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[235][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[235][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[235][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[235][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[235][BITXOR] = ActionEntry(SHIFT, 101);
}
void Cego::loadParser173()
{
   _actionMap[235][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[235][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[235][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[235][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[235][LB] = ActionEntry(SHIFT, 137);
   _actionMap[235][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[235][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[235][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[235][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[235][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[235][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[235][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[235][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[235][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[235][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[235][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[235][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[235][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[235][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[235][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[235][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[235][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[235][ObjSpec] = 96;
   _jumpMap[235][Constant] = 95;
   _jumpMap[235][SignedFloat] = 94;
   _jumpMap[235][SignedInt] = 93;
   _jumpMap[235][Attribute] = 92;
   _jumpMap[235][ExpressionList] = 378;
   _jumpMap[235][Function] = 91;
   _jumpMap[235][CasePrepare] = 90;
   _jumpMap[235][CaseClause] = 89;
   _jumpMap[235][Factor] = 88;
   _jumpMap[235][Term] = 87;
   _jumpMap[235][Expr] = 361;
   _actionMap[236][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[236][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[236][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[236][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[236][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[236][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[236][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[236][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[236][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[236][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[236][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[236][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[236][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[236][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[236][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[236][SUBSTR] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser174()
{
   _actionMap[236][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[236][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[236][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[236][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[236][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[236][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[236][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[236][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[236][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[236][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[236][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[236][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[236][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[236][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[236][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[236][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[236][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[236][LB] = ActionEntry(SHIFT, 137);
   _actionMap[236][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[236][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[236][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[236][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[236][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[236][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[236][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[236][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[236][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[236][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[236][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[236][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[236][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[236][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[236][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[236][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[236][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[236][ObjSpec] = 96;
   _jumpMap[236][Constant] = 95;
   _jumpMap[236][SignedFloat] = 94;
   _jumpMap[236][SignedInt] = 93;
   _jumpMap[236][Attribute] = 92;
   _jumpMap[236][ExpressionList] = 379;
   _jumpMap[236][Function] = 91;
   _jumpMap[236][CasePrepare] = 90;
   _jumpMap[236][CaseClause] = 89;
   _jumpMap[236][Factor] = 88;
   _jumpMap[236][Term] = 87;
   _jumpMap[236][Expr] = 361;
   _actionMap[237][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[237][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[237][INTVAL] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser175()
{
   _actionMap[237][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[237][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[237][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[237][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[237][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[237][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[237][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[237][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[237][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[237][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[237][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[237][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[237][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[237][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[237][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[237][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[237][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[237][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[237][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[237][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[237][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[237][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[237][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[237][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[237][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[237][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[237][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[237][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[237][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[237][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[237][LB] = ActionEntry(SHIFT, 137);
   _actionMap[237][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[237][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[237][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[237][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[237][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[237][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[237][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[237][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[237][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[237][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[237][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[237][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[237][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[237][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[237][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[237][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[237][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[237][ObjSpec] = 96;
   _jumpMap[237][Constant] = 95;
}
void Cego::loadParser176()
{
   _jumpMap[237][SignedFloat] = 94;
   _jumpMap[237][SignedInt] = 93;
   _jumpMap[237][Attribute] = 92;
   _jumpMap[237][ExpressionList] = 380;
   _jumpMap[237][Function] = 91;
   _jumpMap[237][CasePrepare] = 90;
   _jumpMap[237][CaseClause] = 89;
   _jumpMap[237][Factor] = 88;
   _jumpMap[237][Term] = 87;
   _jumpMap[237][Expr] = 361;
   _actionMap[238][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[238][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[238][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[238][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[238][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[238][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[238][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[238][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[238][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[238][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[238][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[238][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[238][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[238][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[238][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[238][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[238][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[238][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[238][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[238][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[238][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[238][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[238][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[238][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[238][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[238][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[238][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[238][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[238][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[238][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[238][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[238][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[238][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[238][LB] = ActionEntry(SHIFT, 137);
   _actionMap[238][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[238][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[238][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[238][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[238][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[238][FALSEVAL] = ActionEntry(SHIFT, 108);
}
void Cego::loadParser177()
{
   _actionMap[238][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[238][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[238][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[238][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[238][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[238][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[238][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[238][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[238][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[238][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[238][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[238][ObjSpec] = 96;
   _jumpMap[238][Constant] = 95;
   _jumpMap[238][SignedFloat] = 94;
   _jumpMap[238][SignedInt] = 93;
   _jumpMap[238][Attribute] = 92;
   _jumpMap[238][ExpressionList] = 381;
   _jumpMap[238][Function] = 91;
   _jumpMap[238][CasePrepare] = 90;
   _jumpMap[238][CaseClause] = 89;
   _jumpMap[238][Factor] = 88;
   _jumpMap[238][Term] = 87;
   _jumpMap[238][Expr] = 361;
   _actionMap[239][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[239][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[239][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[239][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[239][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[239][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[239][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[239][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[239][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[239][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[239][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[239][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[239][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[239][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[239][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[239][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[239][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[239][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[239][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[239][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[239][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[239][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[239][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[239][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[239][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[239][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[239][BITAND] = ActionEntry(SHIFT, 99);
}
void Cego::loadParser178()
{
   _actionMap[239][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[239][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[239][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[239][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[239][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[239][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[239][LB] = ActionEntry(SHIFT, 137);
   _actionMap[239][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[239][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[239][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[239][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[239][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[239][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[239][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[239][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[239][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[239][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[239][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[239][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[239][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[239][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[239][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[239][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[239][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[239][ObjSpec] = 96;
   _jumpMap[239][Constant] = 95;
   _jumpMap[239][SignedFloat] = 94;
   _jumpMap[239][SignedInt] = 93;
   _jumpMap[239][Attribute] = 92;
   _jumpMap[239][Function] = 91;
   _jumpMap[239][CasePrepare] = 90;
   _jumpMap[239][CaseClause] = 89;
   _jumpMap[239][Factor] = 88;
   _jumpMap[239][Term] = 87;
   _jumpMap[239][Expr] = 382;
   _actionMap[240][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[240][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[240][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[240][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[240][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[240][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[240][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[240][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[240][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[240][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[240][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[240][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[240][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[240][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[240][GETPOS] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser179()
{
   _actionMap[240][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[240][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[240][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[240][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[240][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[240][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[240][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[240][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[240][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[240][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[240][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[240][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[240][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[240][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[240][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[240][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[240][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[240][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[240][LB] = ActionEntry(SHIFT, 137);
   _actionMap[240][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[240][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[240][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[240][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[240][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[240][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[240][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[240][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[240][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[240][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[240][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[240][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[240][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[240][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[240][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[240][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[240][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[240][ObjSpec] = 96;
   _jumpMap[240][Constant] = 95;
   _jumpMap[240][SignedFloat] = 94;
   _jumpMap[240][SignedInt] = 93;
   _jumpMap[240][Attribute] = 92;
   _jumpMap[240][Function] = 91;
   _jumpMap[240][CasePrepare] = 90;
   _jumpMap[240][CaseClause] = 89;
   _jumpMap[240][Factor] = 88;
   _jumpMap[240][Term] = 87;
   _jumpMap[240][Expr] = 383;
   _actionMap[241][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[241][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[241][INTVAL] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser180()
{
   _actionMap[241][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[241][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[241][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[241][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[241][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[241][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[241][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[241][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[241][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[241][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[241][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[241][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[241][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[241][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[241][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[241][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[241][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[241][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[241][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[241][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[241][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[241][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[241][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[241][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[241][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[241][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[241][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[241][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[241][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[241][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[241][LB] = ActionEntry(SHIFT, 137);
   _actionMap[241][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[241][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[241][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[241][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[241][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[241][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[241][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[241][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[241][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[241][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[241][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[241][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[241][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[241][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[241][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[241][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[241][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[241][ObjSpec] = 96;
   _jumpMap[241][Constant] = 95;
}
void Cego::loadParser181()
{
   _jumpMap[241][SignedFloat] = 94;
   _jumpMap[241][SignedInt] = 93;
   _jumpMap[241][Attribute] = 92;
   _jumpMap[241][ExpressionList] = 384;
   _jumpMap[241][Function] = 91;
   _jumpMap[241][CasePrepare] = 90;
   _jumpMap[241][CaseClause] = 89;
   _jumpMap[241][Factor] = 88;
   _jumpMap[241][Term] = 87;
   _jumpMap[241][Expr] = 361;
   _actionMap[242][IDENTIFIER] = ActionEntry(SHIFT, 385);
   _actionMap[243][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[243][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[243][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[243][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[243][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[243][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[243][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[243][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[243][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[243][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[243][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[243][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[243][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[243][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[243][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[243][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[243][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[243][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[243][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[243][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[243][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[243][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[243][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[243][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[243][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[243][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[243][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[243][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[243][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[243][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[243][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[243][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[243][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[243][LB] = ActionEntry(SHIFT, 137);
   _actionMap[243][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[243][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[243][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[243][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[243][TRUEVAL] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser182()
{
   _actionMap[243][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[243][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[243][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[243][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[243][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[243][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[243][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[243][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[243][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[243][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[243][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[243][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[243][ObjSpec] = 96;
   _jumpMap[243][Constant] = 95;
   _jumpMap[243][SignedFloat] = 94;
   _jumpMap[243][SignedInt] = 93;
   _jumpMap[243][Attribute] = 92;
   _jumpMap[243][ExpressionList] = 386;
   _jumpMap[243][Function] = 91;
   _jumpMap[243][CasePrepare] = 90;
   _jumpMap[243][CaseClause] = 89;
   _jumpMap[243][Factor] = 88;
   _jumpMap[243][Term] = 87;
   _jumpMap[243][Expr] = 361;
   _actionMap[244][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[244][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[244][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[244][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[244][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[244][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[244][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[244][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[244][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[244][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[244][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[244][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[244][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[244][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[244][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[244][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[244][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[244][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[244][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[244][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[244][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[244][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[244][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[244][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[244][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[244][POWER] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser183()
{
   _actionMap[244][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[244][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[244][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[244][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[244][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[244][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[244][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[244][LB] = ActionEntry(SHIFT, 137);
   _actionMap[244][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[244][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[244][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[244][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[244][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[244][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[244][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[244][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[244][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[244][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[244][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[244][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[244][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[244][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[244][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[244][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[244][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[244][ObjSpec] = 96;
   _jumpMap[244][Constant] = 95;
   _jumpMap[244][SignedFloat] = 94;
   _jumpMap[244][SignedInt] = 93;
   _jumpMap[244][Attribute] = 92;
   _jumpMap[244][ExpressionList] = 387;
   _jumpMap[244][Function] = 91;
   _jumpMap[244][CasePrepare] = 90;
   _jumpMap[244][CaseClause] = 89;
   _jumpMap[244][Factor] = 88;
   _jumpMap[244][Term] = 87;
   _jumpMap[244][Expr] = 361;
   _actionMap[245][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[245][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[245][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[245][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[245][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[245][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[245][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[245][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[245][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[245][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[245][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[245][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[245][LEFT] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser184()
{
   _actionMap[245][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[245][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[245][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[245][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[245][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[245][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[245][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[245][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[245][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[245][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[245][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[245][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[245][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[245][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[245][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[245][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[245][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[245][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[245][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[245][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[245][LB] = ActionEntry(SHIFT, 137);
   _actionMap[245][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[245][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[245][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[245][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[245][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[245][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[245][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[245][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[245][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[245][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[245][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[245][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[245][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[245][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[245][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[245][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[245][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[245][ObjSpec] = 96;
   _jumpMap[245][Constant] = 95;
   _jumpMap[245][SignedFloat] = 94;
   _jumpMap[245][SignedInt] = 93;
   _jumpMap[245][Attribute] = 92;
   _jumpMap[245][ExpressionList] = 388;
   _jumpMap[245][Function] = 91;
   _jumpMap[245][CasePrepare] = 90;
   _jumpMap[245][CaseClause] = 89;
   _jumpMap[245][Factor] = 88;
   _jumpMap[245][Term] = 87;
   _jumpMap[245][Expr] = 361;
}
void Cego::loadParser185()
{
   _actionMap[246][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[246][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[246][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[246][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[246][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[246][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[246][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[246][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[246][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[246][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[246][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[246][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[246][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[246][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[246][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[246][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[246][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[246][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[246][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[246][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[246][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[246][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[246][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[246][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[246][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[246][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[246][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[246][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[246][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[246][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[246][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[246][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[246][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[246][LB] = ActionEntry(SHIFT, 137);
   _actionMap[246][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[246][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[246][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[246][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[246][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[246][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[246][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[246][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[246][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[246][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[246][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[246][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[246][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[246][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[246][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[246][MIN] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser186()
{
   _actionMap[246][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[246][ObjSpec] = 96;
   _jumpMap[246][Constant] = 95;
   _jumpMap[246][SignedFloat] = 94;
   _jumpMap[246][SignedInt] = 93;
   _jumpMap[246][Attribute] = 92;
   _jumpMap[246][ExpressionList] = 389;
   _jumpMap[246][Function] = 91;
   _jumpMap[246][CasePrepare] = 90;
   _jumpMap[246][CaseClause] = 89;
   _jumpMap[246][Factor] = 88;
   _jumpMap[246][Term] = 87;
   _jumpMap[246][Expr] = 361;
   _actionMap[247][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[247][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[247][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[247][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[247][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[247][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[247][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[247][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[247][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[247][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[247][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[247][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[247][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[247][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[247][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[247][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[247][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[247][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[247][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[247][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[247][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[247][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[247][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[247][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[247][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[247][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[247][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[247][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[247][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[247][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[247][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[247][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[247][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[247][LB] = ActionEntry(SHIFT, 137);
   _actionMap[247][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[247][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[247][SYSDATE] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser187()
{
   _actionMap[247][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[247][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[247][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[247][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[247][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[247][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[247][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[247][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[247][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[247][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[247][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[247][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[247][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[247][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[247][ObjSpec] = 96;
   _jumpMap[247][Constant] = 95;
   _jumpMap[247][SignedFloat] = 94;
   _jumpMap[247][SignedInt] = 93;
   _jumpMap[247][Attribute] = 92;
   _jumpMap[247][ExpressionList] = 390;
   _jumpMap[247][Function] = 91;
   _jumpMap[247][CasePrepare] = 90;
   _jumpMap[247][CaseClause] = 89;
   _jumpMap[247][Factor] = 88;
   _jumpMap[247][Term] = 87;
   _jumpMap[247][Expr] = 361;
   _actionMap[248][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[248][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[248][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[248][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[248][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[248][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[248][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[248][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[248][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[248][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[248][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[248][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[248][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[248][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[248][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[248][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[248][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[248][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[248][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[248][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[248][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[248][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[248][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[248][MOD] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser188()
{
   _actionMap[248][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[248][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[248][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[248][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[248][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[248][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[248][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[248][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[248][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[248][LB] = ActionEntry(SHIFT, 137);
   _actionMap[248][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[248][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[248][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[248][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[248][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[248][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[248][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[248][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[248][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[248][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[248][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[248][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[248][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[248][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[248][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[248][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[248][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[248][ObjSpec] = 96;
   _jumpMap[248][Constant] = 95;
   _jumpMap[248][SignedFloat] = 94;
   _jumpMap[248][SignedInt] = 93;
   _jumpMap[248][Attribute] = 92;
   _jumpMap[248][ExpressionList] = 391;
   _jumpMap[248][Function] = 91;
   _jumpMap[248][CasePrepare] = 90;
   _jumpMap[248][CaseClause] = 89;
   _jumpMap[248][Factor] = 88;
   _jumpMap[248][Term] = 87;
   _jumpMap[248][Expr] = 361;
   _actionMap[249][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[249][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[249][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[249][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[249][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[249][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[249][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[249][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[249][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[249][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[249][LOWER] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser189()
{
   _actionMap[249][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[249][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[249][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[249][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[249][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[249][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[249][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[249][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[249][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[249][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[249][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[249][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[249][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[249][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[249][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[249][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[249][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[249][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[249][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[249][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[249][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[249][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[249][LB] = ActionEntry(SHIFT, 137);
   _actionMap[249][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[249][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[249][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[249][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[249][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[249][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[249][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[249][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[249][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[249][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[249][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[249][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[249][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[249][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[249][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[249][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[249][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[249][ObjSpec] = 96;
   _jumpMap[249][Constant] = 95;
   _jumpMap[249][SignedFloat] = 94;
   _jumpMap[249][SignedInt] = 93;
   _jumpMap[249][Attribute] = 92;
   _jumpMap[249][ExpressionList] = 392;
   _jumpMap[249][Function] = 91;
   _jumpMap[249][CasePrepare] = 90;
   _jumpMap[249][CaseClause] = 89;
   _jumpMap[249][Factor] = 88;
}
void Cego::loadParser190()
{
   _jumpMap[249][Term] = 87;
   _jumpMap[249][Expr] = 361;
   _actionMap[250][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[250][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[250][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[250][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[250][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[250][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[250][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[250][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[250][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[250][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[250][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[250][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[250][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[250][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[250][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[250][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[250][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[250][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[250][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[250][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[250][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[250][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[250][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[250][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[250][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[250][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[250][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[250][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[250][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[250][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[250][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[250][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[250][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[250][LB] = ActionEntry(SHIFT, 137);
   _actionMap[250][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[250][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[250][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[250][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[250][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[250][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[250][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[250][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[250][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[250][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[250][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[250][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[250][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[250][SUM] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser191()
{
   _actionMap[250][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[250][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[250][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[250][ObjSpec] = 96;
   _jumpMap[250][Constant] = 95;
   _jumpMap[250][SignedFloat] = 94;
   _jumpMap[250][SignedInt] = 93;
   _jumpMap[250][Attribute] = 92;
   _jumpMap[250][ExpressionList] = 393;
   _jumpMap[250][Function] = 91;
   _jumpMap[250][CasePrepare] = 90;
   _jumpMap[250][CaseClause] = 89;
   _jumpMap[250][Factor] = 88;
   _jumpMap[250][Term] = 87;
   _jumpMap[250][Expr] = 361;
   _actionMap[251][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[251][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[251][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[251][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[251][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[251][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[251][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[251][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[251][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[251][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[251][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[251][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[251][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[251][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[251][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[251][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[251][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[251][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[251][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[251][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[251][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[251][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[251][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[251][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[251][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[251][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[251][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[251][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[251][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[251][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[251][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[251][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[251][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[251][LB] = ActionEntry(SHIFT, 137);
   _actionMap[251][STRINGVAL] = ActionEntry(SHIFT, 97);
}
void Cego::loadParser192()
{
   _actionMap[251][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[251][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[251][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[251][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[251][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[251][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[251][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[251][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[251][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[251][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[251][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[251][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[251][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[251][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[251][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[251][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[251][ObjSpec] = 96;
   _jumpMap[251][Constant] = 95;
   _jumpMap[251][SignedFloat] = 94;
   _jumpMap[251][SignedInt] = 93;
   _jumpMap[251][Attribute] = 92;
   _jumpMap[251][Function] = 91;
   _jumpMap[251][CasePrepare] = 90;
   _jumpMap[251][CaseClause] = 89;
   _jumpMap[251][Factor] = 88;
   _jumpMap[251][Term] = 87;
   _jumpMap[251][Expr] = 394;
   _actionMap[252][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[252][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[252][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[252][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[252][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[252][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[252][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[252][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[252][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[252][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[252][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[252][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[252][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[252][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[252][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[252][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[252][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[252][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[252][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[252][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[252][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[252][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[252][RANDINT] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser193()
{
   _actionMap[252][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[252][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[252][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[252][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[252][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[252][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[252][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[252][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[252][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[252][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[252][LB] = ActionEntry(SHIFT, 137);
   _actionMap[252][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[252][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[252][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[252][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[252][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[252][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[252][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[252][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[252][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[252][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[252][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[252][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[252][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[252][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[252][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[252][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[252][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[252][ObjSpec] = 96;
   _jumpMap[252][Constant] = 95;
   _jumpMap[252][SignedFloat] = 94;
   _jumpMap[252][SignedInt] = 93;
   _jumpMap[252][Attribute] = 92;
   _jumpMap[252][ExpressionList] = 395;
   _jumpMap[252][Function] = 91;
   _jumpMap[252][CasePrepare] = 90;
   _jumpMap[252][CaseClause] = 89;
   _jumpMap[252][Factor] = 88;
   _jumpMap[252][Term] = 87;
   _jumpMap[252][Expr] = 361;
   _actionMap[253][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[253][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[253][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[253][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[253][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[253][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[253][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[253][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[253][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[253][INT2DATE] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser194()
{
   _actionMap[253][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[253][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[253][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[253][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[253][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[253][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[253][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[253][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[253][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[253][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[253][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[253][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[253][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[253][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[253][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[253][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[253][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[253][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[253][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[253][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[253][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[253][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[253][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[253][LB] = ActionEntry(SHIFT, 137);
   _actionMap[253][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[253][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[253][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[253][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[253][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[253][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[253][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[253][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[253][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[253][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[253][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[253][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[253][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[253][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[253][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[253][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[253][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[253][ObjSpec] = 96;
   _jumpMap[253][Constant] = 95;
   _jumpMap[253][SignedFloat] = 94;
   _jumpMap[253][SignedInt] = 93;
   _jumpMap[253][Attribute] = 92;
   _jumpMap[253][ExpressionList] = 396;
   _jumpMap[253][Function] = 91;
   _jumpMap[253][CasePrepare] = 90;
   _jumpMap[253][CaseClause] = 89;
}
void Cego::loadParser195()
{
   _jumpMap[253][Factor] = 88;
   _jumpMap[253][Term] = 87;
   _jumpMap[253][Expr] = 361;
   _actionMap[254][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[254][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[254][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[254][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[254][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[254][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[254][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[254][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[254][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[254][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[254][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[254][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[254][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[254][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[254][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[254][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[254][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[254][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[254][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[254][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[254][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[254][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[254][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[254][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[254][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[254][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[254][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[254][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[254][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[254][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[254][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[254][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[254][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[254][LB] = ActionEntry(SHIFT, 137);
   _actionMap[254][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[254][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[254][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[254][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[254][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[254][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[254][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[254][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[254][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[254][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[254][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[254][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[254][COUNT] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser196()
{
   _actionMap[254][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[254][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[254][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[254][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[254][ObjSpec] = 96;
   _jumpMap[254][Constant] = 95;
   _jumpMap[254][SignedFloat] = 94;
   _jumpMap[254][SignedInt] = 93;
   _jumpMap[254][Attribute] = 92;
   _jumpMap[254][ExpressionList] = 397;
   _jumpMap[254][Function] = 91;
   _jumpMap[254][CasePrepare] = 90;
   _jumpMap[254][CaseClause] = 89;
   _jumpMap[254][Factor] = 88;
   _jumpMap[254][Term] = 87;
   _jumpMap[254][Expr] = 361;
   _actionMap[255][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[255][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[255][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[255][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[255][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[255][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[255][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[255][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[255][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[255][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[255][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[255][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[255][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[255][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[255][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[255][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[255][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[255][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[255][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[255][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[255][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[255][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[255][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[255][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[255][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[255][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[255][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[255][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[255][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[255][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[255][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[255][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[255][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[255][LB] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser197()
{
   _actionMap[255][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[255][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[255][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[255][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[255][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[255][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[255][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[255][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[255][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[255][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[255][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[255][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[255][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[255][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[255][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[255][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[255][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[255][ObjSpec] = 96;
   _jumpMap[255][Constant] = 95;
   _jumpMap[255][SignedFloat] = 94;
   _jumpMap[255][SignedInt] = 93;
   _jumpMap[255][Attribute] = 92;
   _jumpMap[255][ExpressionList] = 398;
   _jumpMap[255][Function] = 91;
   _jumpMap[255][CasePrepare] = 90;
   _jumpMap[255][CaseClause] = 89;
   _jumpMap[255][Factor] = 88;
   _jumpMap[255][Term] = 87;
   _jumpMap[255][Expr] = 361;
   _actionMap[256][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[256][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[256][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[256][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[256][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[256][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[256][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[256][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[256][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[256][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[256][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[256][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[256][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[256][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[256][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[256][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[256][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[256][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[256][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[256][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[256][STR2LONG] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser198()
{
   _actionMap[256][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[256][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[256][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[256][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[256][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[256][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[256][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[256][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[256][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[256][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[256][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[256][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[256][LB] = ActionEntry(SHIFT, 137);
   _actionMap[256][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[256][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[256][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[256][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[256][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[256][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[256][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[256][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[256][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[256][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[256][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[256][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[256][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[256][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[256][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[256][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[256][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[256][ObjSpec] = 96;
   _jumpMap[256][Constant] = 95;
   _jumpMap[256][SignedFloat] = 94;
   _jumpMap[256][SignedInt] = 93;
   _jumpMap[256][Attribute] = 92;
   _jumpMap[256][ExpressionList] = 399;
   _jumpMap[256][Function] = 91;
   _jumpMap[256][CasePrepare] = 90;
   _jumpMap[256][CaseClause] = 89;
   _jumpMap[256][Factor] = 88;
   _jumpMap[256][Term] = 87;
   _jumpMap[256][Expr] = 361;
   _actionMap[257][RB] = ActionEntry(SHIFT, 400);
   _actionMap[257][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[257][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[257][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[258][RB] = ActionEntry(SHIFT, 401);
   _actionMap[259][RB] = ActionEntry(SHIFT, 402);
   _actionMap[260][RB] = ActionEntry(SHIFT, 403);
   _actionMap[261][RB] = ActionEntry(SHIFT, 404);
}
void Cego::loadParser199()
{
   _actionMap[262][RB] = ActionEntry(SHIFT, 405);
   _actionMap[263][RB] = ActionEntry(SHIFT, 406);
   _actionMap[264][RB] = ActionEntry(SHIFT, 407);
   _actionMap[265][RB] = ActionEntry(SHIFT, 408);
   _actionMap[266][KSEP] = ActionEntry(SHIFT, 409);
   _actionMap[267][WHEN] = ActionEntry(REDUCE, 337);
   _actionMap[267][ELSE] = ActionEntry(REDUCE, 337);
   _actionMap[267][LEFT] = ActionEntry(REDUCE, 337);
   _actionMap[267][RIGHT] = ActionEntry(REDUCE, 337);
   _actionMap[267][INNER] = ActionEntry(REDUCE, 337);
   _actionMap[267][JOIN] = ActionEntry(REDUCE, 337);
   _actionMap[267][RETURNTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[267][ORDER] = ActionEntry(REDUCE, 337);
   _actionMap[267][GROUP] = ActionEntry(REDUCE, 337);
   _actionMap[267][WHERE] = ActionEntry(REDUCE, 337);
   _actionMap[267][AS] = ActionEntry(REDUCE, 337);
   _actionMap[267][FROM] = ActionEntry(REDUCE, 337);
   _actionMap[267][END_TOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[267][BEGIN] = ActionEntry(REDUCE, 337);
   _actionMap[267][THEN] = ActionEntry(REDUCE, 337);
   _actionMap[267][OR] = ActionEntry(REDUCE, 337);
   _actionMap[267][AND] = ActionEntry(REDUCE, 337);
   _actionMap[267][NULLTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[267][LIKE] = ActionEntry(REDUCE, 337);
   _actionMap[267][IS] = ActionEntry(REDUCE, 337);
   _actionMap[267][BETWEEN] = ActionEntry(REDUCE, 337);
   _actionMap[267][NOT] = ActionEntry(REDUCE, 337);
   _actionMap[267][INTOK] = ActionEntry(REDUCE, 337);
   _actionMap[267][EQU] = ActionEntry(REDUCE, 337);
   _actionMap[267][NEGATION] = ActionEntry(REDUCE, 337);
   _actionMap[267][LT] = ActionEntry(REDUCE, 337);
   _actionMap[267][MT] = ActionEntry(REDUCE, 337);
   _actionMap[267][DESC] = ActionEntry(REDUCE, 337);
   _actionMap[267][ASC] = ActionEntry(REDUCE, 337);
   _actionMap[267][KSEP] = ActionEntry(REDUCE, 337);
   _actionMap[267][ROWLIMIT] = ActionEntry(REDUCE, 337);
   _actionMap[267][UNION] = ActionEntry(REDUCE, 337);
   _actionMap[267][ENDTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[267][RB] = ActionEntry(REDUCE, 337);
   _actionMap[267][SEMICOLON] = ActionEntry(REDUCE, 337);
   _actionMap[267][CONCAT] = ActionEntry(REDUCE, 337);
   _actionMap[267][STAR] = ActionEntry(REDUCE, 337);
   _actionMap[267][DIVISION] = ActionEntry(REDUCE, 337);
   _actionMap[267][MINUS] = ActionEntry(REDUCE, 337);
   _actionMap[267][PLUS] = ActionEntry(REDUCE, 337);
   _actionMap[268][WHEN] = ActionEntry(REDUCE, 339);
   _actionMap[268][ELSE] = ActionEntry(REDUCE, 339);
   _actionMap[268][LEFT] = ActionEntry(REDUCE, 339);
   _actionMap[268][RIGHT] = ActionEntry(REDUCE, 339);
   _actionMap[268][INNER] = ActionEntry(REDUCE, 339);
}
void Cego::loadParser200()
{
   _actionMap[268][JOIN] = ActionEntry(REDUCE, 339);
   _actionMap[268][RETURNTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[268][ORDER] = ActionEntry(REDUCE, 339);
   _actionMap[268][GROUP] = ActionEntry(REDUCE, 339);
   _actionMap[268][WHERE] = ActionEntry(REDUCE, 339);
   _actionMap[268][AS] = ActionEntry(REDUCE, 339);
   _actionMap[268][FROM] = ActionEntry(REDUCE, 339);
   _actionMap[268][END_TOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[268][BEGIN] = ActionEntry(REDUCE, 339);
   _actionMap[268][THEN] = ActionEntry(REDUCE, 339);
   _actionMap[268][OR] = ActionEntry(REDUCE, 339);
   _actionMap[268][AND] = ActionEntry(REDUCE, 339);
   _actionMap[268][NULLTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[268][LIKE] = ActionEntry(REDUCE, 339);
   _actionMap[268][IS] = ActionEntry(REDUCE, 339);
   _actionMap[268][BETWEEN] = ActionEntry(REDUCE, 339);
   _actionMap[268][NOT] = ActionEntry(REDUCE, 339);
   _actionMap[268][INTOK] = ActionEntry(REDUCE, 339);
   _actionMap[268][EQU] = ActionEntry(REDUCE, 339);
   _actionMap[268][NEGATION] = ActionEntry(REDUCE, 339);
   _actionMap[268][LT] = ActionEntry(REDUCE, 339);
   _actionMap[268][MT] = ActionEntry(REDUCE, 339);
   _actionMap[268][DESC] = ActionEntry(REDUCE, 339);
   _actionMap[268][ASC] = ActionEntry(REDUCE, 339);
   _actionMap[268][KSEP] = ActionEntry(REDUCE, 339);
   _actionMap[268][ROWLIMIT] = ActionEntry(REDUCE, 339);
   _actionMap[268][UNION] = ActionEntry(REDUCE, 339);
   _actionMap[268][ENDTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[268][RB] = ActionEntry(REDUCE, 339);
   _actionMap[268][SEMICOLON] = ActionEntry(REDUCE, 339);
   _actionMap[268][CONCAT] = ActionEntry(REDUCE, 339);
   _actionMap[268][STAR] = ActionEntry(REDUCE, 339);
   _actionMap[268][DIVISION] = ActionEntry(REDUCE, 339);
   _actionMap[268][MINUS] = ActionEntry(REDUCE, 339);
   _actionMap[268][PLUS] = ActionEntry(REDUCE, 339);
   _actionMap[269][WHEN] = ActionEntry(REDUCE, 335);
   _actionMap[269][ELSE] = ActionEntry(REDUCE, 335);
   _actionMap[269][LEFT] = ActionEntry(REDUCE, 335);
   _actionMap[269][RIGHT] = ActionEntry(REDUCE, 335);
   _actionMap[269][INNER] = ActionEntry(REDUCE, 335);
   _actionMap[269][JOIN] = ActionEntry(REDUCE, 335);
   _actionMap[269][RETURNTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[269][GROUP] = ActionEntry(REDUCE, 335);
   _actionMap[269][WHERE] = ActionEntry(REDUCE, 335);
   _actionMap[269][FROM] = ActionEntry(REDUCE, 335);
   _actionMap[269][AS] = ActionEntry(REDUCE, 335);
   _actionMap[269][END_TOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[269][BEGIN] = ActionEntry(REDUCE, 335);
   _actionMap[269][THEN] = ActionEntry(REDUCE, 335);
   _actionMap[269][OR] = ActionEntry(REDUCE, 335);
}
void Cego::loadParser201()
{
   _actionMap[269][AND] = ActionEntry(REDUCE, 335);
   _actionMap[269][INTOK] = ActionEntry(REDUCE, 335);
   _actionMap[269][NOT] = ActionEntry(REDUCE, 335);
   _actionMap[269][BETWEEN] = ActionEntry(REDUCE, 335);
   _actionMap[269][IS] = ActionEntry(REDUCE, 335);
   _actionMap[269][LIKE] = ActionEntry(REDUCE, 335);
   _actionMap[269][HAVING] = ActionEntry(REDUCE, 335);
   _actionMap[269][ORDER] = ActionEntry(REDUCE, 335);
   _actionMap[269][MT] = ActionEntry(REDUCE, 335);
   _actionMap[269][LT] = ActionEntry(REDUCE, 335);
   _actionMap[269][NEGATION] = ActionEntry(REDUCE, 335);
   _actionMap[269][EQU] = ActionEntry(REDUCE, 335);
   _actionMap[269][RB] = ActionEntry(REDUCE, 335);
   _actionMap[269][ENDTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[269][UNION] = ActionEntry(REDUCE, 335);
   _actionMap[269][ROWLIMIT] = ActionEntry(REDUCE, 335);
   _actionMap[269][KSEP] = ActionEntry(REDUCE, 335);
   _actionMap[269][ASC] = ActionEntry(REDUCE, 335);
   _actionMap[269][DESC] = ActionEntry(REDUCE, 335);
   _actionMap[269][SEMICOLON] = ActionEntry(REDUCE, 335);
   _actionMap[269][PLUS] = ActionEntry(REDUCE, 335);
   _actionMap[269][MINUS] = ActionEntry(REDUCE, 335);
   _actionMap[269][DIVISION] = ActionEntry(REDUCE, 335);
   _actionMap[269][STAR] = ActionEntry(REDUCE, 335);
   _actionMap[269][CONCAT] = ActionEntry(REDUCE, 335);
   _actionMap[270][TO] = ActionEntry(SHIFT, 410);
   _actionMap[271][TO] = ActionEntry(SHIFT, 411);
   _actionMap[272][TO] = ActionEntry(SHIFT, 412);
   _actionMap[273][TO] = ActionEntry(SHIFT, 413);
   _actionMap[274][TO] = ActionEntry(SHIFT, 414);
   _actionMap[275][TO] = ActionEntry(SHIFT, 415);
   _actionMap[276][SEMICOLON] = ActionEntry(REDUCE, 39);
   _actionMap[277][SEMICOLON] = ActionEntry(REDUCE, 38);
   _actionMap[278][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[278][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[278][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[278][ObjSpec] = 420;
   _jumpMap[278][Table] = 419;
   _jumpMap[278][TableList] = 418;
   _jumpMap[278][JoinSpecList] = 417;
   _jumpMap[278][TableSource] = 416;
   _actionMap[279][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[279][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[279][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[279][FROM] = ActionEntry(REDUCE, 218);
   _actionMap[279][AS] = ActionEntry(SHIFT, 423);
   _actionMap[279][KSEP] = ActionEntry(REDUCE, 218);
   _jumpMap[279][NoAliasOpt] = 422;
   _jumpMap[279][AliasOpt] = 421;
   _actionMap[280][KSEP] = ActionEntry(SHIFT, 424);
}
void Cego::loadParser202()
{
   _actionMap[280][FROM] = ActionEntry(REDUCE, 197);
   _actionMap[281][FROM] = ActionEntry(REDUCE, 200);
   _actionMap[281][KSEP] = ActionEntry(REDUCE, 200);
   _actionMap[282][SEMICOLON] = ActionEntry(REDUCE, 32);
   _actionMap[283][SEMICOLON] = ActionEntry(REDUCE, 31);
   _actionMap[284][SEMICOLON] = ActionEntry(REDUCE, 34);
   _actionMap[285][SEMICOLON] = ActionEntry(REDUCE, 33);
   _actionMap[286][TO] = ActionEntry(SHIFT, 425);
   _actionMap[287][SEMICOLON] = ActionEntry(REDUCE, 35);
   _actionMap[288][SEMICOLON] = ActionEntry(REDUCE, 37);
   _actionMap[289][SEMICOLON] = ActionEntry(REDUCE, 36);
   _actionMap[290][SEMICOLON] = ActionEntry(REDUCE, 26);
   _actionMap[291][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[291][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[291][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[291][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[291][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[291][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[291][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[291][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[291][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[291][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[291][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[291][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[291][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[291][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[291][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[291][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[291][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[291][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[291][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[291][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[291][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[291][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[291][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[291][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[291][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[291][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[291][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[291][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[291][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[291][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[291][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[291][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[291][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[291][LB] = ActionEntry(SHIFT, 137);
   _actionMap[291][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[291][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[291][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[291][NULLTOKEN] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser203()
{
   _actionMap[291][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[291][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[291][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[291][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[291][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[291][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[291][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[291][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[291][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[291][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[291][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[291][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[291][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[291][ObjSpec] = 96;
   _jumpMap[291][Constant] = 95;
   _jumpMap[291][SignedFloat] = 94;
   _jumpMap[291][SignedInt] = 93;
   _jumpMap[291][Attribute] = 92;
   _jumpMap[291][Function] = 91;
   _jumpMap[291][CasePrepare] = 90;
   _jumpMap[291][CaseClause] = 89;
   _jumpMap[291][Factor] = 88;
   _jumpMap[291][Term] = 87;
   _jumpMap[291][Expr] = 426;
   _actionMap[292][SEMICOLON] = ActionEntry(REDUCE, 25);
   _actionMap[293][SEMICOLON] = ActionEntry(REDUCE, 23);
   _actionMap[294][SEMICOLON] = ActionEntry(REDUCE, 24);
   _actionMap[295][SET] = ActionEntry(SHIFT, 296);
   _actionMap[296][IDENTIFIER] = ActionEntry(SHIFT, 429);
   _jumpMap[296][Assignment] = 428;
   _jumpMap[296][UpdateList] = 427;
   _actionMap[297][SET] = ActionEntry(REDUCE, 251);
   _actionMap[297][WHERE] = ActionEntry(REDUCE, 251);
   _actionMap[297][GROUP] = ActionEntry(REDUCE, 251);
   _actionMap[297][ORDER] = ActionEntry(REDUCE, 251);
   _actionMap[297][ROWLIMIT] = ActionEntry(REDUCE, 251);
   _actionMap[297][UNION] = ActionEntry(REDUCE, 251);
   _actionMap[297][ENDTOKEN] = ActionEntry(REDUCE, 251);
   _actionMap[297][RB] = ActionEntry(REDUCE, 251);
   _actionMap[297][SEMICOLON] = ActionEntry(REDUCE, 251);
   _actionMap[297][RETURNTOKEN] = ActionEntry(REDUCE, 251);
   _actionMap[298][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[298][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[298][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[298][ObjSpec] = 430;
   _actionMap[38][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[38][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[38][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[38][ObjSpec] = 175;
   _actionMap[39][IDENTIFIER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser204()
{
   _actionMap[40][KEY] = ActionEntry(SHIFT, 177);
   _actionMap[41][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[41][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[41][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[41][ObjSpec] = 178;
   _actionMap[42][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[42][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[42][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[42][ObjSpec] = 179;
   _actionMap[43][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[43][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[43][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[43][ObjSpec] = 180;
   _actionMap[44][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[44][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[44][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[44][ObjSpec] = 181;
   _actionMap[45][ENDTOKEN] = ActionEntry(ACCEPT, 0);
   _actionMap[46][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[46][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[46][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[46][ObjSpec] = 182;
   _actionMap[47][IDENTIFIED] = ActionEntry(SHIFT, 183);
   _actionMap[48][LB] = ActionEntry(SHIFT, 184);
   _actionMap[49][TO] = ActionEntry(REDUCE, 359);
   _actionMap[49][VALUES] = ActionEntry(REDUCE, 359);
   _actionMap[49][SELECT] = ActionEntry(REDUCE, 359);
   _actionMap[49][SET] = ActionEntry(REDUCE, 359);
   _actionMap[49][AS] = ActionEntry(REDUCE, 359);
   _actionMap[49][DROP] = ActionEntry(REDUCE, 359);
   _actionMap[49][MODIFY] = ActionEntry(REDUCE, 359);
   _actionMap[49][RENAME] = ActionEntry(REDUCE, 359);
   _actionMap[49][ADD] = ActionEntry(REDUCE, 359);
   _actionMap[49][JOIN] = ActionEntry(REDUCE, 359);
   _actionMap[49][INNER] = ActionEntry(REDUCE, 359);
   _actionMap[49][RIGHT] = ActionEntry(REDUCE, 359);
   _actionMap[49][LEFT] = ActionEntry(REDUCE, 359);
   _actionMap[49][KSEP] = ActionEntry(REDUCE, 359);
   _actionMap[49][RETURNTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[49][SEMICOLON] = ActionEntry(REDUCE, 359);
   _actionMap[49][RB] = ActionEntry(REDUCE, 359);
   _actionMap[49][ENDTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[49][UNION] = ActionEntry(REDUCE, 359);
   _actionMap[49][ROWLIMIT] = ActionEntry(REDUCE, 359);
   _actionMap[49][ORDER] = ActionEntry(REDUCE, 359);
   _actionMap[49][GROUP] = ActionEntry(REDUCE, 359);
   _actionMap[49][WHERE] = ActionEntry(REDUCE, 359);
   _actionMap[49][LB] = ActionEntry(REDUCE, 359);
   _actionMap[49][IDENTIFIER] = ActionEntry(REDUCE, 359);
   _actionMap[49][ON] = ActionEntry(REDUCE, 359);
}
void Cego::loadParser205()
{
   _actionMap[50][TO] = ActionEntry(REDUCE, 360);
   _actionMap[50][VALUES] = ActionEntry(REDUCE, 360);
   _actionMap[50][SELECT] = ActionEntry(REDUCE, 360);
   _actionMap[50][SET] = ActionEntry(REDUCE, 360);
   _actionMap[50][AS] = ActionEntry(REDUCE, 360);
   _actionMap[50][DROP] = ActionEntry(REDUCE, 360);
   _actionMap[50][MODIFY] = ActionEntry(REDUCE, 360);
   _actionMap[50][RENAME] = ActionEntry(REDUCE, 360);
   _actionMap[50][ADD] = ActionEntry(REDUCE, 360);
   _actionMap[50][JOIN] = ActionEntry(REDUCE, 360);
   _actionMap[50][INNER] = ActionEntry(REDUCE, 360);
   _actionMap[50][RIGHT] = ActionEntry(REDUCE, 360);
   _actionMap[50][LEFT] = ActionEntry(REDUCE, 360);
   _actionMap[50][KSEP] = ActionEntry(REDUCE, 360);
   _actionMap[50][RETURNTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[50][SEMICOLON] = ActionEntry(REDUCE, 360);
   _actionMap[50][RB] = ActionEntry(REDUCE, 360);
   _actionMap[50][ENDTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[50][UNION] = ActionEntry(REDUCE, 360);
   _actionMap[50][ROWLIMIT] = ActionEntry(REDUCE, 360);
   _actionMap[50][ORDER] = ActionEntry(REDUCE, 360);
   _actionMap[50][GROUP] = ActionEntry(REDUCE, 360);
   _actionMap[50][WHERE] = ActionEntry(REDUCE, 360);
   _actionMap[50][LB] = ActionEntry(REDUCE, 360);
   _actionMap[50][IDENTIFIER] = ActionEntry(REDUCE, 360);
   _actionMap[50][ON] = ActionEntry(REDUCE, 360);
   _actionMap[51][TO] = ActionEntry(REDUCE, 361);
   _actionMap[51][VALUES] = ActionEntry(REDUCE, 361);
   _actionMap[51][SELECT] = ActionEntry(REDUCE, 361);
   _actionMap[51][SET] = ActionEntry(REDUCE, 361);
   _actionMap[51][AS] = ActionEntry(REDUCE, 361);
   _actionMap[51][DROP] = ActionEntry(REDUCE, 361);
   _actionMap[51][MODIFY] = ActionEntry(REDUCE, 361);
   _actionMap[51][RENAME] = ActionEntry(REDUCE, 361);
   _actionMap[51][ADD] = ActionEntry(REDUCE, 361);
   _actionMap[51][JOIN] = ActionEntry(REDUCE, 361);
   _actionMap[51][INNER] = ActionEntry(REDUCE, 361);
   _actionMap[51][RIGHT] = ActionEntry(REDUCE, 361);
   _actionMap[51][LEFT] = ActionEntry(REDUCE, 361);
   _actionMap[51][KSEP] = ActionEntry(REDUCE, 361);
   _actionMap[51][RETURNTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[51][SEMICOLON] = ActionEntry(REDUCE, 361);
   _actionMap[51][RB] = ActionEntry(REDUCE, 361);
   _actionMap[51][ENDTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[51][UNION] = ActionEntry(REDUCE, 361);
   _actionMap[51][ROWLIMIT] = ActionEntry(REDUCE, 361);
   _actionMap[51][ORDER] = ActionEntry(REDUCE, 361);
   _actionMap[51][GROUP] = ActionEntry(REDUCE, 361);
   _actionMap[51][WHERE] = ActionEntry(REDUCE, 361);
   _actionMap[51][IDENTIFIER] = ActionEntry(REDUCE, 361);
}
void Cego::loadParser206()
{
   _actionMap[51][ON] = ActionEntry(REDUCE, 361);
   _actionMap[51][LB] = ActionEntry(REDUCE, 361);
   _actionMap[52][IDENTIFIER] = ActionEntry(SHIFT, 185);
   _actionMap[53][BEGIN] = ActionEntry(SHIFT, 186);
   _actionMap[54][SEMICOLON] = ActionEntry(REDUCE, 49);
   _actionMap[55][INDEX] = ActionEntry(SHIFT, 187);
   _actionMap[56][IDENTIFIER] = ActionEntry(SHIFT, 188);
   _actionMap[57][INDEX] = ActionEntry(SHIFT, 189);
   _actionMap[58][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[58][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[58][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[58][ObjSpec] = 190;
   _actionMap[59][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[59][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[59][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[59][ObjSpec] = 191;
   _actionMap[60][INDEX] = ActionEntry(REDUCE, 179);
   _actionMap[61][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[61][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[61][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[61][ObjSpec] = 192;
   _actionMap[62][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[62][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[62][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[62][ObjSpec] = 193;
   _actionMap[63][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[63][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[63][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[63][ObjSpec] = 194;
   _actionMap[64][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[64][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[64][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[64][ObjSpec] = 195;
   _actionMap[65][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[65][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[65][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[65][ObjSpec] = 196;
   _actionMap[66][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[66][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[66][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[66][ObjSpec] = 197;
   _actionMap[67][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[67][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[67][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[67][ObjSpec] = 198;
   _actionMap[68][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[68][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[68][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[68][ObjSpec] = 199;
   _actionMap[69][EXISTS] = ActionEntry(SHIFT, 200);
}
void Cego::loadParser207()
{
   _actionMap[70][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[70][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[70][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[70][ObjSpec] = 201;
   _actionMap[71][IDENTIFIER] = ActionEntry(SHIFT, 202);
   _actionMap[71][SEMICOLON] = ActionEntry(REDUCE, 72);
   _actionMap[72][IDENTIFIER] = ActionEntry(REDUCE, 74);
   _actionMap[72][SEMICOLON] = ActionEntry(REDUCE, 74);
   _actionMap[73][FOR] = ActionEntry(SHIFT, 204);
   _actionMap[73][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[73][TableSetOpt] = 203;
   _actionMap[74][FOR] = ActionEntry(SHIFT, 204);
   _actionMap[74][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[74][TableSetOpt] = 205;
   _actionMap[75][FOR] = ActionEntry(SHIFT, 204);
   _actionMap[75][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[75][TableSetOpt] = 206;
   _actionMap[76][FOR] = ActionEntry(SHIFT, 204);
   _actionMap[76][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[76][TableSetOpt] = 207;
   _actionMap[77][FOR] = ActionEntry(SHIFT, 204);
   _actionMap[77][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[77][TableSetOpt] = 208;
   _actionMap[78][FOR] = ActionEntry(SHIFT, 204);
   _actionMap[78][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[78][TableSetOpt] = 209;
   _actionMap[79][FOR] = ActionEntry(SHIFT, 204);
   _actionMap[79][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[79][TableSetOpt] = 210;
   _actionMap[80][SEMICOLON] = ActionEntry(REDUCE, 2);
   _actionMap[81][FOR] = ActionEntry(SHIFT, 204);
   _actionMap[81][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[81][TableSetOpt] = 211;
   _actionMap[82][FOR] = ActionEntry(SHIFT, 204);
   _actionMap[82][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[82][TableSetOpt] = 212;
   _actionMap[83][SEMICOLON] = ActionEntry(REDUCE, 50);
   _actionMap[84][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[84][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[84][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[84][ObjSpec] = 213;
   _actionMap[85][SEMICOLON] = ActionEntry(REDUCE, 41);
   _actionMap[86][PLUS] = ActionEntry(SHIFT, 216);
   _actionMap[86][MINUS] = ActionEntry(SHIFT, 215);
   _actionMap[86][CONCAT] = ActionEntry(SHIFT, 214);
   _actionMap[86][SEMICOLON] = ActionEntry(REDUCE, 67);
   _actionMap[87][STAR] = ActionEntry(SHIFT, 217);
   _actionMap[87][DIVISION] = ActionEntry(SHIFT, 218);
   _actionMap[87][WHEN] = ActionEntry(REDUCE, 138);
   _actionMap[87][ELSE] = ActionEntry(REDUCE, 138);
}
void Cego::loadParser208()
{
   _actionMap[87][LEFT] = ActionEntry(REDUCE, 138);
   _actionMap[87][RIGHT] = ActionEntry(REDUCE, 138);
   _actionMap[87][INNER] = ActionEntry(REDUCE, 138);
   _actionMap[87][JOIN] = ActionEntry(REDUCE, 138);
   _actionMap[87][RETURNTOKEN] = ActionEntry(REDUCE, 138);
   _actionMap[87][ORDER] = ActionEntry(REDUCE, 138);
   _actionMap[87][GROUP] = ActionEntry(REDUCE, 138);
   _actionMap[87][WHERE] = ActionEntry(REDUCE, 138);
   _actionMap[87][BEGIN] = ActionEntry(REDUCE, 138);
   _actionMap[87][THEN] = ActionEntry(REDUCE, 138);
   _actionMap[87][OR] = ActionEntry(REDUCE, 138);
   _actionMap[87][AS] = ActionEntry(REDUCE, 138);
   _actionMap[87][FROM] = ActionEntry(REDUCE, 138);
   _actionMap[87][END_TOKEN] = ActionEntry(REDUCE, 138);
   _actionMap[87][AND] = ActionEntry(REDUCE, 138);
   _actionMap[87][LIKE] = ActionEntry(REDUCE, 138);
   _actionMap[87][IS] = ActionEntry(REDUCE, 138);
   _actionMap[87][BETWEEN] = ActionEntry(REDUCE, 138);
   _actionMap[87][NOT] = ActionEntry(REDUCE, 138);
   _actionMap[87][INTOK] = ActionEntry(REDUCE, 138);
   _actionMap[87][EQU] = ActionEntry(REDUCE, 138);
   _actionMap[87][NEGATION] = ActionEntry(REDUCE, 138);
   _actionMap[87][LT] = ActionEntry(REDUCE, 138);
   _actionMap[87][MT] = ActionEntry(REDUCE, 138);
   _actionMap[87][DESC] = ActionEntry(REDUCE, 138);
   _actionMap[87][ASC] = ActionEntry(REDUCE, 138);
   _actionMap[87][KSEP] = ActionEntry(REDUCE, 138);
   _actionMap[87][ROWLIMIT] = ActionEntry(REDUCE, 138);
   _actionMap[87][UNION] = ActionEntry(REDUCE, 138);
   _actionMap[87][ENDTOKEN] = ActionEntry(REDUCE, 138);
   _actionMap[87][RB] = ActionEntry(REDUCE, 138);
   _actionMap[87][SEMICOLON] = ActionEntry(REDUCE, 138);
   _actionMap[87][CONCAT] = ActionEntry(REDUCE, 138);
   _actionMap[87][MINUS] = ActionEntry(REDUCE, 138);
   _actionMap[87][PLUS] = ActionEntry(REDUCE, 138);
   _actionMap[88][WHEN] = ActionEntry(REDUCE, 142);
   _actionMap[88][ELSE] = ActionEntry(REDUCE, 142);
   _actionMap[88][LEFT] = ActionEntry(REDUCE, 142);
   _actionMap[88][RIGHT] = ActionEntry(REDUCE, 142);
   _actionMap[88][INNER] = ActionEntry(REDUCE, 142);
   _actionMap[88][JOIN] = ActionEntry(REDUCE, 142);
   _actionMap[88][RETURNTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[88][ORDER] = ActionEntry(REDUCE, 142);
   _actionMap[88][GROUP] = ActionEntry(REDUCE, 142);
   _actionMap[88][WHERE] = ActionEntry(REDUCE, 142);
   _actionMap[88][BEGIN] = ActionEntry(REDUCE, 142);
   _actionMap[88][THEN] = ActionEntry(REDUCE, 142);
   _actionMap[88][OR] = ActionEntry(REDUCE, 142);
   _actionMap[88][FROM] = ActionEntry(REDUCE, 142);
   _actionMap[88][AS] = ActionEntry(REDUCE, 142);
}
void Cego::loadParser209()
{
   _actionMap[88][END_TOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[88][AND] = ActionEntry(REDUCE, 142);
   _actionMap[88][INTOK] = ActionEntry(REDUCE, 142);
   _actionMap[88][NOT] = ActionEntry(REDUCE, 142);
   _actionMap[88][BETWEEN] = ActionEntry(REDUCE, 142);
   _actionMap[88][IS] = ActionEntry(REDUCE, 142);
   _actionMap[88][LIKE] = ActionEntry(REDUCE, 142);
   _actionMap[88][MT] = ActionEntry(REDUCE, 142);
   _actionMap[88][LT] = ActionEntry(REDUCE, 142);
   _actionMap[88][NEGATION] = ActionEntry(REDUCE, 142);
   _actionMap[88][EQU] = ActionEntry(REDUCE, 142);
   _actionMap[88][RB] = ActionEntry(REDUCE, 142);
   _actionMap[88][ENDTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[88][UNION] = ActionEntry(REDUCE, 142);
   _actionMap[88][ROWLIMIT] = ActionEntry(REDUCE, 142);
   _actionMap[88][KSEP] = ActionEntry(REDUCE, 142);
   _actionMap[88][ASC] = ActionEntry(REDUCE, 142);
   _actionMap[88][DESC] = ActionEntry(REDUCE, 142);
   _actionMap[88][SEMICOLON] = ActionEntry(REDUCE, 142);
   _actionMap[88][PLUS] = ActionEntry(REDUCE, 142);
   _actionMap[88][MINUS] = ActionEntry(REDUCE, 142);
   _actionMap[88][DIVISION] = ActionEntry(REDUCE, 142);
   _actionMap[88][STAR] = ActionEntry(REDUCE, 142);
   _actionMap[88][CONCAT] = ActionEntry(REDUCE, 142);
   _actionMap[89][WHEN] = ActionEntry(REDUCE, 150);
   _actionMap[89][ELSE] = ActionEntry(REDUCE, 150);
   _actionMap[89][LEFT] = ActionEntry(REDUCE, 150);
   _actionMap[89][RIGHT] = ActionEntry(REDUCE, 150);
   _actionMap[89][INNER] = ActionEntry(REDUCE, 150);
   _actionMap[89][JOIN] = ActionEntry(REDUCE, 150);
   _actionMap[89][RETURNTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[89][ORDER] = ActionEntry(REDUCE, 150);
   _actionMap[89][GROUP] = ActionEntry(REDUCE, 150);
   _actionMap[89][WHERE] = ActionEntry(REDUCE, 150);
   _actionMap[89][BEGIN] = ActionEntry(REDUCE, 150);
   _actionMap[89][THEN] = ActionEntry(REDUCE, 150);
   _actionMap[89][OR] = ActionEntry(REDUCE, 150);
   _actionMap[89][AS] = ActionEntry(REDUCE, 150);
   _actionMap[89][FROM] = ActionEntry(REDUCE, 150);
   _actionMap[89][END_TOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[89][AND] = ActionEntry(REDUCE, 150);
   _actionMap[89][LIKE] = ActionEntry(REDUCE, 150);
   _actionMap[89][IS] = ActionEntry(REDUCE, 150);
   _actionMap[89][BETWEEN] = ActionEntry(REDUCE, 150);
   _actionMap[89][NOT] = ActionEntry(REDUCE, 150);
   _actionMap[89][INTOK] = ActionEntry(REDUCE, 150);
   _actionMap[89][EQU] = ActionEntry(REDUCE, 150);
   _actionMap[89][NEGATION] = ActionEntry(REDUCE, 150);
   _actionMap[89][LT] = ActionEntry(REDUCE, 150);
   _actionMap[89][MT] = ActionEntry(REDUCE, 150);
}
void Cego::loadParser210()
{
   _actionMap[89][DESC] = ActionEntry(REDUCE, 150);
   _actionMap[89][ASC] = ActionEntry(REDUCE, 150);
   _actionMap[89][KSEP] = ActionEntry(REDUCE, 150);
   _actionMap[89][ROWLIMIT] = ActionEntry(REDUCE, 150);
   _actionMap[89][UNION] = ActionEntry(REDUCE, 150);
   _actionMap[89][ENDTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[89][RB] = ActionEntry(REDUCE, 150);
   _actionMap[89][SEMICOLON] = ActionEntry(REDUCE, 150);
   _actionMap[89][CONCAT] = ActionEntry(REDUCE, 150);
   _actionMap[89][STAR] = ActionEntry(REDUCE, 150);
   _actionMap[89][DIVISION] = ActionEntry(REDUCE, 150);
   _actionMap[89][MINUS] = ActionEntry(REDUCE, 150);
   _actionMap[89][PLUS] = ActionEntry(REDUCE, 150);
   _actionMap[90][WHEN] = ActionEntry(SHIFT, 221);
   _jumpMap[90][CaseCondition] = 220;
   _jumpMap[90][CaseConditionList] = 219;
   _actionMap[91][WHEN] = ActionEntry(REDUCE, 147);
   _actionMap[91][ELSE] = ActionEntry(REDUCE, 147);
   _actionMap[91][LEFT] = ActionEntry(REDUCE, 147);
   _actionMap[91][RIGHT] = ActionEntry(REDUCE, 147);
   _actionMap[91][INNER] = ActionEntry(REDUCE, 147);
   _actionMap[91][JOIN] = ActionEntry(REDUCE, 147);
   _actionMap[91][RETURNTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[91][ORDER] = ActionEntry(REDUCE, 147);
   _actionMap[91][GROUP] = ActionEntry(REDUCE, 147);
   _actionMap[91][WHERE] = ActionEntry(REDUCE, 147);
   _actionMap[91][BEGIN] = ActionEntry(REDUCE, 147);
   _actionMap[91][THEN] = ActionEntry(REDUCE, 147);
   _actionMap[91][OR] = ActionEntry(REDUCE, 147);
   _actionMap[91][AS] = ActionEntry(REDUCE, 147);
   _actionMap[91][FROM] = ActionEntry(REDUCE, 147);
   _actionMap[91][END_TOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[91][AND] = ActionEntry(REDUCE, 147);
   _actionMap[91][LIKE] = ActionEntry(REDUCE, 147);
   _actionMap[91][IS] = ActionEntry(REDUCE, 147);
   _actionMap[91][BETWEEN] = ActionEntry(REDUCE, 147);
   _actionMap[91][NOT] = ActionEntry(REDUCE, 147);
   _actionMap[91][INTOK] = ActionEntry(REDUCE, 147);
   _actionMap[91][EQU] = ActionEntry(REDUCE, 147);
   _actionMap[91][NEGATION] = ActionEntry(REDUCE, 147);
   _actionMap[91][LT] = ActionEntry(REDUCE, 147);
   _actionMap[91][MT] = ActionEntry(REDUCE, 147);
   _actionMap[91][DESC] = ActionEntry(REDUCE, 147);
   _actionMap[91][ASC] = ActionEntry(REDUCE, 147);
   _actionMap[91][KSEP] = ActionEntry(REDUCE, 147);
   _actionMap[91][ROWLIMIT] = ActionEntry(REDUCE, 147);
   _actionMap[91][UNION] = ActionEntry(REDUCE, 147);
   _actionMap[91][ENDTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[91][RB] = ActionEntry(REDUCE, 147);
   _actionMap[91][SEMICOLON] = ActionEntry(REDUCE, 147);
}
void Cego::loadParser211()
{
   _actionMap[91][CONCAT] = ActionEntry(REDUCE, 147);
   _actionMap[91][STAR] = ActionEntry(REDUCE, 147);
   _actionMap[91][DIVISION] = ActionEntry(REDUCE, 147);
   _actionMap[91][MINUS] = ActionEntry(REDUCE, 147);
   _actionMap[91][PLUS] = ActionEntry(REDUCE, 147);
   _actionMap[92][WHEN] = ActionEntry(REDUCE, 146);
   _actionMap[92][ELSE] = ActionEntry(REDUCE, 146);
   _actionMap[92][LEFT] = ActionEntry(REDUCE, 146);
   _actionMap[92][RIGHT] = ActionEntry(REDUCE, 146);
   _actionMap[92][INNER] = ActionEntry(REDUCE, 146);
   _actionMap[92][JOIN] = ActionEntry(REDUCE, 146);
   _actionMap[92][RETURNTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[92][ORDER] = ActionEntry(REDUCE, 146);
   _actionMap[92][GROUP] = ActionEntry(REDUCE, 146);
   _actionMap[92][WHERE] = ActionEntry(REDUCE, 146);
   _actionMap[92][AS] = ActionEntry(REDUCE, 146);
   _actionMap[92][FROM] = ActionEntry(REDUCE, 146);
   _actionMap[92][END_TOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[92][BEGIN] = ActionEntry(REDUCE, 146);
   _actionMap[92][THEN] = ActionEntry(REDUCE, 146);
   _actionMap[92][OR] = ActionEntry(REDUCE, 146);
   _actionMap[92][AND] = ActionEntry(REDUCE, 146);
   _actionMap[92][LIKE] = ActionEntry(REDUCE, 146);
   _actionMap[92][IS] = ActionEntry(REDUCE, 146);
   _actionMap[92][BETWEEN] = ActionEntry(REDUCE, 146);
   _actionMap[92][NOT] = ActionEntry(REDUCE, 146);
   _actionMap[92][INTOK] = ActionEntry(REDUCE, 146);
   _actionMap[92][EQU] = ActionEntry(REDUCE, 146);
   _actionMap[92][NEGATION] = ActionEntry(REDUCE, 146);
   _actionMap[92][LT] = ActionEntry(REDUCE, 146);
   _actionMap[92][MT] = ActionEntry(REDUCE, 146);
   _actionMap[92][DESC] = ActionEntry(REDUCE, 146);
   _actionMap[92][ASC] = ActionEntry(REDUCE, 146);
   _actionMap[92][KSEP] = ActionEntry(REDUCE, 146);
   _actionMap[92][ROWLIMIT] = ActionEntry(REDUCE, 146);
   _actionMap[92][UNION] = ActionEntry(REDUCE, 146);
   _actionMap[92][ENDTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[92][RB] = ActionEntry(REDUCE, 146);
   _actionMap[92][SEMICOLON] = ActionEntry(REDUCE, 146);
   _actionMap[92][CONCAT] = ActionEntry(REDUCE, 146);
   _actionMap[92][STAR] = ActionEntry(REDUCE, 146);
   _actionMap[92][DIVISION] = ActionEntry(REDUCE, 146);
   _actionMap[92][MINUS] = ActionEntry(REDUCE, 146);
   _actionMap[92][PLUS] = ActionEntry(REDUCE, 146);
   _actionMap[93][WHEN] = ActionEntry(REDUCE, 340);
   _actionMap[93][ELSE] = ActionEntry(REDUCE, 340);
   _actionMap[93][LEFT] = ActionEntry(REDUCE, 340);
   _actionMap[93][RIGHT] = ActionEntry(REDUCE, 340);
   _actionMap[93][INNER] = ActionEntry(REDUCE, 340);
   _actionMap[93][JOIN] = ActionEntry(REDUCE, 340);
}
void Cego::loadParser212()
{
   _actionMap[93][RETURNTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[93][ORDER] = ActionEntry(REDUCE, 340);
   _actionMap[93][GROUP] = ActionEntry(REDUCE, 340);
   _actionMap[93][WHERE] = ActionEntry(REDUCE, 340);
   _actionMap[93][NULLTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[93][FROM] = ActionEntry(REDUCE, 340);
   _actionMap[93][AS] = ActionEntry(REDUCE, 340);
   _actionMap[93][END_TOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[93][BEGIN] = ActionEntry(REDUCE, 340);
   _actionMap[93][THEN] = ActionEntry(REDUCE, 340);
   _actionMap[93][OR] = ActionEntry(REDUCE, 340);
   _actionMap[93][AND] = ActionEntry(REDUCE, 340);
   _actionMap[93][INTOK] = ActionEntry(REDUCE, 340);
   _actionMap[93][NOT] = ActionEntry(REDUCE, 340);
   _actionMap[93][BETWEEN] = ActionEntry(REDUCE, 340);
   _actionMap[93][IS] = ActionEntry(REDUCE, 340);
   _actionMap[93][LIKE] = ActionEntry(REDUCE, 340);
   _actionMap[93][MT] = ActionEntry(REDUCE, 340);
   _actionMap[93][LT] = ActionEntry(REDUCE, 340);
   _actionMap[93][NEGATION] = ActionEntry(REDUCE, 340);
   _actionMap[93][EQU] = ActionEntry(REDUCE, 340);
   _actionMap[93][RB] = ActionEntry(REDUCE, 340);
   _actionMap[93][ENDTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[93][UNION] = ActionEntry(REDUCE, 340);
   _actionMap[93][ROWLIMIT] = ActionEntry(REDUCE, 340);
   _actionMap[93][KSEP] = ActionEntry(REDUCE, 340);
   _actionMap[93][ASC] = ActionEntry(REDUCE, 340);
   _actionMap[93][DESC] = ActionEntry(REDUCE, 340);
   _actionMap[93][SEMICOLON] = ActionEntry(REDUCE, 340);
   _actionMap[93][PLUS] = ActionEntry(REDUCE, 340);
   _actionMap[93][MINUS] = ActionEntry(REDUCE, 340);
   _actionMap[93][DIVISION] = ActionEntry(REDUCE, 340);
   _actionMap[93][STAR] = ActionEntry(REDUCE, 340);
   _actionMap[93][CONCAT] = ActionEntry(REDUCE, 340);
   _actionMap[94][WHEN] = ActionEntry(REDUCE, 346);
   _actionMap[94][ELSE] = ActionEntry(REDUCE, 346);
   _actionMap[94][LEFT] = ActionEntry(REDUCE, 346);
   _actionMap[94][RIGHT] = ActionEntry(REDUCE, 346);
   _actionMap[94][INNER] = ActionEntry(REDUCE, 346);
   _actionMap[94][JOIN] = ActionEntry(REDUCE, 346);
   _actionMap[94][RETURNTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[94][ORDER] = ActionEntry(REDUCE, 346);
   _actionMap[94][GROUP] = ActionEntry(REDUCE, 346);
   _actionMap[94][WHERE] = ActionEntry(REDUCE, 346);
   _actionMap[94][NULLTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[94][FROM] = ActionEntry(REDUCE, 346);
   _actionMap[94][AS] = ActionEntry(REDUCE, 346);
   _actionMap[94][END_TOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[94][BEGIN] = ActionEntry(REDUCE, 346);
   _actionMap[94][THEN] = ActionEntry(REDUCE, 346);
}
void Cego::loadParser213()
{
   _actionMap[94][OR] = ActionEntry(REDUCE, 346);
   _actionMap[94][AND] = ActionEntry(REDUCE, 346);
   _actionMap[94][INTOK] = ActionEntry(REDUCE, 346);
   _actionMap[94][NOT] = ActionEntry(REDUCE, 346);
   _actionMap[94][BETWEEN] = ActionEntry(REDUCE, 346);
   _actionMap[94][IS] = ActionEntry(REDUCE, 346);
   _actionMap[94][LIKE] = ActionEntry(REDUCE, 346);
   _actionMap[94][MT] = ActionEntry(REDUCE, 346);
   _actionMap[94][LT] = ActionEntry(REDUCE, 346);
   _actionMap[94][NEGATION] = ActionEntry(REDUCE, 346);
   _actionMap[94][EQU] = ActionEntry(REDUCE, 346);
   _actionMap[94][RB] = ActionEntry(REDUCE, 346);
   _actionMap[94][ENDTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[94][UNION] = ActionEntry(REDUCE, 346);
   _actionMap[94][ROWLIMIT] = ActionEntry(REDUCE, 346);
   _actionMap[94][KSEP] = ActionEntry(REDUCE, 346);
   _actionMap[94][ASC] = ActionEntry(REDUCE, 346);
   _actionMap[94][DESC] = ActionEntry(REDUCE, 346);
   _actionMap[94][SEMICOLON] = ActionEntry(REDUCE, 346);
   _actionMap[94][PLUS] = ActionEntry(REDUCE, 346);
   _actionMap[94][MINUS] = ActionEntry(REDUCE, 346);
   _actionMap[94][DIVISION] = ActionEntry(REDUCE, 346);
   _actionMap[94][STAR] = ActionEntry(REDUCE, 346);
   _actionMap[94][CONCAT] = ActionEntry(REDUCE, 346);
   _actionMap[95][WHEN] = ActionEntry(REDUCE, 144);
   _actionMap[95][ELSE] = ActionEntry(REDUCE, 144);
   _actionMap[95][LEFT] = ActionEntry(REDUCE, 144);
   _actionMap[95][RIGHT] = ActionEntry(REDUCE, 144);
   _actionMap[95][INNER] = ActionEntry(REDUCE, 144);
   _actionMap[95][JOIN] = ActionEntry(REDUCE, 144);
   _actionMap[95][RETURNTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[95][ORDER] = ActionEntry(REDUCE, 144);
   _actionMap[95][GROUP] = ActionEntry(REDUCE, 144);
   _actionMap[95][WHERE] = ActionEntry(REDUCE, 144);
   _actionMap[95][AS] = ActionEntry(REDUCE, 144);
   _actionMap[95][FROM] = ActionEntry(REDUCE, 144);
   _actionMap[95][END_TOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[95][BEGIN] = ActionEntry(REDUCE, 144);
   _actionMap[95][THEN] = ActionEntry(REDUCE, 144);
   _actionMap[95][OR] = ActionEntry(REDUCE, 144);
   _actionMap[95][AND] = ActionEntry(REDUCE, 144);
   _actionMap[95][LIKE] = ActionEntry(REDUCE, 144);
   _actionMap[95][IS] = ActionEntry(REDUCE, 144);
   _actionMap[95][BETWEEN] = ActionEntry(REDUCE, 144);
   _actionMap[95][NOT] = ActionEntry(REDUCE, 144);
   _actionMap[95][INTOK] = ActionEntry(REDUCE, 144);
   _actionMap[95][EQU] = ActionEntry(REDUCE, 144);
   _actionMap[95][NEGATION] = ActionEntry(REDUCE, 144);
   _actionMap[95][LT] = ActionEntry(REDUCE, 144);
   _actionMap[95][MT] = ActionEntry(REDUCE, 144);
}
void Cego::loadParser214()
{
   _actionMap[95][DESC] = ActionEntry(REDUCE, 144);
   _actionMap[95][ASC] = ActionEntry(REDUCE, 144);
   _actionMap[95][KSEP] = ActionEntry(REDUCE, 144);
   _actionMap[95][ROWLIMIT] = ActionEntry(REDUCE, 144);
   _actionMap[95][UNION] = ActionEntry(REDUCE, 144);
   _actionMap[95][ENDTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[95][RB] = ActionEntry(REDUCE, 144);
   _actionMap[95][SEMICOLON] = ActionEntry(REDUCE, 144);
   _actionMap[95][CONCAT] = ActionEntry(REDUCE, 144);
   _actionMap[95][STAR] = ActionEntry(REDUCE, 144);
   _actionMap[95][DIVISION] = ActionEntry(REDUCE, 144);
   _actionMap[95][MINUS] = ActionEntry(REDUCE, 144);
   _actionMap[95][PLUS] = ActionEntry(REDUCE, 144);
   _actionMap[96][LB] = ActionEntry(SHIFT, 222);
   _actionMap[97][WHEN] = ActionEntry(REDUCE, 345);
   _actionMap[97][ELSE] = ActionEntry(REDUCE, 345);
   _actionMap[97][LEFT] = ActionEntry(REDUCE, 345);
   _actionMap[97][RIGHT] = ActionEntry(REDUCE, 345);
   _actionMap[97][INNER] = ActionEntry(REDUCE, 345);
   _actionMap[97][JOIN] = ActionEntry(REDUCE, 345);
   _actionMap[97][RETURNTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[97][ORDER] = ActionEntry(REDUCE, 345);
   _actionMap[97][GROUP] = ActionEntry(REDUCE, 345);
   _actionMap[97][WHERE] = ActionEntry(REDUCE, 345);
   _actionMap[97][NULLTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[97][FROM] = ActionEntry(REDUCE, 345);
   _actionMap[97][AS] = ActionEntry(REDUCE, 345);
   _actionMap[97][END_TOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[97][BEGIN] = ActionEntry(REDUCE, 345);
   _actionMap[97][THEN] = ActionEntry(REDUCE, 345);
   _actionMap[97][OR] = ActionEntry(REDUCE, 345);
   _actionMap[97][AND] = ActionEntry(REDUCE, 345);
   _actionMap[97][INTOK] = ActionEntry(REDUCE, 345);
   _actionMap[97][NOT] = ActionEntry(REDUCE, 345);
   _actionMap[97][BETWEEN] = ActionEntry(REDUCE, 345);
   _actionMap[97][IS] = ActionEntry(REDUCE, 345);
   _actionMap[97][LIKE] = ActionEntry(REDUCE, 345);
   _actionMap[97][MT] = ActionEntry(REDUCE, 345);
   _actionMap[97][LT] = ActionEntry(REDUCE, 345);
   _actionMap[97][NEGATION] = ActionEntry(REDUCE, 345);
   _actionMap[97][EQU] = ActionEntry(REDUCE, 345);
   _actionMap[97][RB] = ActionEntry(REDUCE, 345);
   _actionMap[97][ENDTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[97][UNION] = ActionEntry(REDUCE, 345);
   _actionMap[97][ROWLIMIT] = ActionEntry(REDUCE, 345);
   _actionMap[97][KSEP] = ActionEntry(REDUCE, 345);
   _actionMap[97][ASC] = ActionEntry(REDUCE, 345);
   _actionMap[97][DESC] = ActionEntry(REDUCE, 345);
   _actionMap[97][SEMICOLON] = ActionEntry(REDUCE, 345);
   _actionMap[97][PLUS] = ActionEntry(REDUCE, 345);
}
void Cego::loadParser215()
{
   _actionMap[97][MINUS] = ActionEntry(REDUCE, 345);
   _actionMap[97][DIVISION] = ActionEntry(REDUCE, 345);
   _actionMap[97][STAR] = ActionEntry(REDUCE, 345);
   _actionMap[97][CONCAT] = ActionEntry(REDUCE, 345);
   _actionMap[98][LB] = ActionEntry(SHIFT, 223);
   _actionMap[99][LB] = ActionEntry(SHIFT, 224);
   _actionMap[100][LB] = ActionEntry(SHIFT, 225);
   _actionMap[101][LB] = ActionEntry(SHIFT, 226);
   _actionMap[102][WHEN] = ActionEntry(REDUCE, 161);
   _actionMap[103][LB] = ActionEntry(SHIFT, 227);
   _actionMap[104][LB] = ActionEntry(SHIFT, 228);
   _actionMap[105][LB] = ActionEntry(SHIFT, 229);
   _actionMap[106][LB] = ActionEntry(SHIFT, 230);
   _actionMap[107][LB] = ActionEntry(SHIFT, 231);
   _actionMap[108][WHEN] = ActionEntry(REDUCE, 354);
   _actionMap[108][ELSE] = ActionEntry(REDUCE, 354);
   _actionMap[108][LEFT] = ActionEntry(REDUCE, 354);
   _actionMap[108][RIGHT] = ActionEntry(REDUCE, 354);
   _actionMap[108][INNER] = ActionEntry(REDUCE, 354);
   _actionMap[108][JOIN] = ActionEntry(REDUCE, 354);
   _actionMap[108][RETURNTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[108][ORDER] = ActionEntry(REDUCE, 354);
   _actionMap[108][GROUP] = ActionEntry(REDUCE, 354);
   _actionMap[108][WHERE] = ActionEntry(REDUCE, 354);
   _actionMap[108][FROM] = ActionEntry(REDUCE, 354);
   _actionMap[108][AS] = ActionEntry(REDUCE, 354);
   _actionMap[108][END_TOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[108][BEGIN] = ActionEntry(REDUCE, 354);
   _actionMap[108][THEN] = ActionEntry(REDUCE, 354);
   _actionMap[108][OR] = ActionEntry(REDUCE, 354);
   _actionMap[108][AND] = ActionEntry(REDUCE, 354);
   _actionMap[108][NULLTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[108][INTOK] = ActionEntry(REDUCE, 354);
   _actionMap[108][NOT] = ActionEntry(REDUCE, 354);
   _actionMap[108][BETWEEN] = ActionEntry(REDUCE, 354);
   _actionMap[108][IS] = ActionEntry(REDUCE, 354);
   _actionMap[108][LIKE] = ActionEntry(REDUCE, 354);
   _actionMap[108][MT] = ActionEntry(REDUCE, 354);
   _actionMap[108][LT] = ActionEntry(REDUCE, 354);
   _actionMap[108][NEGATION] = ActionEntry(REDUCE, 354);
   _actionMap[108][EQU] = ActionEntry(REDUCE, 354);
   _actionMap[108][RB] = ActionEntry(REDUCE, 354);
   _actionMap[108][ENDTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[108][UNION] = ActionEntry(REDUCE, 354);
   _actionMap[108][ROWLIMIT] = ActionEntry(REDUCE, 354);
   _actionMap[108][KSEP] = ActionEntry(REDUCE, 354);
   _actionMap[108][ASC] = ActionEntry(REDUCE, 354);
   _actionMap[108][DESC] = ActionEntry(REDUCE, 354);
   _actionMap[108][SEMICOLON] = ActionEntry(REDUCE, 354);
   _actionMap[108][PLUS] = ActionEntry(REDUCE, 354);
}
void Cego::loadParser216()
{
   _actionMap[108][MINUS] = ActionEntry(REDUCE, 354);
   _actionMap[108][DIVISION] = ActionEntry(REDUCE, 354);
   _actionMap[108][STAR] = ActionEntry(REDUCE, 354);
   _actionMap[108][CONCAT] = ActionEntry(REDUCE, 354);
   _actionMap[109][IDENTIFIER] = ActionEntry(SHIFT, 232);
   _actionMap[110][LB] = ActionEntry(SHIFT, 233);
   _actionMap[111][LB] = ActionEntry(SHIFT, 234);
   _actionMap[112][LB] = ActionEntry(SHIFT, 235);
   _actionMap[113][LB] = ActionEntry(SHIFT, 236);
   _actionMap[114][LB] = ActionEntry(SHIFT, 237);
   _actionMap[115][LB] = ActionEntry(SHIFT, 238);
   _actionMap[116][LB] = ActionEntry(SHIFT, 239);
   _actionMap[117][LB] = ActionEntry(SHIFT, 240);
   _actionMap[118][LB] = ActionEntry(SHIFT, 241);
   _actionMap[119][LB] = ActionEntry(SHIFT, 242);
   _actionMap[120][WHEN] = ActionEntry(REDUCE, 352);
   _actionMap[120][ELSE] = ActionEntry(REDUCE, 352);
   _actionMap[120][LEFT] = ActionEntry(REDUCE, 352);
   _actionMap[120][RIGHT] = ActionEntry(REDUCE, 352);
   _actionMap[120][INNER] = ActionEntry(REDUCE, 352);
   _actionMap[120][JOIN] = ActionEntry(REDUCE, 352);
   _actionMap[120][RETURNTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[120][ORDER] = ActionEntry(REDUCE, 352);
   _actionMap[120][GROUP] = ActionEntry(REDUCE, 352);
   _actionMap[120][WHERE] = ActionEntry(REDUCE, 352);
   _actionMap[120][FROM] = ActionEntry(REDUCE, 352);
   _actionMap[120][AS] = ActionEntry(REDUCE, 352);
   _actionMap[120][END_TOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[120][BEGIN] = ActionEntry(REDUCE, 352);
   _actionMap[120][THEN] = ActionEntry(REDUCE, 352);
   _actionMap[120][OR] = ActionEntry(REDUCE, 352);
   _actionMap[120][AND] = ActionEntry(REDUCE, 352);
   _actionMap[120][NULLTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[120][INTOK] = ActionEntry(REDUCE, 352);
   _actionMap[120][NOT] = ActionEntry(REDUCE, 352);
   _actionMap[120][BETWEEN] = ActionEntry(REDUCE, 352);
   _actionMap[120][IS] = ActionEntry(REDUCE, 352);
   _actionMap[120][LIKE] = ActionEntry(REDUCE, 352);
   _actionMap[120][MT] = ActionEntry(REDUCE, 352);
   _actionMap[120][LT] = ActionEntry(REDUCE, 352);
   _actionMap[120][NEGATION] = ActionEntry(REDUCE, 352);
   _actionMap[120][EQU] = ActionEntry(REDUCE, 352);
   _actionMap[120][RB] = ActionEntry(REDUCE, 352);
   _actionMap[120][ENDTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[120][UNION] = ActionEntry(REDUCE, 352);
   _actionMap[120][ROWLIMIT] = ActionEntry(REDUCE, 352);
   _actionMap[120][KSEP] = ActionEntry(REDUCE, 352);
   _actionMap[120][ASC] = ActionEntry(REDUCE, 352);
   _actionMap[120][DESC] = ActionEntry(REDUCE, 352);
   _actionMap[120][SEMICOLON] = ActionEntry(REDUCE, 352);
}
void Cego::loadParser217()
{
   _actionMap[120][PLUS] = ActionEntry(REDUCE, 352);
   _actionMap[120][MINUS] = ActionEntry(REDUCE, 352);
   _actionMap[120][DIVISION] = ActionEntry(REDUCE, 352);
   _actionMap[120][STAR] = ActionEntry(REDUCE, 352);
   _actionMap[120][CONCAT] = ActionEntry(REDUCE, 352);
   _actionMap[121][LB] = ActionEntry(SHIFT, 243);
   _actionMap[122][LB] = ActionEntry(SHIFT, 244);
   _actionMap[123][LB] = ActionEntry(SHIFT, 245);
   _actionMap[124][LB] = ActionEntry(SHIFT, 246);
   _actionMap[125][LB] = ActionEntry(SHIFT, 247);
   _actionMap[126][LB] = ActionEntry(SHIFT, 248);
   _actionMap[127][LB] = ActionEntry(SHIFT, 249);
   _actionMap[128][LB] = ActionEntry(SHIFT, 250);
   _actionMap[129][LB] = ActionEntry(SHIFT, 251);
   _actionMap[130][WHEN] = ActionEntry(REDUCE, 351);
   _actionMap[130][ELSE] = ActionEntry(REDUCE, 351);
   _actionMap[130][LEFT] = ActionEntry(REDUCE, 351);
   _actionMap[130][RIGHT] = ActionEntry(REDUCE, 351);
   _actionMap[130][INNER] = ActionEntry(REDUCE, 351);
   _actionMap[130][JOIN] = ActionEntry(REDUCE, 351);
   _actionMap[130][RETURNTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[130][ORDER] = ActionEntry(REDUCE, 351);
   _actionMap[130][GROUP] = ActionEntry(REDUCE, 351);
   _actionMap[130][WHERE] = ActionEntry(REDUCE, 351);
   _actionMap[130][FROM] = ActionEntry(REDUCE, 351);
   _actionMap[130][AS] = ActionEntry(REDUCE, 351);
   _actionMap[130][END_TOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[130][BEGIN] = ActionEntry(REDUCE, 351);
   _actionMap[130][THEN] = ActionEntry(REDUCE, 351);
   _actionMap[130][OR] = ActionEntry(REDUCE, 351);
   _actionMap[130][AND] = ActionEntry(REDUCE, 351);
   _actionMap[130][NULLTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[130][INTOK] = ActionEntry(REDUCE, 351);
   _actionMap[130][NOT] = ActionEntry(REDUCE, 351);
   _actionMap[130][BETWEEN] = ActionEntry(REDUCE, 351);
   _actionMap[130][IS] = ActionEntry(REDUCE, 351);
   _actionMap[130][LIKE] = ActionEntry(REDUCE, 351);
   _actionMap[130][MT] = ActionEntry(REDUCE, 351);
   _actionMap[130][LT] = ActionEntry(REDUCE, 351);
   _actionMap[130][NEGATION] = ActionEntry(REDUCE, 351);
   _actionMap[130][EQU] = ActionEntry(REDUCE, 351);
   _actionMap[130][RB] = ActionEntry(REDUCE, 351);
   _actionMap[130][ENDTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[130][UNION] = ActionEntry(REDUCE, 351);
   _actionMap[130][ROWLIMIT] = ActionEntry(REDUCE, 351);
   _actionMap[130][KSEP] = ActionEntry(REDUCE, 351);
   _actionMap[130][ASC] = ActionEntry(REDUCE, 351);
   _actionMap[130][DESC] = ActionEntry(REDUCE, 351);
   _actionMap[130][SEMICOLON] = ActionEntry(REDUCE, 351);
   _actionMap[130][PLUS] = ActionEntry(REDUCE, 351);
}
void Cego::loadParser218()
{
   _actionMap[130][MINUS] = ActionEntry(REDUCE, 351);
   _actionMap[130][DIVISION] = ActionEntry(REDUCE, 351);
   _actionMap[130][STAR] = ActionEntry(REDUCE, 351);
   _actionMap[130][CONCAT] = ActionEntry(REDUCE, 351);
   _actionMap[131][LB] = ActionEntry(SHIFT, 252);
   _actionMap[132][LB] = ActionEntry(SHIFT, 253);
   _actionMap[133][LB] = ActionEntry(SHIFT, 254);
   _actionMap[134][WHEN] = ActionEntry(REDUCE, 353);
   _actionMap[134][ELSE] = ActionEntry(REDUCE, 353);
   _actionMap[134][LEFT] = ActionEntry(REDUCE, 353);
   _actionMap[134][RIGHT] = ActionEntry(REDUCE, 353);
   _actionMap[134][INNER] = ActionEntry(REDUCE, 353);
   _actionMap[134][JOIN] = ActionEntry(REDUCE, 353);
   _actionMap[134][RETURNTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[134][ORDER] = ActionEntry(REDUCE, 353);
   _actionMap[134][GROUP] = ActionEntry(REDUCE, 353);
   _actionMap[134][WHERE] = ActionEntry(REDUCE, 353);
   _actionMap[134][FROM] = ActionEntry(REDUCE, 353);
   _actionMap[134][AS] = ActionEntry(REDUCE, 353);
   _actionMap[134][END_TOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[134][BEGIN] = ActionEntry(REDUCE, 353);
   _actionMap[134][THEN] = ActionEntry(REDUCE, 353);
   _actionMap[134][OR] = ActionEntry(REDUCE, 353);
   _actionMap[134][AND] = ActionEntry(REDUCE, 353);
   _actionMap[134][NULLTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[134][INTOK] = ActionEntry(REDUCE, 353);
   _actionMap[134][NOT] = ActionEntry(REDUCE, 353);
   _actionMap[134][BETWEEN] = ActionEntry(REDUCE, 353);
   _actionMap[134][IS] = ActionEntry(REDUCE, 353);
   _actionMap[134][LIKE] = ActionEntry(REDUCE, 353);
   _actionMap[134][MT] = ActionEntry(REDUCE, 353);
   _actionMap[134][LT] = ActionEntry(REDUCE, 353);
   _actionMap[134][NEGATION] = ActionEntry(REDUCE, 353);
   _actionMap[134][EQU] = ActionEntry(REDUCE, 353);
   _actionMap[134][RB] = ActionEntry(REDUCE, 353);
   _actionMap[134][ENDTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[134][UNION] = ActionEntry(REDUCE, 353);
   _actionMap[134][ROWLIMIT] = ActionEntry(REDUCE, 353);
   _actionMap[134][KSEP] = ActionEntry(REDUCE, 353);
   _actionMap[134][ASC] = ActionEntry(REDUCE, 353);
   _actionMap[134][DESC] = ActionEntry(REDUCE, 353);
   _actionMap[134][SEMICOLON] = ActionEntry(REDUCE, 353);
   _actionMap[134][PLUS] = ActionEntry(REDUCE, 353);
   _actionMap[134][MINUS] = ActionEntry(REDUCE, 353);
   _actionMap[134][DIVISION] = ActionEntry(REDUCE, 353);
   _actionMap[134][STAR] = ActionEntry(REDUCE, 353);
   _actionMap[134][CONCAT] = ActionEntry(REDUCE, 353);
   _actionMap[135][LB] = ActionEntry(SHIFT, 255);
   _actionMap[136][LB] = ActionEntry(SHIFT, 256);
   _actionMap[137][LONG] = ActionEntry(SHIFT, 263);
}
void Cego::loadParser219()
{
   _actionMap[137][BIGINT] = ActionEntry(SHIFT, 259);
   _actionMap[137][SMALLINT] = ActionEntry(SHIFT, 264);
   _actionMap[137][TINYINT] = ActionEntry(SHIFT, 265);
   _actionMap[137][DOUBLE] = ActionEntry(SHIFT, 261);
   _actionMap[137][DECIMAL] = ActionEntry(SHIFT, 260);
   _actionMap[137][FIXED] = ActionEntry(SHIFT, 262);
   _actionMap[137][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[137][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[137][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[137][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[137][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[137][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[137][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[137][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[137][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[137][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[137][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[137][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[137][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[137][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[137][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[137][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[137][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[137][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[137][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[137][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[137][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[137][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[137][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[137][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[137][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[137][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[137][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[137][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[137][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[137][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[137][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[137][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[137][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[137][LB] = ActionEntry(SHIFT, 137);
   _actionMap[137][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[137][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[137][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[137][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[137][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[137][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[137][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[137][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[137][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[137][CASE] = ActionEntry(SHIFT, 102);
}
void Cego::loadParser220()
{
   _actionMap[137][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[137][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[137][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[137][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[137][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[137][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[137][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[137][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[137][ObjSpec] = 96;
   _jumpMap[137][Constant] = 95;
   _jumpMap[137][SignedFloat] = 94;
   _jumpMap[137][SignedInt] = 93;
   _jumpMap[137][Attribute] = 92;
   _jumpMap[137][Function] = 91;
   _jumpMap[137][SelectStatement] = 258;
   _jumpMap[137][CasePrepare] = 90;
   _jumpMap[137][CaseClause] = 89;
   _jumpMap[137][Factor] = 88;
   _jumpMap[137][Term] = 87;
   _jumpMap[137][Expr] = 257;
   _actionMap[138][INTVAL] = ActionEntry(SHIFT, 266);
   _actionMap[139][FLOATVAL] = ActionEntry(SHIFT, 268);
   _actionMap[139][INTVAL] = ActionEntry(SHIFT, 267);
   _actionMap[140][WHEN] = ActionEntry(REDUCE, 336);
   _actionMap[140][ELSE] = ActionEntry(REDUCE, 336);
   _actionMap[140][LEFT] = ActionEntry(REDUCE, 336);
   _actionMap[140][RIGHT] = ActionEntry(REDUCE, 336);
   _actionMap[140][INNER] = ActionEntry(REDUCE, 336);
   _actionMap[140][JOIN] = ActionEntry(REDUCE, 336);
   _actionMap[140][RETURNTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[140][ORDER] = ActionEntry(REDUCE, 336);
   _actionMap[140][GROUP] = ActionEntry(REDUCE, 336);
   _actionMap[140][WHERE] = ActionEntry(REDUCE, 336);
   _actionMap[140][AS] = ActionEntry(REDUCE, 336);
   _actionMap[140][FROM] = ActionEntry(REDUCE, 336);
   _actionMap[140][END_TOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[140][BEGIN] = ActionEntry(REDUCE, 336);
   _actionMap[140][THEN] = ActionEntry(REDUCE, 336);
   _actionMap[140][OR] = ActionEntry(REDUCE, 336);
   _actionMap[140][AND] = ActionEntry(REDUCE, 336);
   _actionMap[140][NULLTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[140][LIKE] = ActionEntry(REDUCE, 336);
   _actionMap[140][IS] = ActionEntry(REDUCE, 336);
   _actionMap[140][BETWEEN] = ActionEntry(REDUCE, 336);
   _actionMap[140][NOT] = ActionEntry(REDUCE, 336);
   _actionMap[140][INTOK] = ActionEntry(REDUCE, 336);
   _actionMap[140][EQU] = ActionEntry(REDUCE, 336);
   _actionMap[140][NEGATION] = ActionEntry(REDUCE, 336);
   _actionMap[140][LT] = ActionEntry(REDUCE, 336);
   _actionMap[140][MT] = ActionEntry(REDUCE, 336);
}
void Cego::loadParser221()
{
   _actionMap[140][DESC] = ActionEntry(REDUCE, 336);
   _actionMap[140][ASC] = ActionEntry(REDUCE, 336);
   _actionMap[140][KSEP] = ActionEntry(REDUCE, 336);
   _actionMap[140][ROWLIMIT] = ActionEntry(REDUCE, 336);
   _actionMap[140][UNION] = ActionEntry(REDUCE, 336);
   _actionMap[140][ENDTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[140][RB] = ActionEntry(REDUCE, 336);
   _actionMap[140][SEMICOLON] = ActionEntry(REDUCE, 336);
   _actionMap[140][CONCAT] = ActionEntry(REDUCE, 336);
   _actionMap[140][STAR] = ActionEntry(REDUCE, 336);
   _actionMap[140][DIVISION] = ActionEntry(REDUCE, 336);
   _actionMap[140][MINUS] = ActionEntry(REDUCE, 336);
   _actionMap[140][PLUS] = ActionEntry(REDUCE, 336);
   _actionMap[141][WHEN] = ActionEntry(REDUCE, 338);
   _actionMap[141][ELSE] = ActionEntry(REDUCE, 338);
   _actionMap[141][LEFT] = ActionEntry(REDUCE, 338);
   _actionMap[141][RIGHT] = ActionEntry(REDUCE, 338);
   _actionMap[141][INNER] = ActionEntry(REDUCE, 338);
   _actionMap[141][JOIN] = ActionEntry(REDUCE, 338);
   _actionMap[141][RETURNTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[141][ORDER] = ActionEntry(REDUCE, 338);
   _actionMap[141][GROUP] = ActionEntry(REDUCE, 338);
   _actionMap[141][WHERE] = ActionEntry(REDUCE, 338);
   _actionMap[141][AS] = ActionEntry(REDUCE, 338);
   _actionMap[141][FROM] = ActionEntry(REDUCE, 338);
   _actionMap[141][END_TOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[141][BEGIN] = ActionEntry(REDUCE, 338);
   _actionMap[141][THEN] = ActionEntry(REDUCE, 338);
   _actionMap[141][OR] = ActionEntry(REDUCE, 338);
   _actionMap[141][AND] = ActionEntry(REDUCE, 338);
   _actionMap[141][NULLTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[141][LIKE] = ActionEntry(REDUCE, 338);
   _actionMap[141][IS] = ActionEntry(REDUCE, 338);
   _actionMap[141][BETWEEN] = ActionEntry(REDUCE, 338);
   _actionMap[141][NOT] = ActionEntry(REDUCE, 338);
   _actionMap[141][INTOK] = ActionEntry(REDUCE, 338);
   _actionMap[141][EQU] = ActionEntry(REDUCE, 338);
   _actionMap[141][NEGATION] = ActionEntry(REDUCE, 338);
   _actionMap[141][LT] = ActionEntry(REDUCE, 338);
   _actionMap[141][MT] = ActionEntry(REDUCE, 338);
   _actionMap[141][DESC] = ActionEntry(REDUCE, 338);
   _actionMap[141][ASC] = ActionEntry(REDUCE, 338);
   _actionMap[141][KSEP] = ActionEntry(REDUCE, 338);
   _actionMap[141][ROWLIMIT] = ActionEntry(REDUCE, 338);
   _actionMap[141][UNION] = ActionEntry(REDUCE, 338);
   _actionMap[141][ENDTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[141][RB] = ActionEntry(REDUCE, 338);
   _actionMap[141][SEMICOLON] = ActionEntry(REDUCE, 338);
   _actionMap[141][CONCAT] = ActionEntry(REDUCE, 338);
   _actionMap[141][STAR] = ActionEntry(REDUCE, 338);
}
void Cego::loadParser222()
{
   _actionMap[141][DIVISION] = ActionEntry(REDUCE, 338);
   _actionMap[141][MINUS] = ActionEntry(REDUCE, 338);
   _actionMap[141][PLUS] = ActionEntry(REDUCE, 338);
   _actionMap[142][WHEN] = ActionEntry(REDUCE, 333);
   _actionMap[142][ELSE] = ActionEntry(REDUCE, 333);
   _actionMap[142][LEFT] = ActionEntry(REDUCE, 333);
   _actionMap[142][RIGHT] = ActionEntry(REDUCE, 333);
   _actionMap[142][INNER] = ActionEntry(REDUCE, 333);
   _actionMap[142][JOIN] = ActionEntry(REDUCE, 333);
   _actionMap[142][RETURNTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[142][ORDER] = ActionEntry(REDUCE, 333);
   _actionMap[142][GROUP] = ActionEntry(REDUCE, 333);
   _actionMap[142][WHERE] = ActionEntry(REDUCE, 333);
   _actionMap[142][FROM] = ActionEntry(REDUCE, 333);
   _actionMap[142][AS] = ActionEntry(REDUCE, 333);
   _actionMap[142][END_TOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[142][BEGIN] = ActionEntry(REDUCE, 333);
   _actionMap[142][THEN] = ActionEntry(REDUCE, 333);
   _actionMap[142][OR] = ActionEntry(REDUCE, 333);
   _actionMap[142][AND] = ActionEntry(REDUCE, 333);
   _actionMap[142][INTOK] = ActionEntry(REDUCE, 333);
   _actionMap[142][NOT] = ActionEntry(REDUCE, 333);
   _actionMap[142][BETWEEN] = ActionEntry(REDUCE, 333);
   _actionMap[142][IS] = ActionEntry(REDUCE, 333);
   _actionMap[142][LIKE] = ActionEntry(REDUCE, 333);
   _actionMap[142][MT] = ActionEntry(REDUCE, 333);
   _actionMap[142][LT] = ActionEntry(REDUCE, 333);
   _actionMap[142][NEGATION] = ActionEntry(REDUCE, 333);
   _actionMap[142][EQU] = ActionEntry(REDUCE, 333);
   _actionMap[142][RB] = ActionEntry(REDUCE, 333);
   _actionMap[142][ENDTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[142][UNION] = ActionEntry(REDUCE, 333);
   _actionMap[142][ROWLIMIT] = ActionEntry(REDUCE, 333);
   _actionMap[142][KSEP] = ActionEntry(REDUCE, 333);
   _actionMap[142][ASC] = ActionEntry(REDUCE, 333);
   _actionMap[142][DESC] = ActionEntry(REDUCE, 333);
   _actionMap[142][SEMICOLON] = ActionEntry(REDUCE, 333);
   _actionMap[142][PLUS] = ActionEntry(REDUCE, 333);
   _actionMap[142][MINUS] = ActionEntry(REDUCE, 333);
   _actionMap[142][LB] = ActionEntry(REDUCE, 359);
   _actionMap[142][DIVISION] = ActionEntry(REDUCE, 333);
   _actionMap[142][STAR] = ActionEntry(REDUCE, 333);
   _actionMap[142][CONCAT] = ActionEntry(REDUCE, 333);
   _actionMap[143][WHEN] = ActionEntry(REDUCE, 143);
   _actionMap[143][ELSE] = ActionEntry(REDUCE, 143);
   _actionMap[143][LEFT] = ActionEntry(REDUCE, 143);
   _actionMap[143][RIGHT] = ActionEntry(REDUCE, 143);
   _actionMap[143][INNER] = ActionEntry(REDUCE, 143);
   _actionMap[143][JOIN] = ActionEntry(REDUCE, 143);
   _actionMap[143][RETURNTOKEN] = ActionEntry(REDUCE, 143);
}
void Cego::loadParser223()
{
   _actionMap[143][ORDER] = ActionEntry(REDUCE, 143);
   _actionMap[143][GROUP] = ActionEntry(REDUCE, 143);
   _actionMap[143][WHERE] = ActionEntry(REDUCE, 143);
   _actionMap[143][AS] = ActionEntry(REDUCE, 143);
   _actionMap[143][FROM] = ActionEntry(REDUCE, 143);
   _actionMap[143][END_TOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[143][BEGIN] = ActionEntry(REDUCE, 143);
   _actionMap[143][THEN] = ActionEntry(REDUCE, 143);
   _actionMap[143][OR] = ActionEntry(REDUCE, 143);
   _actionMap[143][AND] = ActionEntry(REDUCE, 143);
   _actionMap[143][LIKE] = ActionEntry(REDUCE, 143);
   _actionMap[143][IS] = ActionEntry(REDUCE, 143);
   _actionMap[143][BETWEEN] = ActionEntry(REDUCE, 143);
   _actionMap[143][NOT] = ActionEntry(REDUCE, 143);
   _actionMap[143][INTOK] = ActionEntry(REDUCE, 143);
   _actionMap[143][EQU] = ActionEntry(REDUCE, 143);
   _actionMap[143][NEGATION] = ActionEntry(REDUCE, 143);
   _actionMap[143][LT] = ActionEntry(REDUCE, 143);
   _actionMap[143][MT] = ActionEntry(REDUCE, 143);
   _actionMap[143][DESC] = ActionEntry(REDUCE, 143);
   _actionMap[143][ASC] = ActionEntry(REDUCE, 143);
   _actionMap[143][KSEP] = ActionEntry(REDUCE, 143);
   _actionMap[143][ROWLIMIT] = ActionEntry(REDUCE, 143);
   _actionMap[143][UNION] = ActionEntry(REDUCE, 143);
   _actionMap[143][ENDTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[143][RB] = ActionEntry(REDUCE, 143);
   _actionMap[143][SEMICOLON] = ActionEntry(REDUCE, 143);
   _actionMap[143][CONCAT] = ActionEntry(REDUCE, 143);
   _actionMap[143][STAR] = ActionEntry(REDUCE, 143);
   _actionMap[143][DIVISION] = ActionEntry(REDUCE, 143);
   _actionMap[143][MINUS] = ActionEntry(REDUCE, 143);
   _actionMap[143][PLUS] = ActionEntry(REDUCE, 143);
   _actionMap[144][WHEN] = ActionEntry(REDUCE, 334);
   _actionMap[144][ELSE] = ActionEntry(REDUCE, 334);
   _actionMap[144][LEFT] = ActionEntry(REDUCE, 334);
   _actionMap[144][RIGHT] = ActionEntry(REDUCE, 334);
   _actionMap[144][INNER] = ActionEntry(REDUCE, 334);
   _actionMap[144][JOIN] = ActionEntry(REDUCE, 334);
   _actionMap[144][RETURNTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[144][ORDER] = ActionEntry(REDUCE, 334);
   _actionMap[144][GROUP] = ActionEntry(REDUCE, 334);
   _actionMap[144][WHERE] = ActionEntry(REDUCE, 334);
   _actionMap[144][FROM] = ActionEntry(REDUCE, 334);
   _actionMap[144][AS] = ActionEntry(REDUCE, 334);
   _actionMap[144][END_TOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[144][BEGIN] = ActionEntry(REDUCE, 334);
   _actionMap[144][THEN] = ActionEntry(REDUCE, 334);
   _actionMap[144][OR] = ActionEntry(REDUCE, 334);
   _actionMap[144][AND] = ActionEntry(REDUCE, 334);
   _actionMap[144][INTOK] = ActionEntry(REDUCE, 334);
}
void Cego::loadParser224()
{
   _actionMap[144][NOT] = ActionEntry(REDUCE, 334);
   _actionMap[144][BETWEEN] = ActionEntry(REDUCE, 334);
   _actionMap[144][IS] = ActionEntry(REDUCE, 334);
   _actionMap[144][LIKE] = ActionEntry(REDUCE, 334);
   _actionMap[144][MT] = ActionEntry(REDUCE, 334);
   _actionMap[144][LT] = ActionEntry(REDUCE, 334);
   _actionMap[144][NEGATION] = ActionEntry(REDUCE, 334);
   _actionMap[144][EQU] = ActionEntry(REDUCE, 334);
   _actionMap[144][RB] = ActionEntry(REDUCE, 334);
   _actionMap[144][ENDTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[144][UNION] = ActionEntry(REDUCE, 334);
   _actionMap[144][ROWLIMIT] = ActionEntry(REDUCE, 334);
   _actionMap[144][KSEP] = ActionEntry(REDUCE, 334);
   _actionMap[144][ASC] = ActionEntry(REDUCE, 334);
   _actionMap[144][DESC] = ActionEntry(REDUCE, 334);
   _actionMap[144][SEMICOLON] = ActionEntry(REDUCE, 334);
   _actionMap[144][PLUS] = ActionEntry(REDUCE, 334);
   _actionMap[144][MINUS] = ActionEntry(REDUCE, 334);
   _actionMap[144][LB] = ActionEntry(REDUCE, 360);
   _actionMap[144][DIVISION] = ActionEntry(REDUCE, 334);
   _actionMap[144][STAR] = ActionEntry(REDUCE, 334);
   _actionMap[144][CONCAT] = ActionEntry(REDUCE, 334);
   _actionMap[145][STAR] = ActionEntry(SHIFT, 269);
   _actionMap[146][WHEN] = ActionEntry(REDUCE, 356);
   _actionMap[146][ELSE] = ActionEntry(REDUCE, 356);
   _actionMap[146][LEFT] = ActionEntry(REDUCE, 356);
   _actionMap[146][RIGHT] = ActionEntry(REDUCE, 356);
   _actionMap[146][INNER] = ActionEntry(REDUCE, 356);
   _actionMap[146][JOIN] = ActionEntry(REDUCE, 356);
   _actionMap[146][RETURNTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[146][ORDER] = ActionEntry(REDUCE, 356);
   _actionMap[146][GROUP] = ActionEntry(REDUCE, 356);
   _actionMap[146][WHERE] = ActionEntry(REDUCE, 356);
   _actionMap[146][FROM] = ActionEntry(REDUCE, 356);
   _actionMap[146][AS] = ActionEntry(REDUCE, 356);
   _actionMap[146][END_TOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[146][BEGIN] = ActionEntry(REDUCE, 356);
   _actionMap[146][THEN] = ActionEntry(REDUCE, 356);
   _actionMap[146][OR] = ActionEntry(REDUCE, 356);
   _actionMap[146][AND] = ActionEntry(REDUCE, 356);
   _actionMap[146][NULLTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[146][INTOK] = ActionEntry(REDUCE, 356);
   _actionMap[146][NOT] = ActionEntry(REDUCE, 356);
   _actionMap[146][BETWEEN] = ActionEntry(REDUCE, 356);
   _actionMap[146][IS] = ActionEntry(REDUCE, 356);
   _actionMap[146][LIKE] = ActionEntry(REDUCE, 356);
   _actionMap[146][MT] = ActionEntry(REDUCE, 356);
   _actionMap[146][LT] = ActionEntry(REDUCE, 356);
   _actionMap[146][NEGATION] = ActionEntry(REDUCE, 356);
   _actionMap[146][EQU] = ActionEntry(REDUCE, 356);
}
void Cego::loadParser225()
{
   _actionMap[146][RB] = ActionEntry(REDUCE, 356);
   _actionMap[146][ENDTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[146][UNION] = ActionEntry(REDUCE, 356);
   _actionMap[146][ROWLIMIT] = ActionEntry(REDUCE, 356);
   _actionMap[146][KSEP] = ActionEntry(REDUCE, 356);
   _actionMap[146][ASC] = ActionEntry(REDUCE, 356);
   _actionMap[146][DESC] = ActionEntry(REDUCE, 356);
   _actionMap[146][SEMICOLON] = ActionEntry(REDUCE, 356);
   _actionMap[146][PLUS] = ActionEntry(REDUCE, 356);
   _actionMap[146][MINUS] = ActionEntry(REDUCE, 356);
   _actionMap[146][DIVISION] = ActionEntry(REDUCE, 356);
   _actionMap[146][STAR] = ActionEntry(REDUCE, 356);
   _actionMap[146][CONCAT] = ActionEntry(REDUCE, 356);
   _actionMap[147][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[147][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[147][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[147][ObjSpec] = 270;
   _actionMap[148][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[148][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[148][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[148][ObjSpec] = 271;
   _actionMap[149][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[149][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[149][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[149][ObjSpec] = 272;
   _actionMap[150][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[150][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[150][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[150][ObjSpec] = 273;
   _actionMap[151][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[151][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[151][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[151][ObjSpec] = 274;
   _actionMap[152][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[152][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[152][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[152][ObjSpec] = 275;
   _actionMap[153][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[153][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[153][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[153][ObjSpec] = 276;
   _actionMap[154][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[154][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[154][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[154][ObjSpec] = 277;
   _actionMap[155][FROM] = ActionEntry(SHIFT, 278);
   _actionMap[156][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[156][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[156][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[156][TRIM] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser226()
{
   _actionMap[156][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[156][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[156][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[156][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[156][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[156][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[156][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[156][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[156][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[156][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[156][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[156][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[156][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[156][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[156][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[156][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[156][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[156][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[156][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[156][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[156][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[156][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[156][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[156][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[156][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[156][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[156][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[156][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[156][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[156][LB] = ActionEntry(SHIFT, 137);
   _actionMap[156][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[156][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[156][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[156][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[156][TRUEVAL] = ActionEntry(SHIFT, 134);
   _actionMap[156][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[156][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[156][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[156][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[156][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[156][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[156][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[156][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[156][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[156][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[156][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[156][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[156][ObjSpec] = 96;
   _jumpMap[156][Constant] = 95;
   _jumpMap[156][SignedFloat] = 94;
}
void Cego::loadParser227()
{
   _jumpMap[156][SignedInt] = 93;
   _jumpMap[156][Attribute] = 92;
   _jumpMap[156][Function] = 91;
   _jumpMap[156][SelectItem] = 281;
   _jumpMap[156][SelectionList] = 280;
   _jumpMap[156][CasePrepare] = 90;
   _jumpMap[156][CaseClause] = 89;
   _jumpMap[156][Factor] = 88;
   _jumpMap[156][Term] = 87;
   _jumpMap[156][Expr] = 279;
   _actionMap[157][VARREF] = ActionEntry(REDUCE, 236);
   _actionMap[157][FETCH] = ActionEntry(REDUCE, 236);
   _actionMap[157][LB] = ActionEntry(REDUCE, 236);
   _actionMap[157][COUNT] = ActionEntry(REDUCE, 236);
   _actionMap[157][SUM] = ActionEntry(REDUCE, 236);
   _actionMap[157][AVG] = ActionEntry(REDUCE, 236);
   _actionMap[157][MIN] = ActionEntry(REDUCE, 236);
   _actionMap[157][MAX] = ActionEntry(REDUCE, 236);
   _actionMap[157][CASE] = ActionEntry(REDUCE, 236);
   _actionMap[157][TRIM] = ActionEntry(REDUCE, 236);
   _actionMap[157][RTRIM] = ActionEntry(REDUCE, 236);
   _actionMap[157][LTRIM] = ActionEntry(REDUCE, 236);
   _actionMap[157][ROUND] = ActionEntry(REDUCE, 236);
   _actionMap[157][DATE2STR] = ActionEntry(REDUCE, 236);
   _actionMap[157][DATE2INT] = ActionEntry(REDUCE, 236);
   _actionMap[157][INT2DATE] = ActionEntry(REDUCE, 236);
   _actionMap[157][LOWER] = ActionEntry(REDUCE, 236);
   _actionMap[157][UPPER] = ActionEntry(REDUCE, 236);
   _actionMap[157][LEFT] = ActionEntry(REDUCE, 236);
   _actionMap[157][RIGHT] = ActionEntry(REDUCE, 236);
   _actionMap[157][GETPOS] = ActionEntry(REDUCE, 236);
   _actionMap[157][SUBSTR] = ActionEntry(REDUCE, 236);
   _actionMap[157][REPLACE] = ActionEntry(REDUCE, 236);
   _actionMap[157][LENGTH] = ActionEntry(REDUCE, 236);
   _actionMap[157][TRUNC] = ActionEntry(REDUCE, 236);
   _actionMap[157][STR2INT] = ActionEntry(REDUCE, 236);
   _actionMap[157][STR2LONG] = ActionEntry(REDUCE, 236);
   _actionMap[157][RANDSTR] = ActionEntry(REDUCE, 236);
   _actionMap[157][RANDINT] = ActionEntry(REDUCE, 236);
   _actionMap[157][MOD] = ActionEntry(REDUCE, 236);
   _actionMap[157][DIV] = ActionEntry(REDUCE, 236);
   _actionMap[157][POWER] = ActionEntry(REDUCE, 236);
   _actionMap[157][BITAND] = ActionEntry(REDUCE, 236);
   _actionMap[157][BITOR] = ActionEntry(REDUCE, 236);
   _actionMap[157][BITXOR] = ActionEntry(REDUCE, 236);
   _actionMap[157][NEXTCOUNT] = ActionEntry(REDUCE, 236);
   _actionMap[157][IDENTIFIER] = ActionEntry(REDUCE, 236);
   _actionMap[157][QUALIFIEDOBJ] = ActionEntry(REDUCE, 236);
   _actionMap[157][QUALIFIEDTS] = ActionEntry(REDUCE, 236);
   _actionMap[157][QUALIFIEDPRE] = ActionEntry(REDUCE, 236);
}
void Cego::loadParser228()
{
   _actionMap[157][STRINGVAL] = ActionEntry(REDUCE, 236);
   _actionMap[157][DATE] = ActionEntry(REDUCE, 236);
   _actionMap[157][SYSDATE] = ActionEntry(REDUCE, 236);
   _actionMap[157][NULLTOKEN] = ActionEntry(REDUCE, 236);
   _actionMap[157][TRUEVAL] = ActionEntry(REDUCE, 236);
   _actionMap[157][FALSEVAL] = ActionEntry(REDUCE, 236);
   _actionMap[157][LAB] = ActionEntry(REDUCE, 236);
   _actionMap[157][COUNTERID] = ActionEntry(REDUCE, 236);
   _actionMap[157][FLOATVAL] = ActionEntry(REDUCE, 236);
   _actionMap[157][MINUS] = ActionEntry(REDUCE, 236);
   _actionMap[157][INTVAL] = ActionEntry(REDUCE, 236);
   _actionMap[158][FROM] = ActionEntry(REDUCE, 198);
   _actionMap[159][OFF] = ActionEntry(SHIFT, 282);
   _actionMap[159][ON] = ActionEntry(SHIFT, 283);
   _actionMap[160][OFF] = ActionEntry(SHIFT, 284);
   _actionMap[160][ON] = ActionEntry(SHIFT, 285);
   _actionMap[161][IDENTIFIER] = ActionEntry(SHIFT, 286);
   _actionMap[162][IDENTIFIER] = ActionEntry(SHIFT, 287);
   _actionMap[163][OFF] = ActionEntry(SHIFT, 288);
   _actionMap[163][ON] = ActionEntry(SHIFT, 289);
   _actionMap[164][IDENTIFIER] = ActionEntry(SHIFT, 290);
   _actionMap[165][EQU] = ActionEntry(SHIFT, 291);
   _actionMap[166][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[166][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[166][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[166][ObjSpec] = 292;
   _actionMap[167][SEMICOLON] = ActionEntry(REDUCE, 15);
   _actionMap[168][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[168][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[168][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[168][ObjSpec] = 293;
   _actionMap[169][SEMICOLON] = ActionEntry(REDUCE, 16);
   _actionMap[170][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[170][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[170][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[170][ObjSpec] = 294;
   _actionMap[171][SEMICOLON] = ActionEntry(REDUCE, 181);
   _actionMap[172][SEMICOLON] = ActionEntry(REDUCE, 14);
   _actionMap[173][IDENTIFIER] = ActionEntry(SHIFT, 297);
   _actionMap[173][SET] = ActionEntry(REDUCE, 252);
   _jumpMap[173][UpdDelAlias] = 295;
   _actionMap[174][CALL] = ActionEntry(SHIFT, 298);
   _actionMap[1][TABLE] = ActionEntry(SHIFT, 43);
   _actionMap[1][INDEX] = ActionEntry(SHIFT, 41);
   _actionMap[1][VIEW] = ActionEntry(SHIFT, 44);
   _actionMap[1][PROCEDURE] = ActionEntry(SHIFT, 42);
   _actionMap[1][FOREIGN] = ActionEntry(SHIFT, 40);
   _actionMap[1][CHECK] = ActionEntry(SHIFT, 38);
   _actionMap[1][COUNTER] = ActionEntry(SHIFT, 39);
   _actionMap[2][SEMICOLON] = ActionEntry(SHIFT, 45);
}
void Cego::loadParser229()
{
   _actionMap[3][SEMICOLON] = ActionEntry(REDUCE, 28);
   _actionMap[4][SEMICOLON] = ActionEntry(REDUCE, 29);
   _actionMap[5][SEMICOLON] = ActionEntry(REDUCE, 30);
   _actionMap[6][SEMICOLON] = ActionEntry(REDUCE, 42);
   _actionMap[7][SEMICOLON] = ActionEntry(REDUCE, 40);
   _actionMap[8][SEMICOLON] = ActionEntry(REDUCE, 44);
   _actionMap[9][SEMICOLON] = ActionEntry(REDUCE, 43);
   _actionMap[10][SEMICOLON] = ActionEntry(REDUCE, 45);
   _actionMap[11][SEMICOLON] = ActionEntry(REDUCE, 46);
   _actionMap[12][TABLE] = ActionEntry(SHIFT, 46);
   _actionMap[13][IDENTIFIER] = ActionEntry(SHIFT, 47);
   _actionMap[14][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[14][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[14][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[14][ObjSpec] = 48;
   _actionMap[15][INDEX] = ActionEntry(SHIFT, 52);
   _actionMap[16][SEMICOLON] = ActionEntry(REDUCE, 182);
   _actionMap[17][VIEW] = ActionEntry(SHIFT, 61);
   _actionMap[17][TABLE] = ActionEntry(SHIFT, 59);
   _actionMap[17][PRIMARY] = ActionEntry(SHIFT, 57);
   _actionMap[17][COUNTER] = ActionEntry(SHIFT, 56);
   _actionMap[17][PROCEDURE] = ActionEntry(SHIFT, 58);
   _actionMap[17][UNIQUE] = ActionEntry(SHIFT, 60);
   _actionMap[17][INDEX] = ActionEntry(REDUCE, 180);
   _jumpMap[17][IndexOption] = 55;
   _jumpMap[17][ProcDef] = 54;
   _jumpMap[17][ProcHead] = 53;
   _actionMap[18][FROM] = ActionEntry(SHIFT, 62);
   _actionMap[19][TABLE] = ActionEntry(SHIFT, 67);
   _actionMap[19][INDEX] = ActionEntry(SHIFT, 64);
   _actionMap[19][VIEW] = ActionEntry(SHIFT, 68);
   _actionMap[19][KEY] = ActionEntry(SHIFT, 65);
   _actionMap[19][CHECK] = ActionEntry(SHIFT, 63);
   _actionMap[19][PROCEDURE] = ActionEntry(SHIFT, 66);
   _actionMap[20][COUNTER] = ActionEntry(REDUCE, 62);
   _actionMap[20][IF] = ActionEntry(SHIFT, 69);
   _actionMap[20][CHECK] = ActionEntry(REDUCE, 62);
   _actionMap[20][FOREIGN] = ActionEntry(REDUCE, 62);
   _actionMap[20][PROCEDURE] = ActionEntry(REDUCE, 62);
   _actionMap[20][VIEW] = ActionEntry(REDUCE, 62);
   _actionMap[20][INDEX] = ActionEntry(REDUCE, 62);
   _actionMap[20][TABLE] = ActionEntry(REDUCE, 62);
   _actionMap[21][INTO] = ActionEntry(SHIFT, 70);
   _actionMap[22][IDENTIFIER] = ActionEntry(SHIFT, 72);
   _jumpMap[22][JdbcArgList] = 71;
   _actionMap[23][TABLESET] = ActionEntry(SHIFT, 80);
   _actionMap[23][TABLE] = ActionEntry(SHIFT, 79);
   _actionMap[23][PROCEDURE] = ActionEntry(SHIFT, 77);
   _actionMap[23][VIEW] = ActionEntry(SHIFT, 82);
   _actionMap[23][INDEX] = ActionEntry(SHIFT, 75);
}
void Cego::loadParser230()
{
   _actionMap[23][KEY] = ActionEntry(SHIFT, 76);
   _actionMap[23][COUNTER] = ActionEntry(SHIFT, 74);
   _actionMap[23][SYSOBJ] = ActionEntry(SHIFT, 78);
   _actionMap[23][TMPOBJ] = ActionEntry(SHIFT, 81);
   _actionMap[23][CHECK] = ActionEntry(SHIFT, 73);
   _actionMap[24][VIEW] = ActionEntry(SHIFT, 84);
   _actionMap[24][PROCEDURE] = ActionEntry(SHIFT, 58);
   _jumpMap[24][ProcDef] = 83;
   _jumpMap[24][ProcHead] = 53;
   _actionMap[25][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[25][SelectStatement] = 85;
   _actionMap[26][FLOATVAL] = ActionEntry(SHIFT, 141);
   _actionMap[26][MINUS] = ActionEntry(SHIFT, 139);
   _actionMap[26][INTVAL] = ActionEntry(SHIFT, 140);
   _actionMap[26][TRIM] = ActionEntry(SHIFT, 133);
   _actionMap[26][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[26][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[26][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[26][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[26][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[26][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[26][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[26][UPPER] = ActionEntry(SHIFT, 136);
   _actionMap[26][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[26][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[26][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[26][SUBSTR] = ActionEntry(SHIFT, 128);
   _actionMap[26][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[26][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[26][TRUNC] = ActionEntry(SHIFT, 135);
   _actionMap[26][STR2INT] = ActionEntry(SHIFT, 131);
   _actionMap[26][STR2LONG] = ActionEntry(SHIFT, 132);
   _actionMap[26][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[26][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[26][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[26][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[26][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[26][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[26][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[26][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[26][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[26][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[26][QUALIFIEDOBJ] = ActionEntry(SHIFT, 144);
   _actionMap[26][QUALIFIEDPRE] = ActionEntry(SHIFT, 145);
   _actionMap[26][LB] = ActionEntry(SHIFT, 137);
   _actionMap[26][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[26][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[26][SYSDATE] = ActionEntry(SHIFT, 130);
   _actionMap[26][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[26][TRUEVAL] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser231()
{
   _actionMap[26][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[26][LAB] = ActionEntry(SHIFT, 138);
   _actionMap[26][COUNTERID] = ActionEntry(SHIFT, 146);
   _actionMap[26][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[26][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[26][VARREF] = ActionEntry(SHIFT, 143);
   _actionMap[26][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[26][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[26][SUM] = ActionEntry(SHIFT, 129);
   _actionMap[26][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[26][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[26][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[26][ObjSpec] = 96;
   _jumpMap[26][Constant] = 95;
   _jumpMap[26][SignedFloat] = 94;
   _jumpMap[26][SignedInt] = 93;
   _jumpMap[26][Attribute] = 92;
   _jumpMap[26][Function] = 91;
   _jumpMap[26][CasePrepare] = 90;
   _jumpMap[26][CaseClause] = 89;
   _jumpMap[26][Factor] = 88;
   _jumpMap[26][Term] = 87;
   _jumpMap[26][Expr] = 86;
   _actionMap[27][TABLE] = ActionEntry(SHIFT, 151);
   _actionMap[27][INDEX] = ActionEntry(SHIFT, 148);
   _actionMap[27][KEY] = ActionEntry(SHIFT, 149);
   _actionMap[27][PROCEDURE] = ActionEntry(SHIFT, 150);
   _actionMap[27][VIEW] = ActionEntry(SHIFT, 152);
   _actionMap[27][CHECK] = ActionEntry(SHIFT, 147);
   _actionMap[28][TABLE] = ActionEntry(SHIFT, 154);
   _actionMap[28][INDEX] = ActionEntry(SHIFT, 153);
   _actionMap[29][SEMICOLON] = ActionEntry(REDUCE, 183);
   _actionMap[30][DISTINCT] = ActionEntry(SHIFT, 157);
   _actionMap[30][VARREF] = ActionEntry(REDUCE, 237);
   _actionMap[30][FETCH] = ActionEntry(REDUCE, 237);
   _actionMap[30][LB] = ActionEntry(REDUCE, 237);
   _actionMap[30][COUNT] = ActionEntry(REDUCE, 237);
   _actionMap[30][SUM] = ActionEntry(REDUCE, 237);
   _actionMap[30][AVG] = ActionEntry(REDUCE, 237);
   _actionMap[30][MIN] = ActionEntry(REDUCE, 237);
   _actionMap[30][MAX] = ActionEntry(REDUCE, 237);
   _actionMap[30][CASE] = ActionEntry(REDUCE, 237);
   _actionMap[30][TRIM] = ActionEntry(REDUCE, 237);
   _actionMap[30][RTRIM] = ActionEntry(REDUCE, 237);
   _actionMap[30][LTRIM] = ActionEntry(REDUCE, 237);
   _actionMap[30][ROUND] = ActionEntry(REDUCE, 237);
   _actionMap[30][DATE2STR] = ActionEntry(REDUCE, 237);
   _actionMap[30][DATE2INT] = ActionEntry(REDUCE, 237);
   _actionMap[30][INT2DATE] = ActionEntry(REDUCE, 237);
   _actionMap[30][LOWER] = ActionEntry(REDUCE, 237);
}
void Cego::loadParser232()
{
   _actionMap[30][UPPER] = ActionEntry(REDUCE, 237);
   _actionMap[30][LEFT] = ActionEntry(REDUCE, 237);
   _actionMap[30][RIGHT] = ActionEntry(REDUCE, 237);
   _actionMap[30][GETPOS] = ActionEntry(REDUCE, 237);
   _actionMap[30][SUBSTR] = ActionEntry(REDUCE, 237);
   _actionMap[30][REPLACE] = ActionEntry(REDUCE, 237);
   _actionMap[30][LENGTH] = ActionEntry(REDUCE, 237);
   _actionMap[30][TRUNC] = ActionEntry(REDUCE, 237);
   _actionMap[30][STR2INT] = ActionEntry(REDUCE, 237);
   _actionMap[30][STR2LONG] = ActionEntry(REDUCE, 237);
   _actionMap[30][RANDSTR] = ActionEntry(REDUCE, 237);
   _actionMap[30][RANDINT] = ActionEntry(REDUCE, 237);
   _actionMap[30][MOD] = ActionEntry(REDUCE, 237);
   _actionMap[30][DIV] = ActionEntry(REDUCE, 237);
   _actionMap[30][POWER] = ActionEntry(REDUCE, 237);
   _actionMap[30][BITAND] = ActionEntry(REDUCE, 237);
   _actionMap[30][BITOR] = ActionEntry(REDUCE, 237);
   _actionMap[30][BITXOR] = ActionEntry(REDUCE, 237);
   _actionMap[30][NEXTCOUNT] = ActionEntry(REDUCE, 237);
   _actionMap[30][IDENTIFIER] = ActionEntry(REDUCE, 237);
   _actionMap[30][QUALIFIEDOBJ] = ActionEntry(REDUCE, 237);
   _actionMap[30][QUALIFIEDTS] = ActionEntry(REDUCE, 237);
   _actionMap[30][QUALIFIEDPRE] = ActionEntry(REDUCE, 237);
   _actionMap[30][STRINGVAL] = ActionEntry(REDUCE, 237);
   _actionMap[30][DATE] = ActionEntry(REDUCE, 237);
   _actionMap[30][SYSDATE] = ActionEntry(REDUCE, 237);
   _actionMap[30][NULLTOKEN] = ActionEntry(REDUCE, 237);
   _actionMap[30][TRUEVAL] = ActionEntry(REDUCE, 237);
   _actionMap[30][FALSEVAL] = ActionEntry(REDUCE, 237);
   _actionMap[30][LAB] = ActionEntry(REDUCE, 237);
   _actionMap[30][COUNTERID] = ActionEntry(REDUCE, 237);
   _actionMap[30][FLOATVAL] = ActionEntry(REDUCE, 237);
   _actionMap[30][MINUS] = ActionEntry(REDUCE, 237);
   _actionMap[30][INTVAL] = ActionEntry(REDUCE, 237);
   _actionMap[30][STAR] = ActionEntry(SHIFT, 158);
   _jumpMap[30][DistinctOpt] = 156;
   _jumpMap[30][Selection] = 155;
   _actionMap[31][TABLESET] = ActionEntry(SHIFT, 164);
   _actionMap[31][APPEND] = ActionEntry(SHIFT, 159);
   _actionMap[31][AUTOCOMMIT] = ActionEntry(SHIFT, 160);
   _actionMap[31][ISOLATION] = ActionEntry(SHIFT, 162);
   _actionMap[31][QUERYCACHE] = ActionEntry(SHIFT, 163);
   _actionMap[31][IDENTIFIER] = ActionEntry(SHIFT, 165);
   _actionMap[31][COUNTER] = ActionEntry(SHIFT, 161);
   _actionMap[32][POOL] = ActionEntry(SHIFT, 167);
   _actionMap[32][SYSTEMSPACE] = ActionEntry(SHIFT, 169);
   _actionMap[32][PROCEDURE] = ActionEntry(SHIFT, 168);
   _actionMap[32][VIEW] = ActionEntry(SHIFT, 170);
   _actionMap[32][CHECK] = ActionEntry(SHIFT, 166);
   _actionMap[33][TRANSACTION] = ActionEntry(SHIFT, 171);
}
void Cego::loadParser233()
{
   _actionMap[34][SEMICOLON] = ActionEntry(REDUCE, 1);
   _actionMap[35][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[35][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[35][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[35][ObjSpec] = 172;
   _actionMap[36][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[36][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[36][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[36][ObjSpec] = 173;
   _actionMap[37][EQU] = ActionEntry(SHIFT, 174);
   _actionMap[0][DROP] = ActionEntry(SHIFT, 20);
   _actionMap[0][RENAME] = ActionEntry(SHIFT, 27);
   _actionMap[0][ALTER] = ActionEntry(SHIFT, 12);
   _actionMap[0][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[0][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[0][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[0][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[0][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[0][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[0][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[0][SYNC] = ActionEntry(SHIFT, 34);
   _actionMap[0][LIST] = ActionEntry(SHIFT, 23);
   _actionMap[0][TABLEINFO] = ActionEntry(SHIFT, 35);
   _actionMap[0][SHOW] = ActionEntry(SHIFT, 32);
   _actionMap[0][DESC] = ActionEntry(SHIFT, 19);
   _actionMap[0][SET] = ActionEntry(SHIFT, 31);
   _actionMap[0][AUTHORIZE] = ActionEntry(SHIFT, 13);
   _actionMap[0][REORGANIZE] = ActionEntry(SHIFT, 28);
   _actionMap[0][PLAN] = ActionEntry(SHIFT, 25);
   _actionMap[0][CREATE] = ActionEntry(SHIFT, 17);
   _actionMap[0][LOAD] = ActionEntry(SHIFT, 24);
   _actionMap[0][CALL] = ActionEntry(SHIFT, 14);
   _actionMap[0][VARREF] = ActionEntry(SHIFT, 37);
   _actionMap[0][PRINT] = ActionEntry(SHIFT, 26);
   _actionMap[0][CHECK] = ActionEntry(SHIFT, 15);
   _actionMap[0][JDBC] = ActionEntry(SHIFT, 22);
   _jumpMap[0][RenameStatement] = 11;
   _jumpMap[0][AlterStatement] = 10;
   _jumpMap[0][DeleteStatement] = 9;
   _jumpMap[0][UpdateStatement] = 8;
   _jumpMap[0][SelectStatement] = 7;
   _jumpMap[0][InsertStatement] = 6;
   _jumpMap[0][RollbackStatement] = 5;
   _jumpMap[0][CommitStatement] = 4;
   _jumpMap[0][StartStatement] = 3;
   _jumpMap[0][Statement] = 2;
   _jumpMap[0][DropOpt] = 1;
}
void Cego::loadParser234()
{
   _prodInfo.Insert(ProdEntry(361, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(360, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(359, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(358, DateValue, 1));
   _prodInfo.Insert(ProdEntry(357, DateFormat, 1));
   _prodInfo.Insert(ProdEntry(356, Constant, 1));
   _prodInfo.Insert(ProdEntry(355, Constant, 5));
   _prodInfo.Insert(ProdEntry(354, Constant, 1));
   _prodInfo.Insert(ProdEntry(353, Constant, 1));
   _prodInfo.Insert(ProdEntry(352, Constant, 1));
   _prodInfo.Insert(ProdEntry(351, Constant, 1));
   _prodInfo.Insert(ProdEntry(350, Constant, 6));
   _prodInfo.Insert(ProdEntry(349, Constant, 4));
   _prodInfo.Insert(ProdEntry(348, Constant, 4));
   _prodInfo.Insert(ProdEntry(347, Constant, 4));
   _prodInfo.Insert(ProdEntry(346, Constant, 1));
   _prodInfo.Insert(ProdEntry(345, Constant, 1));
   _prodInfo.Insert(ProdEntry(344, Constant, 4));
   _prodInfo.Insert(ProdEntry(343, Constant, 4));
   _prodInfo.Insert(ProdEntry(342, Constant, 4));
   _prodInfo.Insert(ProdEntry(341, Constant, 4));
   _prodInfo.Insert(ProdEntry(340, Constant, 1));
   _prodInfo.Insert(ProdEntry(339, SignedFloat, 2));
   _prodInfo.Insert(ProdEntry(338, SignedFloat, 1));
   _prodInfo.Insert(ProdEntry(337, SignedInt, 2));
   _prodInfo.Insert(ProdEntry(336, SignedInt, 1));
   _prodInfo.Insert(ProdEntry(335, Attribute, 2));
   _prodInfo.Insert(ProdEntry(334, Attribute, 1));
   _prodInfo.Insert(ProdEntry(333, Attribute, 1));
   _prodInfo.Insert(ProdEntry(332, Comparison, 2));
   _prodInfo.Insert(ProdEntry(331, Comparison, 2));
   _prodInfo.Insert(ProdEntry(330, Comparison, 1));
   _prodInfo.Insert(ProdEntry(329, Comparison, 1));
   _prodInfo.Insert(ProdEntry(328, Comparison, 2));
   _prodInfo.Insert(ProdEntry(327, Comparison, 1));
   _prodInfo.Insert(ProdEntry(326, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(325, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(324, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(323, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(322, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(321, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(320, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(319, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(318, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(317, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(316, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(315, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(314, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(313, QueryPredicate, 2));
   _prodInfo.Insert(ProdEntry(312, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(311, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(310, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(309, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(308, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(307, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(306, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(305, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(304, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(303, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(302, QueryCondition, 1));
   _prodInfo.Insert(ProdEntry(301, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(300, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(299, NoWhere, 0));
   _prodInfo.Insert(ProdEntry(298, WhereClause, 1));
   _prodInfo.Insert(ProdEntry(297, WhereClause, 2));
   _prodInfo.Insert(ProdEntry(296, ExpressionList, 1));
   _prodInfo.Insert(ProdEntry(295, ExpressionList, 3));
   _prodInfo.Insert(ProdEntry(294, Function, 3));
   _prodInfo.Insert(ProdEntry(293, Function, 4));
   _prodInfo.Insert(ProdEntry(292, Function, 4));
   _prodInfo.Insert(ProdEntry(291, Function, 4));
   _prodInfo.Insert(ProdEntry(290, Function, 4));
   _prodInfo.Insert(ProdEntry(289, Function, 4));
   _prodInfo.Insert(ProdEntry(288, Function, 4));
   _prodInfo.Insert(ProdEntry(287, Function, 4));
   _prodInfo.Insert(ProdEntry(286, Function, 4));
   _prodInfo.Insert(ProdEntry(285, Function, 4));
   _prodInfo.Insert(ProdEntry(284, Function, 4));
   _prodInfo.Insert(ProdEntry(283, Function, 4));
   _prodInfo.Insert(ProdEntry(282, Function, 4));
   _prodInfo.Insert(ProdEntry(281, Function, 4));
   _prodInfo.Insert(ProdEntry(280, Function, 4));
   _prodInfo.Insert(ProdEntry(279, Function, 4));
   _prodInfo.Insert(ProdEntry(278, Function, 4));
   _prodInfo.Insert(ProdEntry(277, Function, 4));
   _prodInfo.Insert(ProdEntry(276, Function, 4));
   _prodInfo.Insert(ProdEntry(275, Function, 4));
   _prodInfo.Insert(ProdEntry(274, Function, 4));
   _prodInfo.Insert(ProdEntry(273, Function, 4));
   _prodInfo.Insert(ProdEntry(272, Function, 4));
   _prodInfo.Insert(ProdEntry(271, Function, 4));
   _prodInfo.Insert(ProdEntry(270, Function, 4));
   _prodInfo.Insert(ProdEntry(269, Function, 4));
   _prodInfo.Insert(ProdEntry(268, Function, 4));
   _prodInfo.Insert(ProdEntry(267, Function, 4));
   _prodInfo.Insert(ProdEntry(266, Function, 4));
   _prodInfo.Insert(ProdEntry(265, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(264, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(263, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(262, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(261, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(260, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(259, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(258, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(257, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(256, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(255, AlterList, 1));
   _prodInfo.Insert(ProdEntry(254, AlterList, 3));
   _prodInfo.Insert(ProdEntry(253, AlterStatement, 4));
   _prodInfo.Insert(ProdEntry(252, UpdDelAlias, 0));
   _prodInfo.Insert(ProdEntry(251, UpdDelAlias, 1));
   _prodInfo.Insert(ProdEntry(250, DeleteStatement, 5));
   _prodInfo.Insert(ProdEntry(249, ReturnVar, 3));
   _prodInfo.Insert(ProdEntry(248, ReturnVarList, 1));
   _prodInfo.Insert(ProdEntry(247, ReturnVarList, 3));
   _prodInfo.Insert(ProdEntry(246, UpdReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(245, UpdReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(244, Assignment, 3));
   _prodInfo.Insert(ProdEntry(243, UpdateList, 1));
   _prodInfo.Insert(ProdEntry(242, UpdateList, 3));
   _prodInfo.Insert(ProdEntry(241, UpdateStatement, 7));
   _prodInfo.Insert(ProdEntry(240, NoLimit, 0));
   _prodInfo.Insert(ProdEntry(239, LimitOpt, 1));
   _prodInfo.Insert(ProdEntry(238, LimitOpt, 2));
   _prodInfo.Insert(ProdEntry(237, DistinctOpt, 0));
   _prodInfo.Insert(ProdEntry(236, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(235, DefaultOrderOpt, 0));
   _prodInfo.Insert(ProdEntry(234, DefaultOrderOpt, 1));
   _prodInfo.Insert(ProdEntry(233, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(232, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(231, OrderingList, 2));
   _prodInfo.Insert(ProdEntry(230, OrderingList, 4));
   _prodInfo.Insert(ProdEntry(229, NoOrdering, 0));
   _prodInfo.Insert(ProdEntry(228, OrderingClause, 1));
   _prodInfo.Insert(ProdEntry(227, OrderingClause, 3));
   _prodInfo.Insert(ProdEntry(226, NoHaving, 0));
   _prodInfo.Insert(ProdEntry(225, HavingClause, 1));
   _prodInfo.Insert(ProdEntry(224, HavingClause, 4));
   _prodInfo.Insert(ProdEntry(223, GroupList, 1));
   _prodInfo.Insert(ProdEntry(222, GroupList, 3));
   _prodInfo.Insert(ProdEntry(221, NoGroup, 0));
   _prodInfo.Insert(ProdEntry(220, GroupClause, 1));
   _prodInfo.Insert(ProdEntry(219, GroupClause, 4));
   _prodInfo.Insert(ProdEntry(218, NoAliasOpt, 0));
   _prodInfo.Insert(ProdEntry(217, AliasOpt, 1));
   _prodInfo.Insert(ProdEntry(216, AliasOpt, 2));
   _prodInfo.Insert(ProdEntry(215, JoinTableOn, 1));
   _prodInfo.Insert(ProdEntry(214, Table, 2));
   _prodInfo.Insert(ProdEntry(213, Table, 1));
   _prodInfo.Insert(ProdEntry(212, TableList, 1));
   _prodInfo.Insert(ProdEntry(211, TableList, 3));
   _prodInfo.Insert(ProdEntry(210, InnerJoin, 1));
   _prodInfo.Insert(ProdEntry(209, InnerJoin, 2));
   _prodInfo.Insert(ProdEntry(208, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(207, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(206, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(205, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(204, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(203, TableSource, 1));
   _prodInfo.Insert(ProdEntry(202, TableSource, 1));
   _prodInfo.Insert(ProdEntry(201, SelectItem, 2));
   _prodInfo.Insert(ProdEntry(200, SelectionList, 1));
   _prodInfo.Insert(ProdEntry(199, SelectionList, 3));
   _prodInfo.Insert(ProdEntry(198, Selection, 1));
   _prodInfo.Insert(ProdEntry(197, Selection, 2));
   _prodInfo.Insert(ProdEntry(196, SelectStatement, 9));
   _prodInfo.Insert(ProdEntry(195, InsertValueList, 1));
   _prodInfo.Insert(ProdEntry(194, InsertValueList, 3));
   _prodInfo.Insert(ProdEntry(193, InsertArgList, 1));
   _prodInfo.Insert(ProdEntry(192, InsertArgList, 3));
   _prodInfo.Insert(ProdEntry(191, InsertValueSpec, 3));
   _prodInfo.Insert(ProdEntry(190, InsertValueSpecList, 1));
   _prodInfo.Insert(ProdEntry(189, InsertValueSpecList, 3));
   _prodInfo.Insert(ProdEntry(188, InsertPrepare, 1));
   _prodInfo.Insert(ProdEntry(187, InsertArgSpec, 0));
   _prodInfo.Insert(ProdEntry(186, InsertArgSpec, 3));
   _prodInfo.Insert(ProdEntry(185, InsertStatement, 5));
   _prodInfo.Insert(ProdEntry(184, InsertStatement, 6));
   _prodInfo.Insert(ProdEntry(183, RollbackStatement, 1));
   _prodInfo.Insert(ProdEntry(182, CommitStatement, 1));
   _prodInfo.Insert(ProdEntry(181, StartStatement, 2));
   _prodInfo.Insert(ProdEntry(180, IndexOption, 0));
   _prodInfo.Insert(ProdEntry(179, IndexOption, 1));
   _prodInfo.Insert(ProdEntry(178, SimpleAttr, 1));
   _prodInfo.Insert(ProdEntry(177, SimpleAttrList, 1));
   _prodInfo.Insert(ProdEntry(176, SimpleAttrList, 3));
   _prodInfo.Insert(ProdEntry(175, DefaultDefOpt, 0));
   _prodInfo.Insert(ProdEntry(174, DefaultOpt, 1));
   _prodInfo.Insert(ProdEntry(173, DefaultOpt, 2));
   _prodInfo.Insert(ProdEntry(172, DefaultNullOpt, 0));
   _prodInfo.Insert(ProdEntry(171, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(170, NullOpt, 2));
   _prodInfo.Insert(ProdEntry(169, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(168, ColumnDesc, 4));
   _prodInfo.Insert(ProdEntry(167, KeyColumn, 1));
   _prodInfo.Insert(ProdEntry(166, KeyColumn, 2));
   _prodInfo.Insert(ProdEntry(165, ColumnList, 1));
   _prodInfo.Insert(ProdEntry(164, ColumnList, 3));
   _prodInfo.Insert(ProdEntry(163, FetchArgList, 1));
   _prodInfo.Insert(ProdEntry(162, FetchArgList, 3));
   _prodInfo.Insert(ProdEntry(161, CasePrepare, 1));
   _prodInfo.Insert(ProdEntry(160, CaseCondition, 4));
   _prodInfo.Insert(ProdEntry(159, CaseConditionList, 1));
   _prodInfo.Insert(ProdEntry(158, CaseConditionList, 2));
   _prodInfo.Insert(ProdEntry(157, CaseClause, 5));
   _prodInfo.Insert(ProdEntry(156, Factor, 4));
   _prodInfo.Insert(ProdEntry(155, Factor, 4));
   _prodInfo.Insert(ProdEntry(154, Factor, 4));
   _prodInfo.Insert(ProdEntry(153, Factor, 4));
   _prodInfo.Insert(ProdEntry(152, Factor, 4));
   _prodInfo.Insert(ProdEntry(151, Factor, 4));
   _prodInfo.Insert(ProdEntry(150, Factor, 1));
   _prodInfo.Insert(ProdEntry(149, Factor, 3));
   _prodInfo.Insert(ProdEntry(148, Factor, 3));
   _prodInfo.Insert(ProdEntry(147, Factor, 1));
   _prodInfo.Insert(ProdEntry(146, Factor, 1));
   _prodInfo.Insert(ProdEntry(145, Factor, 6));
   _prodInfo.Insert(ProdEntry(144, Factor, 1));
   _prodInfo.Insert(ProdEntry(143, Factor, 1));
   _prodInfo.Insert(ProdEntry(142, Term, 1));
   _prodInfo.Insert(ProdEntry(141, Term, 3));
   _prodInfo.Insert(ProdEntry(140, Term, 3));
   _prodInfo.Insert(ProdEntry(139, Expr, 3));
   _prodInfo.Insert(ProdEntry(138, Expr, 1));
   _prodInfo.Insert(ProdEntry(137, Expr, 3));
   _prodInfo.Insert(ProdEntry(136, Expr, 3));
   _prodInfo.Insert(ProdEntry(135, ProcPredicate, 4));
   _prodInfo.Insert(ProdEntry(134, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(133, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(132, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(131, ProcCondition, 1));
   _prodInfo.Insert(ProdEntry(130, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(129, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(128, ProcWhileCondition, 1));
   _prodInfo.Insert(ProdEntry(127, ProcStatement, 5));
   _prodInfo.Insert(ProdEntry(126, ProcElsIfCondition, 1));
   _prodInfo.Insert(ProdEntry(125, ProcIfCondition, 1));
   _prodInfo.Insert(ProdEntry(124, ProcElsePart, 1));
   _prodInfo.Insert(ProdEntry(123, ProcElseOpt, 0));
   _prodInfo.Insert(ProdEntry(122, ProcElseOpt, 2));
   _prodInfo.Insert(ProdEntry(121, ProcElsIfOpt, 4));
   _prodInfo.Insert(ProdEntry(120, ProcElsIfList, 0));
   _prodInfo.Insert(ProdEntry(119, ProcElsIfList, 2));
   _prodInfo.Insert(ProdEntry(118, ProcIfPart, 4));
   _prodInfo.Insert(ProdEntry(117, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(116, ProcExceptionType, 1));
   _prodInfo.Insert(ProdEntry(115, ProcValueList, 1));
   _prodInfo.Insert(ProdEntry(114, ProcValueList, 3));
   _prodInfo.Insert(ProdEntry(113, ProcValueListOpt, 0));
   _prodInfo.Insert(ProdEntry(112, ProcValueListOpt, 1));
   _prodInfo.Insert(ProdEntry(111, ProcExceptionStmt, 5));
   _prodInfo.Insert(ProdEntry(110, ProcExceptionList, 0));
   _prodInfo.Insert(ProdEntry(109, ProcExceptionList, 2));
   _prodInfo.Insert(ProdEntry(108, ProcBlockStart, 1));
   _prodInfo.Insert(ProdEntry(107, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(106, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(105, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(104, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(103, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(102, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(101, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(100, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(99, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(98, ProcNoAssignment, 0));
   _prodInfo.Insert(ProdEntry(97, ProcInitialAssignment, 1));
   _prodInfo.Insert(ProdEntry(96, ProcInitialAssignment, 2));
   _prodInfo.Insert(ProdEntry(95, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(94, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(93, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(92, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(91, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(90, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(89, ProcStatementList, 2));
   _prodInfo.Insert(ProdEntry(88, ProcStatementList, 3));
   _prodInfo.Insert(ProdEntry(87, ProcStmtBlock, 2));
   _prodInfo.Insert(ProdEntry(86, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(85, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(84, ProcArgList, 1));
   _prodInfo.Insert(ProdEntry(83, ProcArgList, 3));
   _prodInfo.Insert(ProdEntry(82, ProcArgOpt, 0));
   _prodInfo.Insert(ProdEntry(81, ProcArgOpt, 1));
   _prodInfo.Insert(ProdEntry(80, ReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(79, ReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(78, ProcDef, 4));
   _prodInfo.Insert(ProdEntry(77, ProcHead, 6));
   _prodInfo.Insert(ProdEntry(76, UnionAllOpt, 0));
   _prodInfo.Insert(ProdEntry(75, UnionAllOpt, 3));
   _prodInfo.Insert(ProdEntry(74, JdbcArgList, 1));
   _prodInfo.Insert(ProdEntry(73, JdbcArgList, 2));
   _prodInfo.Insert(ProdEntry(72, Statement, 2));
   _prodInfo.Insert(ProdEntry(71, Statement, 5));
   _prodInfo.Insert(ProdEntry(70, Statement, 3));
   _prodInfo.Insert(ProdEntry(69, Statement, 3));
   _prodInfo.Insert(ProdEntry(68, Statement, 3));
   _prodInfo.Insert(ProdEntry(67, Statement, 2));
   _prodInfo.Insert(ProdEntry(66, Statement, 4));
   _prodInfo.Insert(ProdEntry(65, Statement, 8));
   _prodInfo.Insert(ProdEntry(64, Statement, 15));
   _prodInfo.Insert(ProdEntry(63, DropOpt, 3));
   _prodInfo.Insert(ProdEntry(62, DropOpt, 1));
   _prodInfo.Insert(ProdEntry(61, Statement, 3));
   _prodInfo.Insert(ProdEntry(60, Statement, 4));
   _prodInfo.Insert(ProdEntry(59, Statement, 3));
   _prodInfo.Insert(ProdEntry(58, Statement, 3));
   _prodInfo.Insert(ProdEntry(57, Statement, 3));
   _prodInfo.Insert(ProdEntry(56, Statement, 3));
   _prodInfo.Insert(ProdEntry(55, Statement, 9));
   _prodInfo.Insert(ProdEntry(54, Statement, 8));
   _prodInfo.Insert(ProdEntry(53, Statement, 6));
   _prodInfo.Insert(ProdEntry(52, Statement, 7));
   _prodInfo.Insert(ProdEntry(51, Statement, 5));
   _prodInfo.Insert(ProdEntry(50, Statement, 2));
   _prodInfo.Insert(ProdEntry(49, Statement, 2));
   _prodInfo.Insert(ProdEntry(48, Statement, 5));
   _prodInfo.Insert(ProdEntry(47, Statement, 5));
   _prodInfo.Insert(ProdEntry(46, Statement, 1));
   _prodInfo.Insert(ProdEntry(45, Statement, 1));
   _prodInfo.Insert(ProdEntry(44, Statement, 1));
   _prodInfo.Insert(ProdEntry(43, Statement, 1));
   _prodInfo.Insert(ProdEntry(42, Statement, 1));
   _prodInfo.Insert(ProdEntry(41, Statement, 2));
   _prodInfo.Insert(ProdEntry(40, Statement, 1));
   _prodInfo.Insert(ProdEntry(39, Statement, 3));
   _prodInfo.Insert(ProdEntry(38, Statement, 3));
   _prodInfo.Insert(ProdEntry(37, Statement, 3));
   _prodInfo.Insert(ProdEntry(36, Statement, 3));
   _prodInfo.Insert(ProdEntry(35, Statement, 3));
   _prodInfo.Insert(ProdEntry(34, Statement, 3));
   _prodInfo.Insert(ProdEntry(33, Statement, 3));
   _prodInfo.Insert(ProdEntry(32, Statement, 3));
   _prodInfo.Insert(ProdEntry(31, Statement, 3));
   _prodInfo.Insert(ProdEntry(30, Statement, 1));
   _prodInfo.Insert(ProdEntry(29, Statement, 1));
   _prodInfo.Insert(ProdEntry(28, Statement, 1));
   _prodInfo.Insert(ProdEntry(27, Statement, 7));
   _prodInfo.Insert(ProdEntry(26, Statement, 3));
   _prodInfo.Insert(ProdEntry(25, Statement, 3));
   _prodInfo.Insert(ProdEntry(24, Statement, 3));
   _prodInfo.Insert(ProdEntry(23, Statement, 3));
   _prodInfo.Insert(ProdEntry(22, Statement, 3));
   _prodInfo.Insert(ProdEntry(21, Statement, 3));
   _prodInfo.Insert(ProdEntry(20, Statement, 3));
   _prodInfo.Insert(ProdEntry(19, Statement, 3));
   _prodInfo.Insert(ProdEntry(18, Statement, 3));
   _prodInfo.Insert(ProdEntry(17, Statement, 3));
   _prodInfo.Insert(ProdEntry(16, Statement, 2));
   _prodInfo.Insert(ProdEntry(15, Statement, 2));
   _prodInfo.Insert(ProdEntry(14, Statement, 2));
   _prodInfo.Insert(ProdEntry(13, TableSetOpt, 0));
   _prodInfo.Insert(ProdEntry(12, TableSetOpt, 2));
   _prodInfo.Insert(ProdEntry(11, Statement, 3));
   _prodInfo.Insert(ProdEntry(10, Statement, 3));
   _prodInfo.Insert(ProdEntry(9, Statement, 3));
   _prodInfo.Insert(ProdEntry(8, Statement, 3));
   _prodInfo.Insert(ProdEntry(7, Statement, 3));
   _prodInfo.Insert(ProdEntry(6, Statement, 3));
   _prodInfo.Insert(ProdEntry(5, Statement, 3));
   _prodInfo.Insert(ProdEntry(4, Statement, 3));
   _prodInfo.Insert(ProdEntry(3, Statement, 3));
   _prodInfo.Insert(ProdEntry(2, Statement, 2));
   _prodInfo.Insert(ProdEntry(1, Statement, 1));
   _prodInfo.Insert(ProdEntry(0, Start, 2));
}

Cego::Cego()
{
   loadScanner();
   for ( int i=0; i < 811; i++)
   {
      int j;
      for ( j = 0; j < 176; j++)
         _actionMap[i][j] = ActionEntry();
      for ( j = 0; j < 115; j++)
         _jumpMap[i][j] = -1;
   }
   loadParser0();
   loadParser1();
   loadParser2();
   loadParser3();
   loadParser4();
   loadParser5();
   loadParser6();
   loadParser7();
   loadParser8();
   loadParser9();
   loadParser10();
   loadParser11();
   loadParser12();
   loadParser13();
   loadParser14();
   loadParser15();
   loadParser16();
   loadParser17();
   loadParser18();
   loadParser19();
   loadParser20();
   loadParser21();
   loadParser22();
   loadParser23();
   loadParser24();
   loadParser25();
   loadParser26();
   loadParser27();
   loadParser28();
   loadParser29();
   loadParser30();
   loadParser31();
   loadParser32();
   loadParser33();
   loadParser34();
   loadParser35();
   loadParser36();
   loadParser37();
   loadParser38();
   loadParser39();
   loadParser40();
   loadParser41();
   loadParser42();
   loadParser43();
   loadParser44();
   loadParser45();
   loadParser46();
   loadParser47();
   loadParser48();
   loadParser49();
   loadParser50();
   loadParser51();
   loadParser52();
   loadParser53();
   loadParser54();
   loadParser55();
   loadParser56();
   loadParser57();
   loadParser58();
   loadParser59();
   loadParser60();
   loadParser61();
   loadParser62();
   loadParser63();
   loadParser64();
   loadParser65();
   loadParser66();
   loadParser67();
   loadParser68();
   loadParser69();
   loadParser70();
   loadParser71();
   loadParser72();
   loadParser73();
   loadParser74();
   loadParser75();
   loadParser76();
   loadParser77();
   loadParser78();
   loadParser79();
   loadParser80();
   loadParser81();
   loadParser82();
   loadParser83();
   loadParser84();
   loadParser85();
   loadParser86();
   loadParser87();
   loadParser88();
   loadParser89();
   loadParser90();
   loadParser91();
   loadParser92();
   loadParser93();
   loadParser94();
   loadParser95();
   loadParser96();
   loadParser97();
   loadParser98();
   loadParser99();
   loadParser100();
   loadParser101();
   loadParser102();
   loadParser103();
   loadParser104();
   loadParser105();
   loadParser106();
   loadParser107();
   loadParser108();
   loadParser109();
   loadParser110();
   loadParser111();
   loadParser112();
   loadParser113();
   loadParser114();
   loadParser115();
   loadParser116();
   loadParser117();
   loadParser118();
   loadParser119();
   loadParser120();
   loadParser121();
   loadParser122();
   loadParser123();
   loadParser124();
   loadParser125();
   loadParser126();
   loadParser127();
   loadParser128();
   loadParser129();
   loadParser130();
   loadParser131();
   loadParser132();
   loadParser133();
   loadParser134();
   loadParser135();
   loadParser136();
   loadParser137();
   loadParser138();
   loadParser139();
   loadParser140();
   loadParser141();
   loadParser142();
   loadParser143();
   loadParser144();
   loadParser145();
   loadParser146();
   loadParser147();
   loadParser148();
   loadParser149();
   loadParser150();
   loadParser151();
   loadParser152();
   loadParser153();
   loadParser154();
   loadParser155();
   loadParser156();
   loadParser157();
   loadParser158();
   loadParser159();
   loadParser160();
   loadParser161();
   loadParser162();
   loadParser163();
   loadParser164();
   loadParser165();
   loadParser166();
   loadParser167();
   loadParser168();
   loadParser169();
   loadParser170();
   loadParser171();
   loadParser172();
   loadParser173();
   loadParser174();
   loadParser175();
   loadParser176();
   loadParser177();
   loadParser178();
   loadParser179();
   loadParser180();
   loadParser181();
   loadParser182();
   loadParser183();
   loadParser184();
   loadParser185();
   loadParser186();
   loadParser187();
   loadParser188();
   loadParser189();
   loadParser190();
   loadParser191();
   loadParser192();
   loadParser193();
   loadParser194();
   loadParser195();
   loadParser196();
   loadParser197();
   loadParser198();
   loadParser199();
   loadParser200();
   loadParser201();
   loadParser202();
   loadParser203();
   loadParser204();
   loadParser205();
   loadParser206();
   loadParser207();
   loadParser208();
   loadParser209();
   loadParser210();
   loadParser211();
   loadParser212();
   loadParser213();
   loadParser214();
   loadParser215();
   loadParser216();
   loadParser217();
   loadParser218();
   loadParser219();
   loadParser220();
   loadParser221();
   loadParser222();
   loadParser223();
   loadParser224();
   loadParser225();
   loadParser226();
   loadParser227();
   loadParser228();
   loadParser229();
   loadParser230();
   loadParser231();
   loadParser232();
   loadParser233();
   loadParser234();
   _isReserved = false;
}

Cego::~Cego()
{
}

void Cego::parse()
{
   StackT<StackEntry> s;
   StackEntry se(NONE, 0, 0);
   s.Push(se);
   _isReserved = false;
   if ( shiftToken() == false )
   {
      Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
      throw Exception(EXLOC, msg);
   }
   while ( true )
   {
      Action a;
      int num;
      if ( getAction(s.getTop()->getState(), _token, a, num) )
      {
         switch (a)
         {
            case SHIFT:
            {
               StackEntry se(TOKEN, _token, num, _tokenVal);
               s.Push(se);
               if ( shiftToken() == false )
               {
                  Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               break;
            }
            case REDUCE:
            {
               _tokenList.Empty();
               ProdEntry* pPE = _prodInfo.Find(num);
               for (int i=0; i<pPE->getNumSymbol();i++)
               {
                  StackEntry se;
                  s.Pop(se);
                  if (se.getSymbol() == TOKEN)
                     _tokenList.Insert(se.getTval());
               }
               int fstate;
               if (getJump(s.getTop()->getState(), pPE->getProd(), fstate))
               {
                  StackEntry se(PROD, pPE->getId(), fstate, _tokenVal);
                  s.Push(se);
               }
               else
               {
                  Chain msg = "Cannot reduce after token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               switch (num)
               {
                  case 361:
                     setObject3();
                     break;
                  case 360:
                     setObject2();
                     break;
                  case 359:
                     setObject1();
                     break;
                  case 358:
                     miscDateValue();
                     break;
                  case 357:
                     miscDateFormat();
                     break;
                  case 356:
                     miscCounter();
                     break;
                  case 355:
                     miscBlobRef();
                     break;
                  case 354:
                     miscFalseValue();
                     break;
                  case 353:
                     miscTrueValue();
                     break;
                  case 352:
                     miscNull();
                     break;
                  case 351:
                     miscSysDate();
                     break;
                  case 350:
                     miscFormatDate();
                     break;
                  case 349:
                     miscFixedValue();
                     break;
                  case 348:
                     miscDecimalValue();
                     break;
                  case 347:
                     miscDoubleValue();
                     break;
                  case 346:
                     miscFloatValue();
                     break;
                  case 345:
                     miscStringValue();
                     break;
                  case 344:
                     miscTinyIntValue();
                     break;
                  case 343:
                     miscSmallIntValue();
                     break;
                  case 342:
                     miscBigIntValue();
                     break;
                  case 341:
                     miscLongValue();
                     break;
                  case 340:
                     miscIntValue();
                     break;
                  case 339:
                     miscNegatedFloatString();
                     break;
                  case 338:
                     miscFloatString();
                     break;
                  case 337:
                     miscNegatedIntString();
                     break;
                  case 336:
                     miscIntString();
                     break;
                  case 335:
                     miscAttribute3();
                     break;
                  case 334:
                     miscAttribute2();
                     break;
                  case 333:
                     miscAttribute1();
                     break;
                  case 332:
                     miscMoreEqualComp();
                     break;
                  case 331:
                     miscLessEqualComp();
                     break;
                  case 330:
                     miscMoreComp();
                     break;
                  case 329:
                     miscLessComp();
                     break;
                  case 328:
                     miscNotEqualComp();
                     break;
                  case 327:
                     miscEqualComp();
                     break;
                  case 326:
                     miscBlobType();
                     break;
                  case 325:
                     miscFixedType();
                     break;
                  case 324:
                     miscDecimalType();
                     break;
                  case 323:
                     miscTinyIntType();
                     break;
                  case 322:
                     miscSmallIntType();
                     break;
                  case 321:
                     miscDoubleType();
                     break;
                  case 320:
                     miscFloatType();
                     break;
                  case 319:
                     miscBigIntType();
                     break;
                  case 318:
                     miscBoolType();
                     break;
                  case 317:
                     miscDateTimeType();
                     break;
                  case 316:
                     miscStringType();
                     break;
                  case 315:
                     miscLongType();
                     break;
                  case 314:
                     miscIntType();
                     break;
                  case 313:
                     wcPredicateNotPredicate();
                     break;
                  case 312:
                     wcPredicateCondition();
                     break;
                  case 311:
                     wcPredicateNotLikeComp();
                     break;
                  case 310:
                     wcPredicateLikeComp();
                     break;
                  case 309:
                     wcPredicateNotNullComp();
                     break;
                  case 308:
                     wcPredicateNullComp();
                     break;
                  case 307:
                     wcPredicateBetween();
                     break;
                  case 306:
                     wcPredicateExprComp();
                     break;
                  case 305:
                     wcPredicateQueryNotIn();
                     break;
                  case 304:
                     wcPredicateQueryIn();
                     break;
                  case 303:
                     wcPredicateQueryExists();
                     break;
                  case 302:
                     wcConditionPredicate();
                     break;
                  case 301:
                     wcConditionOr();
                     break;
                  case 300:
                     wcConditionAnd();
                     break;
                  case 298:
                     wcEmptyClause();
                     break;
                  case 297:
                     wcWhereClause();
                     break;
                  case 296:
                     functionExprList2();
                     break;
                  case 295:
                     functionExprList1();
                     break;
                  case 294:
                     functionUserDef2();
                     break;
                  case 293:
                     functionUserDef1();
                     break;
                  case 292:
                     functionNextCount();
                     break;
                  case 291:
                     functionNative();
                     break;
                  case 290:
                     functionNative();
                     break;
                  case 289:
                     functionNative();
                     break;
                  case 288:
                     functionNative();
                     break;
                  case 287:
                     functionNative();
                     break;
                  case 286:
                     functionNative();
                     break;
                  case 285:
                     functionNative();
                     break;
                  case 284:
                     functionNative();
                     break;
                  case 283:
                     functionNative();
                     break;
                  case 282:
                     functionNative();
                     break;
                  case 281:
                     functionNative();
                     break;
                  case 280:
                     functionNative();
                     break;
                  case 279:
                     functionNative();
                     break;
                  case 278:
                     functionNative();
                     break;
                  case 277:
                     functionNative();
                     break;
                  case 276:
                     functionNative();
                     break;
                  case 275:
                     functionNative();
                     break;
                  case 274:
                     functionNative();
                     break;
                  case 273:
                     functionNative();
                     break;
                  case 272:
                     functionNative();
                     break;
                  case 271:
                     functionNative();
                     break;
                  case 270:
                     functionNative();
                     break;
                  case 269:
                     functionNative();
                     break;
                  case 268:
                     functionNative();
                     break;
                  case 267:
                     functionNative();
                     break;
                  case 266:
                     functionNative();
                     break;
                  case 265:
                     renameCheck();
                     break;
                  case 264:
                     renameView();
                     break;
                  case 263:
                     renameProcedure();
                     break;
                  case 262:
                     renameKey();
                     break;
                  case 261:
                     renameIndex();
                     break;
                  case 260:
                     renameTable();
                     break;
                  case 259:
                     alterRenameCol();
                     break;
                  case 258:
                     alterModCol();
                     break;
                  case 257:
                     alterAddCol();
                     break;
                  case 256:
                     alterDropCol();
                     break;
                  case 253:
                     alterStore();
                     break;
                  case 251:
                     setUpdDelAlias();
                     break;
                  case 250:
                     deleteStore();
                     break;
                  case 249:
                     returnVarAssignment();
                     break;
                  case 244:
                     updateAssignment();
                     break;
                  case 241:
                     updateStore();
                     break;
                  case 239:
                     selectLimitOpt2();
                     break;
                  case 238:
                     selectLimitOpt1();
                     break;
                  case 236:
                     selectDistinctOpt();
                     break;
                  case 233:
                     selectOrderingDesc();
                     break;
                  case 232:
                     selectOrderingAsc();
                     break;
                  case 231:
                     selectOrderingList2();
                     break;
                  case 230:
                     selectOrderingList1();
                     break;
                  case 228:
                     selectEmptyOrderingClause();
                     break;
                  case 227:
                     selectOrderingClause();
                     break;
                  case 225:
                     selectEmptyHavingClause();
                     break;
                  case 224:
                     selectHavingClause();
                     break;
                  case 223:
                     selectGroupList2();
                     break;
                  case 222:
                     selectGroupList1();
                     break;
                  case 220:
                     selectEmptyGroupClause();
                     break;
                  case 219:
                     selectGroupClause();
                     break;
                  case 217:
                     noAliasOpt();
                     break;
                  case 216:
                     aliasOpt();
                     break;
                  case 215:
                     selectStackJoinTable();
                     break;
                  case 214:
                     selectTable2();
                     break;
                  case 213:
                     selectTable1();
                     break;
                  case 208:
                     selectRightOuterJoinStore();
                     break;
                  case 207:
                     selectLeftOuterJoinStore();
                     break;
                  case 206:
                     selectInnerJoinStore();
                     break;
                  case 203:
                     selectJoinSpecStore();
                     break;
                  case 202:
                     selectTableListStore();
                     break;
                  case 201:
                     selectItem();
                     break;
                  case 200:
                     selectionList2();
                     break;
                  case 199:
                     selectionList1();
                     break;
                  case 198:
                     selectSelectionStore2();
                     break;
                  case 197:
                     selectSelectionStore1();
                     break;
                  case 196:
                     selectStore();
                     break;
                  case 195:
                     insertExprValue();
                     break;
                  case 194:
                     insertExprValue();
                     break;
                  case 193:
                     insertArg();
                     break;
                  case 192:
                     insertArg();
                     break;
                  case 191:
                     insertValueSpecStoreExecute();
                     break;
                  case 188:
                     insertPrepare();
                     break;
                  case 185:
                     insertBySelectStore();
                     break;
                  case 184:
                     insertStore();
                     break;
                  case 183:
                     rollbackStore();
                     break;
                  case 182:
                     commitStore();
                     break;
                  case 181:
                     startStore();
                     break;
                  case 179:
                     createUniqueIndex();
                     break;
                  case 178:
                     createSimpleAttr();
                     break;
                  case 177:
                     createSimpleAttrList();
                     break;
                  case 174:
                     defaultNullOpt();
                     break;
                  case 173:
                     defaultOpt();
                     break;
                  case 171:
                     createNullOpt();
                     break;
                  case 170:
                     createNotNullOpt();
                     break;
                  case 169:
                     createNullOpt();
                     break;
                  case 168:
                     createFieldName();
                     break;
                  case 167:
                     createSetOrdinary();
                     break;
                  case 166:
                     createSetPrimary();
                     break;
                  case 163:
                     procStoreFetchArg2();
                     break;
                  case 162:
                     procStoreFetchArg1();
                     break;
                  case 161:
                     casePrepare();
                     break;
                  case 160:
                     caseCondition();
                     break;
                  case 159:
                     caseConditionList2();
                     break;
                  case 158:
                     caseConditionList1();
                     break;
                  case 157:
                     caseClause();
                     break;
                  case 156:
                     procFactor14();
                     break;
                  case 155:
                     procFactor13();
                     break;
                  case 154:
                     procFactor12();
                     break;
                  case 153:
                     procFactor11();
                     break;
                  case 152:
                     procFactor10();
                     break;
                  case 151:
                     procFactor9();
                     break;
                  case 150:
                     procFactor8();
                     break;
                  case 149:
                     procFactor7();
                     break;
                  case 148:
                     procFactor6();
                     break;
                  case 147:
                     procFactor5();
                     break;
                  case 146:
                     procFactor4();
                     break;
                  case 145:
                     procFactor3();
                     break;
                  case 144:
                     procFactor2();
                     break;
                  case 143:
                     procFactor1();
                     break;
                  case 142:
                     procTerm3();
                     break;
                  case 141:
                     procTerm2();
                     break;
                  case 140:
                     procTerm1();
                     break;
                  case 139:
                     procExpr4();
                     break;
                  case 138:
                     procExpr3();
                     break;
                  case 137:
                     procExpr2();
                     break;
                  case 136:
                     procExpr1();
                     break;
                  case 135:
                     procPredicate4();
                     break;
                  case 134:
                     procPredicate3();
                     break;
                  case 133:
                     procPredicate2();
                     break;
                  case 132:
                     procPredicate1();
                     break;
                  case 131:
                     procCondition3();
                     break;
                  case 130:
                     procCondition2();
                     break;
                  case 129:
                     procCondition1();
                     break;
                  case 128:
                     procWhileCondition();
                     break;
                  case 127:
                     procWhileStatement();
                     break;
                  case 126:
                     procElsIfCondition();
                     break;
                  case 125:
                     procIfCondition();
                     break;
                  case 124:
                     procElsePart();
                     break;
                  case 122:
                     procStoreElseBlock();
                     break;
                  case 121:
                     procStoreIfBlock();
                     break;
                  case 118:
                     procStoreIfBlock();
                     break;
                  case 117:
                     procIfStatement();
                     break;
                  case 116:
                     procExceptionCondition();
                     break;
                  case 115:
                     procExprValue();
                     break;
                  case 114:
                     procExprValue();
                     break;
                  case 112:
                     procValueSpec();
                     break;
                  case 111:
                     procExceptionStatement();
                     break;
                  case 108:
                     procBlockStart();
                     break;
                  case 107:
                     procBlockStatement();
                     break;
                  case 106:
                     procReturnStatement2();
                     break;
                  case 105:
                     procReturnStatement1();
                     break;
                  case 104:
                     procQueryStatement();
                     break;
                  case 103:
                     procQueryStatement();
                     break;
                  case 102:
                     procQueryStatement();
                     break;
                  case 101:
                     procQueryStatement();
                     break;
                  case 100:
                     procQueryStatement();
                     break;
                  case 99:
                     procQueryStatement();
                     break;
                  case 97:
                     procInitialAssignment2();
                     break;
                  case 96:
                     procInitialAssignment1();
                     break;
                  case 95:
                     procNoopStatement();
                     break;
                  case 94:
                     procAssign2NullStatement();
                     break;
                  case 93:
                     procAssignStatement();
                     break;
                  case 92:
                     procCursorCloseStatement();
                     break;
                  case 91:
                     procCursorCreateStatement();
                     break;
                  case 90:
                     procVarStatement();
                     break;
                  case 89:
                     procStoreBlock();
                     break;
                  case 86:
                     procArg2();
                     break;
                  case 85:
                     procArg1();
                     break;
                  case 79:
                     procReturnOpt();
                     break;
                  case 78:
                     procStore();
                     break;
                  case 77:
                     procHead();
                     break;
                  case 75:
                     unionAllStore();
                     break;
                  case 74:
                     jdbcArg2();
                     break;
                  case 73:
                     jdbcArg1();
                     break;
                  case 72:
                     jdbcInfo();
                     break;
                  case 71:
                     execSetCounter();
                     break;
                  case 70:
                     execDropCounter();
                     break;
                  case 69:
                     execCreateCounter();
                     break;
                  case 68:
                     execIndexCheck();
                     break;
                  case 67:
                     execPrint();
                     break;
                  case 66:
                     execAssignStatement();
                     break;
                  case 65:
                     execCheckCreate();
                     break;
                  case 64:
                     execForeignKeyCreate();
                     break;
                  case 63:
                     dropOpt2();
                     break;
                  case 62:
                     dropOpt1();
                     break;
                  case 61:
                     execCheckDrop();
                     break;
                  case 60:
                     execFKeyDrop();
                     break;
                  case 59:
                     execProcDrop();
                     break;
                  case 58:
                     execViewDrop();
                     break;
                  case 57:
                     execIndexDrop();
                     break;
                  case 56:
                     execTableDrop();
                     break;
                  case 55:
                     execIndexCreate();
                     break;
                  case 54:
                     execPrimaryIndexCreate();
                     break;
                  case 53:
                     execUserTableCreate();
                     break;
                  case 52:
                     execFuncCall();
                     break;
                  case 51:
                     execProcCall();
                     break;
                  case 50:
                     execProcLoad();
                     break;
                  case 49:
                     execProcCreate();
                     break;
                  case 48:
                     execViewLoad();
                     break;
                  case 47:
                     execViewCreate();
                     break;
                  case 46:
                     execQuery();
                     break;
                  case 45:
                     execQuery();
                     break;
                  case 44:
                     execQuery();
                     break;
                  case 43:
                     execQuery();
                     break;
                  case 41:
                     execSelectPlan();
                     break;
                  case 40:
                     execSelect();
                     break;
                  case 39:
                     execIndexReorganize();
                     break;
                  case 38:
                     execTableReorganize();
                     break;
                  case 37:
                     execDisableQueryCache();
                     break;
                  case 36:
                     execEnableQueryCache();
                     break;
                  case 35:
                     execSetIsolation();
                     break;
                  case 34:
                     execDisableAutoCommit();
                     break;
                  case 33:
                     execEnableAutoCommit();
                     break;
                  case 32:
                     execDisableAppendMode();
                     break;
                  case 31:
                     execEnableAppendMode();
                     break;
                  case 30:
                     execQuery();
                     break;
                  case 29:
                     execQuery();
                     break;
                  case 28:
                     execQuery();
                     break;
                  case 27:
                     execAuthUser();
                     break;
                  case 26:
                     execSetTableSet();
                     break;
                  case 25:
                     execCheckShow();
                     break;
                  case 24:
                     execViewShow();
                     break;
                  case 23:
                     execProcShow();
                     break;
                  case 22:
                     execProcDesc();
                     break;
                  case 21:
                     execCheckDesc();
                     break;
                  case 20:
                     execKeyDesc();
                     break;
                  case 19:
                     execViewDesc();
                     break;
                  case 18:
                     execIndexDesc();
                     break;
                  case 17:
                     execTableDesc();
                     break;
                  case 16:
                     execShowSystemSpace();
                     break;
                  case 15:
                     execShowPool();
                     break;
                  case 14:
                     execTableInfo();
                     break;
                  case 12:
                     setTableSetOpt();
                     break;
                  case 11:
                     execListCheck();
                     break;
                  case 10:
                     execListTmpObj();
                     break;
                  case 9:
                     execListSysObj();
                     break;
                  case 8:
                     execListCounter();
                     break;
                  case 7:
                     execListKey();
                     break;
                  case 6:
                     execListIndex();
                     break;
                  case 5:
                     execListView();
                     break;
                  case 4:
                     execListProc();
                     break;
                  case 3:
                     execListTable();
                     break;
                  case 2:
                     execListTableSet();
                     break;
                  case 1:
                     execSync();
                     break;
               }
               break;
            }
            case ACCEPT:
            {
               return;
            }
            default:
               break;
         }
      }
      else
      {
         Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
         throw Exception(EXLOC, msg);
      }
   }
}


bool Cego::getAction(int state, Cego::Token token, Cego::Action& a, int& num)
{
    if (_actionMap[state][token].getAction() != NULLACTION )
    {
	a = _actionMap[state][token].getAction();
	num = _actionMap[state][token].getNum();
	return true;
    }
    else
    {
	return false;
    }
}

bool Cego::getJump(int state, Production prod, int& fstate)
{
    if ( _jumpMap[state][prod] > 0 )
    {
       fstate = _jumpMap[state][prod];
	    return true;
    }
    else
    {
	    return false;
    }
}

bool Cego::isSepSign(char c)
{
   if (c == ';') return true;
   if (c == ',') return true;
   if (c == '=') return true;
   if (c == '<') return true;
   if (c == '>') return true;
   if (c == ')') return true;
   if (c == '(') return true;
   if (c == '[') return true;
   if (c == ']') return true;
   if (c == '/') return true;
   if (c == '+') return true;
   if (c == '-') return true;
   if (c == '|') return true;
   if (c == '*') return true;
   return false;
}
bool Cego::isSepIgnore(char c)
{
   if (c == '\t') return true;
   if (c == ' ') return true;
   if (c == '\n') return true;
   return false;
}
bool Cego::shiftToken()
{
   unsigned long i=0;
   char c;
   while ( isSepIgnore(c = nextChar()) && ! _isReserved );
   if ( _isReserved )
   {
      _token = _reservedToken;
      _isReserved = false;
      return true;
   }
   if (c == 0)
   {
      _token = ENDTOKEN;
      return true;
   }
   if (isSepSign(c))
   {
      _tokenVal[i]=c;
       i++;
   }
   else
   {
      while (c && ! isSepIgnore(c) && ! ( isSepSign(c) && i>0 ) )
      {
         _tokenVal[i]=c;
         i++;
         c = nextChar();
      }
      if (isSepSign(c)) backChar();
   }
   _tokenVal[i]=0;
   Scanner* pS = _scannerList.First();
   while (pS)
   {
      if (pS->checkPattern(_tokenVal))
      {
         _token = pS->getToken();
         return true;
      }
      pS=_scannerList.Next();
   }
   return false;
}
void Cego::setReserved(Token t)
{
   _reservedToken = t;
   _isReserved = true;
}
